#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 3440
#define LARGE_STATE_COUNT 154
#define SYMBOL_COUNT 162
#define ALIAS_COUNT 0
#define TOKEN_COUNT 101
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 19
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 69

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_SEMI_AMP = 21,
  anon_sym_SEMI_SEMI_AMP = 22,
  anon_sym_function = 23,
  anon_sym_LPAREN = 24,
  anon_sym_LBRACE = 25,
  anon_sym_RBRACE = 26,
  anon_sym_PIPE_AMP = 27,
  anon_sym_AMP_AMP = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_BANG = 30,
  anon_sym_LBRACK = 31,
  anon_sym_RBRACK = 32,
  anon_sym_LBRACK_LBRACK = 33,
  anon_sym_RBRACK_RBRACK = 34,
  anon_sym_declare = 35,
  anon_sym_typeset = 36,
  anon_sym_export = 37,
  anon_sym_readonly = 38,
  anon_sym_local = 39,
  anon_sym_unset = 40,
  anon_sym_unsetenv = 41,
  anon_sym_EQ_TILDE = 42,
  anon_sym_EQ_EQ = 43,
  anon_sym_EQ = 44,
  anon_sym_PLUS_EQ = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  anon_sym_GT_GT = 48,
  anon_sym_AMP_GT = 49,
  anon_sym_AMP_GT_GT = 50,
  anon_sym_LT_AMP = 51,
  anon_sym_GT_AMP = 52,
  anon_sym_GT_PIPE = 53,
  anon_sym_LT_LT = 54,
  anon_sym_LT_LT_DASH = 55,
  anon_sym_LT_LT_LT = 56,
  anon_sym_BANG_EQ = 57,
  anon_sym_PLUS = 58,
  anon_sym_DASH = 59,
  anon_sym_DASH_EQ = 60,
  anon_sym_LT_EQ = 61,
  anon_sym_GT_EQ = 62,
  anon_sym_QMARK = 63,
  anon_sym_COLON = 64,
  anon_sym_PLUS_PLUS = 65,
  anon_sym_DASH_DASH = 66,
  anon_sym_DOLLAR = 67,
  sym__special_character = 68,
  anon_sym_DQUOTE = 69,
  sym__string_content = 70,
  sym_raw_string = 71,
  sym_ansii_c_string = 72,
  anon_sym_POUND = 73,
  anon_sym_DOLLAR_LBRACE = 74,
  anon_sym_SLASH = 75,
  anon_sym_COLON_QMARK = 76,
  anon_sym_COLON_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_DOLLAR_LPAREN = 79,
  anon_sym_BQUOTE = 80,
  anon_sym_LT_LPAREN = 81,
  anon_sym_GT_LPAREN = 82,
  sym_comment = 83,
  aux_sym__simple_variable_name_token1 = 84,
  anon_sym_STAR = 85,
  anon_sym_AT = 86,
  anon_sym_0 = 87,
  anon_sym__ = 88,
  sym_test_operator = 89,
  anon_sym_AMP = 90,
  sym_heredoc_start = 91,
  sym__simple_heredoc_body = 92,
  sym__heredoc_body_beginning = 93,
  sym__heredoc_body_middle = 94,
  sym__heredoc_body_end = 95,
  sym_file_descriptor = 96,
  sym__empty_value = 97,
  sym__concat = 98,
  sym_variable_name = 99,
  sym_regex = 100,
  sym_program = 101,
  sym__statements = 102,
  aux_sym__statements2 = 103,
  sym__terminated_statement = 104,
  sym_redirected_statement = 105,
  sym_for_statement = 106,
  sym_c_style_for_statement = 107,
  sym_while_statement = 108,
  sym_do_group = 109,
  sym_if_statement = 110,
  sym_elif_clause = 111,
  sym_else_clause = 112,
  sym_case_statement = 113,
  sym_case_item = 114,
  sym_last_case_item = 115,
  sym_function_definition = 116,
  sym_compound_statement = 117,
  sym_subshell = 118,
  sym_pipeline = 119,
  sym_list = 120,
  sym_negated_command = 121,
  sym_test_command = 122,
  sym_declaration_command = 123,
  sym_unset_command = 124,
  sym_command = 125,
  sym_command_name = 126,
  sym_variable_assignment = 127,
  sym_subscript = 128,
  sym_file_redirect = 129,
  sym_heredoc_redirect = 130,
  sym_heredoc_body = 131,
  sym_herestring_redirect = 132,
  sym__expression = 133,
  sym_binary_expression = 134,
  sym_ternary_expression = 135,
  sym_unary_expression = 136,
  sym_postfix_expression = 137,
  sym_parenthesized_expression = 138,
  sym_concatenation = 139,
  sym_string = 140,
  sym_array = 141,
  sym_simple_expansion = 142,
  sym_string_expansion = 143,
  sym_expansion = 144,
  sym_command_substitution = 145,
  sym_process_substitution = 146,
  aux_sym__statements_repeat1 = 147,
  aux_sym_redirected_statement_repeat1 = 148,
  aux_sym_for_statement_repeat1 = 149,
  aux_sym_if_statement_repeat1 = 150,
  aux_sym_case_statement_repeat1 = 151,
  aux_sym_case_item_repeat1 = 152,
  aux_sym_declaration_command_repeat1 = 153,
  aux_sym_unset_command_repeat1 = 154,
  aux_sym_command_repeat1 = 155,
  aux_sym_command_repeat2 = 156,
  aux_sym_heredoc_body_repeat1 = 157,
  aux_sym__literal_repeat1 = 158,
  aux_sym_concatenation_repeat1 = 159,
  aux_sym_string_repeat1 = 160,
  aux_sym_expansion_repeat1 = 161,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_SEMI_AMP] = ";&",
  [anon_sym_SEMI_SEMI_AMP] = ";;&",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON_QMARK] = ":\?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_SEMI_AMP] = anon_sym_SEMI_AMP,
  [anon_sym_SEMI_SEMI_AMP] = anon_sym_SEMI_SEMI_AMP,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_fallthrough = 8,
  field_index = 9,
  field_initializer = 10,
  field_left = 11,
  field_name = 12,
  field_operator = 13,
  field_redirect = 14,
  field_right = 15,
  field_termination = 16,
  field_update = 17,
  field_value = 18,
  field_variable = 19,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_fallthrough] = "fallthrough",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_termination] = "termination",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 3},
  [35] = {.index = 39, .length = 3},
  [36] = {.index = 42, .length = 1},
  [37] = {.index = 42, .length = 1},
  [39] = {.index = 43, .length = 1},
  [40] = {.index = 44, .length = 2},
  [41] = {.index = 46, .length = 2},
  [42] = {.index = 48, .length = 2},
  [43] = {.index = 50, .length = 2},
  [44] = {.index = 52, .length = 2},
  [45] = {.index = 54, .length = 2},
  [46] = {.index = 56, .length = 2},
  [47] = {.index = 50, .length = 2},
  [48] = {.index = 52, .length = 2},
  [49] = {.index = 54, .length = 2},
  [50] = {.index = 58, .length = 2},
  [51] = {.index = 60, .length = 2},
  [52] = {.index = 62, .length = 3},
  [53] = {.index = 65, .length = 2},
  [54] = {.index = 67, .length = 3},
  [55] = {.index = 70, .length = 3},
  [56] = {.index = 73, .length = 2},
  [57] = {.index = 75, .length = 2},
  [58] = {.index = 73, .length = 2},
  [59] = {.index = 75, .length = 2},
  [60] = {.index = 77, .length = 3},
  [61] = {.index = 80, .length = 3},
  [62] = {.index = 83, .length = 3},
  [63] = {.index = 86, .length = 4},
  [64] = {.index = 90, .length = 3},
  [65] = {.index = 93, .length = 3},
  [66] = {.index = 90, .length = 3},
  [67] = {.index = 93, .length = 3},
  [68] = {.index = 96, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_value, 1},
  [33] =
    {field_body, 4},
    {field_name, 1},
  [35] =
    {field_body, 5},
  [36] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [39] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [42] =
    {field_value, 0},
  [43] =
    {field_body, 6},
  [44] =
    {field_body, 6},
    {field_update, 4},
  [46] =
    {field_body, 6},
    {field_condition, 3},
  [48] =
    {field_body, 6},
    {field_initializer, 2},
  [50] =
    {field_termination, 2},
    {field_value, 0},
  [52] =
    {field_fallthrough, 2},
    {field_value, 0},
  [54] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [56] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [58] =
    {field_body, 7},
    {field_update, 4},
  [60] =
    {field_body, 7},
    {field_condition, 3},
  [62] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [65] =
    {field_body, 7},
    {field_initializer, 2},
  [67] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [70] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [73] =
    {field_termination, 3},
    {field_value, 0},
  [75] =
    {field_fallthrough, 3},
    {field_value, 0},
  [77] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [80] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [83] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [86] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [90] =
    {field_termination, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [93] =
    {field_fallthrough, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [96] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = anon_sym_STAR,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = anon_sym_STAR,
  },
  [30] = {
    [1] = sym_word,
  },
  [32] = {
    [3] = sym_word,
  },
  [37] = {
    [0] = sym_word,
  },
  [38] = {
    [4] = sym_word,
  },
  [47] = {
    [0] = sym_word,
  },
  [48] = {
    [0] = sym_word,
  },
  [49] = {
    [0] = sym_word,
  },
  [58] = {
    [0] = sym_word,
  },
  [59] = {
    [0] = sym_word,
  },
  [66] = {
    [0] = sym_word,
  },
  [67] = {
    [0] = sym_word,
  },
};

static uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__literal_repeat1, 2,
    aux_sym__literal_repeat1,
    sym_word,
  0,
};

static inline bool sym_word_character_set_1(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_2(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static inline bool sym_word_character_set_3(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(136);
      if (lookahead == '!') ADVANCE(185);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '+') ADVANCE(224);
      if (lookahead == '-') ADVANCE(227);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead == '0') ADVANCE(282);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(206);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '>') ADVANCE(209);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '_') ADVANCE(285);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(91)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == 'e') ADVANCE(275);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(92)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(114)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == 'i') ADVANCE(274);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(102)
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '\\') SKIP(121)
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(120)
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '!') ADVANCE(186);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(296);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(94)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(296);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(104)
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == '-') ADVANCE(292);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(95);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(142);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(144);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(145);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(148);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 19:
      if (lookahead == '\n') ADVANCE(149);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(150);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(152);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(153);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(155);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(156);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(185);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '+') ADVANCE(224);
      if (lookahead == '-') ADVANCE(227);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead == '0') ADVANCE(282);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(206);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '>') ADVANCE(209);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '_') ADVANCE(285);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == ']') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ')') ADVANCE(61);
      if (lookahead == '-') ADVANCE(292);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(115)
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(116);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(118);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(250);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(186);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(98)
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(186);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(61);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ':') ADVANCE(236);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(97)
      if (lookahead == ']') ADVANCE(65);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(244);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == ')') ADVANCE(61);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == ':') ADVANCE(236);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(107)
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(61);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == ':') ADVANCE(236);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(108)
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(110)
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '|') ADVANCE(171);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(111)
      if (lookahead == '|') ADVANCE(171);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      END_STATE();
    case 43:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(99);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 44:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 45:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 46:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46)
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(293);
      END_STATE();
    case 47:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(112);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 48:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(113);
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 49:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(109);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 50:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(244);
      if (lookahead == '\\') ADVANCE(119);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 51:
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '<') ADVANCE(203);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '[') ADVANCE(188);
      if (lookahead == '\\') SKIP(117)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(51)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 52:
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == ';') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(122);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(52)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(293);
      END_STATE();
    case 53:
      if (lookahead == '&') ADVANCE(182);
      END_STATE();
    case 54:
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == ';') ADVANCE(174);
      END_STATE();
    case 55:
      if (lookahead == '\'') ADVANCE(253);
      if (lookahead != 0) ADVANCE(55);
      END_STATE();
    case 56:
      if (lookahead == '\'') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 57:
      if (lookahead == '\'') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == '(') ADVANCE(160);
      END_STATE();
    case 59:
      if (lookahead == '(') ADVANCE(264);
      END_STATE();
    case 60:
      if (lookahead == '(') ADVANCE(265);
      END_STATE();
    case 61:
      if (lookahead == ')') ADVANCE(161);
      END_STATE();
    case 62:
      if (lookahead == '=') ADVANCE(222);
      END_STATE();
    case 63:
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 64:
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    case 65:
      if (lookahead == ']') ADVANCE(192);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 67:
      if (lookahead == 'c') ADVANCE(165);
      END_STATE();
    case 68:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 70:
      if (lookahead == '|') ADVANCE(183);
      END_STATE();
    case 71:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 72:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 73:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 74:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 75:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 76:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 77:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 78:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 79:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 80:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 81:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 82:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 83:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 84:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 85:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 86:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 87:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 88:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 89:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 90:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 91:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 92:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 93:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 94:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      END_STATE();
    case 95:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 96:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 97:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      END_STATE();
    case 98:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      END_STATE();
    case 99:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 100:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 101:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 102:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 103:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 104:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 105:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 106:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 107:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      END_STATE();
    case 108:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      END_STATE();
    case 109:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 110:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      END_STATE();
    case 111:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      END_STATE();
    case 112:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 113:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 114:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 115:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 116:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(249);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 117:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(51)
      END_STATE();
    case 118:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(250);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 119:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 120:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      END_STATE();
    case 121:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 122:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(52)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 123:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(293);
      END_STATE();
    case 124:
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 125:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(134)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(125)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 126:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(135)
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(126)
      END_STATE();
    case 127:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(144);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(127)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 128:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(148);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(128)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 129:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(150);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(129)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 130:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(130)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 131:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(131)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 132:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(156);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(132)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 133:
      if (eof) ADVANCE(136);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(133)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 134:
      if (eof) ADVANCE(136);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(125)
      END_STATE();
    case 135:
      if (eof) ADVANCE(136);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(126)
      END_STATE();
    case 136:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '\\') ADVANCE(75);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '-') ADVANCE(228);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '-') ADVANCE(292);
      if (lookahead == '\\') ADVANCE(95);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(76);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(77);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '\\') ADVANCE(78);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(144);
      if (lookahead == '\\') ADVANCE(79);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(145);
      if (lookahead == '\\') ADVANCE(80);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '\\') ADVANCE(81);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '\\') ADVANCE(82);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(148);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(149);
      if (lookahead == '\\') ADVANCE(84);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(85);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(152);
      if (lookahead == '\\') ADVANCE(88);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(153);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '\\') ADVANCE(90);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(105);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(156);
      if (lookahead == '\\') ADVANCE(106);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == ';') ADVANCE(174);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(173);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(293);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(181);
      if (lookahead == '|') ADVANCE(183);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(183);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      if (lookahead == '&') ADVANCE(176);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_SEMI_AMP);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI_AMP);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(160);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(223);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(293);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(222);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == '~') ADVANCE(194);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(293);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '~') ADVANCE(193);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      if (lookahead == '(') ADVANCE(264);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '<') ADVANCE(219);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '<') ADVANCE(219);
      if (lookahead == '=') ADVANCE(232);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      if (lookahead == '<') ADVANCE(219);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(232);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(217);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '=') ADVANCE(233);
      if (lookahead == '>') ADVANCE(213);
      if (lookahead == '|') ADVANCE(218);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(217);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '>') ADVANCE(213);
      if (lookahead == '|') ADVANCE(218);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(217);
      if (lookahead == '>') ADVANCE(213);
      if (lookahead == '|') ADVANCE(218);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(233);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(220);
      if (lookahead == '<') ADVANCE(221);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(239);
      if (lookahead == '=') ADVANCE(202);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(293);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(241);
      if (lookahead == '=') ADVANCE(231);
      if (lookahead == '\\') ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '=') ADVANCE(230);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(260);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(56);
      if (lookahead == '(') ADVANCE(262);
      if (lookahead == '{') ADVANCE(257);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(262);
      if (lookahead == '{') ADVANCE(257);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(192);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(266);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(116);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(118);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(250);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(244);
      if (lookahead == '\\') ADVANCE(119);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead != 0) ADVANCE(248);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == 'a') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(293);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == 'c') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(293);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == 's') ADVANCE(268);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(293);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(293);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(272);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(293);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(293);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == '~') ADVANCE(194);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(293);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == 'a') ADVANCE(289);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == 'c') ADVANCE(167);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == 'n') ADVANCE(158);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == 's') ADVANCE(288);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(293);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(123);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(293);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(38);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 72:
      if (lookahead == 'v') ADVANCE(75);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 133, .external_lex_state = 2},
  [2] = {.lex_state = 133, .external_lex_state = 2},
  [3] = {.lex_state = 133, .external_lex_state = 2},
  [4] = {.lex_state = 133, .external_lex_state = 2},
  [5] = {.lex_state = 133, .external_lex_state = 2},
  [6] = {.lex_state = 133, .external_lex_state = 2},
  [7] = {.lex_state = 133, .external_lex_state = 2},
  [8] = {.lex_state = 31, .external_lex_state = 2},
  [9] = {.lex_state = 31, .external_lex_state = 2},
  [10] = {.lex_state = 31, .external_lex_state = 2},
  [11] = {.lex_state = 31, .external_lex_state = 2},
  [12] = {.lex_state = 133, .external_lex_state = 2},
  [13] = {.lex_state = 133, .external_lex_state = 2},
  [14] = {.lex_state = 133, .external_lex_state = 2},
  [15] = {.lex_state = 133, .external_lex_state = 2},
  [16] = {.lex_state = 133, .external_lex_state = 2},
  [17] = {.lex_state = 133, .external_lex_state = 2},
  [18] = {.lex_state = 133, .external_lex_state = 2},
  [19] = {.lex_state = 133, .external_lex_state = 2},
  [20] = {.lex_state = 133, .external_lex_state = 2},
  [21] = {.lex_state = 133, .external_lex_state = 2},
  [22] = {.lex_state = 133, .external_lex_state = 2},
  [23] = {.lex_state = 133, .external_lex_state = 2},
  [24] = {.lex_state = 133, .external_lex_state = 2},
  [25] = {.lex_state = 133, .external_lex_state = 2},
  [26] = {.lex_state = 133, .external_lex_state = 2},
  [27] = {.lex_state = 133, .external_lex_state = 2},
  [28] = {.lex_state = 133, .external_lex_state = 2},
  [29] = {.lex_state = 133, .external_lex_state = 2},
  [30] = {.lex_state = 133, .external_lex_state = 2},
  [31] = {.lex_state = 133, .external_lex_state = 2},
  [32] = {.lex_state = 133, .external_lex_state = 2},
  [33] = {.lex_state = 133, .external_lex_state = 2},
  [34] = {.lex_state = 133, .external_lex_state = 2},
  [35] = {.lex_state = 133, .external_lex_state = 2},
  [36] = {.lex_state = 133, .external_lex_state = 2},
  [37] = {.lex_state = 133, .external_lex_state = 2},
  [38] = {.lex_state = 133, .external_lex_state = 2},
  [39] = {.lex_state = 133, .external_lex_state = 2},
  [40] = {.lex_state = 133, .external_lex_state = 2},
  [41] = {.lex_state = 133, .external_lex_state = 2},
  [42] = {.lex_state = 133, .external_lex_state = 2},
  [43] = {.lex_state = 133, .external_lex_state = 2},
  [44] = {.lex_state = 133, .external_lex_state = 2},
  [45] = {.lex_state = 133, .external_lex_state = 2},
  [46] = {.lex_state = 133, .external_lex_state = 2},
  [47] = {.lex_state = 133, .external_lex_state = 2},
  [48] = {.lex_state = 133, .external_lex_state = 2},
  [49] = {.lex_state = 133, .external_lex_state = 2},
  [50] = {.lex_state = 133, .external_lex_state = 2},
  [51] = {.lex_state = 133, .external_lex_state = 2},
  [52] = {.lex_state = 133, .external_lex_state = 2},
  [53] = {.lex_state = 133, .external_lex_state = 2},
  [54] = {.lex_state = 133, .external_lex_state = 2},
  [55] = {.lex_state = 133, .external_lex_state = 2},
  [56] = {.lex_state = 133, .external_lex_state = 2},
  [57] = {.lex_state = 133, .external_lex_state = 2},
  [58] = {.lex_state = 133, .external_lex_state = 2},
  [59] = {.lex_state = 133, .external_lex_state = 2},
  [60] = {.lex_state = 133, .external_lex_state = 2},
  [61] = {.lex_state = 32, .external_lex_state = 3},
  [62] = {.lex_state = 133, .external_lex_state = 2},
  [63] = {.lex_state = 133, .external_lex_state = 2},
  [64] = {.lex_state = 133, .external_lex_state = 2},
  [65] = {.lex_state = 133, .external_lex_state = 2},
  [66] = {.lex_state = 133, .external_lex_state = 2},
  [67] = {.lex_state = 133, .external_lex_state = 2},
  [68] = {.lex_state = 133, .external_lex_state = 2},
  [69] = {.lex_state = 133, .external_lex_state = 2},
  [70] = {.lex_state = 133, .external_lex_state = 2},
  [71] = {.lex_state = 133, .external_lex_state = 2},
  [72] = {.lex_state = 133, .external_lex_state = 2},
  [73] = {.lex_state = 133, .external_lex_state = 2},
  [74] = {.lex_state = 133, .external_lex_state = 2},
  [75] = {.lex_state = 133, .external_lex_state = 2},
  [76] = {.lex_state = 133, .external_lex_state = 2},
  [77] = {.lex_state = 133, .external_lex_state = 2},
  [78] = {.lex_state = 32, .external_lex_state = 3},
  [79] = {.lex_state = 133, .external_lex_state = 2},
  [80] = {.lex_state = 133, .external_lex_state = 2},
  [81] = {.lex_state = 133, .external_lex_state = 2},
  [82] = {.lex_state = 32, .external_lex_state = 3},
  [83] = {.lex_state = 133, .external_lex_state = 2},
  [84] = {.lex_state = 133, .external_lex_state = 2},
  [85] = {.lex_state = 133, .external_lex_state = 2},
  [86] = {.lex_state = 32, .external_lex_state = 3},
  [87] = {.lex_state = 133, .external_lex_state = 2},
  [88] = {.lex_state = 133, .external_lex_state = 2},
  [89] = {.lex_state = 133, .external_lex_state = 2},
  [90] = {.lex_state = 133, .external_lex_state = 2},
  [91] = {.lex_state = 133, .external_lex_state = 2},
  [92] = {.lex_state = 133, .external_lex_state = 2},
  [93] = {.lex_state = 133, .external_lex_state = 2},
  [94] = {.lex_state = 133, .external_lex_state = 2},
  [95] = {.lex_state = 133, .external_lex_state = 2},
  [96] = {.lex_state = 133, .external_lex_state = 2},
  [97] = {.lex_state = 133, .external_lex_state = 2},
  [98] = {.lex_state = 133, .external_lex_state = 2},
  [99] = {.lex_state = 133, .external_lex_state = 2},
  [100] = {.lex_state = 133, .external_lex_state = 2},
  [101] = {.lex_state = 133, .external_lex_state = 2},
  [102] = {.lex_state = 133, .external_lex_state = 2},
  [103] = {.lex_state = 133, .external_lex_state = 2},
  [104] = {.lex_state = 133, .external_lex_state = 2},
  [105] = {.lex_state = 133, .external_lex_state = 2},
  [106] = {.lex_state = 133, .external_lex_state = 2},
  [107] = {.lex_state = 133, .external_lex_state = 2},
  [108] = {.lex_state = 133, .external_lex_state = 2},
  [109] = {.lex_state = 133, .external_lex_state = 2},
  [110] = {.lex_state = 133, .external_lex_state = 2},
  [111] = {.lex_state = 133, .external_lex_state = 2},
  [112] = {.lex_state = 133, .external_lex_state = 2},
  [113] = {.lex_state = 133, .external_lex_state = 2},
  [114] = {.lex_state = 133, .external_lex_state = 2},
  [115] = {.lex_state = 133, .external_lex_state = 2},
  [116] = {.lex_state = 133, .external_lex_state = 2},
  [117] = {.lex_state = 32, .external_lex_state = 3},
  [118] = {.lex_state = 133, .external_lex_state = 2},
  [119] = {.lex_state = 32, .external_lex_state = 3},
  [120] = {.lex_state = 133, .external_lex_state = 2},
  [121] = {.lex_state = 32, .external_lex_state = 3},
  [122] = {.lex_state = 133, .external_lex_state = 2},
  [123] = {.lex_state = 133, .external_lex_state = 2},
  [124] = {.lex_state = 133, .external_lex_state = 2},
  [125] = {.lex_state = 133, .external_lex_state = 2},
  [126] = {.lex_state = 133, .external_lex_state = 2},
  [127] = {.lex_state = 133, .external_lex_state = 2},
  [128] = {.lex_state = 133, .external_lex_state = 2},
  [129] = {.lex_state = 133, .external_lex_state = 2},
  [130] = {.lex_state = 133, .external_lex_state = 2},
  [131] = {.lex_state = 133, .external_lex_state = 2},
  [132] = {.lex_state = 133, .external_lex_state = 2},
  [133] = {.lex_state = 133, .external_lex_state = 2},
  [134] = {.lex_state = 133, .external_lex_state = 2},
  [135] = {.lex_state = 133, .external_lex_state = 2},
  [136] = {.lex_state = 133, .external_lex_state = 2},
  [137] = {.lex_state = 133, .external_lex_state = 2},
  [138] = {.lex_state = 133, .external_lex_state = 2},
  [139] = {.lex_state = 133, .external_lex_state = 2},
  [140] = {.lex_state = 133, .external_lex_state = 2},
  [141] = {.lex_state = 133, .external_lex_state = 2},
  [142] = {.lex_state = 133, .external_lex_state = 2},
  [143] = {.lex_state = 133, .external_lex_state = 2},
  [144] = {.lex_state = 133, .external_lex_state = 2},
  [145] = {.lex_state = 133, .external_lex_state = 2},
  [146] = {.lex_state = 133, .external_lex_state = 2},
  [147] = {.lex_state = 133, .external_lex_state = 2},
  [148] = {.lex_state = 133, .external_lex_state = 2},
  [149] = {.lex_state = 133, .external_lex_state = 2},
  [150] = {.lex_state = 133, .external_lex_state = 2},
  [151] = {.lex_state = 133, .external_lex_state = 2},
  [152] = {.lex_state = 133, .external_lex_state = 2},
  [153] = {.lex_state = 133, .external_lex_state = 2},
  [154] = {.lex_state = 1, .external_lex_state = 4},
  [155] = {.lex_state = 1, .external_lex_state = 4},
  [156] = {.lex_state = 1, .external_lex_state = 4},
  [157] = {.lex_state = 11, .external_lex_state = 4},
  [158] = {.lex_state = 31, .external_lex_state = 5},
  [159] = {.lex_state = 11, .external_lex_state = 4},
  [160] = {.lex_state = 31, .external_lex_state = 5},
  [161] = {.lex_state = 12, .external_lex_state = 6},
  [162] = {.lex_state = 133, .external_lex_state = 5},
  [163] = {.lex_state = 11, .external_lex_state = 4},
  [164] = {.lex_state = 13, .external_lex_state = 4},
  [165] = {.lex_state = 127, .external_lex_state = 4},
  [166] = {.lex_state = 15, .external_lex_state = 6},
  [167] = {.lex_state = 133, .external_lex_state = 5},
  [168] = {.lex_state = 127, .external_lex_state = 4},
  [169] = {.lex_state = 127, .external_lex_state = 4},
  [170] = {.lex_state = 16, .external_lex_state = 6},
  [171] = {.lex_state = 13, .external_lex_state = 4},
  [172] = {.lex_state = 16, .external_lex_state = 6},
  [173] = {.lex_state = 16, .external_lex_state = 6},
  [174] = {.lex_state = 127, .external_lex_state = 4},
  [175] = {.lex_state = 127, .external_lex_state = 4},
  [176] = {.lex_state = 16, .external_lex_state = 6},
  [177] = {.lex_state = 133, .external_lex_state = 5},
  [178] = {.lex_state = 16, .external_lex_state = 6},
  [179] = {.lex_state = 127, .external_lex_state = 4},
  [180] = {.lex_state = 1, .external_lex_state = 6},
  [181] = {.lex_state = 1, .external_lex_state = 6},
  [182] = {.lex_state = 17, .external_lex_state = 6},
  [183] = {.lex_state = 17, .external_lex_state = 6},
  [184] = {.lex_state = 17, .external_lex_state = 6},
  [185] = {.lex_state = 128, .external_lex_state = 6},
  [186] = {.lex_state = 127, .external_lex_state = 4},
  [187] = {.lex_state = 128, .external_lex_state = 6},
  [188] = {.lex_state = 127, .external_lex_state = 4},
  [189] = {.lex_state = 1, .external_lex_state = 6},
  [190] = {.lex_state = 19, .external_lex_state = 4},
  [191] = {.lex_state = 13, .external_lex_state = 6},
  [192] = {.lex_state = 17, .external_lex_state = 6},
  [193] = {.lex_state = 19, .external_lex_state = 4},
  [194] = {.lex_state = 17, .external_lex_state = 6},
  [195] = {.lex_state = 133, .external_lex_state = 2},
  [196] = {.lex_state = 133, .external_lex_state = 2},
  [197] = {.lex_state = 133, .external_lex_state = 2},
  [198] = {.lex_state = 133, .external_lex_state = 5},
  [199] = {.lex_state = 31, .external_lex_state = 2},
  [200] = {.lex_state = 129, .external_lex_state = 4},
  [201] = {.lex_state = 19, .external_lex_state = 6},
  [202] = {.lex_state = 129, .external_lex_state = 4},
  [203] = {.lex_state = 130, .external_lex_state = 6},
  [204] = {.lex_state = 31, .external_lex_state = 2},
  [205] = {.lex_state = 11, .external_lex_state = 6},
  [206] = {.lex_state = 130, .external_lex_state = 6},
  [207] = {.lex_state = 129, .external_lex_state = 4},
  [208] = {.lex_state = 133, .external_lex_state = 2},
  [209] = {.lex_state = 32, .external_lex_state = 7},
  [210] = {.lex_state = 11, .external_lex_state = 6},
  [211] = {.lex_state = 133, .external_lex_state = 5},
  [212] = {.lex_state = 130, .external_lex_state = 6},
  [213] = {.lex_state = 130, .external_lex_state = 6},
  [214] = {.lex_state = 130, .external_lex_state = 6},
  [215] = {.lex_state = 130, .external_lex_state = 6},
  [216] = {.lex_state = 133, .external_lex_state = 5},
  [217] = {.lex_state = 133, .external_lex_state = 5},
  [218] = {.lex_state = 31, .external_lex_state = 2},
  [219] = {.lex_state = 133, .external_lex_state = 2},
  [220] = {.lex_state = 11, .external_lex_state = 6},
  [221] = {.lex_state = 31, .external_lex_state = 2},
  [222] = {.lex_state = 130, .external_lex_state = 6},
  [223] = {.lex_state = 130, .external_lex_state = 6},
  [224] = {.lex_state = 133, .external_lex_state = 2},
  [225] = {.lex_state = 130, .external_lex_state = 6},
  [226] = {.lex_state = 129, .external_lex_state = 4},
  [227] = {.lex_state = 130, .external_lex_state = 6},
  [228] = {.lex_state = 133, .external_lex_state = 5},
  [229] = {.lex_state = 127, .external_lex_state = 6},
  [230] = {.lex_state = 127, .external_lex_state = 6},
  [231] = {.lex_state = 129, .external_lex_state = 6},
  [232] = {.lex_state = 130, .external_lex_state = 6},
  [233] = {.lex_state = 133, .external_lex_state = 5},
  [234] = {.lex_state = 127, .external_lex_state = 6},
  [235] = {.lex_state = 130, .external_lex_state = 6},
  [236] = {.lex_state = 127, .external_lex_state = 6},
  [237] = {.lex_state = 133, .external_lex_state = 5},
  [238] = {.lex_state = 127, .external_lex_state = 6},
  [239] = {.lex_state = 130, .external_lex_state = 6},
  [240] = {.lex_state = 129, .external_lex_state = 6},
  [241] = {.lex_state = 127, .external_lex_state = 6},
  [242] = {.lex_state = 130, .external_lex_state = 6},
  [243] = {.lex_state = 45, .external_lex_state = 2},
  [244] = {.lex_state = 127, .external_lex_state = 6},
  [245] = {.lex_state = 45, .external_lex_state = 2},
  [246] = {.lex_state = 45, .external_lex_state = 2},
  [247] = {.lex_state = 127, .external_lex_state = 6},
  [248] = {.lex_state = 45, .external_lex_state = 2},
  [249] = {.lex_state = 45, .external_lex_state = 2},
  [250] = {.lex_state = 133, .external_lex_state = 2},
  [251] = {.lex_state = 32, .external_lex_state = 3},
  [252] = {.lex_state = 133, .external_lex_state = 2},
  [253] = {.lex_state = 133, .external_lex_state = 2},
  [254] = {.lex_state = 32, .external_lex_state = 3},
  [255] = {.lex_state = 133, .external_lex_state = 2},
  [256] = {.lex_state = 22, .external_lex_state = 4},
  [257] = {.lex_state = 133, .external_lex_state = 2},
  [258] = {.lex_state = 16, .external_lex_state = 8},
  [259] = {.lex_state = 133, .external_lex_state = 2},
  [260] = {.lex_state = 133, .external_lex_state = 2},
  [261] = {.lex_state = 22, .external_lex_state = 4},
  [262] = {.lex_state = 22, .external_lex_state = 4},
  [263] = {.lex_state = 133, .external_lex_state = 2},
  [264] = {.lex_state = 133, .external_lex_state = 2},
  [265] = {.lex_state = 22, .external_lex_state = 4},
  [266] = {.lex_state = 133, .external_lex_state = 2},
  [267] = {.lex_state = 16, .external_lex_state = 8},
  [268] = {.lex_state = 17, .external_lex_state = 8},
  [269] = {.lex_state = 16, .external_lex_state = 8},
  [270] = {.lex_state = 16, .external_lex_state = 8},
  [271] = {.lex_state = 16, .external_lex_state = 8},
  [272] = {.lex_state = 23, .external_lex_state = 4},
  [273] = {.lex_state = 1, .external_lex_state = 9},
  [274] = {.lex_state = 1, .external_lex_state = 9},
  [275] = {.lex_state = 16, .external_lex_state = 8},
  [276] = {.lex_state = 1, .external_lex_state = 9},
  [277] = {.lex_state = 23, .external_lex_state = 4},
  [278] = {.lex_state = 1, .external_lex_state = 9},
  [279] = {.lex_state = 16, .external_lex_state = 8},
  [280] = {.lex_state = 1, .external_lex_state = 9},
  [281] = {.lex_state = 23, .external_lex_state = 4},
  [282] = {.lex_state = 23, .external_lex_state = 4},
  [283] = {.lex_state = 17, .external_lex_state = 8},
  [284] = {.lex_state = 16, .external_lex_state = 8},
  [285] = {.lex_state = 16, .external_lex_state = 8},
  [286] = {.lex_state = 16, .external_lex_state = 8},
  [287] = {.lex_state = 16, .external_lex_state = 8},
  [288] = {.lex_state = 16, .external_lex_state = 8},
  [289] = {.lex_state = 1, .external_lex_state = 9},
  [290] = {.lex_state = 17, .external_lex_state = 8},
  [291] = {.lex_state = 17, .external_lex_state = 8},
  [292] = {.lex_state = 1, .external_lex_state = 9},
  [293] = {.lex_state = 22, .external_lex_state = 9},
  [294] = {.lex_state = 11, .external_lex_state = 9},
  [295] = {.lex_state = 1, .external_lex_state = 9},
  [296] = {.lex_state = 11, .external_lex_state = 9},
  [297] = {.lex_state = 17, .external_lex_state = 8},
  [298] = {.lex_state = 16, .external_lex_state = 6},
  [299] = {.lex_state = 131, .external_lex_state = 4},
  [300] = {.lex_state = 131, .external_lex_state = 4},
  [301] = {.lex_state = 1, .external_lex_state = 4},
  [302] = {.lex_state = 1, .external_lex_state = 4},
  [303] = {.lex_state = 1, .external_lex_state = 4},
  [304] = {.lex_state = 1, .external_lex_state = 8},
  [305] = {.lex_state = 131, .external_lex_state = 4},
  [306] = {.lex_state = 131, .external_lex_state = 4},
  [307] = {.lex_state = 1, .external_lex_state = 9},
  [308] = {.lex_state = 131, .external_lex_state = 4},
  [309] = {.lex_state = 16, .external_lex_state = 6},
  [310] = {.lex_state = 17, .external_lex_state = 8},
  [311] = {.lex_state = 16, .external_lex_state = 6},
  [312] = {.lex_state = 16, .external_lex_state = 8},
  [313] = {.lex_state = 11, .external_lex_state = 9},
  [314] = {.lex_state = 17, .external_lex_state = 8},
  [315] = {.lex_state = 22, .external_lex_state = 9},
  [316] = {.lex_state = 16, .external_lex_state = 8},
  [317] = {.lex_state = 131, .external_lex_state = 4},
  [318] = {.lex_state = 16, .external_lex_state = 8},
  [319] = {.lex_state = 131, .external_lex_state = 4},
  [320] = {.lex_state = 16, .external_lex_state = 8},
  [321] = {.lex_state = 11, .external_lex_state = 9},
  [322] = {.lex_state = 16, .external_lex_state = 8},
  [323] = {.lex_state = 130, .external_lex_state = 8},
  [324] = {.lex_state = 16, .external_lex_state = 8},
  [325] = {.lex_state = 16, .external_lex_state = 8},
  [326] = {.lex_state = 16, .external_lex_state = 8},
  [327] = {.lex_state = 16, .external_lex_state = 8},
  [328] = {.lex_state = 16, .external_lex_state = 8},
  [329] = {.lex_state = 16, .external_lex_state = 8},
  [330] = {.lex_state = 16, .external_lex_state = 8},
  [331] = {.lex_state = 16, .external_lex_state = 8},
  [332] = {.lex_state = 1, .external_lex_state = 9},
  [333] = {.lex_state = 16, .external_lex_state = 8},
  [334] = {.lex_state = 1, .external_lex_state = 9},
  [335] = {.lex_state = 131, .external_lex_state = 4},
  [336] = {.lex_state = 22, .external_lex_state = 9},
  [337] = {.lex_state = 16, .external_lex_state = 6},
  [338] = {.lex_state = 22, .external_lex_state = 9},
  [339] = {.lex_state = 1, .external_lex_state = 9},
  [340] = {.lex_state = 16, .external_lex_state = 8},
  [341] = {.lex_state = 130, .external_lex_state = 8},
  [342] = {.lex_state = 16, .external_lex_state = 8},
  [343] = {.lex_state = 1, .external_lex_state = 8},
  [344] = {.lex_state = 1, .external_lex_state = 9},
  [345] = {.lex_state = 1, .external_lex_state = 9},
  [346] = {.lex_state = 1, .external_lex_state = 9},
  [347] = {.lex_state = 16, .external_lex_state = 8},
  [348] = {.lex_state = 1, .external_lex_state = 9},
  [349] = {.lex_state = 1, .external_lex_state = 9},
  [350] = {.lex_state = 1, .external_lex_state = 9},
  [351] = {.lex_state = 1, .external_lex_state = 9},
  [352] = {.lex_state = 16, .external_lex_state = 8},
  [353] = {.lex_state = 1, .external_lex_state = 8},
  [354] = {.lex_state = 1, .external_lex_state = 9},
  [355] = {.lex_state = 1, .external_lex_state = 9},
  [356] = {.lex_state = 1, .external_lex_state = 9},
  [357] = {.lex_state = 16, .external_lex_state = 8},
  [358] = {.lex_state = 1, .external_lex_state = 9},
  [359] = {.lex_state = 1, .external_lex_state = 9},
  [360] = {.lex_state = 1, .external_lex_state = 9},
  [361] = {.lex_state = 1, .external_lex_state = 9},
  [362] = {.lex_state = 1, .external_lex_state = 9},
  [363] = {.lex_state = 1, .external_lex_state = 9},
  [364] = {.lex_state = 1, .external_lex_state = 9},
  [365] = {.lex_state = 1, .external_lex_state = 9},
  [366] = {.lex_state = 16, .external_lex_state = 8},
  [367] = {.lex_state = 16, .external_lex_state = 8},
  [368] = {.lex_state = 1, .external_lex_state = 9},
  [369] = {.lex_state = 11, .external_lex_state = 9},
  [370] = {.lex_state = 1, .external_lex_state = 8},
  [371] = {.lex_state = 1, .external_lex_state = 8},
  [372] = {.lex_state = 130, .external_lex_state = 8},
  [373] = {.lex_state = 130, .external_lex_state = 8},
  [374] = {.lex_state = 131, .external_lex_state = 4},
  [375] = {.lex_state = 1, .external_lex_state = 8},
  [376] = {.lex_state = 11, .external_lex_state = 9},
  [377] = {.lex_state = 22, .external_lex_state = 9},
  [378] = {.lex_state = 1, .external_lex_state = 8},
  [379] = {.lex_state = 1, .external_lex_state = 8},
  [380] = {.lex_state = 1, .external_lex_state = 8},
  [381] = {.lex_state = 11, .external_lex_state = 9},
  [382] = {.lex_state = 11, .external_lex_state = 9},
  [383] = {.lex_state = 127, .external_lex_state = 9},
  [384] = {.lex_state = 131, .external_lex_state = 4},
  [385] = {.lex_state = 1, .external_lex_state = 6},
  [386] = {.lex_state = 130, .external_lex_state = 8},
  [387] = {.lex_state = 16, .external_lex_state = 6},
  [388] = {.lex_state = 11, .external_lex_state = 9},
  [389] = {.lex_state = 22, .external_lex_state = 9},
  [390] = {.lex_state = 1, .external_lex_state = 8},
  [391] = {.lex_state = 11, .external_lex_state = 9},
  [392] = {.lex_state = 11, .external_lex_state = 9},
  [393] = {.lex_state = 11, .external_lex_state = 9},
  [394] = {.lex_state = 1, .external_lex_state = 8},
  [395] = {.lex_state = 1, .external_lex_state = 8},
  [396] = {.lex_state = 11, .external_lex_state = 9},
  [397] = {.lex_state = 1, .external_lex_state = 8},
  [398] = {.lex_state = 1, .external_lex_state = 8},
  [399] = {.lex_state = 1, .external_lex_state = 8},
  [400] = {.lex_state = 127, .external_lex_state = 9},
  [401] = {.lex_state = 16, .external_lex_state = 6},
  [402] = {.lex_state = 22, .external_lex_state = 9},
  [403] = {.lex_state = 1, .external_lex_state = 8},
  [404] = {.lex_state = 16, .external_lex_state = 6},
  [405] = {.lex_state = 22, .external_lex_state = 4},
  [406] = {.lex_state = 130, .external_lex_state = 8},
  [407] = {.lex_state = 11, .external_lex_state = 9},
  [408] = {.lex_state = 1, .external_lex_state = 8},
  [409] = {.lex_state = 22, .external_lex_state = 9},
  [410] = {.lex_state = 127, .external_lex_state = 9},
  [411] = {.lex_state = 1, .external_lex_state = 8},
  [412] = {.lex_state = 1, .external_lex_state = 8},
  [413] = {.lex_state = 1, .external_lex_state = 8},
  [414] = {.lex_state = 11, .external_lex_state = 9},
  [415] = {.lex_state = 11, .external_lex_state = 9},
  [416] = {.lex_state = 1, .external_lex_state = 8},
  [417] = {.lex_state = 130, .external_lex_state = 8},
  [418] = {.lex_state = 11, .external_lex_state = 4},
  [419] = {.lex_state = 1, .external_lex_state = 8},
  [420] = {.lex_state = 11, .external_lex_state = 9},
  [421] = {.lex_state = 23, .external_lex_state = 9},
  [422] = {.lex_state = 1, .external_lex_state = 8},
  [423] = {.lex_state = 11, .external_lex_state = 4},
  [424] = {.lex_state = 1, .external_lex_state = 8},
  [425] = {.lex_state = 11, .external_lex_state = 9},
  [426] = {.lex_state = 23, .external_lex_state = 9},
  [427] = {.lex_state = 1, .external_lex_state = 8},
  [428] = {.lex_state = 11, .external_lex_state = 9},
  [429] = {.lex_state = 22, .external_lex_state = 9},
  [430] = {.lex_state = 17, .external_lex_state = 8},
  [431] = {.lex_state = 127, .external_lex_state = 9},
  [432] = {.lex_state = 11, .external_lex_state = 9},
  [433] = {.lex_state = 11, .external_lex_state = 9},
  [434] = {.lex_state = 11, .external_lex_state = 9},
  [435] = {.lex_state = 11, .external_lex_state = 9},
  [436] = {.lex_state = 22, .external_lex_state = 9},
  [437] = {.lex_state = 11, .external_lex_state = 9},
  [438] = {.lex_state = 11, .external_lex_state = 8},
  [439] = {.lex_state = 17, .external_lex_state = 8},
  [440] = {.lex_state = 22, .external_lex_state = 9},
  [441] = {.lex_state = 1, .external_lex_state = 8},
  [442] = {.lex_state = 22, .external_lex_state = 4},
  [443] = {.lex_state = 17, .external_lex_state = 8},
  [444] = {.lex_state = 17, .external_lex_state = 8},
  [445] = {.lex_state = 17, .external_lex_state = 8},
  [446] = {.lex_state = 131, .external_lex_state = 4},
  [447] = {.lex_state = 17, .external_lex_state = 8},
  [448] = {.lex_state = 131, .external_lex_state = 4},
  [449] = {.lex_state = 16, .external_lex_state = 6},
  [450] = {.lex_state = 22, .external_lex_state = 9},
  [451] = {.lex_state = 127, .external_lex_state = 9},
  [452] = {.lex_state = 11, .external_lex_state = 9},
  [453] = {.lex_state = 131, .external_lex_state = 4},
  [454] = {.lex_state = 17, .external_lex_state = 8},
  [455] = {.lex_state = 17, .external_lex_state = 8},
  [456] = {.lex_state = 131, .external_lex_state = 4},
  [457] = {.lex_state = 17, .external_lex_state = 8},
  [458] = {.lex_state = 130, .external_lex_state = 8},
  [459] = {.lex_state = 127, .external_lex_state = 9},
  [460] = {.lex_state = 17, .external_lex_state = 6},
  [461] = {.lex_state = 17, .external_lex_state = 8},
  [462] = {.lex_state = 17, .external_lex_state = 8},
  [463] = {.lex_state = 17, .external_lex_state = 8},
  [464] = {.lex_state = 22, .external_lex_state = 9},
  [465] = {.lex_state = 130, .external_lex_state = 8},
  [466] = {.lex_state = 17, .external_lex_state = 8},
  [467] = {.lex_state = 22, .external_lex_state = 9},
  [468] = {.lex_state = 22, .external_lex_state = 9},
  [469] = {.lex_state = 17, .external_lex_state = 8},
  [470] = {.lex_state = 1, .external_lex_state = 6},
  [471] = {.lex_state = 17, .external_lex_state = 8},
  [472] = {.lex_state = 22, .external_lex_state = 9},
  [473] = {.lex_state = 22, .external_lex_state = 9},
  [474] = {.lex_state = 22, .external_lex_state = 9},
  [475] = {.lex_state = 22, .external_lex_state = 9},
  [476] = {.lex_state = 127, .external_lex_state = 9},
  [477] = {.lex_state = 17, .external_lex_state = 8},
  [478] = {.lex_state = 17, .external_lex_state = 8},
  [479] = {.lex_state = 127, .external_lex_state = 9},
  [480] = {.lex_state = 17, .external_lex_state = 8},
  [481] = {.lex_state = 22, .external_lex_state = 9},
  [482] = {.lex_state = 17, .external_lex_state = 8},
  [483] = {.lex_state = 17, .external_lex_state = 8},
  [484] = {.lex_state = 22, .external_lex_state = 9},
  [485] = {.lex_state = 22, .external_lex_state = 9},
  [486] = {.lex_state = 22, .external_lex_state = 9},
  [487] = {.lex_state = 1, .external_lex_state = 4},
  [488] = {.lex_state = 127, .external_lex_state = 9},
  [489] = {.lex_state = 22, .external_lex_state = 9},
  [490] = {.lex_state = 22, .external_lex_state = 9},
  [491] = {.lex_state = 22, .external_lex_state = 9},
  [492] = {.lex_state = 17, .external_lex_state = 8},
  [493] = {.lex_state = 17, .external_lex_state = 8},
  [494] = {.lex_state = 22, .external_lex_state = 9},
  [495] = {.lex_state = 1, .external_lex_state = 4},
  [496] = {.lex_state = 22, .external_lex_state = 9},
  [497] = {.lex_state = 17, .external_lex_state = 8},
  [498] = {.lex_state = 11, .external_lex_state = 8},
  [499] = {.lex_state = 11, .external_lex_state = 9},
  [500] = {.lex_state = 17, .external_lex_state = 6},
  [501] = {.lex_state = 17, .external_lex_state = 6},
  [502] = {.lex_state = 130, .external_lex_state = 8},
  [503] = {.lex_state = 127, .external_lex_state = 9},
  [504] = {.lex_state = 17, .external_lex_state = 6},
  [505] = {.lex_state = 1, .external_lex_state = 4},
  [506] = {.lex_state = 130, .external_lex_state = 8},
  [507] = {.lex_state = 17, .external_lex_state = 8},
  [508] = {.lex_state = 11, .external_lex_state = 9},
  [509] = {.lex_state = 11, .external_lex_state = 9},
  [510] = {.lex_state = 1, .external_lex_state = 4},
  [511] = {.lex_state = 11, .external_lex_state = 9},
  [512] = {.lex_state = 11, .external_lex_state = 9},
  [513] = {.lex_state = 22, .external_lex_state = 9},
  [514] = {.lex_state = 2, .external_lex_state = 6},
  [515] = {.lex_state = 11, .external_lex_state = 9},
  [516] = {.lex_state = 22, .external_lex_state = 9},
  [517] = {.lex_state = 23, .external_lex_state = 9},
  [518] = {.lex_state = 11, .external_lex_state = 8},
  [519] = {.lex_state = 11, .external_lex_state = 4},
  [520] = {.lex_state = 130, .external_lex_state = 8},
  [521] = {.lex_state = 1, .external_lex_state = 8},
  [522] = {.lex_state = 1, .external_lex_state = 8},
  [523] = {.lex_state = 17, .external_lex_state = 8},
  [524] = {.lex_state = 131, .external_lex_state = 4},
  [525] = {.lex_state = 130, .external_lex_state = 8},
  [526] = {.lex_state = 17, .external_lex_state = 8},
  [527] = {.lex_state = 23, .external_lex_state = 9},
  [528] = {.lex_state = 1, .external_lex_state = 8},
  [529] = {.lex_state = 130, .external_lex_state = 8},
  [530] = {.lex_state = 1, .external_lex_state = 8},
  [531] = {.lex_state = 11, .external_lex_state = 8},
  [532] = {.lex_state = 131, .external_lex_state = 4},
  [533] = {.lex_state = 130, .external_lex_state = 8},
  [534] = {.lex_state = 11, .external_lex_state = 6},
  [535] = {.lex_state = 130, .external_lex_state = 6},
  [536] = {.lex_state = 127, .external_lex_state = 9},
  [537] = {.lex_state = 130, .external_lex_state = 8},
  [538] = {.lex_state = 17, .external_lex_state = 6},
  [539] = {.lex_state = 127, .external_lex_state = 4},
  [540] = {.lex_state = 130, .external_lex_state = 6},
  [541] = {.lex_state = 127, .external_lex_state = 9},
  [542] = {.lex_state = 127, .external_lex_state = 9},
  [543] = {.lex_state = 130, .external_lex_state = 8},
  [544] = {.lex_state = 127, .external_lex_state = 8},
  [545] = {.lex_state = 127, .external_lex_state = 4},
  [546] = {.lex_state = 127, .external_lex_state = 9},
  [547] = {.lex_state = 127, .external_lex_state = 9},
  [548] = {.lex_state = 11, .external_lex_state = 8},
  [549] = {.lex_state = 130, .external_lex_state = 6},
  [550] = {.lex_state = 130, .external_lex_state = 8},
  [551] = {.lex_state = 130, .external_lex_state = 8},
  [552] = {.lex_state = 127, .external_lex_state = 9},
  [553] = {.lex_state = 3, .external_lex_state = 6},
  [554] = {.lex_state = 23, .external_lex_state = 9},
  [555] = {.lex_state = 23, .external_lex_state = 9},
  [556] = {.lex_state = 23, .external_lex_state = 9},
  [557] = {.lex_state = 23, .external_lex_state = 9},
  [558] = {.lex_state = 23, .external_lex_state = 9},
  [559] = {.lex_state = 23, .external_lex_state = 9},
  [560] = {.lex_state = 23, .external_lex_state = 9},
  [561] = {.lex_state = 23, .external_lex_state = 9},
  [562] = {.lex_state = 23, .external_lex_state = 9},
  [563] = {.lex_state = 23, .external_lex_state = 9},
  [564] = {.lex_state = 23, .external_lex_state = 9},
  [565] = {.lex_state = 23, .external_lex_state = 9},
  [566] = {.lex_state = 23, .external_lex_state = 9},
  [567] = {.lex_state = 130, .external_lex_state = 8},
  [568] = {.lex_state = 23, .external_lex_state = 9},
  [569] = {.lex_state = 23, .external_lex_state = 9},
  [570] = {.lex_state = 23, .external_lex_state = 9},
  [571] = {.lex_state = 23, .external_lex_state = 9},
  [572] = {.lex_state = 23, .external_lex_state = 4},
  [573] = {.lex_state = 127, .external_lex_state = 8},
  [574] = {.lex_state = 23, .external_lex_state = 9},
  [575] = {.lex_state = 23, .external_lex_state = 9},
  [576] = {.lex_state = 23, .external_lex_state = 9},
  [577] = {.lex_state = 127, .external_lex_state = 9},
  [578] = {.lex_state = 11, .external_lex_state = 8},
  [579] = {.lex_state = 11, .external_lex_state = 8},
  [580] = {.lex_state = 11, .external_lex_state = 8},
  [581] = {.lex_state = 130, .external_lex_state = 8},
  [582] = {.lex_state = 130, .external_lex_state = 8},
  [583] = {.lex_state = 131, .external_lex_state = 9},
  [584] = {.lex_state = 127, .external_lex_state = 9},
  [585] = {.lex_state = 127, .external_lex_state = 9},
  [586] = {.lex_state = 11, .external_lex_state = 8},
  [587] = {.lex_state = 130, .external_lex_state = 8},
  [588] = {.lex_state = 130, .external_lex_state = 8},
  [589] = {.lex_state = 127, .external_lex_state = 9},
  [590] = {.lex_state = 127, .external_lex_state = 9},
  [591] = {.lex_state = 127, .external_lex_state = 9},
  [592] = {.lex_state = 127, .external_lex_state = 9},
  [593] = {.lex_state = 11, .external_lex_state = 8},
  [594] = {.lex_state = 11, .external_lex_state = 8},
  [595] = {.lex_state = 11, .external_lex_state = 8},
  [596] = {.lex_state = 11, .external_lex_state = 8},
  [597] = {.lex_state = 11, .external_lex_state = 8},
  [598] = {.lex_state = 130, .external_lex_state = 8},
  [599] = {.lex_state = 127, .external_lex_state = 8},
  [600] = {.lex_state = 127, .external_lex_state = 4},
  [601] = {.lex_state = 130, .external_lex_state = 8},
  [602] = {.lex_state = 130, .external_lex_state = 8},
  [603] = {.lex_state = 127, .external_lex_state = 9},
  [604] = {.lex_state = 11, .external_lex_state = 8},
  [605] = {.lex_state = 11, .external_lex_state = 8},
  [606] = {.lex_state = 11, .external_lex_state = 8},
  [607] = {.lex_state = 130, .external_lex_state = 8},
  [608] = {.lex_state = 130, .external_lex_state = 8},
  [609] = {.lex_state = 130, .external_lex_state = 8},
  [610] = {.lex_state = 1, .external_lex_state = 6},
  [611] = {.lex_state = 130, .external_lex_state = 8},
  [612] = {.lex_state = 130, .external_lex_state = 8},
  [613] = {.lex_state = 127, .external_lex_state = 9},
  [614] = {.lex_state = 131, .external_lex_state = 9},
  [615] = {.lex_state = 17, .external_lex_state = 6},
  [616] = {.lex_state = 127, .external_lex_state = 9},
  [617] = {.lex_state = 11, .external_lex_state = 8},
  [618] = {.lex_state = 130, .external_lex_state = 6},
  [619] = {.lex_state = 130, .external_lex_state = 6},
  [620] = {.lex_state = 127, .external_lex_state = 9},
  [621] = {.lex_state = 127, .external_lex_state = 8},
  [622] = {.lex_state = 127, .external_lex_state = 9},
  [623] = {.lex_state = 131, .external_lex_state = 9},
  [624] = {.lex_state = 130, .external_lex_state = 6},
  [625] = {.lex_state = 127, .external_lex_state = 9},
  [626] = {.lex_state = 130, .external_lex_state = 6},
  [627] = {.lex_state = 11, .external_lex_state = 8},
  [628] = {.lex_state = 11, .external_lex_state = 8},
  [629] = {.lex_state = 11, .external_lex_state = 8},
  [630] = {.lex_state = 11, .external_lex_state = 8},
  [631] = {.lex_state = 11, .external_lex_state = 6},
  [632] = {.lex_state = 17, .external_lex_state = 6},
  [633] = {.lex_state = 11, .external_lex_state = 8},
  [634] = {.lex_state = 11, .external_lex_state = 8},
  [635] = {.lex_state = 11, .external_lex_state = 8},
  [636] = {.lex_state = 131, .external_lex_state = 9},
  [637] = {.lex_state = 22, .external_lex_state = 4},
  [638] = {.lex_state = 131, .external_lex_state = 9},
  [639] = {.lex_state = 131, .external_lex_state = 9},
  [640] = {.lex_state = 127, .external_lex_state = 8},
  [641] = {.lex_state = 127, .external_lex_state = 4},
  [642] = {.lex_state = 125, .external_lex_state = 6},
  [643] = {.lex_state = 130, .external_lex_state = 6},
  [644] = {.lex_state = 130, .external_lex_state = 8},
  [645] = {.lex_state = 11, .external_lex_state = 4},
  [646] = {.lex_state = 11, .external_lex_state = 4},
  [647] = {.lex_state = 130, .external_lex_state = 8},
  [648] = {.lex_state = 130, .external_lex_state = 8},
  [649] = {.lex_state = 130, .external_lex_state = 8},
  [650] = {.lex_state = 130, .external_lex_state = 8},
  [651] = {.lex_state = 130, .external_lex_state = 8},
  [652] = {.lex_state = 130, .external_lex_state = 8},
  [653] = {.lex_state = 130, .external_lex_state = 8},
  [654] = {.lex_state = 127, .external_lex_state = 4},
  [655] = {.lex_state = 131, .external_lex_state = 9},
  [656] = {.lex_state = 130, .external_lex_state = 8},
  [657] = {.lex_state = 130, .external_lex_state = 8},
  [658] = {.lex_state = 127, .external_lex_state = 9},
  [659] = {.lex_state = 127, .external_lex_state = 9},
  [660] = {.lex_state = 130, .external_lex_state = 8},
  [661] = {.lex_state = 127, .external_lex_state = 9},
  [662] = {.lex_state = 127, .external_lex_state = 9},
  [663] = {.lex_state = 23, .external_lex_state = 9},
  [664] = {.lex_state = 127, .external_lex_state = 9},
  [665] = {.lex_state = 127, .external_lex_state = 9},
  [666] = {.lex_state = 127, .external_lex_state = 9},
  [667] = {.lex_state = 22, .external_lex_state = 4},
  [668] = {.lex_state = 130, .external_lex_state = 8},
  [669] = {.lex_state = 127, .external_lex_state = 9},
  [670] = {.lex_state = 127, .external_lex_state = 9},
  [671] = {.lex_state = 130, .external_lex_state = 8},
  [672] = {.lex_state = 23, .external_lex_state = 9},
  [673] = {.lex_state = 130, .external_lex_state = 8},
  [674] = {.lex_state = 130, .external_lex_state = 8},
  [675] = {.lex_state = 127, .external_lex_state = 9},
  [676] = {.lex_state = 127, .external_lex_state = 9},
  [677] = {.lex_state = 23, .external_lex_state = 9},
  [678] = {.lex_state = 127, .external_lex_state = 9},
  [679] = {.lex_state = 130, .external_lex_state = 8},
  [680] = {.lex_state = 130, .external_lex_state = 8},
  [681] = {.lex_state = 130, .external_lex_state = 8},
  [682] = {.lex_state = 130, .external_lex_state = 8},
  [683] = {.lex_state = 127, .external_lex_state = 9},
  [684] = {.lex_state = 23, .external_lex_state = 9},
  [685] = {.lex_state = 127, .external_lex_state = 9},
  [686] = {.lex_state = 127, .external_lex_state = 9},
  [687] = {.lex_state = 11, .external_lex_state = 4},
  [688] = {.lex_state = 127, .external_lex_state = 9},
  [689] = {.lex_state = 23, .external_lex_state = 9},
  [690] = {.lex_state = 22, .external_lex_state = 4},
  [691] = {.lex_state = 11, .external_lex_state = 4},
  [692] = {.lex_state = 23, .external_lex_state = 9},
  [693] = {.lex_state = 127, .external_lex_state = 9},
  [694] = {.lex_state = 130, .external_lex_state = 8},
  [695] = {.lex_state = 130, .external_lex_state = 8},
  [696] = {.lex_state = 130, .external_lex_state = 8},
  [697] = {.lex_state = 130, .external_lex_state = 8},
  [698] = {.lex_state = 127, .external_lex_state = 9},
  [699] = {.lex_state = 127, .external_lex_state = 9},
  [700] = {.lex_state = 127, .external_lex_state = 9},
  [701] = {.lex_state = 22, .external_lex_state = 4},
  [702] = {.lex_state = 127, .external_lex_state = 9},
  [703] = {.lex_state = 127, .external_lex_state = 9},
  [704] = {.lex_state = 127, .external_lex_state = 9},
  [705] = {.lex_state = 127, .external_lex_state = 9},
  [706] = {.lex_state = 130, .external_lex_state = 8},
  [707] = {.lex_state = 130, .external_lex_state = 8},
  [708] = {.lex_state = 130, .external_lex_state = 8},
  [709] = {.lex_state = 130, .external_lex_state = 8},
  [710] = {.lex_state = 127, .external_lex_state = 9},
  [711] = {.lex_state = 127, .external_lex_state = 9},
  [712] = {.lex_state = 127, .external_lex_state = 9},
  [713] = {.lex_state = 127, .external_lex_state = 9},
  [714] = {.lex_state = 127, .external_lex_state = 9},
  [715] = {.lex_state = 127, .external_lex_state = 9},
  [716] = {.lex_state = 127, .external_lex_state = 8},
  [717] = {.lex_state = 130, .external_lex_state = 8},
  [718] = {.lex_state = 130, .external_lex_state = 8},
  [719] = {.lex_state = 11, .external_lex_state = 8},
  [720] = {.lex_state = 127, .external_lex_state = 9},
  [721] = {.lex_state = 11, .external_lex_state = 8},
  [722] = {.lex_state = 127, .external_lex_state = 4},
  [723] = {.lex_state = 130, .external_lex_state = 8},
  [724] = {.lex_state = 130, .external_lex_state = 8},
  [725] = {.lex_state = 127, .external_lex_state = 8},
  [726] = {.lex_state = 11, .external_lex_state = 8},
  [727] = {.lex_state = 130, .external_lex_state = 8},
  [728] = {.lex_state = 11, .external_lex_state = 8},
  [729] = {.lex_state = 130, .external_lex_state = 8},
  [730] = {.lex_state = 17, .external_lex_state = 6},
  [731] = {.lex_state = 130, .external_lex_state = 8},
  [732] = {.lex_state = 127, .external_lex_state = 9},
  [733] = {.lex_state = 127, .external_lex_state = 9},
  [734] = {.lex_state = 11, .external_lex_state = 8},
  [735] = {.lex_state = 127, .external_lex_state = 8},
  [736] = {.lex_state = 23, .external_lex_state = 4},
  [737] = {.lex_state = 131, .external_lex_state = 9},
  [738] = {.lex_state = 127, .external_lex_state = 4},
  [739] = {.lex_state = 131, .external_lex_state = 9},
  [740] = {.lex_state = 130, .external_lex_state = 6},
  [741] = {.lex_state = 11, .external_lex_state = 6},
  [742] = {.lex_state = 46, .external_lex_state = 2},
  [743] = {.lex_state = 130, .external_lex_state = 6},
  [744] = {.lex_state = 46, .external_lex_state = 2},
  [745] = {.lex_state = 23, .external_lex_state = 4},
  [746] = {.lex_state = 127, .external_lex_state = 8},
  [747] = {.lex_state = 46, .external_lex_state = 2},
  [748] = {.lex_state = 127, .external_lex_state = 8},
  [749] = {.lex_state = 127, .external_lex_state = 6},
  [750] = {.lex_state = 127, .external_lex_state = 8},
  [751] = {.lex_state = 130, .external_lex_state = 6},
  [752] = {.lex_state = 130, .external_lex_state = 6},
  [753] = {.lex_state = 127, .external_lex_state = 8},
  [754] = {.lex_state = 131, .external_lex_state = 4},
  [755] = {.lex_state = 127, .external_lex_state = 8},
  [756] = {.lex_state = 46, .external_lex_state = 2},
  [757] = {.lex_state = 127, .external_lex_state = 8},
  [758] = {.lex_state = 127, .external_lex_state = 8},
  [759] = {.lex_state = 127, .external_lex_state = 8},
  [760] = {.lex_state = 127, .external_lex_state = 8},
  [761] = {.lex_state = 127, .external_lex_state = 4},
  [762] = {.lex_state = 127, .external_lex_state = 8},
  [763] = {.lex_state = 127, .external_lex_state = 8},
  [764] = {.lex_state = 127, .external_lex_state = 8},
  [765] = {.lex_state = 127, .external_lex_state = 8},
  [766] = {.lex_state = 127, .external_lex_state = 8},
  [767] = {.lex_state = 127, .external_lex_state = 8},
  [768] = {.lex_state = 127, .external_lex_state = 8},
  [769] = {.lex_state = 130, .external_lex_state = 6},
  [770] = {.lex_state = 127, .external_lex_state = 8},
  [771] = {.lex_state = 127, .external_lex_state = 8},
  [772] = {.lex_state = 130, .external_lex_state = 6},
  [773] = {.lex_state = 127, .external_lex_state = 8},
  [774] = {.lex_state = 127, .external_lex_state = 8},
  [775] = {.lex_state = 127, .external_lex_state = 8},
  [776] = {.lex_state = 127, .external_lex_state = 8},
  [777] = {.lex_state = 127, .external_lex_state = 8},
  [778] = {.lex_state = 127, .external_lex_state = 4},
  [779] = {.lex_state = 127, .external_lex_state = 8},
  [780] = {.lex_state = 127, .external_lex_state = 8},
  [781] = {.lex_state = 127, .external_lex_state = 8},
  [782] = {.lex_state = 127, .external_lex_state = 6},
  [783] = {.lex_state = 125, .external_lex_state = 6},
  [784] = {.lex_state = 131, .external_lex_state = 9},
  [785] = {.lex_state = 131, .external_lex_state = 9},
  [786] = {.lex_state = 131, .external_lex_state = 9},
  [787] = {.lex_state = 131, .external_lex_state = 9},
  [788] = {.lex_state = 131, .external_lex_state = 9},
  [789] = {.lex_state = 131, .external_lex_state = 9},
  [790] = {.lex_state = 131, .external_lex_state = 9},
  [791] = {.lex_state = 131, .external_lex_state = 9},
  [792] = {.lex_state = 131, .external_lex_state = 9},
  [793] = {.lex_state = 131, .external_lex_state = 9},
  [794] = {.lex_state = 131, .external_lex_state = 9},
  [795] = {.lex_state = 131, .external_lex_state = 9},
  [796] = {.lex_state = 131, .external_lex_state = 9},
  [797] = {.lex_state = 131, .external_lex_state = 9},
  [798] = {.lex_state = 131, .external_lex_state = 4},
  [799] = {.lex_state = 131, .external_lex_state = 4},
  [800] = {.lex_state = 131, .external_lex_state = 9},
  [801] = {.lex_state = 131, .external_lex_state = 9},
  [802] = {.lex_state = 131, .external_lex_state = 9},
  [803] = {.lex_state = 131, .external_lex_state = 9},
  [804] = {.lex_state = 131, .external_lex_state = 9},
  [805] = {.lex_state = 131, .external_lex_state = 9},
  [806] = {.lex_state = 130, .external_lex_state = 6},
  [807] = {.lex_state = 127, .external_lex_state = 4},
  [808] = {.lex_state = 131, .external_lex_state = 9},
  [809] = {.lex_state = 131, .external_lex_state = 9},
  [810] = {.lex_state = 131, .external_lex_state = 9},
  [811] = {.lex_state = 131, .external_lex_state = 9},
  [812] = {.lex_state = 131, .external_lex_state = 9},
  [813] = {.lex_state = 131, .external_lex_state = 9},
  [814] = {.lex_state = 131, .external_lex_state = 9},
  [815] = {.lex_state = 131, .external_lex_state = 9},
  [816] = {.lex_state = 131, .external_lex_state = 9},
  [817] = {.lex_state = 131, .external_lex_state = 9},
  [818] = {.lex_state = 127, .external_lex_state = 4},
  [819] = {.lex_state = 131, .external_lex_state = 9},
  [820] = {.lex_state = 127, .external_lex_state = 6},
  [821] = {.lex_state = 131, .external_lex_state = 9},
  [822] = {.lex_state = 131, .external_lex_state = 9},
  [823] = {.lex_state = 131, .external_lex_state = 9},
  [824] = {.lex_state = 131, .external_lex_state = 9},
  [825] = {.lex_state = 131, .external_lex_state = 9},
  [826] = {.lex_state = 46, .external_lex_state = 2},
  [827] = {.lex_state = 130, .external_lex_state = 6},
  [828] = {.lex_state = 131, .external_lex_state = 9},
  [829] = {.lex_state = 131, .external_lex_state = 9},
  [830] = {.lex_state = 131, .external_lex_state = 9},
  [831] = {.lex_state = 131, .external_lex_state = 9},
  [832] = {.lex_state = 131, .external_lex_state = 9},
  [833] = {.lex_state = 131, .external_lex_state = 9},
  [834] = {.lex_state = 131, .external_lex_state = 9},
  [835] = {.lex_state = 131, .external_lex_state = 4},
  [836] = {.lex_state = 131, .external_lex_state = 9},
  [837] = {.lex_state = 131, .external_lex_state = 9},
  [838] = {.lex_state = 131, .external_lex_state = 9},
  [839] = {.lex_state = 131, .external_lex_state = 9},
  [840] = {.lex_state = 131, .external_lex_state = 9},
  [841] = {.lex_state = 131, .external_lex_state = 9},
  [842] = {.lex_state = 131, .external_lex_state = 9},
  [843] = {.lex_state = 131, .external_lex_state = 9},
  [844] = {.lex_state = 23, .external_lex_state = 4},
  [845] = {.lex_state = 23, .external_lex_state = 4},
  [846] = {.lex_state = 23, .external_lex_state = 4},
  [847] = {.lex_state = 127, .external_lex_state = 6},
  [848] = {.lex_state = 127, .external_lex_state = 8},
  [849] = {.lex_state = 127, .external_lex_state = 8},
  [850] = {.lex_state = 127, .external_lex_state = 8},
  [851] = {.lex_state = 127, .external_lex_state = 8},
  [852] = {.lex_state = 127, .external_lex_state = 8},
  [853] = {.lex_state = 127, .external_lex_state = 8},
  [854] = {.lex_state = 127, .external_lex_state = 8},
  [855] = {.lex_state = 127, .external_lex_state = 4},
  [856] = {.lex_state = 127, .external_lex_state = 8},
  [857] = {.lex_state = 127, .external_lex_state = 8},
  [858] = {.lex_state = 127, .external_lex_state = 8},
  [859] = {.lex_state = 127, .external_lex_state = 8},
  [860] = {.lex_state = 127, .external_lex_state = 8},
  [861] = {.lex_state = 127, .external_lex_state = 8},
  [862] = {.lex_state = 127, .external_lex_state = 8},
  [863] = {.lex_state = 127, .external_lex_state = 8},
  [864] = {.lex_state = 127, .external_lex_state = 8},
  [865] = {.lex_state = 127, .external_lex_state = 8},
  [866] = {.lex_state = 127, .external_lex_state = 8},
  [867] = {.lex_state = 127, .external_lex_state = 8},
  [868] = {.lex_state = 127, .external_lex_state = 8},
  [869] = {.lex_state = 127, .external_lex_state = 8},
  [870] = {.lex_state = 127, .external_lex_state = 4},
  [871] = {.lex_state = 127, .external_lex_state = 8},
  [872] = {.lex_state = 127, .external_lex_state = 8},
  [873] = {.lex_state = 127, .external_lex_state = 8},
  [874] = {.lex_state = 127, .external_lex_state = 8},
  [875] = {.lex_state = 127, .external_lex_state = 8},
  [876] = {.lex_state = 127, .external_lex_state = 4},
  [877] = {.lex_state = 131, .external_lex_state = 4},
  [878] = {.lex_state = 131, .external_lex_state = 4},
  [879] = {.lex_state = 131, .external_lex_state = 4},
  [880] = {.lex_state = 131, .external_lex_state = 4},
  [881] = {.lex_state = 131, .external_lex_state = 4},
  [882] = {.lex_state = 8, .external_lex_state = 10},
  [883] = {.lex_state = 127, .external_lex_state = 6},
  [884] = {.lex_state = 131, .external_lex_state = 4},
  [885] = {.lex_state = 127, .external_lex_state = 6},
  [886] = {.lex_state = 131, .external_lex_state = 4},
  [887] = {.lex_state = 131, .external_lex_state = 4},
  [888] = {.lex_state = 10, .external_lex_state = 10},
  [889] = {.lex_state = 10, .external_lex_state = 10},
  [890] = {.lex_state = 29, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 10},
  [892] = {.lex_state = 38},
  [893] = {.lex_state = 10, .external_lex_state = 10},
  [894] = {.lex_state = 10, .external_lex_state = 10},
  [895] = {.lex_state = 10, .external_lex_state = 10},
  [896] = {.lex_state = 10, .external_lex_state = 10},
  [897] = {.lex_state = 10, .external_lex_state = 10},
  [898] = {.lex_state = 10, .external_lex_state = 10},
  [899] = {.lex_state = 37},
  [900] = {.lex_state = 37, .external_lex_state = 11},
  [901] = {.lex_state = 43, .external_lex_state = 12},
  [902] = {.lex_state = 43, .external_lex_state = 12},
  [903] = {.lex_state = 44, .external_lex_state = 13},
  [904] = {.lex_state = 44, .external_lex_state = 13},
  [905] = {.lex_state = 44, .external_lex_state = 13},
  [906] = {.lex_state = 44, .external_lex_state = 13},
  [907] = {.lex_state = 43, .external_lex_state = 12},
  [908] = {.lex_state = 43, .external_lex_state = 12},
  [909] = {.lex_state = 43, .external_lex_state = 12},
  [910] = {.lex_state = 43, .external_lex_state = 12},
  [911] = {.lex_state = 44, .external_lex_state = 13},
  [912] = {.lex_state = 44, .external_lex_state = 13},
  [913] = {.lex_state = 44, .external_lex_state = 13},
  [914] = {.lex_state = 44, .external_lex_state = 13},
  [915] = {.lex_state = 43, .external_lex_state = 12},
  [916] = {.lex_state = 43, .external_lex_state = 12},
  [917] = {.lex_state = 43, .external_lex_state = 12},
  [918] = {.lex_state = 43, .external_lex_state = 12},
  [919] = {.lex_state = 44, .external_lex_state = 13},
  [920] = {.lex_state = 44, .external_lex_state = 13},
  [921] = {.lex_state = 44, .external_lex_state = 13},
  [922] = {.lex_state = 33},
  [923] = {.lex_state = 44, .external_lex_state = 13},
  [924] = {.lex_state = 43, .external_lex_state = 12},
  [925] = {.lex_state = 43, .external_lex_state = 12},
  [926] = {.lex_state = 43, .external_lex_state = 12},
  [927] = {.lex_state = 43, .external_lex_state = 12},
  [928] = {.lex_state = 44, .external_lex_state = 13},
  [929] = {.lex_state = 44, .external_lex_state = 13},
  [930] = {.lex_state = 44, .external_lex_state = 13},
  [931] = {.lex_state = 44, .external_lex_state = 13},
  [932] = {.lex_state = 43, .external_lex_state = 12},
  [933] = {.lex_state = 44, .external_lex_state = 13},
  [934] = {.lex_state = 44, .external_lex_state = 13},
  [935] = {.lex_state = 43, .external_lex_state = 12},
  [936] = {.lex_state = 44, .external_lex_state = 13},
  [937] = {.lex_state = 43, .external_lex_state = 12},
  [938] = {.lex_state = 43, .external_lex_state = 12},
  [939] = {.lex_state = 43, .external_lex_state = 12},
  [940] = {.lex_state = 43, .external_lex_state = 12},
  [941] = {.lex_state = 44, .external_lex_state = 13},
  [942] = {.lex_state = 44, .external_lex_state = 13},
  [943] = {.lex_state = 43, .external_lex_state = 12},
  [944] = {.lex_state = 44, .external_lex_state = 13},
  [945] = {.lex_state = 44, .external_lex_state = 13},
  [946] = {.lex_state = 43, .external_lex_state = 12},
  [947] = {.lex_state = 44, .external_lex_state = 13},
  [948] = {.lex_state = 44, .external_lex_state = 13},
  [949] = {.lex_state = 44, .external_lex_state = 13},
  [950] = {.lex_state = 44, .external_lex_state = 13},
  [951] = {.lex_state = 43, .external_lex_state = 12},
  [952] = {.lex_state = 43, .external_lex_state = 12},
  [953] = {.lex_state = 43, .external_lex_state = 12},
  [954] = {.lex_state = 43, .external_lex_state = 12},
  [955] = {.lex_state = 43, .external_lex_state = 12},
  [956] = {.lex_state = 43, .external_lex_state = 12},
  [957] = {.lex_state = 44, .external_lex_state = 13},
  [958] = {.lex_state = 43, .external_lex_state = 12},
  [959] = {.lex_state = 44, .external_lex_state = 13},
  [960] = {.lex_state = 44, .external_lex_state = 13},
  [961] = {.lex_state = 44, .external_lex_state = 13},
  [962] = {.lex_state = 43, .external_lex_state = 12},
  [963] = {.lex_state = 43, .external_lex_state = 12},
  [964] = {.lex_state = 43, .external_lex_state = 12},
  [965] = {.lex_state = 43, .external_lex_state = 12},
  [966] = {.lex_state = 44, .external_lex_state = 13},
  [967] = {.lex_state = 44, .external_lex_state = 13},
  [968] = {.lex_state = 44, .external_lex_state = 13},
  [969] = {.lex_state = 43, .external_lex_state = 12},
  [970] = {.lex_state = 44, .external_lex_state = 13},
  [971] = {.lex_state = 44, .external_lex_state = 13},
  [972] = {.lex_state = 44, .external_lex_state = 13},
  [973] = {.lex_state = 44, .external_lex_state = 13},
  [974] = {.lex_state = 43, .external_lex_state = 12},
  [975] = {.lex_state = 43, .external_lex_state = 12},
  [976] = {.lex_state = 44, .external_lex_state = 13},
  [977] = {.lex_state = 43, .external_lex_state = 12},
  [978] = {.lex_state = 43, .external_lex_state = 12},
  [979] = {.lex_state = 43, .external_lex_state = 12},
  [980] = {.lex_state = 44, .external_lex_state = 13},
  [981] = {.lex_state = 44, .external_lex_state = 13},
  [982] = {.lex_state = 44, .external_lex_state = 13},
  [983] = {.lex_state = 44, .external_lex_state = 13},
  [984] = {.lex_state = 43, .external_lex_state = 12},
  [985] = {.lex_state = 43, .external_lex_state = 12},
  [986] = {.lex_state = 43, .external_lex_state = 12},
  [987] = {.lex_state = 43, .external_lex_state = 12},
  [988] = {.lex_state = 44, .external_lex_state = 13},
  [989] = {.lex_state = 43, .external_lex_state = 12},
  [990] = {.lex_state = 44, .external_lex_state = 13},
  [991] = {.lex_state = 44, .external_lex_state = 13},
  [992] = {.lex_state = 44, .external_lex_state = 13},
  [993] = {.lex_state = 33},
  [994] = {.lex_state = 43, .external_lex_state = 12},
  [995] = {.lex_state = 33},
  [996] = {.lex_state = 43, .external_lex_state = 12},
  [997] = {.lex_state = 43, .external_lex_state = 12},
  [998] = {.lex_state = 43, .external_lex_state = 12},
  [999] = {.lex_state = 43, .external_lex_state = 12},
  [1000] = {.lex_state = 44, .external_lex_state = 13},
  [1001] = {.lex_state = 44, .external_lex_state = 13},
  [1002] = {.lex_state = 44, .external_lex_state = 13},
  [1003] = {.lex_state = 44, .external_lex_state = 13},
  [1004] = {.lex_state = 43, .external_lex_state = 12},
  [1005] = {.lex_state = 43, .external_lex_state = 12},
  [1006] = {.lex_state = 43, .external_lex_state = 12},
  [1007] = {.lex_state = 43, .external_lex_state = 12},
  [1008] = {.lex_state = 43, .external_lex_state = 12},
  [1009] = {.lex_state = 44, .external_lex_state = 13},
  [1010] = {.lex_state = 44, .external_lex_state = 13},
  [1011] = {.lex_state = 44, .external_lex_state = 13},
  [1012] = {.lex_state = 44, .external_lex_state = 13},
  [1013] = {.lex_state = 44, .external_lex_state = 13},
  [1014] = {.lex_state = 43, .external_lex_state = 12},
  [1015] = {.lex_state = 44, .external_lex_state = 13},
  [1016] = {.lex_state = 44, .external_lex_state = 13},
  [1017] = {.lex_state = 43, .external_lex_state = 12},
  [1018] = {.lex_state = 44, .external_lex_state = 13},
  [1019] = {.lex_state = 44, .external_lex_state = 13},
  [1020] = {.lex_state = 43, .external_lex_state = 12},
  [1021] = {.lex_state = 43, .external_lex_state = 12},
  [1022] = {.lex_state = 44, .external_lex_state = 13},
  [1023] = {.lex_state = 44, .external_lex_state = 13},
  [1024] = {.lex_state = 44, .external_lex_state = 13},
  [1025] = {.lex_state = 44, .external_lex_state = 13},
  [1026] = {.lex_state = 44, .external_lex_state = 13},
  [1027] = {.lex_state = 43, .external_lex_state = 12},
  [1028] = {.lex_state = 43, .external_lex_state = 12},
  [1029] = {.lex_state = 43, .external_lex_state = 12},
  [1030] = {.lex_state = 43, .external_lex_state = 12},
  [1031] = {.lex_state = 43, .external_lex_state = 12},
  [1032] = {.lex_state = 44, .external_lex_state = 13},
  [1033] = {.lex_state = 44, .external_lex_state = 13},
  [1034] = {.lex_state = 43, .external_lex_state = 12},
  [1035] = {.lex_state = 43, .external_lex_state = 12},
  [1036] = {.lex_state = 43, .external_lex_state = 12},
  [1037] = {.lex_state = 43, .external_lex_state = 12},
  [1038] = {.lex_state = 43, .external_lex_state = 12},
  [1039] = {.lex_state = 33},
  [1040] = {.lex_state = 44, .external_lex_state = 13},
  [1041] = {.lex_state = 44, .external_lex_state = 13},
  [1042] = {.lex_state = 44, .external_lex_state = 13},
  [1043] = {.lex_state = 43, .external_lex_state = 12},
  [1044] = {.lex_state = 44, .external_lex_state = 13},
  [1045] = {.lex_state = 43, .external_lex_state = 12},
  [1046] = {.lex_state = 43, .external_lex_state = 12},
  [1047] = {.lex_state = 44, .external_lex_state = 13},
  [1048] = {.lex_state = 43, .external_lex_state = 12},
  [1049] = {.lex_state = 43, .external_lex_state = 12},
  [1050] = {.lex_state = 44, .external_lex_state = 13},
  [1051] = {.lex_state = 44, .external_lex_state = 13},
  [1052] = {.lex_state = 44, .external_lex_state = 13},
  [1053] = {.lex_state = 43, .external_lex_state = 12},
  [1054] = {.lex_state = 43, .external_lex_state = 12},
  [1055] = {.lex_state = 43, .external_lex_state = 12},
  [1056] = {.lex_state = 43, .external_lex_state = 12},
  [1057] = {.lex_state = 44, .external_lex_state = 13},
  [1058] = {.lex_state = 44, .external_lex_state = 13},
  [1059] = {.lex_state = 33},
  [1060] = {.lex_state = 44, .external_lex_state = 13},
  [1061] = {.lex_state = 44, .external_lex_state = 13},
  [1062] = {.lex_state = 44, .external_lex_state = 13},
  [1063] = {.lex_state = 43, .external_lex_state = 12},
  [1064] = {.lex_state = 43, .external_lex_state = 12},
  [1065] = {.lex_state = 43, .external_lex_state = 12},
  [1066] = {.lex_state = 43, .external_lex_state = 12},
  [1067] = {.lex_state = 44, .external_lex_state = 13},
  [1068] = {.lex_state = 44, .external_lex_state = 13},
  [1069] = {.lex_state = 44, .external_lex_state = 13},
  [1070] = {.lex_state = 44, .external_lex_state = 13},
  [1071] = {.lex_state = 43, .external_lex_state = 12},
  [1072] = {.lex_state = 43, .external_lex_state = 12},
  [1073] = {.lex_state = 43, .external_lex_state = 12},
  [1074] = {.lex_state = 43, .external_lex_state = 12},
  [1075] = {.lex_state = 44, .external_lex_state = 13},
  [1076] = {.lex_state = 44, .external_lex_state = 13},
  [1077] = {.lex_state = 44, .external_lex_state = 13},
  [1078] = {.lex_state = 44, .external_lex_state = 13},
  [1079] = {.lex_state = 44, .external_lex_state = 13},
  [1080] = {.lex_state = 43, .external_lex_state = 12},
  [1081] = {.lex_state = 43, .external_lex_state = 12},
  [1082] = {.lex_state = 43, .external_lex_state = 12},
  [1083] = {.lex_state = 43, .external_lex_state = 12},
  [1084] = {.lex_state = 43, .external_lex_state = 12},
  [1085] = {.lex_state = 43, .external_lex_state = 12},
  [1086] = {.lex_state = 43, .external_lex_state = 12},
  [1087] = {.lex_state = 33, .external_lex_state = 14},
  [1088] = {.lex_state = 44, .external_lex_state = 13},
  [1089] = {.lex_state = 44, .external_lex_state = 13},
  [1090] = {.lex_state = 44, .external_lex_state = 13},
  [1091] = {.lex_state = 44, .external_lex_state = 13},
  [1092] = {.lex_state = 44, .external_lex_state = 13},
  [1093] = {.lex_state = 43, .external_lex_state = 12},
  [1094] = {.lex_state = 43, .external_lex_state = 12},
  [1095] = {.lex_state = 43, .external_lex_state = 12},
  [1096] = {.lex_state = 43, .external_lex_state = 12},
  [1097] = {.lex_state = 43, .external_lex_state = 12},
  [1098] = {.lex_state = 44, .external_lex_state = 13},
  [1099] = {.lex_state = 44, .external_lex_state = 13},
  [1100] = {.lex_state = 44, .external_lex_state = 13},
  [1101] = {.lex_state = 33, .external_lex_state = 14},
  [1102] = {.lex_state = 43, .external_lex_state = 12},
  [1103] = {.lex_state = 44, .external_lex_state = 13},
  [1104] = {.lex_state = 44, .external_lex_state = 13},
  [1105] = {.lex_state = 44, .external_lex_state = 13},
  [1106] = {.lex_state = 43, .external_lex_state = 12},
  [1107] = {.lex_state = 43, .external_lex_state = 12},
  [1108] = {.lex_state = 43, .external_lex_state = 12},
  [1109] = {.lex_state = 44, .external_lex_state = 13},
  [1110] = {.lex_state = 43, .external_lex_state = 12},
  [1111] = {.lex_state = 44, .external_lex_state = 13},
  [1112] = {.lex_state = 44, .external_lex_state = 13},
  [1113] = {.lex_state = 44, .external_lex_state = 13},
  [1114] = {.lex_state = 44, .external_lex_state = 13},
  [1115] = {.lex_state = 44, .external_lex_state = 13},
  [1116] = {.lex_state = 44, .external_lex_state = 13},
  [1117] = {.lex_state = 43, .external_lex_state = 12},
  [1118] = {.lex_state = 33},
  [1119] = {.lex_state = 33},
  [1120] = {.lex_state = 43, .external_lex_state = 12},
  [1121] = {.lex_state = 43, .external_lex_state = 12},
  [1122] = {.lex_state = 43, .external_lex_state = 12},
  [1123] = {.lex_state = 44, .external_lex_state = 13},
  [1124] = {.lex_state = 33},
  [1125] = {.lex_state = 43, .external_lex_state = 12},
  [1126] = {.lex_state = 33},
  [1127] = {.lex_state = 44, .external_lex_state = 13},
  [1128] = {.lex_state = 44, .external_lex_state = 13},
  [1129] = {.lex_state = 44, .external_lex_state = 13},
  [1130] = {.lex_state = 44, .external_lex_state = 13},
  [1131] = {.lex_state = 44, .external_lex_state = 13},
  [1132] = {.lex_state = 33},
  [1133] = {.lex_state = 43, .external_lex_state = 12},
  [1134] = {.lex_state = 43, .external_lex_state = 12},
  [1135] = {.lex_state = 43, .external_lex_state = 12},
  [1136] = {.lex_state = 43, .external_lex_state = 12},
  [1137] = {.lex_state = 33},
  [1138] = {.lex_state = 44, .external_lex_state = 13},
  [1139] = {.lex_state = 33},
  [1140] = {.lex_state = 43, .external_lex_state = 12},
  [1141] = {.lex_state = 43, .external_lex_state = 12},
  [1142] = {.lex_state = 43, .external_lex_state = 12},
  [1143] = {.lex_state = 44, .external_lex_state = 13},
  [1144] = {.lex_state = 33, .external_lex_state = 14},
  [1145] = {.lex_state = 43, .external_lex_state = 12},
  [1146] = {.lex_state = 44, .external_lex_state = 13},
  [1147] = {.lex_state = 44, .external_lex_state = 13},
  [1148] = {.lex_state = 44, .external_lex_state = 13},
  [1149] = {.lex_state = 44, .external_lex_state = 13},
  [1150] = {.lex_state = 44, .external_lex_state = 13},
  [1151] = {.lex_state = 44, .external_lex_state = 13},
  [1152] = {.lex_state = 43, .external_lex_state = 12},
  [1153] = {.lex_state = 43, .external_lex_state = 12},
  [1154] = {.lex_state = 43, .external_lex_state = 12},
  [1155] = {.lex_state = 43, .external_lex_state = 12},
  [1156] = {.lex_state = 44, .external_lex_state = 13},
  [1157] = {.lex_state = 33, .external_lex_state = 14},
  [1158] = {.lex_state = 43, .external_lex_state = 12},
  [1159] = {.lex_state = 43, .external_lex_state = 12},
  [1160] = {.lex_state = 33, .external_lex_state = 14},
  [1161] = {.lex_state = 44, .external_lex_state = 13},
  [1162] = {.lex_state = 43, .external_lex_state = 12},
  [1163] = {.lex_state = 43, .external_lex_state = 12},
  [1164] = {.lex_state = 43, .external_lex_state = 12},
  [1165] = {.lex_state = 44, .external_lex_state = 13},
  [1166] = {.lex_state = 44, .external_lex_state = 12},
  [1167] = {.lex_state = 44, .external_lex_state = 12},
  [1168] = {.lex_state = 33},
  [1169] = {.lex_state = 44, .external_lex_state = 12},
  [1170] = {.lex_state = 44, .external_lex_state = 12},
  [1171] = {.lex_state = 44, .external_lex_state = 12},
  [1172] = {.lex_state = 44, .external_lex_state = 12},
  [1173] = {.lex_state = 44, .external_lex_state = 12},
  [1174] = {.lex_state = 33},
  [1175] = {.lex_state = 33},
  [1176] = {.lex_state = 33},
  [1177] = {.lex_state = 33},
  [1178] = {.lex_state = 44, .external_lex_state = 12},
  [1179] = {.lex_state = 33},
  [1180] = {.lex_state = 33},
  [1181] = {.lex_state = 44, .external_lex_state = 12},
  [1182] = {.lex_state = 44, .external_lex_state = 12},
  [1183] = {.lex_state = 44, .external_lex_state = 12},
  [1184] = {.lex_state = 44, .external_lex_state = 12},
  [1185] = {.lex_state = 44, .external_lex_state = 12},
  [1186] = {.lex_state = 44, .external_lex_state = 12},
  [1187] = {.lex_state = 44, .external_lex_state = 12},
  [1188] = {.lex_state = 44, .external_lex_state = 12},
  [1189] = {.lex_state = 33},
  [1190] = {.lex_state = 44, .external_lex_state = 12},
  [1191] = {.lex_state = 33},
  [1192] = {.lex_state = 33},
  [1193] = {.lex_state = 33},
  [1194] = {.lex_state = 44, .external_lex_state = 12},
  [1195] = {.lex_state = 44, .external_lex_state = 12},
  [1196] = {.lex_state = 44, .external_lex_state = 12},
  [1197] = {.lex_state = 33},
  [1198] = {.lex_state = 33},
  [1199] = {.lex_state = 44, .external_lex_state = 12},
  [1200] = {.lex_state = 44, .external_lex_state = 12},
  [1201] = {.lex_state = 33},
  [1202] = {.lex_state = 33},
  [1203] = {.lex_state = 44, .external_lex_state = 12},
  [1204] = {.lex_state = 44, .external_lex_state = 12},
  [1205] = {.lex_state = 44, .external_lex_state = 12},
  [1206] = {.lex_state = 44, .external_lex_state = 12},
  [1207] = {.lex_state = 33},
  [1208] = {.lex_state = 44, .external_lex_state = 12},
  [1209] = {.lex_state = 44, .external_lex_state = 12},
  [1210] = {.lex_state = 44, .external_lex_state = 12},
  [1211] = {.lex_state = 44, .external_lex_state = 12},
  [1212] = {.lex_state = 44, .external_lex_state = 12},
  [1213] = {.lex_state = 44, .external_lex_state = 12},
  [1214] = {.lex_state = 44, .external_lex_state = 12},
  [1215] = {.lex_state = 44, .external_lex_state = 12},
  [1216] = {.lex_state = 33},
  [1217] = {.lex_state = 33},
  [1218] = {.lex_state = 33},
  [1219] = {.lex_state = 33},
  [1220] = {.lex_state = 44, .external_lex_state = 12},
  [1221] = {.lex_state = 44, .external_lex_state = 12},
  [1222] = {.lex_state = 44, .external_lex_state = 12},
  [1223] = {.lex_state = 33},
  [1224] = {.lex_state = 44, .external_lex_state = 12},
  [1225] = {.lex_state = 33},
  [1226] = {.lex_state = 33},
  [1227] = {.lex_state = 44, .external_lex_state = 12},
  [1228] = {.lex_state = 44, .external_lex_state = 12},
  [1229] = {.lex_state = 44, .external_lex_state = 12},
  [1230] = {.lex_state = 44, .external_lex_state = 12},
  [1231] = {.lex_state = 44, .external_lex_state = 12},
  [1232] = {.lex_state = 44, .external_lex_state = 12},
  [1233] = {.lex_state = 44, .external_lex_state = 12},
  [1234] = {.lex_state = 44, .external_lex_state = 12},
  [1235] = {.lex_state = 44, .external_lex_state = 12},
  [1236] = {.lex_state = 44, .external_lex_state = 12},
  [1237] = {.lex_state = 44, .external_lex_state = 12},
  [1238] = {.lex_state = 44, .external_lex_state = 12},
  [1239] = {.lex_state = 44, .external_lex_state = 12},
  [1240] = {.lex_state = 44, .external_lex_state = 12},
  [1241] = {.lex_state = 44, .external_lex_state = 12},
  [1242] = {.lex_state = 44, .external_lex_state = 12},
  [1243] = {.lex_state = 44, .external_lex_state = 12},
  [1244] = {.lex_state = 44, .external_lex_state = 12},
  [1245] = {.lex_state = 44, .external_lex_state = 12},
  [1246] = {.lex_state = 44, .external_lex_state = 12},
  [1247] = {.lex_state = 44, .external_lex_state = 12},
  [1248] = {.lex_state = 44, .external_lex_state = 12},
  [1249] = {.lex_state = 44, .external_lex_state = 12},
  [1250] = {.lex_state = 44, .external_lex_state = 12},
  [1251] = {.lex_state = 44, .external_lex_state = 12},
  [1252] = {.lex_state = 44, .external_lex_state = 12},
  [1253] = {.lex_state = 44, .external_lex_state = 12},
  [1254] = {.lex_state = 44, .external_lex_state = 12},
  [1255] = {.lex_state = 44, .external_lex_state = 12},
  [1256] = {.lex_state = 44, .external_lex_state = 12},
  [1257] = {.lex_state = 44, .external_lex_state = 12},
  [1258] = {.lex_state = 44, .external_lex_state = 12},
  [1259] = {.lex_state = 44, .external_lex_state = 12},
  [1260] = {.lex_state = 44, .external_lex_state = 12},
  [1261] = {.lex_state = 44, .external_lex_state = 12},
  [1262] = {.lex_state = 44, .external_lex_state = 12},
  [1263] = {.lex_state = 44, .external_lex_state = 12},
  [1264] = {.lex_state = 44, .external_lex_state = 12},
  [1265] = {.lex_state = 44, .external_lex_state = 12},
  [1266] = {.lex_state = 44, .external_lex_state = 12},
  [1267] = {.lex_state = 44, .external_lex_state = 12},
  [1268] = {.lex_state = 44, .external_lex_state = 12},
  [1269] = {.lex_state = 44, .external_lex_state = 12},
  [1270] = {.lex_state = 44, .external_lex_state = 12},
  [1271] = {.lex_state = 44, .external_lex_state = 12},
  [1272] = {.lex_state = 44, .external_lex_state = 12},
  [1273] = {.lex_state = 44, .external_lex_state = 12},
  [1274] = {.lex_state = 44, .external_lex_state = 12},
  [1275] = {.lex_state = 44, .external_lex_state = 12},
  [1276] = {.lex_state = 44, .external_lex_state = 12},
  [1277] = {.lex_state = 44, .external_lex_state = 12},
  [1278] = {.lex_state = 44, .external_lex_state = 12},
  [1279] = {.lex_state = 44, .external_lex_state = 12},
  [1280] = {.lex_state = 44, .external_lex_state = 12},
  [1281] = {.lex_state = 44, .external_lex_state = 12},
  [1282] = {.lex_state = 44, .external_lex_state = 12},
  [1283] = {.lex_state = 44, .external_lex_state = 12},
  [1284] = {.lex_state = 44, .external_lex_state = 12},
  [1285] = {.lex_state = 44, .external_lex_state = 12},
  [1286] = {.lex_state = 44, .external_lex_state = 12},
  [1287] = {.lex_state = 44, .external_lex_state = 12},
  [1288] = {.lex_state = 44, .external_lex_state = 12},
  [1289] = {.lex_state = 44, .external_lex_state = 12},
  [1290] = {.lex_state = 44, .external_lex_state = 12},
  [1291] = {.lex_state = 44, .external_lex_state = 12},
  [1292] = {.lex_state = 44, .external_lex_state = 12},
  [1293] = {.lex_state = 44, .external_lex_state = 12},
  [1294] = {.lex_state = 44, .external_lex_state = 12},
  [1295] = {.lex_state = 44, .external_lex_state = 12},
  [1296] = {.lex_state = 44, .external_lex_state = 12},
  [1297] = {.lex_state = 44, .external_lex_state = 12},
  [1298] = {.lex_state = 44, .external_lex_state = 12},
  [1299] = {.lex_state = 44, .external_lex_state = 12},
  [1300] = {.lex_state = 44, .external_lex_state = 12},
  [1301] = {.lex_state = 44, .external_lex_state = 12},
  [1302] = {.lex_state = 44, .external_lex_state = 12},
  [1303] = {.lex_state = 44, .external_lex_state = 12},
  [1304] = {.lex_state = 44, .external_lex_state = 12},
  [1305] = {.lex_state = 44, .external_lex_state = 12},
  [1306] = {.lex_state = 44, .external_lex_state = 12},
  [1307] = {.lex_state = 44, .external_lex_state = 12},
  [1308] = {.lex_state = 44, .external_lex_state = 12},
  [1309] = {.lex_state = 44, .external_lex_state = 12},
  [1310] = {.lex_state = 44, .external_lex_state = 12},
  [1311] = {.lex_state = 44, .external_lex_state = 12},
  [1312] = {.lex_state = 44, .external_lex_state = 12},
  [1313] = {.lex_state = 44, .external_lex_state = 12},
  [1314] = {.lex_state = 44, .external_lex_state = 12},
  [1315] = {.lex_state = 44, .external_lex_state = 12},
  [1316] = {.lex_state = 44, .external_lex_state = 12},
  [1317] = {.lex_state = 44, .external_lex_state = 12},
  [1318] = {.lex_state = 44, .external_lex_state = 12},
  [1319] = {.lex_state = 44, .external_lex_state = 12},
  [1320] = {.lex_state = 44, .external_lex_state = 12},
  [1321] = {.lex_state = 44, .external_lex_state = 12},
  [1322] = {.lex_state = 33},
  [1323] = {.lex_state = 44, .external_lex_state = 12},
  [1324] = {.lex_state = 44, .external_lex_state = 12},
  [1325] = {.lex_state = 44, .external_lex_state = 12},
  [1326] = {.lex_state = 44, .external_lex_state = 12},
  [1327] = {.lex_state = 44, .external_lex_state = 12},
  [1328] = {.lex_state = 44, .external_lex_state = 12},
  [1329] = {.lex_state = 44, .external_lex_state = 12},
  [1330] = {.lex_state = 44, .external_lex_state = 12},
  [1331] = {.lex_state = 44, .external_lex_state = 12},
  [1332] = {.lex_state = 44, .external_lex_state = 12},
  [1333] = {.lex_state = 44, .external_lex_state = 12},
  [1334] = {.lex_state = 44, .external_lex_state = 12},
  [1335] = {.lex_state = 44, .external_lex_state = 12},
  [1336] = {.lex_state = 44, .external_lex_state = 12},
  [1337] = {.lex_state = 44, .external_lex_state = 12},
  [1338] = {.lex_state = 44, .external_lex_state = 12},
  [1339] = {.lex_state = 44, .external_lex_state = 12},
  [1340] = {.lex_state = 44, .external_lex_state = 12},
  [1341] = {.lex_state = 44, .external_lex_state = 12},
  [1342] = {.lex_state = 44, .external_lex_state = 12},
  [1343] = {.lex_state = 44, .external_lex_state = 12},
  [1344] = {.lex_state = 44, .external_lex_state = 12},
  [1345] = {.lex_state = 44, .external_lex_state = 12},
  [1346] = {.lex_state = 44, .external_lex_state = 12},
  [1347] = {.lex_state = 44, .external_lex_state = 12},
  [1348] = {.lex_state = 44, .external_lex_state = 12},
  [1349] = {.lex_state = 33},
  [1350] = {.lex_state = 44, .external_lex_state = 12},
  [1351] = {.lex_state = 44, .external_lex_state = 12},
  [1352] = {.lex_state = 44, .external_lex_state = 12},
  [1353] = {.lex_state = 44, .external_lex_state = 12},
  [1354] = {.lex_state = 33},
  [1355] = {.lex_state = 44, .external_lex_state = 12},
  [1356] = {.lex_state = 44, .external_lex_state = 12},
  [1357] = {.lex_state = 44, .external_lex_state = 12},
  [1358] = {.lex_state = 44, .external_lex_state = 12},
  [1359] = {.lex_state = 44, .external_lex_state = 12},
  [1360] = {.lex_state = 44, .external_lex_state = 12},
  [1361] = {.lex_state = 44, .external_lex_state = 12},
  [1362] = {.lex_state = 44, .external_lex_state = 12},
  [1363] = {.lex_state = 44, .external_lex_state = 12},
  [1364] = {.lex_state = 44, .external_lex_state = 12},
  [1365] = {.lex_state = 44, .external_lex_state = 12},
  [1366] = {.lex_state = 44, .external_lex_state = 12},
  [1367] = {.lex_state = 44, .external_lex_state = 12},
  [1368] = {.lex_state = 44, .external_lex_state = 12},
  [1369] = {.lex_state = 44, .external_lex_state = 12},
  [1370] = {.lex_state = 44, .external_lex_state = 12},
  [1371] = {.lex_state = 44, .external_lex_state = 12},
  [1372] = {.lex_state = 44, .external_lex_state = 12},
  [1373] = {.lex_state = 44, .external_lex_state = 12},
  [1374] = {.lex_state = 33},
  [1375] = {.lex_state = 44, .external_lex_state = 12},
  [1376] = {.lex_state = 44, .external_lex_state = 12},
  [1377] = {.lex_state = 44, .external_lex_state = 12},
  [1378] = {.lex_state = 44, .external_lex_state = 12},
  [1379] = {.lex_state = 44, .external_lex_state = 12},
  [1380] = {.lex_state = 44, .external_lex_state = 12},
  [1381] = {.lex_state = 44, .external_lex_state = 12},
  [1382] = {.lex_state = 44, .external_lex_state = 12},
  [1383] = {.lex_state = 44, .external_lex_state = 12},
  [1384] = {.lex_state = 44, .external_lex_state = 12},
  [1385] = {.lex_state = 44, .external_lex_state = 12},
  [1386] = {.lex_state = 44, .external_lex_state = 12},
  [1387] = {.lex_state = 44, .external_lex_state = 12},
  [1388] = {.lex_state = 44, .external_lex_state = 12},
  [1389] = {.lex_state = 44, .external_lex_state = 12},
  [1390] = {.lex_state = 44, .external_lex_state = 12},
  [1391] = {.lex_state = 44, .external_lex_state = 12},
  [1392] = {.lex_state = 44, .external_lex_state = 12},
  [1393] = {.lex_state = 44, .external_lex_state = 12},
  [1394] = {.lex_state = 44, .external_lex_state = 12},
  [1395] = {.lex_state = 33},
  [1396] = {.lex_state = 44, .external_lex_state = 12},
  [1397] = {.lex_state = 44, .external_lex_state = 12},
  [1398] = {.lex_state = 44, .external_lex_state = 12},
  [1399] = {.lex_state = 44, .external_lex_state = 12},
  [1400] = {.lex_state = 44, .external_lex_state = 12},
  [1401] = {.lex_state = 44, .external_lex_state = 12},
  [1402] = {.lex_state = 44, .external_lex_state = 12},
  [1403] = {.lex_state = 44, .external_lex_state = 12},
  [1404] = {.lex_state = 44, .external_lex_state = 12},
  [1405] = {.lex_state = 44, .external_lex_state = 12},
  [1406] = {.lex_state = 44, .external_lex_state = 12},
  [1407] = {.lex_state = 44, .external_lex_state = 12},
  [1408] = {.lex_state = 44, .external_lex_state = 12},
  [1409] = {.lex_state = 44, .external_lex_state = 12},
  [1410] = {.lex_state = 44, .external_lex_state = 12},
  [1411] = {.lex_state = 44, .external_lex_state = 12},
  [1412] = {.lex_state = 44, .external_lex_state = 12},
  [1413] = {.lex_state = 44, .external_lex_state = 12},
  [1414] = {.lex_state = 44, .external_lex_state = 12},
  [1415] = {.lex_state = 44, .external_lex_state = 12},
  [1416] = {.lex_state = 44, .external_lex_state = 12},
  [1417] = {.lex_state = 44, .external_lex_state = 12},
  [1418] = {.lex_state = 44, .external_lex_state = 12},
  [1419] = {.lex_state = 44, .external_lex_state = 12},
  [1420] = {.lex_state = 44, .external_lex_state = 12},
  [1421] = {.lex_state = 44, .external_lex_state = 12},
  [1422] = {.lex_state = 44, .external_lex_state = 12},
  [1423] = {.lex_state = 44, .external_lex_state = 12},
  [1424] = {.lex_state = 44, .external_lex_state = 12},
  [1425] = {.lex_state = 44, .external_lex_state = 12},
  [1426] = {.lex_state = 44, .external_lex_state = 12},
  [1427] = {.lex_state = 44, .external_lex_state = 12},
  [1428] = {.lex_state = 44, .external_lex_state = 12},
  [1429] = {.lex_state = 44, .external_lex_state = 12},
  [1430] = {.lex_state = 44, .external_lex_state = 12},
  [1431] = {.lex_state = 44, .external_lex_state = 12},
  [1432] = {.lex_state = 44, .external_lex_state = 12},
  [1433] = {.lex_state = 44, .external_lex_state = 12},
  [1434] = {.lex_state = 44, .external_lex_state = 12},
  [1435] = {.lex_state = 44, .external_lex_state = 12},
  [1436] = {.lex_state = 44, .external_lex_state = 12},
  [1437] = {.lex_state = 44, .external_lex_state = 12},
  [1438] = {.lex_state = 44, .external_lex_state = 12},
  [1439] = {.lex_state = 44, .external_lex_state = 12},
  [1440] = {.lex_state = 44, .external_lex_state = 12},
  [1441] = {.lex_state = 44, .external_lex_state = 12},
  [1442] = {.lex_state = 44, .external_lex_state = 12},
  [1443] = {.lex_state = 44, .external_lex_state = 12},
  [1444] = {.lex_state = 44, .external_lex_state = 12},
  [1445] = {.lex_state = 44, .external_lex_state = 12},
  [1446] = {.lex_state = 44, .external_lex_state = 12},
  [1447] = {.lex_state = 44, .external_lex_state = 12},
  [1448] = {.lex_state = 44, .external_lex_state = 12},
  [1449] = {.lex_state = 44, .external_lex_state = 12},
  [1450] = {.lex_state = 44, .external_lex_state = 12},
  [1451] = {.lex_state = 44, .external_lex_state = 12},
  [1452] = {.lex_state = 44, .external_lex_state = 12},
  [1453] = {.lex_state = 44, .external_lex_state = 12},
  [1454] = {.lex_state = 44, .external_lex_state = 12},
  [1455] = {.lex_state = 44, .external_lex_state = 12},
  [1456] = {.lex_state = 44, .external_lex_state = 12},
  [1457] = {.lex_state = 44, .external_lex_state = 12},
  [1458] = {.lex_state = 44, .external_lex_state = 12},
  [1459] = {.lex_state = 44, .external_lex_state = 12},
  [1460] = {.lex_state = 44, .external_lex_state = 12},
  [1461] = {.lex_state = 44, .external_lex_state = 12},
  [1462] = {.lex_state = 44, .external_lex_state = 12},
  [1463] = {.lex_state = 44, .external_lex_state = 12},
  [1464] = {.lex_state = 44, .external_lex_state = 12},
  [1465] = {.lex_state = 44, .external_lex_state = 12},
  [1466] = {.lex_state = 44, .external_lex_state = 12},
  [1467] = {.lex_state = 44, .external_lex_state = 12},
  [1468] = {.lex_state = 44, .external_lex_state = 12},
  [1469] = {.lex_state = 44, .external_lex_state = 12},
  [1470] = {.lex_state = 44, .external_lex_state = 12},
  [1471] = {.lex_state = 44, .external_lex_state = 12},
  [1472] = {.lex_state = 44, .external_lex_state = 12},
  [1473] = {.lex_state = 44, .external_lex_state = 12},
  [1474] = {.lex_state = 44, .external_lex_state = 12},
  [1475] = {.lex_state = 44, .external_lex_state = 12},
  [1476] = {.lex_state = 44, .external_lex_state = 12},
  [1477] = {.lex_state = 44, .external_lex_state = 12},
  [1478] = {.lex_state = 44, .external_lex_state = 12},
  [1479] = {.lex_state = 44, .external_lex_state = 12},
  [1480] = {.lex_state = 44, .external_lex_state = 12},
  [1481] = {.lex_state = 44, .external_lex_state = 12},
  [1482] = {.lex_state = 44, .external_lex_state = 12},
  [1483] = {.lex_state = 44, .external_lex_state = 12},
  [1484] = {.lex_state = 44, .external_lex_state = 12},
  [1485] = {.lex_state = 44, .external_lex_state = 12},
  [1486] = {.lex_state = 44, .external_lex_state = 12},
  [1487] = {.lex_state = 44, .external_lex_state = 12},
  [1488] = {.lex_state = 44, .external_lex_state = 12},
  [1489] = {.lex_state = 44, .external_lex_state = 12},
  [1490] = {.lex_state = 33},
  [1491] = {.lex_state = 44, .external_lex_state = 12},
  [1492] = {.lex_state = 44, .external_lex_state = 12},
  [1493] = {.lex_state = 44, .external_lex_state = 12},
  [1494] = {.lex_state = 44, .external_lex_state = 12},
  [1495] = {.lex_state = 44, .external_lex_state = 12},
  [1496] = {.lex_state = 44, .external_lex_state = 12},
  [1497] = {.lex_state = 44, .external_lex_state = 12},
  [1498] = {.lex_state = 44, .external_lex_state = 12},
  [1499] = {.lex_state = 44, .external_lex_state = 12},
  [1500] = {.lex_state = 44, .external_lex_state = 12},
  [1501] = {.lex_state = 44, .external_lex_state = 12},
  [1502] = {.lex_state = 44, .external_lex_state = 12},
  [1503] = {.lex_state = 44, .external_lex_state = 12},
  [1504] = {.lex_state = 44, .external_lex_state = 12},
  [1505] = {.lex_state = 44, .external_lex_state = 12},
  [1506] = {.lex_state = 44, .external_lex_state = 12},
  [1507] = {.lex_state = 44, .external_lex_state = 12},
  [1508] = {.lex_state = 44, .external_lex_state = 12},
  [1509] = {.lex_state = 44, .external_lex_state = 12},
  [1510] = {.lex_state = 44, .external_lex_state = 12},
  [1511] = {.lex_state = 44, .external_lex_state = 12},
  [1512] = {.lex_state = 44, .external_lex_state = 12},
  [1513] = {.lex_state = 44, .external_lex_state = 12},
  [1514] = {.lex_state = 44, .external_lex_state = 12},
  [1515] = {.lex_state = 44, .external_lex_state = 12},
  [1516] = {.lex_state = 44, .external_lex_state = 12},
  [1517] = {.lex_state = 44, .external_lex_state = 12},
  [1518] = {.lex_state = 44, .external_lex_state = 12},
  [1519] = {.lex_state = 44, .external_lex_state = 12},
  [1520] = {.lex_state = 44, .external_lex_state = 12},
  [1521] = {.lex_state = 44, .external_lex_state = 12},
  [1522] = {.lex_state = 44, .external_lex_state = 12},
  [1523] = {.lex_state = 44, .external_lex_state = 12},
  [1524] = {.lex_state = 44, .external_lex_state = 12},
  [1525] = {.lex_state = 44, .external_lex_state = 12},
  [1526] = {.lex_state = 44, .external_lex_state = 12},
  [1527] = {.lex_state = 44, .external_lex_state = 12},
  [1528] = {.lex_state = 44, .external_lex_state = 12},
  [1529] = {.lex_state = 44, .external_lex_state = 12},
  [1530] = {.lex_state = 44, .external_lex_state = 12},
  [1531] = {.lex_state = 44, .external_lex_state = 12},
  [1532] = {.lex_state = 44, .external_lex_state = 12},
  [1533] = {.lex_state = 44, .external_lex_state = 12},
  [1534] = {.lex_state = 44, .external_lex_state = 12},
  [1535] = {.lex_state = 44, .external_lex_state = 12},
  [1536] = {.lex_state = 44, .external_lex_state = 12},
  [1537] = {.lex_state = 44, .external_lex_state = 12},
  [1538] = {.lex_state = 44, .external_lex_state = 12},
  [1539] = {.lex_state = 44, .external_lex_state = 12},
  [1540] = {.lex_state = 44, .external_lex_state = 12},
  [1541] = {.lex_state = 44, .external_lex_state = 12},
  [1542] = {.lex_state = 44, .external_lex_state = 12},
  [1543] = {.lex_state = 44, .external_lex_state = 12},
  [1544] = {.lex_state = 44, .external_lex_state = 12},
  [1545] = {.lex_state = 44, .external_lex_state = 12},
  [1546] = {.lex_state = 44, .external_lex_state = 12},
  [1547] = {.lex_state = 44, .external_lex_state = 12},
  [1548] = {.lex_state = 44, .external_lex_state = 12},
  [1549] = {.lex_state = 44, .external_lex_state = 12},
  [1550] = {.lex_state = 44, .external_lex_state = 12},
  [1551] = {.lex_state = 44, .external_lex_state = 12},
  [1552] = {.lex_state = 44, .external_lex_state = 12},
  [1553] = {.lex_state = 44, .external_lex_state = 12},
  [1554] = {.lex_state = 44, .external_lex_state = 12},
  [1555] = {.lex_state = 44, .external_lex_state = 12},
  [1556] = {.lex_state = 44, .external_lex_state = 12},
  [1557] = {.lex_state = 44, .external_lex_state = 12},
  [1558] = {.lex_state = 44, .external_lex_state = 12},
  [1559] = {.lex_state = 44, .external_lex_state = 12},
  [1560] = {.lex_state = 44, .external_lex_state = 12},
  [1561] = {.lex_state = 44, .external_lex_state = 12},
  [1562] = {.lex_state = 44, .external_lex_state = 12},
  [1563] = {.lex_state = 44, .external_lex_state = 12},
  [1564] = {.lex_state = 44, .external_lex_state = 12},
  [1565] = {.lex_state = 44, .external_lex_state = 12},
  [1566] = {.lex_state = 44, .external_lex_state = 12},
  [1567] = {.lex_state = 44, .external_lex_state = 12},
  [1568] = {.lex_state = 44, .external_lex_state = 12},
  [1569] = {.lex_state = 44, .external_lex_state = 12},
  [1570] = {.lex_state = 44, .external_lex_state = 12},
  [1571] = {.lex_state = 44, .external_lex_state = 12},
  [1572] = {.lex_state = 44, .external_lex_state = 12},
  [1573] = {.lex_state = 33},
  [1574] = {.lex_state = 44, .external_lex_state = 12},
  [1575] = {.lex_state = 44, .external_lex_state = 12},
  [1576] = {.lex_state = 44, .external_lex_state = 12},
  [1577] = {.lex_state = 44, .external_lex_state = 12},
  [1578] = {.lex_state = 44, .external_lex_state = 12},
  [1579] = {.lex_state = 44, .external_lex_state = 12},
  [1580] = {.lex_state = 44, .external_lex_state = 12},
  [1581] = {.lex_state = 44, .external_lex_state = 12},
  [1582] = {.lex_state = 44, .external_lex_state = 12},
  [1583] = {.lex_state = 44, .external_lex_state = 12},
  [1584] = {.lex_state = 44, .external_lex_state = 12},
  [1585] = {.lex_state = 44, .external_lex_state = 12},
  [1586] = {.lex_state = 44, .external_lex_state = 12},
  [1587] = {.lex_state = 44, .external_lex_state = 12},
  [1588] = {.lex_state = 44, .external_lex_state = 12},
  [1589] = {.lex_state = 44, .external_lex_state = 12},
  [1590] = {.lex_state = 44, .external_lex_state = 12},
  [1591] = {.lex_state = 44, .external_lex_state = 12},
  [1592] = {.lex_state = 44, .external_lex_state = 12},
  [1593] = {.lex_state = 44, .external_lex_state = 12},
  [1594] = {.lex_state = 44, .external_lex_state = 12},
  [1595] = {.lex_state = 44, .external_lex_state = 12},
  [1596] = {.lex_state = 33},
  [1597] = {.lex_state = 44, .external_lex_state = 12},
  [1598] = {.lex_state = 44, .external_lex_state = 12},
  [1599] = {.lex_state = 44, .external_lex_state = 12},
  [1600] = {.lex_state = 44, .external_lex_state = 12},
  [1601] = {.lex_state = 44, .external_lex_state = 12},
  [1602] = {.lex_state = 44, .external_lex_state = 12},
  [1603] = {.lex_state = 44, .external_lex_state = 12},
  [1604] = {.lex_state = 44, .external_lex_state = 12},
  [1605] = {.lex_state = 44, .external_lex_state = 12},
  [1606] = {.lex_state = 33},
  [1607] = {.lex_state = 44, .external_lex_state = 12},
  [1608] = {.lex_state = 44, .external_lex_state = 12},
  [1609] = {.lex_state = 44, .external_lex_state = 12},
  [1610] = {.lex_state = 44, .external_lex_state = 12},
  [1611] = {.lex_state = 44, .external_lex_state = 12},
  [1612] = {.lex_state = 44, .external_lex_state = 12},
  [1613] = {.lex_state = 44, .external_lex_state = 12},
  [1614] = {.lex_state = 44, .external_lex_state = 12},
  [1615] = {.lex_state = 44, .external_lex_state = 12},
  [1616] = {.lex_state = 44, .external_lex_state = 12},
  [1617] = {.lex_state = 44, .external_lex_state = 12},
  [1618] = {.lex_state = 44, .external_lex_state = 12},
  [1619] = {.lex_state = 44, .external_lex_state = 12},
  [1620] = {.lex_state = 44, .external_lex_state = 12},
  [1621] = {.lex_state = 44, .external_lex_state = 12},
  [1622] = {.lex_state = 44, .external_lex_state = 12},
  [1623] = {.lex_state = 44, .external_lex_state = 12},
  [1624] = {.lex_state = 44, .external_lex_state = 12},
  [1625] = {.lex_state = 44, .external_lex_state = 12},
  [1626] = {.lex_state = 33},
  [1627] = {.lex_state = 44, .external_lex_state = 12},
  [1628] = {.lex_state = 44, .external_lex_state = 12},
  [1629] = {.lex_state = 44, .external_lex_state = 12},
  [1630] = {.lex_state = 44, .external_lex_state = 12},
  [1631] = {.lex_state = 44, .external_lex_state = 12},
  [1632] = {.lex_state = 44, .external_lex_state = 12},
  [1633] = {.lex_state = 44, .external_lex_state = 12},
  [1634] = {.lex_state = 5, .external_lex_state = 6},
  [1635] = {.lex_state = 5, .external_lex_state = 6},
  [1636] = {.lex_state = 28, .external_lex_state = 12},
  [1637] = {.lex_state = 5, .external_lex_state = 6},
  [1638] = {.lex_state = 5, .external_lex_state = 6},
  [1639] = {.lex_state = 5, .external_lex_state = 6},
  [1640] = {.lex_state = 5, .external_lex_state = 6},
  [1641] = {.lex_state = 126, .external_lex_state = 6},
  [1642] = {.lex_state = 5, .external_lex_state = 6},
  [1643] = {.lex_state = 5, .external_lex_state = 6},
  [1644] = {.lex_state = 5, .external_lex_state = 6},
  [1645] = {.lex_state = 5, .external_lex_state = 6},
  [1646] = {.lex_state = 5, .external_lex_state = 6},
  [1647] = {.lex_state = 126, .external_lex_state = 6},
  [1648] = {.lex_state = 5, .external_lex_state = 6},
  [1649] = {.lex_state = 5, .external_lex_state = 8},
  [1650] = {.lex_state = 126, .external_lex_state = 6},
  [1651] = {.lex_state = 126, .external_lex_state = 6},
  [1652] = {.lex_state = 126, .external_lex_state = 6},
  [1653] = {.lex_state = 126, .external_lex_state = 6},
  [1654] = {.lex_state = 5, .external_lex_state = 6},
  [1655] = {.lex_state = 46, .external_lex_state = 2},
  [1656] = {.lex_state = 5, .external_lex_state = 8},
  [1657] = {.lex_state = 5, .external_lex_state = 8},
  [1658] = {.lex_state = 126, .external_lex_state = 6},
  [1659] = {.lex_state = 126, .external_lex_state = 8},
  [1660] = {.lex_state = 126, .external_lex_state = 6},
  [1661] = {.lex_state = 126, .external_lex_state = 6},
  [1662] = {.lex_state = 126, .external_lex_state = 6},
  [1663] = {.lex_state = 5, .external_lex_state = 6},
  [1664] = {.lex_state = 126, .external_lex_state = 6},
  [1665] = {.lex_state = 9, .external_lex_state = 15},
  [1666] = {.lex_state = 5, .external_lex_state = 6},
  [1667] = {.lex_state = 5, .external_lex_state = 8},
  [1668] = {.lex_state = 126, .external_lex_state = 6},
  [1669] = {.lex_state = 5, .external_lex_state = 8},
  [1670] = {.lex_state = 126, .external_lex_state = 6},
  [1671] = {.lex_state = 25, .external_lex_state = 10},
  [1672] = {.lex_state = 126, .external_lex_state = 6},
  [1673] = {.lex_state = 126, .external_lex_state = 6},
  [1674] = {.lex_state = 5, .external_lex_state = 6},
  [1675] = {.lex_state = 5, .external_lex_state = 8},
  [1676] = {.lex_state = 5, .external_lex_state = 8},
  [1677] = {.lex_state = 126, .external_lex_state = 6},
  [1678] = {.lex_state = 5, .external_lex_state = 8},
  [1679] = {.lex_state = 5, .external_lex_state = 8},
  [1680] = {.lex_state = 5, .external_lex_state = 8},
  [1681] = {.lex_state = 5, .external_lex_state = 8},
  [1682] = {.lex_state = 132, .external_lex_state = 10},
  [1683] = {.lex_state = 126, .external_lex_state = 8},
  [1684] = {.lex_state = 5, .external_lex_state = 8},
  [1685] = {.lex_state = 5, .external_lex_state = 8},
  [1686] = {.lex_state = 9, .external_lex_state = 15},
  [1687] = {.lex_state = 5, .external_lex_state = 8},
  [1688] = {.lex_state = 5, .external_lex_state = 8},
  [1689] = {.lex_state = 5, .external_lex_state = 8},
  [1690] = {.lex_state = 126, .external_lex_state = 6},
  [1691] = {.lex_state = 132, .external_lex_state = 10},
  [1692] = {.lex_state = 126, .external_lex_state = 8},
  [1693] = {.lex_state = 5, .external_lex_state = 8},
  [1694] = {.lex_state = 5, .external_lex_state = 8},
  [1695] = {.lex_state = 5, .external_lex_state = 8},
  [1696] = {.lex_state = 5, .external_lex_state = 8},
  [1697] = {.lex_state = 5, .external_lex_state = 6},
  [1698] = {.lex_state = 126, .external_lex_state = 8},
  [1699] = {.lex_state = 9, .external_lex_state = 15},
  [1700] = {.lex_state = 9, .external_lex_state = 10},
  [1701] = {.lex_state = 126, .external_lex_state = 8},
  [1702] = {.lex_state = 5, .external_lex_state = 8},
  [1703] = {.lex_state = 132, .external_lex_state = 10},
  [1704] = {.lex_state = 126, .external_lex_state = 6},
  [1705] = {.lex_state = 5, .external_lex_state = 8},
  [1706] = {.lex_state = 5, .external_lex_state = 8},
  [1707] = {.lex_state = 46, .external_lex_state = 16},
  [1708] = {.lex_state = 132, .external_lex_state = 10},
  [1709] = {.lex_state = 126, .external_lex_state = 6},
  [1710] = {.lex_state = 46, .external_lex_state = 16},
  [1711] = {.lex_state = 126, .external_lex_state = 8},
  [1712] = {.lex_state = 46, .external_lex_state = 16},
  [1713] = {.lex_state = 46, .external_lex_state = 16},
  [1714] = {.lex_state = 126, .external_lex_state = 6},
  [1715] = {.lex_state = 126, .external_lex_state = 6},
  [1716] = {.lex_state = 126, .external_lex_state = 8},
  [1717] = {.lex_state = 5, .external_lex_state = 8},
  [1718] = {.lex_state = 126, .external_lex_state = 6},
  [1719] = {.lex_state = 126, .external_lex_state = 6},
  [1720] = {.lex_state = 5, .external_lex_state = 8},
  [1721] = {.lex_state = 9, .external_lex_state = 15},
  [1722] = {.lex_state = 5, .external_lex_state = 8},
  [1723] = {.lex_state = 5, .external_lex_state = 8},
  [1724] = {.lex_state = 5, .external_lex_state = 8},
  [1725] = {.lex_state = 5, .external_lex_state = 8},
  [1726] = {.lex_state = 5, .external_lex_state = 8},
  [1727] = {.lex_state = 5, .external_lex_state = 8},
  [1728] = {.lex_state = 5, .external_lex_state = 8},
  [1729] = {.lex_state = 5, .external_lex_state = 8},
  [1730] = {.lex_state = 5, .external_lex_state = 8},
  [1731] = {.lex_state = 5, .external_lex_state = 8},
  [1732] = {.lex_state = 5, .external_lex_state = 8},
  [1733] = {.lex_state = 5, .external_lex_state = 8},
  [1734] = {.lex_state = 9, .external_lex_state = 10},
  [1735] = {.lex_state = 46, .external_lex_state = 16},
  [1736] = {.lex_state = 126, .external_lex_state = 8},
  [1737] = {.lex_state = 126, .external_lex_state = 8},
  [1738] = {.lex_state = 9, .external_lex_state = 15},
  [1739] = {.lex_state = 46, .external_lex_state = 16},
  [1740] = {.lex_state = 46, .external_lex_state = 16},
  [1741] = {.lex_state = 46, .external_lex_state = 16},
  [1742] = {.lex_state = 46, .external_lex_state = 16},
  [1743] = {.lex_state = 46, .external_lex_state = 16},
  [1744] = {.lex_state = 46, .external_lex_state = 16},
  [1745] = {.lex_state = 46, .external_lex_state = 16},
  [1746] = {.lex_state = 39, .external_lex_state = 17},
  [1747] = {.lex_state = 46, .external_lex_state = 16},
  [1748] = {.lex_state = 46, .external_lex_state = 16},
  [1749] = {.lex_state = 46, .external_lex_state = 16},
  [1750] = {.lex_state = 46, .external_lex_state = 16},
  [1751] = {.lex_state = 46, .external_lex_state = 16},
  [1752] = {.lex_state = 46, .external_lex_state = 16},
  [1753] = {.lex_state = 46, .external_lex_state = 16},
  [1754] = {.lex_state = 46, .external_lex_state = 16},
  [1755] = {.lex_state = 46, .external_lex_state = 16},
  [1756] = {.lex_state = 46, .external_lex_state = 16},
  [1757] = {.lex_state = 46, .external_lex_state = 16},
  [1758] = {.lex_state = 46, .external_lex_state = 16},
  [1759] = {.lex_state = 46, .external_lex_state = 16},
  [1760] = {.lex_state = 46, .external_lex_state = 16},
  [1761] = {.lex_state = 46, .external_lex_state = 16},
  [1762] = {.lex_state = 5, .external_lex_state = 6},
  [1763] = {.lex_state = 126, .external_lex_state = 6},
  [1764] = {.lex_state = 5, .external_lex_state = 6},
  [1765] = {.lex_state = 46, .external_lex_state = 16},
  [1766] = {.lex_state = 46, .external_lex_state = 16},
  [1767] = {.lex_state = 46, .external_lex_state = 16},
  [1768] = {.lex_state = 46, .external_lex_state = 16},
  [1769] = {.lex_state = 5, .external_lex_state = 6},
  [1770] = {.lex_state = 46, .external_lex_state = 2},
  [1771] = {.lex_state = 46, .external_lex_state = 16},
  [1772] = {.lex_state = 126, .external_lex_state = 6},
  [1773] = {.lex_state = 9, .external_lex_state = 15},
  [1774] = {.lex_state = 5, .external_lex_state = 6},
  [1775] = {.lex_state = 126, .external_lex_state = 8},
  [1776] = {.lex_state = 126, .external_lex_state = 8},
  [1777] = {.lex_state = 40, .external_lex_state = 17},
  [1778] = {.lex_state = 126, .external_lex_state = 8},
  [1779] = {.lex_state = 126, .external_lex_state = 8},
  [1780] = {.lex_state = 5, .external_lex_state = 6},
  [1781] = {.lex_state = 5, .external_lex_state = 6},
  [1782] = {.lex_state = 126, .external_lex_state = 8},
  [1783] = {.lex_state = 126, .external_lex_state = 8},
  [1784] = {.lex_state = 126, .external_lex_state = 8},
  [1785] = {.lex_state = 126, .external_lex_state = 8},
  [1786] = {.lex_state = 126, .external_lex_state = 8},
  [1787] = {.lex_state = 126, .external_lex_state = 8},
  [1788] = {.lex_state = 126, .external_lex_state = 8},
  [1789] = {.lex_state = 126, .external_lex_state = 8},
  [1790] = {.lex_state = 126, .external_lex_state = 8},
  [1791] = {.lex_state = 49},
  [1792] = {.lex_state = 9, .external_lex_state = 15},
  [1793] = {.lex_state = 126, .external_lex_state = 8},
  [1794] = {.lex_state = 126, .external_lex_state = 8},
  [1795] = {.lex_state = 126, .external_lex_state = 8},
  [1796] = {.lex_state = 126, .external_lex_state = 8},
  [1797] = {.lex_state = 126, .external_lex_state = 8},
  [1798] = {.lex_state = 49},
  [1799] = {.lex_state = 126, .external_lex_state = 8},
  [1800] = {.lex_state = 126, .external_lex_state = 6},
  [1801] = {.lex_state = 126, .external_lex_state = 8},
  [1802] = {.lex_state = 126, .external_lex_state = 8},
  [1803] = {.lex_state = 9, .external_lex_state = 15},
  [1804] = {.lex_state = 5, .external_lex_state = 6},
  [1805] = {.lex_state = 9, .external_lex_state = 15},
  [1806] = {.lex_state = 9, .external_lex_state = 15},
  [1807] = {.lex_state = 9, .external_lex_state = 15},
  [1808] = {.lex_state = 9, .external_lex_state = 15},
  [1809] = {.lex_state = 9, .external_lex_state = 15},
  [1810] = {.lex_state = 49},
  [1811] = {.lex_state = 49},
  [1812] = {.lex_state = 9, .external_lex_state = 15},
  [1813] = {.lex_state = 5, .external_lex_state = 6},
  [1814] = {.lex_state = 126, .external_lex_state = 8},
  [1815] = {.lex_state = 9, .external_lex_state = 15},
  [1816] = {.lex_state = 9, .external_lex_state = 15},
  [1817] = {.lex_state = 9, .external_lex_state = 15},
  [1818] = {.lex_state = 40, .external_lex_state = 17},
  [1819] = {.lex_state = 126, .external_lex_state = 8},
  [1820] = {.lex_state = 5, .external_lex_state = 6},
  [1821] = {.lex_state = 126, .external_lex_state = 8},
  [1822] = {.lex_state = 9, .external_lex_state = 15},
  [1823] = {.lex_state = 126, .external_lex_state = 8},
  [1824] = {.lex_state = 5, .external_lex_state = 6},
  [1825] = {.lex_state = 126, .external_lex_state = 8},
  [1826] = {.lex_state = 9, .external_lex_state = 15},
  [1827] = {.lex_state = 5, .external_lex_state = 6},
  [1828] = {.lex_state = 9, .external_lex_state = 15},
  [1829] = {.lex_state = 9, .external_lex_state = 15},
  [1830] = {.lex_state = 9, .external_lex_state = 15},
  [1831] = {.lex_state = 49},
  [1832] = {.lex_state = 9, .external_lex_state = 15},
  [1833] = {.lex_state = 49},
  [1834] = {.lex_state = 9, .external_lex_state = 15},
  [1835] = {.lex_state = 9, .external_lex_state = 15},
  [1836] = {.lex_state = 5, .external_lex_state = 6},
  [1837] = {.lex_state = 126, .external_lex_state = 6},
  [1838] = {.lex_state = 49},
  [1839] = {.lex_state = 5, .external_lex_state = 6},
  [1840] = {.lex_state = 49},
  [1841] = {.lex_state = 9, .external_lex_state = 15},
  [1842] = {.lex_state = 5, .external_lex_state = 6},
  [1843] = {.lex_state = 5, .external_lex_state = 6},
  [1844] = {.lex_state = 5, .external_lex_state = 6},
  [1845] = {.lex_state = 5, .external_lex_state = 6},
  [1846] = {.lex_state = 126, .external_lex_state = 6},
  [1847] = {.lex_state = 126, .external_lex_state = 8},
  [1848] = {.lex_state = 5, .external_lex_state = 6},
  [1849] = {.lex_state = 5, .external_lex_state = 6},
  [1850] = {.lex_state = 9, .external_lex_state = 15},
  [1851] = {.lex_state = 9, .external_lex_state = 15},
  [1852] = {.lex_state = 126, .external_lex_state = 8},
  [1853] = {.lex_state = 5, .external_lex_state = 6},
  [1854] = {.lex_state = 126, .external_lex_state = 8},
  [1855] = {.lex_state = 5, .external_lex_state = 6},
  [1856] = {.lex_state = 5, .external_lex_state = 6},
  [1857] = {.lex_state = 9, .external_lex_state = 15},
  [1858] = {.lex_state = 9, .external_lex_state = 15},
  [1859] = {.lex_state = 5, .external_lex_state = 6},
  [1860] = {.lex_state = 5, .external_lex_state = 6},
  [1861] = {.lex_state = 9, .external_lex_state = 10},
  [1862] = {.lex_state = 5, .external_lex_state = 6},
  [1863] = {.lex_state = 5, .external_lex_state = 6},
  [1864] = {.lex_state = 5, .external_lex_state = 6},
  [1865] = {.lex_state = 5, .external_lex_state = 6},
  [1866] = {.lex_state = 5, .external_lex_state = 6},
  [1867] = {.lex_state = 46, .external_lex_state = 2},
  [1868] = {.lex_state = 5, .external_lex_state = 6},
  [1869] = {.lex_state = 5, .external_lex_state = 6},
  [1870] = {.lex_state = 5, .external_lex_state = 6},
  [1871] = {.lex_state = 5, .external_lex_state = 6},
  [1872] = {.lex_state = 5, .external_lex_state = 6},
  [1873] = {.lex_state = 5, .external_lex_state = 6},
  [1874] = {.lex_state = 46, .external_lex_state = 2},
  [1875] = {.lex_state = 5, .external_lex_state = 6},
  [1876] = {.lex_state = 5, .external_lex_state = 6},
  [1877] = {.lex_state = 5, .external_lex_state = 6},
  [1878] = {.lex_state = 49},
  [1879] = {.lex_state = 49},
  [1880] = {.lex_state = 40, .external_lex_state = 17},
  [1881] = {.lex_state = 5, .external_lex_state = 6},
  [1882] = {.lex_state = 5, .external_lex_state = 6},
  [1883] = {.lex_state = 5, .external_lex_state = 6},
  [1884] = {.lex_state = 5, .external_lex_state = 6},
  [1885] = {.lex_state = 5, .external_lex_state = 6},
  [1886] = {.lex_state = 49},
  [1887] = {.lex_state = 49},
  [1888] = {.lex_state = 5, .external_lex_state = 6},
  [1889] = {.lex_state = 5, .external_lex_state = 6},
  [1890] = {.lex_state = 126, .external_lex_state = 6},
  [1891] = {.lex_state = 46, .external_lex_state = 2},
  [1892] = {.lex_state = 9, .external_lex_state = 10},
  [1893] = {.lex_state = 126, .external_lex_state = 8},
  [1894] = {.lex_state = 126, .external_lex_state = 8},
  [1895] = {.lex_state = 46, .external_lex_state = 2},
  [1896] = {.lex_state = 46, .external_lex_state = 2},
  [1897] = {.lex_state = 41, .external_lex_state = 18},
  [1898] = {.lex_state = 126, .external_lex_state = 8},
  [1899] = {.lex_state = 46, .external_lex_state = 2},
  [1900] = {.lex_state = 126, .external_lex_state = 8},
  [1901] = {.lex_state = 46, .external_lex_state = 2},
  [1902] = {.lex_state = 46, .external_lex_state = 2},
  [1903] = {.lex_state = 9, .external_lex_state = 10},
  [1904] = {.lex_state = 9, .external_lex_state = 10},
  [1905] = {.lex_state = 46, .external_lex_state = 2},
  [1906] = {.lex_state = 126, .external_lex_state = 8},
  [1907] = {.lex_state = 9, .external_lex_state = 10},
  [1908] = {.lex_state = 42},
  [1909] = {.lex_state = 46},
  [1910] = {.lex_state = 9, .external_lex_state = 10},
  [1911] = {.lex_state = 9, .external_lex_state = 10},
  [1912] = {.lex_state = 46},
  [1913] = {.lex_state = 46, .external_lex_state = 2},
  [1914] = {.lex_state = 40, .external_lex_state = 17},
  [1915] = {.lex_state = 40, .external_lex_state = 17},
  [1916] = {.lex_state = 9, .external_lex_state = 10},
  [1917] = {.lex_state = 46},
  [1918] = {.lex_state = 40, .external_lex_state = 17},
  [1919] = {.lex_state = 40, .external_lex_state = 17},
  [1920] = {.lex_state = 126, .external_lex_state = 6},
  [1921] = {.lex_state = 126, .external_lex_state = 6},
  [1922] = {.lex_state = 46},
  [1923] = {.lex_state = 9, .external_lex_state = 10},
  [1924] = {.lex_state = 126, .external_lex_state = 8},
  [1925] = {.lex_state = 46, .external_lex_state = 2},
  [1926] = {.lex_state = 9, .external_lex_state = 10},
  [1927] = {.lex_state = 9, .external_lex_state = 10},
  [1928] = {.lex_state = 126, .external_lex_state = 8},
  [1929] = {.lex_state = 46, .external_lex_state = 2},
  [1930] = {.lex_state = 126, .external_lex_state = 8},
  [1931] = {.lex_state = 46, .external_lex_state = 2},
  [1932] = {.lex_state = 126, .external_lex_state = 6},
  [1933] = {.lex_state = 126, .external_lex_state = 6},
  [1934] = {.lex_state = 9, .external_lex_state = 10},
  [1935] = {.lex_state = 126, .external_lex_state = 6},
  [1936] = {.lex_state = 126, .external_lex_state = 6},
  [1937] = {.lex_state = 46, .external_lex_state = 19},
  [1938] = {.lex_state = 126, .external_lex_state = 6},
  [1939] = {.lex_state = 46, .external_lex_state = 2},
  [1940] = {.lex_state = 126, .external_lex_state = 6},
  [1941] = {.lex_state = 126, .external_lex_state = 6},
  [1942] = {.lex_state = 126, .external_lex_state = 6},
  [1943] = {.lex_state = 126, .external_lex_state = 8},
  [1944] = {.lex_state = 42, .external_lex_state = 17},
  [1945] = {.lex_state = 126, .external_lex_state = 6},
  [1946] = {.lex_state = 126, .external_lex_state = 6},
  [1947] = {.lex_state = 126, .external_lex_state = 6},
  [1948] = {.lex_state = 46, .external_lex_state = 2},
  [1949] = {.lex_state = 40, .external_lex_state = 17},
  [1950] = {.lex_state = 46, .external_lex_state = 2},
  [1951] = {.lex_state = 126, .external_lex_state = 6},
  [1952] = {.lex_state = 126, .external_lex_state = 6},
  [1953] = {.lex_state = 126, .external_lex_state = 6},
  [1954] = {.lex_state = 126, .external_lex_state = 6},
  [1955] = {.lex_state = 40, .external_lex_state = 17},
  [1956] = {.lex_state = 40, .external_lex_state = 17},
  [1957] = {.lex_state = 126, .external_lex_state = 6},
  [1958] = {.lex_state = 126, .external_lex_state = 8},
  [1959] = {.lex_state = 9, .external_lex_state = 10},
  [1960] = {.lex_state = 126, .external_lex_state = 6},
  [1961] = {.lex_state = 9, .external_lex_state = 10},
  [1962] = {.lex_state = 126, .external_lex_state = 6},
  [1963] = {.lex_state = 126, .external_lex_state = 6},
  [1964] = {.lex_state = 126, .external_lex_state = 6},
  [1965] = {.lex_state = 126, .external_lex_state = 8},
  [1966] = {.lex_state = 9, .external_lex_state = 10},
  [1967] = {.lex_state = 126, .external_lex_state = 6},
  [1968] = {.lex_state = 46},
  [1969] = {.lex_state = 40, .external_lex_state = 17},
  [1970] = {.lex_state = 126, .external_lex_state = 8},
  [1971] = {.lex_state = 40, .external_lex_state = 17},
  [1972] = {.lex_state = 41, .external_lex_state = 17},
  [1973] = {.lex_state = 40, .external_lex_state = 17},
  [1974] = {.lex_state = 46, .external_lex_state = 2},
  [1975] = {.lex_state = 46, .external_lex_state = 2},
  [1976] = {.lex_state = 126, .external_lex_state = 8},
  [1977] = {.lex_state = 40, .external_lex_state = 17},
  [1978] = {.lex_state = 126, .external_lex_state = 6},
  [1979] = {.lex_state = 126, .external_lex_state = 6},
  [1980] = {.lex_state = 126, .external_lex_state = 6},
  [1981] = {.lex_state = 46},
  [1982] = {.lex_state = 46, .external_lex_state = 19},
  [1983] = {.lex_state = 46},
  [1984] = {.lex_state = 46, .external_lex_state = 19},
  [1985] = {.lex_state = 126, .external_lex_state = 6},
  [1986] = {.lex_state = 126, .external_lex_state = 6},
  [1987] = {.lex_state = 46},
  [1988] = {.lex_state = 46, .external_lex_state = 2},
  [1989] = {.lex_state = 126, .external_lex_state = 6},
  [1990] = {.lex_state = 46},
  [1991] = {.lex_state = 46, .external_lex_state = 2},
  [1992] = {.lex_state = 40, .external_lex_state = 17},
  [1993] = {.lex_state = 46, .external_lex_state = 2},
  [1994] = {.lex_state = 40, .external_lex_state = 17},
  [1995] = {.lex_state = 46, .external_lex_state = 2},
  [1996] = {.lex_state = 46, .external_lex_state = 19},
  [1997] = {.lex_state = 46},
  [1998] = {.lex_state = 46, .external_lex_state = 2},
  [1999] = {.lex_state = 46, .external_lex_state = 2},
  [2000] = {.lex_state = 126, .external_lex_state = 6},
  [2001] = {.lex_state = 46, .external_lex_state = 2},
  [2002] = {.lex_state = 40, .external_lex_state = 17},
  [2003] = {.lex_state = 126, .external_lex_state = 8},
  [2004] = {.lex_state = 126, .external_lex_state = 6},
  [2005] = {.lex_state = 126, .external_lex_state = 8},
  [2006] = {.lex_state = 126, .external_lex_state = 8},
  [2007] = {.lex_state = 40, .external_lex_state = 17},
  [2008] = {.lex_state = 40, .external_lex_state = 17},
  [2009] = {.lex_state = 46, .external_lex_state = 2},
  [2010] = {.lex_state = 126, .external_lex_state = 8},
  [2011] = {.lex_state = 126, .external_lex_state = 8},
  [2012] = {.lex_state = 126, .external_lex_state = 8},
  [2013] = {.lex_state = 46, .external_lex_state = 19},
  [2014] = {.lex_state = 126, .external_lex_state = 6},
  [2015] = {.lex_state = 126, .external_lex_state = 6},
  [2016] = {.lex_state = 126, .external_lex_state = 8},
  [2017] = {.lex_state = 40, .external_lex_state = 17},
  [2018] = {.lex_state = 40, .external_lex_state = 17},
  [2019] = {.lex_state = 126, .external_lex_state = 6},
  [2020] = {.lex_state = 46, .external_lex_state = 2},
  [2021] = {.lex_state = 126, .external_lex_state = 6},
  [2022] = {.lex_state = 40, .external_lex_state = 17},
  [2023] = {.lex_state = 46},
  [2024] = {.lex_state = 39},
  [2025] = {.lex_state = 46, .external_lex_state = 19},
  [2026] = {.lex_state = 46, .external_lex_state = 2},
  [2027] = {.lex_state = 126, .external_lex_state = 6},
  [2028] = {.lex_state = 126, .external_lex_state = 6},
  [2029] = {.lex_state = 9, .external_lex_state = 10},
  [2030] = {.lex_state = 126, .external_lex_state = 8},
  [2031] = {.lex_state = 46, .external_lex_state = 2},
  [2032] = {.lex_state = 126, .external_lex_state = 8},
  [2033] = {.lex_state = 46, .external_lex_state = 19},
  [2034] = {.lex_state = 126, .external_lex_state = 6},
  [2035] = {.lex_state = 46, .external_lex_state = 2},
  [2036] = {.lex_state = 46, .external_lex_state = 2},
  [2037] = {.lex_state = 29},
  [2038] = {.lex_state = 126, .external_lex_state = 8},
  [2039] = {.lex_state = 126, .external_lex_state = 8},
  [2040] = {.lex_state = 46, .external_lex_state = 19},
  [2041] = {.lex_state = 126, .external_lex_state = 8},
  [2042] = {.lex_state = 46, .external_lex_state = 2},
  [2043] = {.lex_state = 126, .external_lex_state = 8},
  [2044] = {.lex_state = 126, .external_lex_state = 6},
  [2045] = {.lex_state = 126, .external_lex_state = 6},
  [2046] = {.lex_state = 40, .external_lex_state = 17},
  [2047] = {.lex_state = 126, .external_lex_state = 6},
  [2048] = {.lex_state = 46},
  [2049] = {.lex_state = 40, .external_lex_state = 17},
  [2050] = {.lex_state = 40, .external_lex_state = 17},
  [2051] = {.lex_state = 46, .external_lex_state = 2},
  [2052] = {.lex_state = 40, .external_lex_state = 17},
  [2053] = {.lex_state = 126, .external_lex_state = 6},
  [2054] = {.lex_state = 46, .external_lex_state = 2},
  [2055] = {.lex_state = 39},
  [2056] = {.lex_state = 126, .external_lex_state = 6},
  [2057] = {.lex_state = 46, .external_lex_state = 19},
  [2058] = {.lex_state = 46, .external_lex_state = 2},
  [2059] = {.lex_state = 40, .external_lex_state = 17},
  [2060] = {.lex_state = 126, .external_lex_state = 6},
  [2061] = {.lex_state = 40, .external_lex_state = 17},
  [2062] = {.lex_state = 40, .external_lex_state = 17},
  [2063] = {.lex_state = 46, .external_lex_state = 2},
  [2064] = {.lex_state = 46, .external_lex_state = 2},
  [2065] = {.lex_state = 9, .external_lex_state = 10},
  [2066] = {.lex_state = 126, .external_lex_state = 6},
  [2067] = {.lex_state = 40, .external_lex_state = 17},
  [2068] = {.lex_state = 41, .external_lex_state = 17},
  [2069] = {.lex_state = 46},
  [2070] = {.lex_state = 126, .external_lex_state = 6},
  [2071] = {.lex_state = 126, .external_lex_state = 6},
  [2072] = {.lex_state = 126, .external_lex_state = 6},
  [2073] = {.lex_state = 126, .external_lex_state = 6},
  [2074] = {.lex_state = 43, .external_lex_state = 20},
  [2075] = {.lex_state = 126, .external_lex_state = 6},
  [2076] = {.lex_state = 126, .external_lex_state = 6},
  [2077] = {.lex_state = 44, .external_lex_state = 20},
  [2078] = {.lex_state = 126, .external_lex_state = 6},
  [2079] = {.lex_state = 41, .external_lex_state = 17},
  [2080] = {.lex_state = 126, .external_lex_state = 6},
  [2081] = {.lex_state = 41, .external_lex_state = 17},
  [2082] = {.lex_state = 126, .external_lex_state = 6},
  [2083] = {.lex_state = 126, .external_lex_state = 6},
  [2084] = {.lex_state = 44, .external_lex_state = 20},
  [2085] = {.lex_state = 42},
  [2086] = {.lex_state = 126, .external_lex_state = 6},
  [2087] = {.lex_state = 41, .external_lex_state = 18},
  [2088] = {.lex_state = 46},
  [2089] = {.lex_state = 126, .external_lex_state = 6},
  [2090] = {.lex_state = 126, .external_lex_state = 6},
  [2091] = {.lex_state = 41, .external_lex_state = 11},
  [2092] = {.lex_state = 41, .external_lex_state = 17},
  [2093] = {.lex_state = 41, .external_lex_state = 17},
  [2094] = {.lex_state = 126, .external_lex_state = 6},
  [2095] = {.lex_state = 46},
  [2096] = {.lex_state = 126, .external_lex_state = 6},
  [2097] = {.lex_state = 46},
  [2098] = {.lex_state = 126, .external_lex_state = 6},
  [2099] = {.lex_state = 46},
  [2100] = {.lex_state = 41, .external_lex_state = 18},
  [2101] = {.lex_state = 126, .external_lex_state = 6},
  [2102] = {.lex_state = 46, .external_lex_state = 2},
  [2103] = {.lex_state = 46},
  [2104] = {.lex_state = 46},
  [2105] = {.lex_state = 46, .external_lex_state = 2},
  [2106] = {.lex_state = 40},
  [2107] = {.lex_state = 126, .external_lex_state = 6},
  [2108] = {.lex_state = 41, .external_lex_state = 17},
  [2109] = {.lex_state = 126, .external_lex_state = 6},
  [2110] = {.lex_state = 126, .external_lex_state = 6},
  [2111] = {.lex_state = 126, .external_lex_state = 6},
  [2112] = {.lex_state = 41, .external_lex_state = 17},
  [2113] = {.lex_state = 41, .external_lex_state = 17},
  [2114] = {.lex_state = 126, .external_lex_state = 6},
  [2115] = {.lex_state = 126, .external_lex_state = 6},
  [2116] = {.lex_state = 126, .external_lex_state = 6},
  [2117] = {.lex_state = 46},
  [2118] = {.lex_state = 126, .external_lex_state = 6},
  [2119] = {.lex_state = 46},
  [2120] = {.lex_state = 46, .external_lex_state = 2},
  [2121] = {.lex_state = 40},
  [2122] = {.lex_state = 42},
  [2123] = {.lex_state = 46},
  [2124] = {.lex_state = 41, .external_lex_state = 17},
  [2125] = {.lex_state = 41, .external_lex_state = 17},
  [2126] = {.lex_state = 41, .external_lex_state = 17},
  [2127] = {.lex_state = 41, .external_lex_state = 17},
  [2128] = {.lex_state = 39},
  [2129] = {.lex_state = 41, .external_lex_state = 17},
  [2130] = {.lex_state = 126, .external_lex_state = 6},
  [2131] = {.lex_state = 40},
  [2132] = {.lex_state = 43, .external_lex_state = 20},
  [2133] = {.lex_state = 126, .external_lex_state = 6},
  [2134] = {.lex_state = 41, .external_lex_state = 17},
  [2135] = {.lex_state = 46},
  [2136] = {.lex_state = 41, .external_lex_state = 17},
  [2137] = {.lex_state = 41, .external_lex_state = 17},
  [2138] = {.lex_state = 41, .external_lex_state = 17},
  [2139] = {.lex_state = 41, .external_lex_state = 17},
  [2140] = {.lex_state = 41, .external_lex_state = 17},
  [2141] = {.lex_state = 41, .external_lex_state = 17},
  [2142] = {.lex_state = 126, .external_lex_state = 6},
  [2143] = {.lex_state = 126, .external_lex_state = 6},
  [2144] = {.lex_state = 46},
  [2145] = {.lex_state = 46},
  [2146] = {.lex_state = 44, .external_lex_state = 20},
  [2147] = {.lex_state = 126, .external_lex_state = 6},
  [2148] = {.lex_state = 40},
  [2149] = {.lex_state = 126, .external_lex_state = 6},
  [2150] = {.lex_state = 41, .external_lex_state = 18},
  [2151] = {.lex_state = 40},
  [2152] = {.lex_state = 46},
  [2153] = {.lex_state = 41, .external_lex_state = 17},
  [2154] = {.lex_state = 126, .external_lex_state = 6},
  [2155] = {.lex_state = 41, .external_lex_state = 17},
  [2156] = {.lex_state = 40},
  [2157] = {.lex_state = 41, .external_lex_state = 11},
  [2158] = {.lex_state = 126, .external_lex_state = 6},
  [2159] = {.lex_state = 41, .external_lex_state = 17},
  [2160] = {.lex_state = 44, .external_lex_state = 20},
  [2161] = {.lex_state = 126, .external_lex_state = 6},
  [2162] = {.lex_state = 46},
  [2163] = {.lex_state = 126, .external_lex_state = 6},
  [2164] = {.lex_state = 126, .external_lex_state = 6},
  [2165] = {.lex_state = 46},
  [2166] = {.lex_state = 126, .external_lex_state = 6},
  [2167] = {.lex_state = 46},
  [2168] = {.lex_state = 43, .external_lex_state = 20},
  [2169] = {.lex_state = 41, .external_lex_state = 17},
  [2170] = {.lex_state = 46},
  [2171] = {.lex_state = 41, .external_lex_state = 17},
  [2172] = {.lex_state = 43, .external_lex_state = 20},
  [2173] = {.lex_state = 126, .external_lex_state = 6},
  [2174] = {.lex_state = 40},
  [2175] = {.lex_state = 41, .external_lex_state = 17},
  [2176] = {.lex_state = 126, .external_lex_state = 6},
  [2177] = {.lex_state = 126, .external_lex_state = 6},
  [2178] = {.lex_state = 126, .external_lex_state = 6},
  [2179] = {.lex_state = 40},
  [2180] = {.lex_state = 46},
  [2181] = {.lex_state = 41, .external_lex_state = 17},
  [2182] = {.lex_state = 41, .external_lex_state = 17},
  [2183] = {.lex_state = 46},
  [2184] = {.lex_state = 126, .external_lex_state = 6},
  [2185] = {.lex_state = 126, .external_lex_state = 6},
  [2186] = {.lex_state = 126, .external_lex_state = 6},
  [2187] = {.lex_state = 126, .external_lex_state = 6},
  [2188] = {.lex_state = 47, .external_lex_state = 12},
  [2189] = {.lex_state = 47, .external_lex_state = 12},
  [2190] = {.lex_state = 44, .external_lex_state = 20},
  [2191] = {.lex_state = 47, .external_lex_state = 12},
  [2192] = {.lex_state = 47, .external_lex_state = 12},
  [2193] = {.lex_state = 47, .external_lex_state = 12},
  [2194] = {.lex_state = 44, .external_lex_state = 20},
  [2195] = {.lex_state = 47, .external_lex_state = 12},
  [2196] = {.lex_state = 43, .external_lex_state = 12},
  [2197] = {.lex_state = 46, .external_lex_state = 14},
  [2198] = {.lex_state = 44, .external_lex_state = 20},
  [2199] = {.lex_state = 44, .external_lex_state = 20},
  [2200] = {.lex_state = 43, .external_lex_state = 12},
  [2201] = {.lex_state = 47, .external_lex_state = 12},
  [2202] = {.lex_state = 47, .external_lex_state = 12},
  [2203] = {.lex_state = 47, .external_lex_state = 12},
  [2204] = {.lex_state = 44, .external_lex_state = 20},
  [2205] = {.lex_state = 47, .external_lex_state = 12},
  [2206] = {.lex_state = 47, .external_lex_state = 12},
  [2207] = {.lex_state = 44, .external_lex_state = 20},
  [2208] = {.lex_state = 44, .external_lex_state = 20},
  [2209] = {.lex_state = 44, .external_lex_state = 20},
  [2210] = {.lex_state = 44, .external_lex_state = 20},
  [2211] = {.lex_state = 47, .external_lex_state = 12},
  [2212] = {.lex_state = 44, .external_lex_state = 20},
  [2213] = {.lex_state = 44, .external_lex_state = 20},
  [2214] = {.lex_state = 44, .external_lex_state = 20},
  [2215] = {.lex_state = 44, .external_lex_state = 20},
  [2216] = {.lex_state = 47, .external_lex_state = 12},
  [2217] = {.lex_state = 47, .external_lex_state = 12},
  [2218] = {.lex_state = 44, .external_lex_state = 20},
  [2219] = {.lex_state = 47, .external_lex_state = 12},
  [2220] = {.lex_state = 44, .external_lex_state = 20},
  [2221] = {.lex_state = 47, .external_lex_state = 12},
  [2222] = {.lex_state = 44, .external_lex_state = 20},
  [2223] = {.lex_state = 44, .external_lex_state = 20},
  [2224] = {.lex_state = 47, .external_lex_state = 12},
  [2225] = {.lex_state = 44, .external_lex_state = 20},
  [2226] = {.lex_state = 41, .external_lex_state = 18},
  [2227] = {.lex_state = 47, .external_lex_state = 12},
  [2228] = {.lex_state = 46},
  [2229] = {.lex_state = 44, .external_lex_state = 20},
  [2230] = {.lex_state = 47, .external_lex_state = 12},
  [2231] = {.lex_state = 47, .external_lex_state = 12},
  [2232] = {.lex_state = 47, .external_lex_state = 12},
  [2233] = {.lex_state = 44, .external_lex_state = 20},
  [2234] = {.lex_state = 41, .external_lex_state = 18},
  [2235] = {.lex_state = 41, .external_lex_state = 18},
  [2236] = {.lex_state = 41, .external_lex_state = 18},
  [2237] = {.lex_state = 41, .external_lex_state = 18},
  [2238] = {.lex_state = 47, .external_lex_state = 12},
  [2239] = {.lex_state = 47, .external_lex_state = 12},
  [2240] = {.lex_state = 41, .external_lex_state = 11},
  [2241] = {.lex_state = 47, .external_lex_state = 12},
  [2242] = {.lex_state = 47, .external_lex_state = 12},
  [2243] = {.lex_state = 47, .external_lex_state = 12},
  [2244] = {.lex_state = 47, .external_lex_state = 12},
  [2245] = {.lex_state = 39},
  [2246] = {.lex_state = 47, .external_lex_state = 12},
  [2247] = {.lex_state = 44, .external_lex_state = 12},
  [2248] = {.lex_state = 47, .external_lex_state = 12},
  [2249] = {.lex_state = 47, .external_lex_state = 12},
  [2250] = {.lex_state = 47, .external_lex_state = 12},
  [2251] = {.lex_state = 47, .external_lex_state = 12},
  [2252] = {.lex_state = 41, .external_lex_state = 18},
  [2253] = {.lex_state = 47, .external_lex_state = 12},
  [2254] = {.lex_state = 47, .external_lex_state = 12},
  [2255] = {.lex_state = 47, .external_lex_state = 12},
  [2256] = {.lex_state = 41, .external_lex_state = 18},
  [2257] = {.lex_state = 47, .external_lex_state = 12},
  [2258] = {.lex_state = 47, .external_lex_state = 12},
  [2259] = {.lex_state = 41, .external_lex_state = 18},
  [2260] = {.lex_state = 46, .external_lex_state = 14},
  [2261] = {.lex_state = 47, .external_lex_state = 12},
  [2262] = {.lex_state = 41, .external_lex_state = 18},
  [2263] = {.lex_state = 41, .external_lex_state = 18},
  [2264] = {.lex_state = 41, .external_lex_state = 18},
  [2265] = {.lex_state = 47, .external_lex_state = 12},
  [2266] = {.lex_state = 41, .external_lex_state = 18},
  [2267] = {.lex_state = 41, .external_lex_state = 18},
  [2268] = {.lex_state = 47, .external_lex_state = 12},
  [2269] = {.lex_state = 47, .external_lex_state = 12},
  [2270] = {.lex_state = 47, .external_lex_state = 12},
  [2271] = {.lex_state = 44, .external_lex_state = 20},
  [2272] = {.lex_state = 47, .external_lex_state = 12},
  [2273] = {.lex_state = 46},
  [2274] = {.lex_state = 46},
  [2275] = {.lex_state = 43, .external_lex_state = 12},
  [2276] = {.lex_state = 46, .external_lex_state = 14},
  [2277] = {.lex_state = 47, .external_lex_state = 12},
  [2278] = {.lex_state = 47, .external_lex_state = 12},
  [2279] = {.lex_state = 47, .external_lex_state = 12},
  [2280] = {.lex_state = 47, .external_lex_state = 12},
  [2281] = {.lex_state = 47, .external_lex_state = 12},
  [2282] = {.lex_state = 47, .external_lex_state = 12},
  [2283] = {.lex_state = 47, .external_lex_state = 12},
  [2284] = {.lex_state = 41, .external_lex_state = 18},
  [2285] = {.lex_state = 44, .external_lex_state = 20},
  [2286] = {.lex_state = 41, .external_lex_state = 18},
  [2287] = {.lex_state = 44, .external_lex_state = 12},
  [2288] = {.lex_state = 47, .external_lex_state = 12},
  [2289] = {.lex_state = 47, .external_lex_state = 12},
  [2290] = {.lex_state = 47, .external_lex_state = 12},
  [2291] = {.lex_state = 41, .external_lex_state = 18},
  [2292] = {.lex_state = 44, .external_lex_state = 20},
  [2293] = {.lex_state = 47, .external_lex_state = 12},
  [2294] = {.lex_state = 46, .external_lex_state = 14},
  [2295] = {.lex_state = 47, .external_lex_state = 12},
  [2296] = {.lex_state = 43, .external_lex_state = 12},
  [2297] = {.lex_state = 44, .external_lex_state = 20},
  [2298] = {.lex_state = 47, .external_lex_state = 12},
  [2299] = {.lex_state = 41, .external_lex_state = 18},
  [2300] = {.lex_state = 47, .external_lex_state = 12},
  [2301] = {.lex_state = 41, .external_lex_state = 18},
  [2302] = {.lex_state = 47, .external_lex_state = 12},
  [2303] = {.lex_state = 40},
  [2304] = {.lex_state = 41, .external_lex_state = 18},
  [2305] = {.lex_state = 41, .external_lex_state = 18},
  [2306] = {.lex_state = 41, .external_lex_state = 18},
  [2307] = {.lex_state = 41, .external_lex_state = 18},
  [2308] = {.lex_state = 44, .external_lex_state = 20},
  [2309] = {.lex_state = 41, .external_lex_state = 18},
  [2310] = {.lex_state = 41, .external_lex_state = 18},
  [2311] = {.lex_state = 47, .external_lex_state = 12},
  [2312] = {.lex_state = 47, .external_lex_state = 12},
  [2313] = {.lex_state = 44, .external_lex_state = 20},
  [2314] = {.lex_state = 41, .external_lex_state = 18},
  [2315] = {.lex_state = 41, .external_lex_state = 18},
  [2316] = {.lex_state = 47, .external_lex_state = 12},
  [2317] = {.lex_state = 47, .external_lex_state = 12},
  [2318] = {.lex_state = 39},
  [2319] = {.lex_state = 39},
  [2320] = {.lex_state = 41, .external_lex_state = 11},
  [2321] = {.lex_state = 41},
  [2322] = {.lex_state = 46},
  [2323] = {.lex_state = 41},
  [2324] = {.lex_state = 46},
  [2325] = {.lex_state = 39},
  [2326] = {.lex_state = 46},
  [2327] = {.lex_state = 41},
  [2328] = {.lex_state = 41, .external_lex_state = 11},
  [2329] = {.lex_state = 39},
  [2330] = {.lex_state = 41, .external_lex_state = 11},
  [2331] = {.lex_state = 46},
  [2332] = {.lex_state = 46},
  [2333] = {.lex_state = 40},
  [2334] = {.lex_state = 40},
  [2335] = {.lex_state = 41, .external_lex_state = 11},
  [2336] = {.lex_state = 46},
  [2337] = {.lex_state = 41},
  [2338] = {.lex_state = 39},
  [2339] = {.lex_state = 41},
  [2340] = {.lex_state = 46},
  [2341] = {.lex_state = 40},
  [2342] = {.lex_state = 39},
  [2343] = {.lex_state = 41},
  [2344] = {.lex_state = 40},
  [2345] = {.lex_state = 44, .external_lex_state = 12},
  [2346] = {.lex_state = 46},
  [2347] = {.lex_state = 41, .external_lex_state = 11},
  [2348] = {.lex_state = 39},
  [2349] = {.lex_state = 46},
  [2350] = {.lex_state = 41},
  [2351] = {.lex_state = 41, .external_lex_state = 11},
  [2352] = {.lex_state = 39},
  [2353] = {.lex_state = 41},
  [2354] = {.lex_state = 39},
  [2355] = {.lex_state = 39},
  [2356] = {.lex_state = 46},
  [2357] = {.lex_state = 39},
  [2358] = {.lex_state = 39},
  [2359] = {.lex_state = 39},
  [2360] = {.lex_state = 41, .external_lex_state = 11},
  [2361] = {.lex_state = 46},
  [2362] = {.lex_state = 41, .external_lex_state = 11},
  [2363] = {.lex_state = 39},
  [2364] = {.lex_state = 46},
  [2365] = {.lex_state = 41},
  [2366] = {.lex_state = 46},
  [2367] = {.lex_state = 41},
  [2368] = {.lex_state = 39},
  [2369] = {.lex_state = 46},
  [2370] = {.lex_state = 46},
  [2371] = {.lex_state = 39},
  [2372] = {.lex_state = 46},
  [2373] = {.lex_state = 41},
  [2374] = {.lex_state = 46},
  [2375] = {.lex_state = 39},
  [2376] = {.lex_state = 46},
  [2377] = {.lex_state = 41, .external_lex_state = 11},
  [2378] = {.lex_state = 39},
  [2379] = {.lex_state = 39},
  [2380] = {.lex_state = 46},
  [2381] = {.lex_state = 39},
  [2382] = {.lex_state = 46},
  [2383] = {.lex_state = 41, .external_lex_state = 11},
  [2384] = {.lex_state = 48, .external_lex_state = 11},
  [2385] = {.lex_state = 48, .external_lex_state = 11},
  [2386] = {.lex_state = 4, .external_lex_state = 10},
  [2387] = {.lex_state = 46},
  [2388] = {.lex_state = 46},
  [2389] = {.lex_state = 46},
  [2390] = {.lex_state = 46},
  [2391] = {.lex_state = 46},
  [2392] = {.lex_state = 46},
  [2393] = {.lex_state = 46},
  [2394] = {.lex_state = 46},
  [2395] = {.lex_state = 46},
  [2396] = {.lex_state = 46},
  [2397] = {.lex_state = 132, .external_lex_state = 15},
  [2398] = {.lex_state = 46},
  [2399] = {.lex_state = 46},
  [2400] = {.lex_state = 46},
  [2401] = {.lex_state = 46},
  [2402] = {.lex_state = 46},
  [2403] = {.lex_state = 46},
  [2404] = {.lex_state = 46},
  [2405] = {.lex_state = 46},
  [2406] = {.lex_state = 46},
  [2407] = {.lex_state = 46},
  [2408] = {.lex_state = 46},
  [2409] = {.lex_state = 46},
  [2410] = {.lex_state = 46},
  [2411] = {.lex_state = 46},
  [2412] = {.lex_state = 46},
  [2413] = {.lex_state = 46},
  [2414] = {.lex_state = 46},
  [2415] = {.lex_state = 46},
  [2416] = {.lex_state = 46},
  [2417] = {.lex_state = 46},
  [2418] = {.lex_state = 46},
  [2419] = {.lex_state = 132, .external_lex_state = 15},
  [2420] = {.lex_state = 46},
  [2421] = {.lex_state = 46},
  [2422] = {.lex_state = 46},
  [2423] = {.lex_state = 46},
  [2424] = {.lex_state = 46},
  [2425] = {.lex_state = 46},
  [2426] = {.lex_state = 46},
  [2427] = {.lex_state = 46},
  [2428] = {.lex_state = 46},
  [2429] = {.lex_state = 46},
  [2430] = {.lex_state = 46},
  [2431] = {.lex_state = 46},
  [2432] = {.lex_state = 46},
  [2433] = {.lex_state = 46},
  [2434] = {.lex_state = 46},
  [2435] = {.lex_state = 46},
  [2436] = {.lex_state = 46},
  [2437] = {.lex_state = 46},
  [2438] = {.lex_state = 46},
  [2439] = {.lex_state = 46},
  [2440] = {.lex_state = 46},
  [2441] = {.lex_state = 46},
  [2442] = {.lex_state = 46},
  [2443] = {.lex_state = 132, .external_lex_state = 15},
  [2444] = {.lex_state = 46},
  [2445] = {.lex_state = 46},
  [2446] = {.lex_state = 46},
  [2447] = {.lex_state = 46},
  [2448] = {.lex_state = 46},
  [2449] = {.lex_state = 46},
  [2450] = {.lex_state = 46},
  [2451] = {.lex_state = 132, .external_lex_state = 15},
  [2452] = {.lex_state = 132, .external_lex_state = 15},
  [2453] = {.lex_state = 132, .external_lex_state = 15},
  [2454] = {.lex_state = 132, .external_lex_state = 15},
  [2455] = {.lex_state = 132, .external_lex_state = 15},
  [2456] = {.lex_state = 132, .external_lex_state = 15},
  [2457] = {.lex_state = 132, .external_lex_state = 15},
  [2458] = {.lex_state = 132, .external_lex_state = 15},
  [2459] = {.lex_state = 132, .external_lex_state = 15},
  [2460] = {.lex_state = 132, .external_lex_state = 15},
  [2461] = {.lex_state = 132, .external_lex_state = 15},
  [2462] = {.lex_state = 132, .external_lex_state = 15},
  [2463] = {.lex_state = 132, .external_lex_state = 15},
  [2464] = {.lex_state = 132, .external_lex_state = 15},
  [2465] = {.lex_state = 132, .external_lex_state = 15},
  [2466] = {.lex_state = 132, .external_lex_state = 15},
  [2467] = {.lex_state = 132, .external_lex_state = 15},
  [2468] = {.lex_state = 132, .external_lex_state = 15},
  [2469] = {.lex_state = 132, .external_lex_state = 15},
  [2470] = {.lex_state = 132, .external_lex_state = 15},
  [2471] = {.lex_state = 132, .external_lex_state = 10},
  [2472] = {.lex_state = 132, .external_lex_state = 10},
  [2473] = {.lex_state = 132, .external_lex_state = 15},
  [2474] = {.lex_state = 132, .external_lex_state = 15},
  [2475] = {.lex_state = 132, .external_lex_state = 15},
  [2476] = {.lex_state = 132, .external_lex_state = 15},
  [2477] = {.lex_state = 132, .external_lex_state = 15},
  [2478] = {.lex_state = 132, .external_lex_state = 15},
  [2479] = {.lex_state = 132, .external_lex_state = 15},
  [2480] = {.lex_state = 34},
  [2481] = {.lex_state = 132, .external_lex_state = 10},
  [2482] = {.lex_state = 34, .external_lex_state = 18},
  [2483] = {.lex_state = 46, .external_lex_state = 17},
  [2484] = {.lex_state = 46, .external_lex_state = 17},
  [2485] = {.lex_state = 34, .external_lex_state = 12},
  [2486] = {.lex_state = 46, .external_lex_state = 17},
  [2487] = {.lex_state = 46, .external_lex_state = 17},
  [2488] = {.lex_state = 34, .external_lex_state = 21},
  [2489] = {.lex_state = 46, .external_lex_state = 17},
  [2490] = {.lex_state = 34, .external_lex_state = 21},
  [2491] = {.lex_state = 34},
  [2492] = {.lex_state = 46},
  [2493] = {.lex_state = 34},
  [2494] = {.lex_state = 34, .external_lex_state = 21},
  [2495] = {.lex_state = 34},
  [2496] = {.lex_state = 34},
  [2497] = {.lex_state = 34},
  [2498] = {.lex_state = 34, .external_lex_state = 21},
  [2499] = {.lex_state = 34, .external_lex_state = 21},
  [2500] = {.lex_state = 34},
  [2501] = {.lex_state = 34},
  [2502] = {.lex_state = 34, .external_lex_state = 21},
  [2503] = {.lex_state = 34, .external_lex_state = 21},
  [2504] = {.lex_state = 46, .external_lex_state = 17},
  [2505] = {.lex_state = 34},
  [2506] = {.lex_state = 34, .external_lex_state = 21},
  [2507] = {.lex_state = 46, .external_lex_state = 17},
  [2508] = {.lex_state = 34},
  [2509] = {.lex_state = 46, .external_lex_state = 17},
  [2510] = {.lex_state = 34, .external_lex_state = 21},
  [2511] = {.lex_state = 34},
  [2512] = {.lex_state = 34, .external_lex_state = 21},
  [2513] = {.lex_state = 34},
  [2514] = {.lex_state = 34},
  [2515] = {.lex_state = 46, .external_lex_state = 17},
  [2516] = {.lex_state = 34, .external_lex_state = 21},
  [2517] = {.lex_state = 46, .external_lex_state = 17},
  [2518] = {.lex_state = 34},
  [2519] = {.lex_state = 34},
  [2520] = {.lex_state = 34},
  [2521] = {.lex_state = 34, .external_lex_state = 21},
  [2522] = {.lex_state = 34, .external_lex_state = 21},
  [2523] = {.lex_state = 46, .external_lex_state = 17},
  [2524] = {.lex_state = 34, .external_lex_state = 21},
  [2525] = {.lex_state = 34, .external_lex_state = 21},
  [2526] = {.lex_state = 34, .external_lex_state = 21},
  [2527] = {.lex_state = 46, .external_lex_state = 17},
  [2528] = {.lex_state = 34},
  [2529] = {.lex_state = 34},
  [2530] = {.lex_state = 34},
  [2531] = {.lex_state = 34, .external_lex_state = 21},
  [2532] = {.lex_state = 46, .external_lex_state = 17},
  [2533] = {.lex_state = 34, .external_lex_state = 21},
  [2534] = {.lex_state = 34},
  [2535] = {.lex_state = 46, .external_lex_state = 17},
  [2536] = {.lex_state = 34, .external_lex_state = 21},
  [2537] = {.lex_state = 46, .external_lex_state = 17},
  [2538] = {.lex_state = 34, .external_lex_state = 21},
  [2539] = {.lex_state = 46, .external_lex_state = 17},
  [2540] = {.lex_state = 34},
  [2541] = {.lex_state = 34, .external_lex_state = 21},
  [2542] = {.lex_state = 34, .external_lex_state = 21},
  [2543] = {.lex_state = 34, .external_lex_state = 21},
  [2544] = {.lex_state = 34},
  [2545] = {.lex_state = 34},
  [2546] = {.lex_state = 34, .external_lex_state = 21},
  [2547] = {.lex_state = 34},
  [2548] = {.lex_state = 34},
  [2549] = {.lex_state = 46, .external_lex_state = 17},
  [2550] = {.lex_state = 34},
  [2551] = {.lex_state = 46, .external_lex_state = 17},
  [2552] = {.lex_state = 34, .external_lex_state = 21},
  [2553] = {.lex_state = 34, .external_lex_state = 21},
  [2554] = {.lex_state = 46, .external_lex_state = 17},
  [2555] = {.lex_state = 46, .external_lex_state = 17},
  [2556] = {.lex_state = 34},
  [2557] = {.lex_state = 34, .external_lex_state = 21},
  [2558] = {.lex_state = 34},
  [2559] = {.lex_state = 46, .external_lex_state = 17},
  [2560] = {.lex_state = 34, .external_lex_state = 21},
  [2561] = {.lex_state = 34, .external_lex_state = 21},
  [2562] = {.lex_state = 46, .external_lex_state = 17},
  [2563] = {.lex_state = 34, .external_lex_state = 21},
  [2564] = {.lex_state = 34},
  [2565] = {.lex_state = 46, .external_lex_state = 17},
  [2566] = {.lex_state = 46},
  [2567] = {.lex_state = 46, .external_lex_state = 17},
  [2568] = {.lex_state = 34},
  [2569] = {.lex_state = 46, .external_lex_state = 17},
  [2570] = {.lex_state = 46, .external_lex_state = 17},
  [2571] = {.lex_state = 46, .external_lex_state = 17},
  [2572] = {.lex_state = 46, .external_lex_state = 17},
  [2573] = {.lex_state = 46, .external_lex_state = 17},
  [2574] = {.lex_state = 46, .external_lex_state = 17},
  [2575] = {.lex_state = 34, .external_lex_state = 21},
  [2576] = {.lex_state = 49},
  [2577] = {.lex_state = 35},
  [2578] = {.lex_state = 35},
  [2579] = {.lex_state = 35},
  [2580] = {.lex_state = 35},
  [2581] = {.lex_state = 49},
  [2582] = {.lex_state = 35},
  [2583] = {.lex_state = 35},
  [2584] = {.lex_state = 35},
  [2585] = {.lex_state = 35},
  [2586] = {.lex_state = 35},
  [2587] = {.lex_state = 35},
  [2588] = {.lex_state = 35},
  [2589] = {.lex_state = 49},
  [2590] = {.lex_state = 35},
  [2591] = {.lex_state = 35},
  [2592] = {.lex_state = 35},
  [2593] = {.lex_state = 35},
  [2594] = {.lex_state = 35},
  [2595] = {.lex_state = 35},
  [2596] = {.lex_state = 35},
  [2597] = {.lex_state = 35},
  [2598] = {.lex_state = 35},
  [2599] = {.lex_state = 35},
  [2600] = {.lex_state = 35},
  [2601] = {.lex_state = 35},
  [2602] = {.lex_state = 35},
  [2603] = {.lex_state = 49},
  [2604] = {.lex_state = 35},
  [2605] = {.lex_state = 35},
  [2606] = {.lex_state = 35},
  [2607] = {.lex_state = 35},
  [2608] = {.lex_state = 35},
  [2609] = {.lex_state = 49},
  [2610] = {.lex_state = 46},
  [2611] = {.lex_state = 35},
  [2612] = {.lex_state = 35},
  [2613] = {.lex_state = 35},
  [2614] = {.lex_state = 35},
  [2615] = {.lex_state = 35},
  [2616] = {.lex_state = 35},
  [2617] = {.lex_state = 35},
  [2618] = {.lex_state = 35},
  [2619] = {.lex_state = 35},
  [2620] = {.lex_state = 35},
  [2621] = {.lex_state = 35},
  [2622] = {.lex_state = 35},
  [2623] = {.lex_state = 35},
  [2624] = {.lex_state = 35},
  [2625] = {.lex_state = 49},
  [2626] = {.lex_state = 35},
  [2627] = {.lex_state = 35},
  [2628] = {.lex_state = 35},
  [2629] = {.lex_state = 35},
  [2630] = {.lex_state = 35},
  [2631] = {.lex_state = 35},
  [2632] = {.lex_state = 35},
  [2633] = {.lex_state = 35},
  [2634] = {.lex_state = 35},
  [2635] = {.lex_state = 35},
  [2636] = {.lex_state = 35},
  [2637] = {.lex_state = 35},
  [2638] = {.lex_state = 35},
  [2639] = {.lex_state = 35},
  [2640] = {.lex_state = 35},
  [2641] = {.lex_state = 46},
  [2642] = {.lex_state = 51, .external_lex_state = 21},
  [2643] = {.lex_state = 51, .external_lex_state = 21},
  [2644] = {.lex_state = 51, .external_lex_state = 21},
  [2645] = {.lex_state = 51, .external_lex_state = 21},
  [2646] = {.lex_state = 51, .external_lex_state = 21},
  [2647] = {.lex_state = 51, .external_lex_state = 21},
  [2648] = {.lex_state = 46},
  [2649] = {.lex_state = 51, .external_lex_state = 21},
  [2650] = {.lex_state = 46},
  [2651] = {.lex_state = 46},
  [2652] = {.lex_state = 46},
  [2653] = {.lex_state = 46},
  [2654] = {.lex_state = 51, .external_lex_state = 21},
  [2655] = {.lex_state = 51, .external_lex_state = 21},
  [2656] = {.lex_state = 51, .external_lex_state = 21},
  [2657] = {.lex_state = 51, .external_lex_state = 21},
  [2658] = {.lex_state = 51, .external_lex_state = 21},
  [2659] = {.lex_state = 51, .external_lex_state = 21},
  [2660] = {.lex_state = 51, .external_lex_state = 21},
  [2661] = {.lex_state = 46},
  [2662] = {.lex_state = 51, .external_lex_state = 21},
  [2663] = {.lex_state = 46},
  [2664] = {.lex_state = 51, .external_lex_state = 21},
  [2665] = {.lex_state = 51, .external_lex_state = 21},
  [2666] = {.lex_state = 51, .external_lex_state = 21},
  [2667] = {.lex_state = 51, .external_lex_state = 21},
  [2668] = {.lex_state = 51, .external_lex_state = 21},
  [2669] = {.lex_state = 36},
  [2670] = {.lex_state = 51, .external_lex_state = 21},
  [2671] = {.lex_state = 46},
  [2672] = {.lex_state = 51, .external_lex_state = 21},
  [2673] = {.lex_state = 46},
  [2674] = {.lex_state = 46},
  [2675] = {.lex_state = 51, .external_lex_state = 21},
  [2676] = {.lex_state = 51, .external_lex_state = 21},
  [2677] = {.lex_state = 51, .external_lex_state = 21},
  [2678] = {.lex_state = 51, .external_lex_state = 21},
  [2679] = {.lex_state = 46},
  [2680] = {.lex_state = 51, .external_lex_state = 21},
  [2681] = {.lex_state = 51, .external_lex_state = 21},
  [2682] = {.lex_state = 51, .external_lex_state = 21},
  [2683] = {.lex_state = 51, .external_lex_state = 21},
  [2684] = {.lex_state = 51, .external_lex_state = 21},
  [2685] = {.lex_state = 50},
  [2686] = {.lex_state = 39, .external_lex_state = 22},
  [2687] = {.lex_state = 50},
  [2688] = {.lex_state = 50},
  [2689] = {.lex_state = 50},
  [2690] = {.lex_state = 50},
  [2691] = {.lex_state = 50},
  [2692] = {.lex_state = 50},
  [2693] = {.lex_state = 50},
  [2694] = {.lex_state = 50},
  [2695] = {.lex_state = 50},
  [2696] = {.lex_state = 50},
  [2697] = {.lex_state = 50},
  [2698] = {.lex_state = 50},
  [2699] = {.lex_state = 50},
  [2700] = {.lex_state = 50},
  [2701] = {.lex_state = 50},
  [2702] = {.lex_state = 50},
  [2703] = {.lex_state = 50},
  [2704] = {.lex_state = 50},
  [2705] = {.lex_state = 50},
  [2706] = {.lex_state = 39, .external_lex_state = 22},
  [2707] = {.lex_state = 50},
  [2708] = {.lex_state = 50},
  [2709] = {.lex_state = 50},
  [2710] = {.lex_state = 50},
  [2711] = {.lex_state = 50},
  [2712] = {.lex_state = 50},
  [2713] = {.lex_state = 50},
  [2714] = {.lex_state = 50},
  [2715] = {.lex_state = 50},
  [2716] = {.lex_state = 50},
  [2717] = {.lex_state = 50},
  [2718] = {.lex_state = 34},
  [2719] = {.lex_state = 50},
  [2720] = {.lex_state = 50},
  [2721] = {.lex_state = 50},
  [2722] = {.lex_state = 50},
  [2723] = {.lex_state = 50},
  [2724] = {.lex_state = 39, .external_lex_state = 22},
  [2725] = {.lex_state = 50},
  [2726] = {.lex_state = 50},
  [2727] = {.lex_state = 50},
  [2728] = {.lex_state = 50},
  [2729] = {.lex_state = 50},
  [2730] = {.lex_state = 50},
  [2731] = {.lex_state = 50},
  [2732] = {.lex_state = 39, .external_lex_state = 22},
  [2733] = {.lex_state = 50},
  [2734] = {.lex_state = 50},
  [2735] = {.lex_state = 50},
  [2736] = {.lex_state = 39, .external_lex_state = 22},
  [2737] = {.lex_state = 50},
  [2738] = {.lex_state = 50},
  [2739] = {.lex_state = 50},
  [2740] = {.lex_state = 50},
  [2741] = {.lex_state = 50},
  [2742] = {.lex_state = 50},
  [2743] = {.lex_state = 50},
  [2744] = {.lex_state = 39, .external_lex_state = 22},
  [2745] = {.lex_state = 50},
  [2746] = {.lex_state = 50},
  [2747] = {.lex_state = 50},
  [2748] = {.lex_state = 50},
  [2749] = {.lex_state = 39, .external_lex_state = 22},
  [2750] = {.lex_state = 50},
  [2751] = {.lex_state = 50},
  [2752] = {.lex_state = 51},
  [2753] = {.lex_state = 133},
  [2754] = {.lex_state = 133},
  [2755] = {.lex_state = 51},
  [2756] = {.lex_state = 133},
  [2757] = {.lex_state = 133},
  [2758] = {.lex_state = 133},
  [2759] = {.lex_state = 51},
  [2760] = {.lex_state = 51},
  [2761] = {.lex_state = 133},
  [2762] = {.lex_state = 133},
  [2763] = {.lex_state = 133},
  [2764] = {.lex_state = 51},
  [2765] = {.lex_state = 133},
  [2766] = {.lex_state = 7, .external_lex_state = 15},
  [2767] = {.lex_state = 50, .external_lex_state = 17},
  [2768] = {.lex_state = 7, .external_lex_state = 10},
  [2769] = {.lex_state = 50, .external_lex_state = 17},
  [2770] = {.lex_state = 7, .external_lex_state = 15},
  [2771] = {.lex_state = 50, .external_lex_state = 17},
  [2772] = {.lex_state = 6, .external_lex_state = 10},
  [2773] = {.lex_state = 50, .external_lex_state = 17},
  [2774] = {.lex_state = 50, .external_lex_state = 17},
  [2775] = {.lex_state = 6, .external_lex_state = 10},
  [2776] = {.lex_state = 6, .external_lex_state = 10},
  [2777] = {.lex_state = 6, .external_lex_state = 10},
  [2778] = {.lex_state = 50, .external_lex_state = 17},
  [2779] = {.lex_state = 7, .external_lex_state = 15},
  [2780] = {.lex_state = 7, .external_lex_state = 15},
  [2781] = {.lex_state = 50, .external_lex_state = 17},
  [2782] = {.lex_state = 50, .external_lex_state = 17},
  [2783] = {.lex_state = 50, .external_lex_state = 17},
  [2784] = {.lex_state = 7, .external_lex_state = 10},
  [2785] = {.lex_state = 7, .external_lex_state = 10},
  [2786] = {.lex_state = 50, .external_lex_state = 17},
  [2787] = {.lex_state = 50, .external_lex_state = 17},
  [2788] = {.lex_state = 50, .external_lex_state = 17},
  [2789] = {.lex_state = 50, .external_lex_state = 17},
  [2790] = {.lex_state = 50, .external_lex_state = 17},
  [2791] = {.lex_state = 6, .external_lex_state = 10},
  [2792] = {.lex_state = 50, .external_lex_state = 17},
  [2793] = {.lex_state = 50, .external_lex_state = 17},
  [2794] = {.lex_state = 50, .external_lex_state = 17},
  [2795] = {.lex_state = 50, .external_lex_state = 17},
  [2796] = {.lex_state = 50, .external_lex_state = 17},
  [2797] = {.lex_state = 50, .external_lex_state = 17},
  [2798] = {.lex_state = 7, .external_lex_state = 10},
  [2799] = {.lex_state = 50, .external_lex_state = 17},
  [2800] = {.lex_state = 7, .external_lex_state = 15},
  [2801] = {.lex_state = 50, .external_lex_state = 17},
  [2802] = {.lex_state = 7, .external_lex_state = 15},
  [2803] = {.lex_state = 45},
  [2804] = {.lex_state = 132, .external_lex_state = 10},
  [2805] = {.lex_state = 39, .external_lex_state = 22},
  [2806] = {.lex_state = 39, .external_lex_state = 22},
  [2807] = {.lex_state = 45},
  [2808] = {.lex_state = 39, .external_lex_state = 22},
  [2809] = {.lex_state = 7, .external_lex_state = 15},
  [2810] = {.lex_state = 39, .external_lex_state = 22},
  [2811] = {.lex_state = 39, .external_lex_state = 22},
  [2812] = {.lex_state = 45},
  [2813] = {.lex_state = 39, .external_lex_state = 22},
  [2814] = {.lex_state = 39, .external_lex_state = 22},
  [2815] = {.lex_state = 7, .external_lex_state = 15},
  [2816] = {.lex_state = 7, .external_lex_state = 15},
  [2817] = {.lex_state = 39, .external_lex_state = 22},
  [2818] = {.lex_state = 7, .external_lex_state = 15},
  [2819] = {.lex_state = 6, .external_lex_state = 10},
  [2820] = {.lex_state = 39, .external_lex_state = 22},
  [2821] = {.lex_state = 7, .external_lex_state = 15},
  [2822] = {.lex_state = 50},
  [2823] = {.lex_state = 50},
  [2824] = {.lex_state = 132, .external_lex_state = 10},
  [2825] = {.lex_state = 39, .external_lex_state = 22},
  [2826] = {.lex_state = 7, .external_lex_state = 15},
  [2827] = {.lex_state = 39, .external_lex_state = 22},
  [2828] = {.lex_state = 7, .external_lex_state = 15},
  [2829] = {.lex_state = 39, .external_lex_state = 22},
  [2830] = {.lex_state = 39, .external_lex_state = 22},
  [2831] = {.lex_state = 7, .external_lex_state = 15},
  [2832] = {.lex_state = 39, .external_lex_state = 22},
  [2833] = {.lex_state = 45},
  [2834] = {.lex_state = 6, .external_lex_state = 10},
  [2835] = {.lex_state = 7, .external_lex_state = 15},
  [2836] = {.lex_state = 39, .external_lex_state = 22},
  [2837] = {.lex_state = 7, .external_lex_state = 15},
  [2838] = {.lex_state = 7, .external_lex_state = 15},
  [2839] = {.lex_state = 7, .external_lex_state = 15},
  [2840] = {.lex_state = 7, .external_lex_state = 15},
  [2841] = {.lex_state = 7, .external_lex_state = 15},
  [2842] = {.lex_state = 7, .external_lex_state = 15},
  [2843] = {.lex_state = 39, .external_lex_state = 22},
  [2844] = {.lex_state = 132, .external_lex_state = 10},
  [2845] = {.lex_state = 7, .external_lex_state = 15},
  [2846] = {.lex_state = 39, .external_lex_state = 22},
  [2847] = {.lex_state = 7, .external_lex_state = 15},
  [2848] = {.lex_state = 45},
  [2849] = {.lex_state = 7, .external_lex_state = 15},
  [2850] = {.lex_state = 39, .external_lex_state = 22},
  [2851] = {.lex_state = 7, .external_lex_state = 10},
  [2852] = {.lex_state = 7, .external_lex_state = 15},
  [2853] = {.lex_state = 7, .external_lex_state = 15},
  [2854] = {.lex_state = 7, .external_lex_state = 15},
  [2855] = {.lex_state = 7, .external_lex_state = 15},
  [2856] = {.lex_state = 7, .external_lex_state = 15},
  [2857] = {.lex_state = 7, .external_lex_state = 15},
  [2858] = {.lex_state = 7, .external_lex_state = 15},
  [2859] = {.lex_state = 39, .external_lex_state = 22},
  [2860] = {.lex_state = 39, .external_lex_state = 22},
  [2861] = {.lex_state = 7, .external_lex_state = 15},
  [2862] = {.lex_state = 45},
  [2863] = {.lex_state = 132, .external_lex_state = 10},
  [2864] = {.lex_state = 52},
  [2865] = {.lex_state = 133, .external_lex_state = 17},
  [2866] = {.lex_state = 132, .external_lex_state = 10},
  [2867] = {.lex_state = 7, .external_lex_state = 10},
  [2868] = {.lex_state = 52},
  [2869] = {.lex_state = 52},
  [2870] = {.lex_state = 132, .external_lex_state = 10},
  [2871] = {.lex_state = 52},
  [2872] = {.lex_state = 52},
  [2873] = {.lex_state = 52},
  [2874] = {.lex_state = 52},
  [2875] = {.lex_state = 52},
  [2876] = {.lex_state = 7, .external_lex_state = 10},
  [2877] = {.lex_state = 52},
  [2878] = {.lex_state = 52},
  [2879] = {.lex_state = 52},
  [2880] = {.lex_state = 7, .external_lex_state = 10},
  [2881] = {.lex_state = 52},
  [2882] = {.lex_state = 52},
  [2883] = {.lex_state = 132, .external_lex_state = 10},
  [2884] = {.lex_state = 132, .external_lex_state = 10},
  [2885] = {.lex_state = 46, .external_lex_state = 17},
  [2886] = {.lex_state = 52},
  [2887] = {.lex_state = 52},
  [2888] = {.lex_state = 52},
  [2889] = {.lex_state = 7, .external_lex_state = 10},
  [2890] = {.lex_state = 132, .external_lex_state = 10},
  [2891] = {.lex_state = 46},
  [2892] = {.lex_state = 52},
  [2893] = {.lex_state = 45},
  [2894] = {.lex_state = 132, .external_lex_state = 10},
  [2895] = {.lex_state = 132, .external_lex_state = 10},
  [2896] = {.lex_state = 46},
  [2897] = {.lex_state = 132, .external_lex_state = 10},
  [2898] = {.lex_state = 52},
  [2899] = {.lex_state = 52},
  [2900] = {.lex_state = 52},
  [2901] = {.lex_state = 52},
  [2902] = {.lex_state = 133, .external_lex_state = 17},
  [2903] = {.lex_state = 7, .external_lex_state = 10},
  [2904] = {.lex_state = 52},
  [2905] = {.lex_state = 7, .external_lex_state = 10},
  [2906] = {.lex_state = 52},
  [2907] = {.lex_state = 52},
  [2908] = {.lex_state = 133, .external_lex_state = 17},
  [2909] = {.lex_state = 52},
  [2910] = {.lex_state = 52},
  [2911] = {.lex_state = 52},
  [2912] = {.lex_state = 52},
  [2913] = {.lex_state = 132, .external_lex_state = 10},
  [2914] = {.lex_state = 52},
  [2915] = {.lex_state = 41, .external_lex_state = 18},
  [2916] = {.lex_state = 52},
  [2917] = {.lex_state = 52},
  [2918] = {.lex_state = 39},
  [2919] = {.lex_state = 52},
  [2920] = {.lex_state = 52},
  [2921] = {.lex_state = 132, .external_lex_state = 10},
  [2922] = {.lex_state = 52},
  [2923] = {.lex_state = 132, .external_lex_state = 10},
  [2924] = {.lex_state = 52},
  [2925] = {.lex_state = 52},
  [2926] = {.lex_state = 52},
  [2927] = {.lex_state = 132, .external_lex_state = 10},
  [2928] = {.lex_state = 132, .external_lex_state = 10},
  [2929] = {.lex_state = 46},
  [2930] = {.lex_state = 52},
  [2931] = {.lex_state = 52},
  [2932] = {.lex_state = 52},
  [2933] = {.lex_state = 132, .external_lex_state = 10},
  [2934] = {.lex_state = 132, .external_lex_state = 10},
  [2935] = {.lex_state = 52},
  [2936] = {.lex_state = 132, .external_lex_state = 10},
  [2937] = {.lex_state = 133, .external_lex_state = 17},
  [2938] = {.lex_state = 132, .external_lex_state = 10},
  [2939] = {.lex_state = 132, .external_lex_state = 10},
  [2940] = {.lex_state = 52},
  [2941] = {.lex_state = 41, .external_lex_state = 18},
  [2942] = {.lex_state = 39},
  [2943] = {.lex_state = 52},
  [2944] = {.lex_state = 52},
  [2945] = {.lex_state = 52},
  [2946] = {.lex_state = 52},
  [2947] = {.lex_state = 41, .external_lex_state = 18},
  [2948] = {.lex_state = 132, .external_lex_state = 10},
  [2949] = {.lex_state = 52},
  [2950] = {.lex_state = 41, .external_lex_state = 18},
  [2951] = {.lex_state = 52},
  [2952] = {.lex_state = 39},
  [2953] = {.lex_state = 132, .external_lex_state = 10},
  [2954] = {.lex_state = 132, .external_lex_state = 10},
  [2955] = {.lex_state = 132, .external_lex_state = 10},
  [2956] = {.lex_state = 132, .external_lex_state = 10},
  [2957] = {.lex_state = 47, .external_lex_state = 20},
  [2958] = {.lex_state = 39},
  [2959] = {.lex_state = 47, .external_lex_state = 12},
  [2960] = {.lex_state = 47, .external_lex_state = 12},
  [2961] = {.lex_state = 51},
  [2962] = {.lex_state = 47, .external_lex_state = 12},
  [2963] = {.lex_state = 32, .external_lex_state = 20},
  [2964] = {.lex_state = 47, .external_lex_state = 12},
  [2965] = {.lex_state = 47, .external_lex_state = 12},
  [2966] = {.lex_state = 32, .external_lex_state = 20},
  [2967] = {.lex_state = 47, .external_lex_state = 12},
  [2968] = {.lex_state = 51, .external_lex_state = 17},
  [2969] = {.lex_state = 32, .external_lex_state = 20},
  [2970] = {.lex_state = 51, .external_lex_state = 17},
  [2971] = {.lex_state = 47, .external_lex_state = 12},
  [2972] = {.lex_state = 32, .external_lex_state = 20},
  [2973] = {.lex_state = 32, .external_lex_state = 20},
  [2974] = {.lex_state = 47, .external_lex_state = 12},
  [2975] = {.lex_state = 32, .external_lex_state = 20},
  [2976] = {.lex_state = 47, .external_lex_state = 12},
  [2977] = {.lex_state = 32, .external_lex_state = 20},
  [2978] = {.lex_state = 47, .external_lex_state = 12},
  [2979] = {.lex_state = 47, .external_lex_state = 12},
  [2980] = {.lex_state = 47, .external_lex_state = 12},
  [2981] = {.lex_state = 32, .external_lex_state = 20},
  [2982] = {.lex_state = 47, .external_lex_state = 12},
  [2983] = {.lex_state = 32, .external_lex_state = 20},
  [2984] = {.lex_state = 32, .external_lex_state = 20},
  [2985] = {.lex_state = 32, .external_lex_state = 20},
  [2986] = {.lex_state = 47, .external_lex_state = 12},
  [2987] = {.lex_state = 47, .external_lex_state = 12},
  [2988] = {.lex_state = 32, .external_lex_state = 20},
  [2989] = {.lex_state = 32, .external_lex_state = 20},
  [2990] = {.lex_state = 32, .external_lex_state = 20},
  [2991] = {.lex_state = 32, .external_lex_state = 20},
  [2992] = {.lex_state = 47, .external_lex_state = 12},
  [2993] = {.lex_state = 47, .external_lex_state = 12},
  [2994] = {.lex_state = 32, .external_lex_state = 20},
  [2995] = {.lex_state = 47, .external_lex_state = 12},
  [2996] = {.lex_state = 32, .external_lex_state = 20},
  [2997] = {.lex_state = 32, .external_lex_state = 20},
  [2998] = {.lex_state = 41, .external_lex_state = 18},
  [2999] = {.lex_state = 47, .external_lex_state = 12},
  [3000] = {.lex_state = 32, .external_lex_state = 20},
  [3001] = {.lex_state = 47, .external_lex_state = 12},
  [3002] = {.lex_state = 32, .external_lex_state = 20},
  [3003] = {.lex_state = 133},
  [3004] = {.lex_state = 47, .external_lex_state = 12},
  [3005] = {.lex_state = 47, .external_lex_state = 12},
  [3006] = {.lex_state = 41, .external_lex_state = 18},
  [3007] = {.lex_state = 32, .external_lex_state = 20},
  [3008] = {.lex_state = 51},
  [3009] = {.lex_state = 51},
  [3010] = {.lex_state = 41, .external_lex_state = 18},
  [3011] = {.lex_state = 133},
  [3012] = {.lex_state = 51},
  [3013] = {.lex_state = 32, .external_lex_state = 20},
  [3014] = {.lex_state = 47, .external_lex_state = 12},
  [3015] = {.lex_state = 51},
  [3016] = {.lex_state = 51},
  [3017] = {.lex_state = 32, .external_lex_state = 20},
  [3018] = {.lex_state = 47, .external_lex_state = 12},
  [3019] = {.lex_state = 47, .external_lex_state = 12},
  [3020] = {.lex_state = 32, .external_lex_state = 20},
  [3021] = {.lex_state = 51},
  [3022] = {.lex_state = 32, .external_lex_state = 20},
  [3023] = {.lex_state = 47, .external_lex_state = 12},
  [3024] = {.lex_state = 32, .external_lex_state = 20},
  [3025] = {.lex_state = 47, .external_lex_state = 12},
  [3026] = {.lex_state = 32, .external_lex_state = 20},
  [3027] = {.lex_state = 133},
  [3028] = {.lex_state = 32, .external_lex_state = 20},
  [3029] = {.lex_state = 47, .external_lex_state = 12},
  [3030] = {.lex_state = 47, .external_lex_state = 12},
  [3031] = {.lex_state = 47, .external_lex_state = 12},
  [3032] = {.lex_state = 133},
  [3033] = {.lex_state = 32, .external_lex_state = 20},
  [3034] = {.lex_state = 133},
  [3035] = {.lex_state = 47, .external_lex_state = 12},
  [3036] = {.lex_state = 32, .external_lex_state = 20},
  [3037] = {.lex_state = 32, .external_lex_state = 20},
  [3038] = {.lex_state = 32, .external_lex_state = 20},
  [3039] = {.lex_state = 32, .external_lex_state = 20},
  [3040] = {.lex_state = 47, .external_lex_state = 12},
  [3041] = {.lex_state = 133},
  [3042] = {.lex_state = 32, .external_lex_state = 20},
  [3043] = {.lex_state = 47, .external_lex_state = 12},
  [3044] = {.lex_state = 32, .external_lex_state = 20},
  [3045] = {.lex_state = 51},
  [3046] = {.lex_state = 47, .external_lex_state = 12},
  [3047] = {.lex_state = 47, .external_lex_state = 12},
  [3048] = {.lex_state = 32, .external_lex_state = 20},
  [3049] = {.lex_state = 47, .external_lex_state = 12},
  [3050] = {.lex_state = 41, .external_lex_state = 18},
  [3051] = {.lex_state = 32, .external_lex_state = 20},
  [3052] = {.lex_state = 47, .external_lex_state = 12},
  [3053] = {.lex_state = 47, .external_lex_state = 12},
  [3054] = {.lex_state = 32, .external_lex_state = 20},
  [3055] = {.lex_state = 133},
  [3056] = {.lex_state = 32, .external_lex_state = 20},
  [3057] = {.lex_state = 32, .external_lex_state = 20},
  [3058] = {.lex_state = 133},
  [3059] = {.lex_state = 47, .external_lex_state = 12},
  [3060] = {.lex_state = 32, .external_lex_state = 20},
  [3061] = {.lex_state = 47, .external_lex_state = 12},
  [3062] = {.lex_state = 47, .external_lex_state = 12},
  [3063] = {.lex_state = 32, .external_lex_state = 20},
  [3064] = {.lex_state = 47, .external_lex_state = 12},
  [3065] = {.lex_state = 47, .external_lex_state = 12},
  [3066] = {.lex_state = 32, .external_lex_state = 20},
  [3067] = {.lex_state = 32, .external_lex_state = 20},
  [3068] = {.lex_state = 47, .external_lex_state = 12},
  [3069] = {.lex_state = 51, .external_lex_state = 17},
  [3070] = {.lex_state = 32, .external_lex_state = 20},
  [3071] = {.lex_state = 51},
  [3072] = {.lex_state = 47, .external_lex_state = 12},
  [3073] = {.lex_state = 47, .external_lex_state = 12},
  [3074] = {.lex_state = 47, .external_lex_state = 12},
  [3075] = {.lex_state = 32, .external_lex_state = 20},
  [3076] = {.lex_state = 133},
  [3077] = {.lex_state = 47, .external_lex_state = 12},
  [3078] = {.lex_state = 133},
  [3079] = {.lex_state = 32, .external_lex_state = 20},
  [3080] = {.lex_state = 32, .external_lex_state = 20},
  [3081] = {.lex_state = 47, .external_lex_state = 12},
  [3082] = {.lex_state = 47, .external_lex_state = 12},
  [3083] = {.lex_state = 32, .external_lex_state = 20},
  [3084] = {.lex_state = 32, .external_lex_state = 20},
  [3085] = {.lex_state = 47, .external_lex_state = 12},
  [3086] = {.lex_state = 32, .external_lex_state = 20},
  [3087] = {.lex_state = 32, .external_lex_state = 20},
  [3088] = {.lex_state = 47, .external_lex_state = 12},
  [3089] = {.lex_state = 47, .external_lex_state = 12},
  [3090] = {.lex_state = 32, .external_lex_state = 20},
  [3091] = {.lex_state = 47, .external_lex_state = 12},
  [3092] = {.lex_state = 32, .external_lex_state = 20},
  [3093] = {.lex_state = 47, .external_lex_state = 12},
  [3094] = {.lex_state = 32, .external_lex_state = 20},
  [3095] = {.lex_state = 32, .external_lex_state = 20},
  [3096] = {.lex_state = 47, .external_lex_state = 12},
  [3097] = {.lex_state = 32, .external_lex_state = 20},
  [3098] = {.lex_state = 47, .external_lex_state = 12},
  [3099] = {.lex_state = 32, .external_lex_state = 20},
  [3100] = {.lex_state = 133},
  [3101] = {.lex_state = 47, .external_lex_state = 12},
  [3102] = {.lex_state = 32, .external_lex_state = 20},
  [3103] = {.lex_state = 47, .external_lex_state = 12},
  [3104] = {.lex_state = 32, .external_lex_state = 20},
  [3105] = {.lex_state = 47, .external_lex_state = 12},
  [3106] = {.lex_state = 32, .external_lex_state = 20},
  [3107] = {.lex_state = 47, .external_lex_state = 12},
  [3108] = {.lex_state = 32, .external_lex_state = 20},
  [3109] = {.lex_state = 47, .external_lex_state = 12},
  [3110] = {.lex_state = 32, .external_lex_state = 20},
  [3111] = {.lex_state = 51, .external_lex_state = 17},
  [3112] = {.lex_state = 32, .external_lex_state = 20},
  [3113] = {.lex_state = 47, .external_lex_state = 12},
  [3114] = {.lex_state = 51},
  [3115] = {.lex_state = 51},
  [3116] = {.lex_state = 40},
  [3117] = {.lex_state = 45},
  [3118] = {.lex_state = 51},
  [3119] = {.lex_state = 45},
  [3120] = {.lex_state = 40},
  [3121] = {.lex_state = 51},
  [3122] = {.lex_state = 40},
  [3123] = {.lex_state = 51},
  [3124] = {.lex_state = 51},
  [3125] = {.lex_state = 32, .external_lex_state = 20},
  [3126] = {.lex_state = 51},
  [3127] = {.lex_state = 51},
  [3128] = {.lex_state = 45},
  [3129] = {.lex_state = 51},
  [3130] = {.lex_state = 51},
  [3131] = {.lex_state = 45},
  [3132] = {.lex_state = 32, .external_lex_state = 20},
  [3133] = {.lex_state = 51},
  [3134] = {.lex_state = 51},
  [3135] = {.lex_state = 51},
  [3136] = {.lex_state = 51},
  [3137] = {.lex_state = 51},
  [3138] = {.lex_state = 51},
  [3139] = {.lex_state = 51},
  [3140] = {.lex_state = 51},
  [3141] = {.lex_state = 51},
  [3142] = {.lex_state = 45},
  [3143] = {.lex_state = 51},
  [3144] = {.lex_state = 51},
  [3145] = {.lex_state = 51},
  [3146] = {.lex_state = 51},
  [3147] = {.lex_state = 51},
  [3148] = {.lex_state = 133},
  [3149] = {.lex_state = 51},
  [3150] = {.lex_state = 51},
  [3151] = {.lex_state = 51},
  [3152] = {.lex_state = 45},
  [3153] = {.lex_state = 51},
  [3154] = {.lex_state = 51},
  [3155] = {.lex_state = 51},
  [3156] = {.lex_state = 51},
  [3157] = {.lex_state = 51},
  [3158] = {.lex_state = 51},
  [3159] = {.lex_state = 51},
  [3160] = {.lex_state = 51},
  [3161] = {.lex_state = 51},
  [3162] = {.lex_state = 51},
  [3163] = {.lex_state = 51},
  [3164] = {.lex_state = 51},
  [3165] = {.lex_state = 32, .external_lex_state = 20},
  [3166] = {.lex_state = 51},
  [3167] = {.lex_state = 47, .external_lex_state = 12},
  [3168] = {.lex_state = 51},
  [3169] = {.lex_state = 51},
  [3170] = {.lex_state = 32, .external_lex_state = 20},
  [3171] = {.lex_state = 51},
  [3172] = {.lex_state = 51},
  [3173] = {.lex_state = 51},
  [3174] = {.lex_state = 41, .external_lex_state = 18},
  [3175] = {.lex_state = 51},
  [3176] = {.lex_state = 51},
  [3177] = {.lex_state = 51},
  [3178] = {.lex_state = 32, .external_lex_state = 20},
  [3179] = {.lex_state = 32, .external_lex_state = 20},
  [3180] = {.lex_state = 51},
  [3181] = {.lex_state = 51},
  [3182] = {.lex_state = 51},
  [3183] = {.lex_state = 45},
  [3184] = {.lex_state = 51},
  [3185] = {.lex_state = 51},
  [3186] = {.lex_state = 45},
  [3187] = {.lex_state = 51},
  [3188] = {.lex_state = 51},
  [3189] = {.lex_state = 51},
  [3190] = {.lex_state = 51},
  [3191] = {.lex_state = 32, .external_lex_state = 20},
  [3192] = {.lex_state = 32, .external_lex_state = 20},
  [3193] = {.lex_state = 51},
  [3194] = {.lex_state = 32, .external_lex_state = 20},
  [3195] = {.lex_state = 32, .external_lex_state = 20},
  [3196] = {.lex_state = 32, .external_lex_state = 20},
  [3197] = {.lex_state = 32, .external_lex_state = 20},
  [3198] = {.lex_state = 32, .external_lex_state = 20},
  [3199] = {.lex_state = 51},
  [3200] = {.lex_state = 51},
  [3201] = {.lex_state = 45},
  [3202] = {.lex_state = 32, .external_lex_state = 20},
  [3203] = {.lex_state = 51},
  [3204] = {.lex_state = 51},
  [3205] = {.lex_state = 32, .external_lex_state = 20},
  [3206] = {.lex_state = 32, .external_lex_state = 20},
  [3207] = {.lex_state = 41, .external_lex_state = 18},
  [3208] = {.lex_state = 32, .external_lex_state = 20},
  [3209] = {.lex_state = 51},
  [3210] = {.lex_state = 51},
  [3211] = {.lex_state = 51},
  [3212] = {.lex_state = 32, .external_lex_state = 20},
  [3213] = {.lex_state = 32, .external_lex_state = 20},
  [3214] = {.lex_state = 32, .external_lex_state = 20},
  [3215] = {.lex_state = 32, .external_lex_state = 20},
  [3216] = {.lex_state = 51},
  [3217] = {.lex_state = 51},
  [3218] = {.lex_state = 51},
  [3219] = {.lex_state = 32, .external_lex_state = 20},
  [3220] = {.lex_state = 51},
  [3221] = {.lex_state = 51},
  [3222] = {.lex_state = 51},
  [3223] = {.lex_state = 51},
  [3224] = {.lex_state = 51},
  [3225] = {.lex_state = 32, .external_lex_state = 20},
  [3226] = {.lex_state = 45},
  [3227] = {.lex_state = 32, .external_lex_state = 20},
  [3228] = {.lex_state = 51},
  [3229] = {.lex_state = 32, .external_lex_state = 20},
  [3230] = {.lex_state = 32, .external_lex_state = 20},
  [3231] = {.lex_state = 51},
  [3232] = {.lex_state = 133},
  [3233] = {.lex_state = 133},
  [3234] = {.lex_state = 39},
  [3235] = {.lex_state = 32, .external_lex_state = 12},
  [3236] = {.lex_state = 32, .external_lex_state = 12},
  [3237] = {.lex_state = 133},
  [3238] = {.lex_state = 133},
  [3239] = {.lex_state = 133},
  [3240] = {.lex_state = 133},
  [3241] = {.lex_state = 32, .external_lex_state = 12},
  [3242] = {.lex_state = 45},
  [3243] = {.lex_state = 32, .external_lex_state = 12},
  [3244] = {.lex_state = 133},
  [3245] = {.lex_state = 32, .external_lex_state = 12},
  [3246] = {.lex_state = 133},
  [3247] = {.lex_state = 133},
  [3248] = {.lex_state = 133},
  [3249] = {.lex_state = 133},
  [3250] = {.lex_state = 133},
  [3251] = {.lex_state = 133},
  [3252] = {.lex_state = 133},
  [3253] = {.lex_state = 133},
  [3254] = {.lex_state = 133},
  [3255] = {.lex_state = 32, .external_lex_state = 12},
  [3256] = {.lex_state = 32, .external_lex_state = 12},
  [3257] = {.lex_state = 32, .external_lex_state = 12},
  [3258] = {.lex_state = 133},
  [3259] = {.lex_state = 133},
  [3260] = {.lex_state = 32, .external_lex_state = 12},
  [3261] = {.lex_state = 133},
  [3262] = {.lex_state = 133},
  [3263] = {.lex_state = 133, .external_lex_state = 23},
  [3264] = {.lex_state = 133},
  [3265] = {.lex_state = 45},
  [3266] = {.lex_state = 133},
  [3267] = {.lex_state = 32, .external_lex_state = 12},
  [3268] = {.lex_state = 32, .external_lex_state = 12},
  [3269] = {.lex_state = 32, .external_lex_state = 12},
  [3270] = {.lex_state = 133},
  [3271] = {.lex_state = 133},
  [3272] = {.lex_state = 133},
  [3273] = {.lex_state = 133},
  [3274] = {.lex_state = 133},
  [3275] = {.lex_state = 133},
  [3276] = {.lex_state = 32, .external_lex_state = 12},
  [3277] = {.lex_state = 39},
  [3278] = {.lex_state = 133},
  [3279] = {.lex_state = 32, .external_lex_state = 12},
  [3280] = {.lex_state = 32, .external_lex_state = 12},
  [3281] = {.lex_state = 39},
  [3282] = {.lex_state = 133},
  [3283] = {.lex_state = 39},
  [3284] = {.lex_state = 133},
  [3285] = {.lex_state = 133},
  [3286] = {.lex_state = 133},
  [3287] = {.lex_state = 32, .external_lex_state = 12},
  [3288] = {.lex_state = 133},
  [3289] = {.lex_state = 133},
  [3290] = {.lex_state = 133},
  [3291] = {.lex_state = 133},
  [3292] = {.lex_state = 133},
  [3293] = {.lex_state = 133},
  [3294] = {.lex_state = 32, .external_lex_state = 12},
  [3295] = {.lex_state = 32, .external_lex_state = 12},
  [3296] = {.lex_state = 32, .external_lex_state = 12},
  [3297] = {.lex_state = 32, .external_lex_state = 12},
  [3298] = {.lex_state = 32, .external_lex_state = 12},
  [3299] = {.lex_state = 32, .external_lex_state = 12},
  [3300] = {.lex_state = 32, .external_lex_state = 12},
  [3301] = {.lex_state = 133},
  [3302] = {.lex_state = 133},
  [3303] = {.lex_state = 45},
  [3304] = {.lex_state = 32, .external_lex_state = 12},
  [3305] = {.lex_state = 133},
  [3306] = {.lex_state = 32, .external_lex_state = 12},
  [3307] = {.lex_state = 133},
  [3308] = {.lex_state = 133},
  [3309] = {.lex_state = 133},
  [3310] = {.lex_state = 39},
  [3311] = {.lex_state = 133},
  [3312] = {.lex_state = 32, .external_lex_state = 12},
  [3313] = {.lex_state = 133},
  [3314] = {.lex_state = 32, .external_lex_state = 12},
  [3315] = {.lex_state = 133},
  [3316] = {.lex_state = 41, .external_lex_state = 11},
  [3317] = {.lex_state = 41, .external_lex_state = 11},
  [3318] = {.lex_state = 133},
  [3319] = {.lex_state = 32, .external_lex_state = 12},
  [3320] = {.lex_state = 45},
  [3321] = {.lex_state = 32, .external_lex_state = 12},
  [3322] = {.lex_state = 32, .external_lex_state = 12},
  [3323] = {.lex_state = 133},
  [3324] = {.lex_state = 32, .external_lex_state = 12},
  [3325] = {.lex_state = 32, .external_lex_state = 12},
  [3326] = {.lex_state = 133, .external_lex_state = 23},
  [3327] = {.lex_state = 133},
  [3328] = {.lex_state = 133},
  [3329] = {.lex_state = 133},
  [3330] = {.lex_state = 133},
  [3331] = {.lex_state = 133},
  [3332] = {.lex_state = 32, .external_lex_state = 12},
  [3333] = {.lex_state = 133},
  [3334] = {.lex_state = 32, .external_lex_state = 12},
  [3335] = {.lex_state = 32, .external_lex_state = 12},
  [3336] = {.lex_state = 32, .external_lex_state = 12},
  [3337] = {.lex_state = 32, .external_lex_state = 12},
  [3338] = {.lex_state = 133},
  [3339] = {.lex_state = 32, .external_lex_state = 12},
  [3340] = {.lex_state = 133},
  [3341] = {.lex_state = 32, .external_lex_state = 12},
  [3342] = {.lex_state = 133},
  [3343] = {.lex_state = 133},
  [3344] = {.lex_state = 32, .external_lex_state = 12},
  [3345] = {.lex_state = 133},
  [3346] = {.lex_state = 133},
  [3347] = {.lex_state = 133},
  [3348] = {.lex_state = 32, .external_lex_state = 12},
  [3349] = {.lex_state = 133},
  [3350] = {.lex_state = 32, .external_lex_state = 12},
  [3351] = {.lex_state = 45},
  [3352] = {.lex_state = 39},
  [3353] = {.lex_state = 41, .external_lex_state = 11},
  [3354] = {.lex_state = 133},
  [3355] = {.lex_state = 39},
  [3356] = {.lex_state = 45},
  [3357] = {.lex_state = 45},
  [3358] = {.lex_state = 41, .external_lex_state = 11},
  [3359] = {.lex_state = 32, .external_lex_state = 12},
  [3360] = {.lex_state = 133},
  [3361] = {.lex_state = 32, .external_lex_state = 12},
  [3362] = {.lex_state = 133},
  [3363] = {.lex_state = 32, .external_lex_state = 12},
  [3364] = {.lex_state = 45},
  [3365] = {.lex_state = 32, .external_lex_state = 12},
  [3366] = {.lex_state = 133},
  [3367] = {.lex_state = 45},
  [3368] = {.lex_state = 133},
  [3369] = {.lex_state = 32, .external_lex_state = 12},
  [3370] = {.lex_state = 32, .external_lex_state = 12},
  [3371] = {.lex_state = 133},
  [3372] = {.lex_state = 32, .external_lex_state = 12},
  [3373] = {.lex_state = 133},
  [3374] = {.lex_state = 39},
  [3375] = {.lex_state = 133},
  [3376] = {.lex_state = 45},
  [3377] = {.lex_state = 133},
  [3378] = {.lex_state = 39},
  [3379] = {.lex_state = 32, .external_lex_state = 12},
  [3380] = {.lex_state = 133},
  [3381] = {.lex_state = 133},
  [3382] = {.lex_state = 39},
  [3383] = {.lex_state = 133},
  [3384] = {.lex_state = 45},
  [3385] = {.lex_state = 39},
  [3386] = {.lex_state = 45},
  [3387] = {.lex_state = 39},
  [3388] = {.lex_state = 133},
  [3389] = {.lex_state = 133},
  [3390] = {.lex_state = 32, .external_lex_state = 12},
  [3391] = {.lex_state = 133},
  [3392] = {.lex_state = 133},
  [3393] = {.lex_state = 133},
  [3394] = {.lex_state = 133},
  [3395] = {.lex_state = 133},
  [3396] = {.lex_state = 32, .external_lex_state = 12},
  [3397] = {.lex_state = 32, .external_lex_state = 12},
  [3398] = {.lex_state = 32, .external_lex_state = 12},
  [3399] = {.lex_state = 32, .external_lex_state = 12},
  [3400] = {.lex_state = 39},
  [3401] = {.lex_state = 32, .external_lex_state = 12},
  [3402] = {.lex_state = 133},
  [3403] = {.lex_state = 32, .external_lex_state = 12},
  [3404] = {.lex_state = 32, .external_lex_state = 12},
  [3405] = {.lex_state = 32, .external_lex_state = 12},
  [3406] = {.lex_state = 133},
  [3407] = {.lex_state = 133},
  [3408] = {.lex_state = 133},
  [3409] = {.lex_state = 133},
  [3410] = {.lex_state = 39},
  [3411] = {.lex_state = 39},
  [3412] = {.lex_state = 39},
  [3413] = {.lex_state = 39},
  [3414] = {.lex_state = 39},
  [3415] = {.lex_state = 39},
  [3416] = {.lex_state = 45},
  [3417] = {.lex_state = 133},
  [3418] = {.lex_state = 32, .external_lex_state = 12},
  [3419] = {.lex_state = 133},
  [3420] = {.lex_state = 39},
  [3421] = {.lex_state = 39},
  [3422] = {.lex_state = 133},
  [3423] = {.lex_state = 45},
  [3424] = {.lex_state = 45},
  [3425] = {.lex_state = 133},
  [3426] = {.lex_state = 133},
  [3427] = {.lex_state = 32, .external_lex_state = 12},
  [3428] = {.lex_state = 133},
  [3429] = {.lex_state = 39},
  [3430] = {.lex_state = 39},
  [3431] = {.lex_state = 45},
  [3432] = {.lex_state = 133},
  [3433] = {.lex_state = 133, .external_lex_state = 23},
  [3434] = {.lex_state = 133},
  [3435] = {.lex_state = 39},
  [3436] = {.lex_state = 133},
  [3437] = {.lex_state = 133},
  [3438] = {.lex_state = 32, .external_lex_state = 12},
  [3439] = {.lex_state = 133},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [5] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_regex] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__concat] = true,
  },
  [18] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [19] = {
    [ts_external_token__empty_value] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_SEMI_AMP] = ACTIONS(1),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(3395),
    [sym__statements] = STATE(3392),
    [sym_redirected_statement] = STATE(1661),
    [sym_for_statement] = STATE(1661),
    [sym_c_style_for_statement] = STATE(1661),
    [sym_while_statement] = STATE(1661),
    [sym_if_statement] = STATE(1661),
    [sym_case_statement] = STATE(1661),
    [sym_function_definition] = STATE(1661),
    [sym_compound_statement] = STATE(1661),
    [sym_subshell] = STATE(1661),
    [sym_pipeline] = STATE(1661),
    [sym_list] = STATE(1661),
    [sym_negated_command] = STATE(1661),
    [sym_test_command] = STATE(1661),
    [sym_declaration_command] = STATE(1661),
    [sym_unset_command] = STATE(1661),
    [sym_command] = STATE(1661),
    [sym_command_name] = STATE(227),
    [sym_variable_assignment] = STATE(317),
    [sym_subscript] = STATE(3133),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(740),
    [sym_string] = STATE(373),
    [sym_simple_expansion] = STATE(373),
    [sym_string_expansion] = STATE(373),
    [sym_expansion] = STATE(373),
    [sym_command_substitution] = STATE(373),
    [sym_process_substitution] = STATE(373),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(624),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [2] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_elif_clause] = STATE(2812),
    [sym_else_clause] = STATE(3424),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_if_statement_repeat1] = STATE(2812),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_elif_clause] = STATE(2848),
    [sym_else_clause] = STATE(3356),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_if_statement_repeat1] = STATE(2848),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_elif_clause] = STATE(2807),
    [sym_else_clause] = STATE(3351),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_if_statement_repeat1] = STATE(2807),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(3),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_elif_clause] = STATE(2803),
    [sym_else_clause] = STATE(3364),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_if_statement_repeat1] = STATE(2803),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(2),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_elif_clause] = STATE(2833),
    [sym_else_clause] = STATE(3431),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_if_statement_repeat1] = STATE(2833),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(119),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [7] = {
    [aux_sym__statements2] = STATE(4),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_elif_clause] = STATE(2862),
    [sym_else_clause] = STATE(3386),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_if_statement_repeat1] = STATE(2862),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(121),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [8] = {
    [sym__statements] = STATE(2918),
    [sym_redirected_statement] = STATE(1639),
    [sym_for_statement] = STATE(1639),
    [sym_c_style_for_statement] = STATE(1639),
    [sym_while_statement] = STATE(1639),
    [sym_if_statement] = STATE(1639),
    [sym_case_statement] = STATE(1639),
    [sym_function_definition] = STATE(1639),
    [sym_compound_statement] = STATE(1639),
    [sym_subshell] = STATE(1639),
    [sym_pipeline] = STATE(1639),
    [sym_list] = STATE(1639),
    [sym_negated_command] = STATE(1639),
    [sym_test_command] = STATE(1639),
    [sym_declaration_command] = STATE(1639),
    [sym_unset_command] = STATE(1639),
    [sym_command] = STATE(1639),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(3211),
    [sym_file_redirect] = STATE(744),
    [sym_concatenation] = STATE(387),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(744),
    [aux_sym__literal_repeat1] = STATE(298),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_esac] = ACTIONS(135),
    [anon_sym_SEMI_SEMI] = ACTIONS(137),
    [anon_sym_SEMI_AMP] = ACTIONS(139),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [9] = {
    [sym__statements] = STATE(2942),
    [sym_redirected_statement] = STATE(1639),
    [sym_for_statement] = STATE(1639),
    [sym_c_style_for_statement] = STATE(1639),
    [sym_while_statement] = STATE(1639),
    [sym_if_statement] = STATE(1639),
    [sym_case_statement] = STATE(1639),
    [sym_function_definition] = STATE(1639),
    [sym_compound_statement] = STATE(1639),
    [sym_subshell] = STATE(1639),
    [sym_pipeline] = STATE(1639),
    [sym_list] = STATE(1639),
    [sym_negated_command] = STATE(1639),
    [sym_test_command] = STATE(1639),
    [sym_declaration_command] = STATE(1639),
    [sym_unset_command] = STATE(1639),
    [sym_command] = STATE(1639),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(3211),
    [sym_file_redirect] = STATE(744),
    [sym_concatenation] = STATE(387),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(744),
    [aux_sym__literal_repeat1] = STATE(298),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_esac] = ACTIONS(175),
    [anon_sym_SEMI_SEMI] = ACTIONS(177),
    [anon_sym_SEMI_AMP] = ACTIONS(179),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [10] = {
    [sym__statements] = STATE(2952),
    [sym_redirected_statement] = STATE(1639),
    [sym_for_statement] = STATE(1639),
    [sym_c_style_for_statement] = STATE(1639),
    [sym_while_statement] = STATE(1639),
    [sym_if_statement] = STATE(1639),
    [sym_case_statement] = STATE(1639),
    [sym_function_definition] = STATE(1639),
    [sym_compound_statement] = STATE(1639),
    [sym_subshell] = STATE(1639),
    [sym_pipeline] = STATE(1639),
    [sym_list] = STATE(1639),
    [sym_negated_command] = STATE(1639),
    [sym_test_command] = STATE(1639),
    [sym_declaration_command] = STATE(1639),
    [sym_unset_command] = STATE(1639),
    [sym_command] = STATE(1639),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(3211),
    [sym_file_redirect] = STATE(744),
    [sym_concatenation] = STATE(387),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(744),
    [aux_sym__literal_repeat1] = STATE(298),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_esac] = ACTIONS(181),
    [anon_sym_SEMI_SEMI] = ACTIONS(183),
    [anon_sym_SEMI_AMP] = ACTIONS(185),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [11] = {
    [sym__statements] = STATE(2958),
    [sym_redirected_statement] = STATE(1639),
    [sym_for_statement] = STATE(1639),
    [sym_c_style_for_statement] = STATE(1639),
    [sym_while_statement] = STATE(1639),
    [sym_if_statement] = STATE(1639),
    [sym_case_statement] = STATE(1639),
    [sym_function_definition] = STATE(1639),
    [sym_compound_statement] = STATE(1639),
    [sym_subshell] = STATE(1639),
    [sym_pipeline] = STATE(1639),
    [sym_list] = STATE(1639),
    [sym_negated_command] = STATE(1639),
    [sym_test_command] = STATE(1639),
    [sym_declaration_command] = STATE(1639),
    [sym_unset_command] = STATE(1639),
    [sym_command] = STATE(1639),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(3211),
    [sym_file_redirect] = STATE(744),
    [sym_concatenation] = STATE(387),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(744),
    [aux_sym__literal_repeat1] = STATE(298),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_esac] = ACTIONS(187),
    [anon_sym_SEMI_SEMI] = ACTIONS(189),
    [anon_sym_SEMI_AMP] = ACTIONS(191),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [12] = {
    [sym__statements] = STATE(3041),
    [sym_redirected_statement] = STATE(1643),
    [sym_for_statement] = STATE(1643),
    [sym_c_style_for_statement] = STATE(1643),
    [sym_while_statement] = STATE(1643),
    [sym_if_statement] = STATE(1643),
    [sym_case_statement] = STATE(1643),
    [sym_function_definition] = STATE(1643),
    [sym_compound_statement] = STATE(1643),
    [sym_subshell] = STATE(1643),
    [sym_pipeline] = STATE(1643),
    [sym_list] = STATE(1643),
    [sym_negated_command] = STATE(1643),
    [sym_test_command] = STATE(1643),
    [sym_declaration_command] = STATE(1643),
    [sym_unset_command] = STATE(1643),
    [sym_command] = STATE(1643),
    [sym_command_name] = STATE(184),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(3200),
    [sym_file_redirect] = STATE(742),
    [sym_concatenation] = STATE(632),
    [sym_string] = STATE(290),
    [sym_simple_expansion] = STATE(290),
    [sym_string_expansion] = STATE(290),
    [sym_expansion] = STATE(290),
    [sym_command_substitution] = STATE(290),
    [sym_process_substitution] = STATE(290),
    [aux_sym__statements_repeat1] = STATE(134),
    [aux_sym_command_repeat1] = STATE(742),
    [aux_sym__literal_repeat1] = STATE(501),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_SEMI_SEMI] = ACTIONS(195),
    [anon_sym_SEMI_AMP] = ACTIONS(139),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [13] = {
    [sym__statements] = STATE(3034),
    [sym_redirected_statement] = STATE(1643),
    [sym_for_statement] = STATE(1643),
    [sym_c_style_for_statement] = STATE(1643),
    [sym_while_statement] = STATE(1643),
    [sym_if_statement] = STATE(1643),
    [sym_case_statement] = STATE(1643),
    [sym_function_definition] = STATE(1643),
    [sym_compound_statement] = STATE(1643),
    [sym_subshell] = STATE(1643),
    [sym_pipeline] = STATE(1643),
    [sym_list] = STATE(1643),
    [sym_negated_command] = STATE(1643),
    [sym_test_command] = STATE(1643),
    [sym_declaration_command] = STATE(1643),
    [sym_unset_command] = STATE(1643),
    [sym_command] = STATE(1643),
    [sym_command_name] = STATE(184),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(3200),
    [sym_file_redirect] = STATE(742),
    [sym_concatenation] = STATE(632),
    [sym_string] = STATE(290),
    [sym_simple_expansion] = STATE(290),
    [sym_string_expansion] = STATE(290),
    [sym_expansion] = STATE(290),
    [sym_command_substitution] = STATE(290),
    [sym_process_substitution] = STATE(290),
    [aux_sym__statements_repeat1] = STATE(134),
    [aux_sym_command_repeat1] = STATE(742),
    [aux_sym__literal_repeat1] = STATE(501),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_SEMI_SEMI] = ACTIONS(221),
    [anon_sym_SEMI_AMP] = ACTIONS(179),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [14] = {
    [sym__statements] = STATE(3003),
    [sym_redirected_statement] = STATE(1643),
    [sym_for_statement] = STATE(1643),
    [sym_c_style_for_statement] = STATE(1643),
    [sym_while_statement] = STATE(1643),
    [sym_if_statement] = STATE(1643),
    [sym_case_statement] = STATE(1643),
    [sym_function_definition] = STATE(1643),
    [sym_compound_statement] = STATE(1643),
    [sym_subshell] = STATE(1643),
    [sym_pipeline] = STATE(1643),
    [sym_list] = STATE(1643),
    [sym_negated_command] = STATE(1643),
    [sym_test_command] = STATE(1643),
    [sym_declaration_command] = STATE(1643),
    [sym_unset_command] = STATE(1643),
    [sym_command] = STATE(1643),
    [sym_command_name] = STATE(184),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(3200),
    [sym_file_redirect] = STATE(742),
    [sym_concatenation] = STATE(632),
    [sym_string] = STATE(290),
    [sym_simple_expansion] = STATE(290),
    [sym_string_expansion] = STATE(290),
    [sym_expansion] = STATE(290),
    [sym_command_substitution] = STATE(290),
    [sym_process_substitution] = STATE(290),
    [aux_sym__statements_repeat1] = STATE(134),
    [aux_sym_command_repeat1] = STATE(742),
    [aux_sym__literal_repeat1] = STATE(501),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_SEMI_SEMI] = ACTIONS(223),
    [anon_sym_SEMI_AMP] = ACTIONS(185),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [15] = {
    [sym__statements] = STATE(3027),
    [sym_redirected_statement] = STATE(1643),
    [sym_for_statement] = STATE(1643),
    [sym_c_style_for_statement] = STATE(1643),
    [sym_while_statement] = STATE(1643),
    [sym_if_statement] = STATE(1643),
    [sym_case_statement] = STATE(1643),
    [sym_function_definition] = STATE(1643),
    [sym_compound_statement] = STATE(1643),
    [sym_subshell] = STATE(1643),
    [sym_pipeline] = STATE(1643),
    [sym_list] = STATE(1643),
    [sym_negated_command] = STATE(1643),
    [sym_test_command] = STATE(1643),
    [sym_declaration_command] = STATE(1643),
    [sym_unset_command] = STATE(1643),
    [sym_command] = STATE(1643),
    [sym_command_name] = STATE(184),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(3200),
    [sym_file_redirect] = STATE(742),
    [sym_concatenation] = STATE(632),
    [sym_string] = STATE(290),
    [sym_simple_expansion] = STATE(290),
    [sym_string_expansion] = STATE(290),
    [sym_expansion] = STATE(290),
    [sym_command_substitution] = STATE(290),
    [sym_process_substitution] = STATE(290),
    [aux_sym__statements_repeat1] = STATE(134),
    [aux_sym_command_repeat1] = STATE(742),
    [aux_sym__literal_repeat1] = STATE(501),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_SEMI_SEMI] = ACTIONS(225),
    [anon_sym_SEMI_AMP] = ACTIONS(191),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [16] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(230),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(233),
    [anon_sym_while] = ACTIONS(236),
    [anon_sym_done] = ACTIONS(239),
    [anon_sym_if] = ACTIONS(241),
    [anon_sym_fi] = ACTIONS(239),
    [anon_sym_elif] = ACTIONS(239),
    [anon_sym_else] = ACTIONS(239),
    [anon_sym_case] = ACTIONS(244),
    [anon_sym_function] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(262),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_typeset] = ACTIONS(265),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_readonly] = ACTIONS(265),
    [anon_sym_local] = ACTIONS(265),
    [anon_sym_unset] = ACTIONS(268),
    [anon_sym_unsetenv] = ACTIONS(268),
    [anon_sym_LT] = ACTIONS(271),
    [anon_sym_GT] = ACTIONS(271),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_AMP_GT] = ACTIONS(271),
    [anon_sym_AMP_GT_GT] = ACTIONS(274),
    [anon_sym_LT_AMP] = ACTIONS(274),
    [anon_sym_GT_AMP] = ACTIONS(274),
    [anon_sym_GT_PIPE] = ACTIONS(274),
    [anon_sym_DOLLAR] = ACTIONS(277),
    [sym__special_character] = ACTIONS(280),
    [anon_sym_DQUOTE] = ACTIONS(283),
    [sym_raw_string] = ACTIONS(286),
    [sym_ansii_c_string] = ACTIONS(286),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(292),
    [anon_sym_BQUOTE] = ACTIONS(295),
    [anon_sym_LT_LPAREN] = ACTIONS(298),
    [anon_sym_GT_LPAREN] = ACTIONS(298),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(301),
    [sym_variable_name] = ACTIONS(304),
  },
  [17] = {
    [aux_sym__statements2] = STATE(18),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(307),
    [anon_sym_elif] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [18] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(309),
    [anon_sym_elif] = ACTIONS(309),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [19] = {
    [sym__statements] = STATE(3439),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(311),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [sym__statements] = STATE(3360),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(313),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(3247),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [aux_sym__statements2] = STATE(76),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [sym__statements] = STATE(3407),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [aux_sym__statements2] = STATE(38),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(319),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [25] = {
    [sym__statements] = STATE(3278),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1998),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [sym__statements] = STATE(3333),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2051),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [27] = {
    [sym__statements] = STATE(3331),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym__statements] = STATE(3330),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(3305),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [sym__statements] = STATE(3349),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [sym__statements] = STATE(3288),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1891),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(3289),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [sym__statements] = STATE(3247),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [sym__statements] = STATE(3244),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [sym__statements] = STATE(3259),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2001),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [37] = {
    [sym__statements] = STATE(3261),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [38] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [sym__statements] = STATE(3262),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(3246),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [sym__statements] = STATE(3253),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2031),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [42] = {
    [sym__statements] = STATE(3362),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(3439),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(3366),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(3375),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1974),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(3406),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(3417),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(3428),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1939),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(3342),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [sym__statements] = STATE(3282),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [sym__statements] = STATE(3232),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1988),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(3275),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(3437),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1905),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(3274),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(3270),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2026),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(3258),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [sym__statements] = STATE(3264),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [sym__statements] = STATE(3266),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2063),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [sym__statements] = STATE(3313),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [sym__statements] = STATE(3318),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [aux_sym__statements2] = STATE(86),
    [sym_redirected_statement] = STATE(1718),
    [sym_for_statement] = STATE(1718),
    [sym_c_style_for_statement] = STATE(1718),
    [sym_while_statement] = STATE(1718),
    [sym_if_statement] = STATE(1718),
    [sym_case_statement] = STATE(1718),
    [sym_function_definition] = STATE(1718),
    [sym_compound_statement] = STATE(1718),
    [sym_subshell] = STATE(1718),
    [sym_pipeline] = STATE(1718),
    [sym_list] = STATE(1718),
    [sym_negated_command] = STATE(1718),
    [sym_test_command] = STATE(1718),
    [sym_declaration_command] = STATE(1718),
    [sym_unset_command] = STATE(1718),
    [sym_command] = STATE(1718),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(456),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(3323),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2054),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [sym__statements] = STATE(3436),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [sym__statements] = STATE(3338),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [sym__statements] = STATE(3343),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [sym__statements] = STATE(3389),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2020),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [sym__statements] = STATE(3434),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [68] = {
    [aux_sym__statements2] = STATE(29),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [sym__statements] = STATE(3409),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1993),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [sym__statements] = STATE(3408),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(3381),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2042),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [sym__statements] = STATE(3380),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [sym__statements] = STATE(3354),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [sym__statements] = STATE(3422),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(3402),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1999),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(335),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(3377),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [aux_sym__statements2] = STATE(82),
    [sym_redirected_statement] = STATE(1718),
    [sym_for_statement] = STATE(1718),
    [sym_c_style_for_statement] = STATE(1718),
    [sym_while_statement] = STATE(1718),
    [sym_if_statement] = STATE(1718),
    [sym_case_statement] = STATE(1718),
    [sym_function_definition] = STATE(1718),
    [sym_compound_statement] = STATE(1718),
    [sym_subshell] = STATE(1718),
    [sym_pipeline] = STATE(1718),
    [sym_list] = STATE(1718),
    [sym_negated_command] = STATE(1718),
    [sym_test_command] = STATE(1718),
    [sym_declaration_command] = STATE(1718),
    [sym_unset_command] = STATE(1718),
    [sym_command] = STATE(1718),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(456),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(3432),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(3383),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(3426),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [aux_sym__statements2] = STATE(86),
    [sym_redirected_statement] = STATE(1718),
    [sym_for_statement] = STATE(1718),
    [sym_c_style_for_statement] = STATE(1718),
    [sym_while_statement] = STATE(1718),
    [sym_if_statement] = STATE(1718),
    [sym_case_statement] = STATE(1718),
    [sym_function_definition] = STATE(1718),
    [sym_compound_statement] = STATE(1718),
    [sym_subshell] = STATE(1718),
    [sym_pipeline] = STATE(1718),
    [sym_list] = STATE(1718),
    [sym_negated_command] = STATE(1718),
    [sym_test_command] = STATE(1718),
    [sym_declaration_command] = STATE(1718),
    [sym_unset_command] = STATE(1718),
    [sym_command] = STATE(1718),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(456),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [sym__statements] = STATE(3425),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1950),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [sym__statements] = STATE(3394),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [85] = {
    [sym__statements] = STATE(3393),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [aux_sym__statements2] = STATE(86),
    [sym_redirected_statement] = STATE(1718),
    [sym_for_statement] = STATE(1718),
    [sym_c_style_for_statement] = STATE(1718),
    [sym_while_statement] = STATE(1718),
    [sym_if_statement] = STATE(1718),
    [sym_case_statement] = STATE(1718),
    [sym_function_definition] = STATE(1718),
    [sym_compound_statement] = STATE(1718),
    [sym_subshell] = STATE(1718),
    [sym_pipeline] = STATE(1718),
    [sym_list] = STATE(1718),
    [sym_negated_command] = STATE(1718),
    [sym_test_command] = STATE(1718),
    [sym_declaration_command] = STATE(1718),
    [sym_unset_command] = STATE(1718),
    [sym_command] = STATE(1718),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(456),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(230),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(233),
    [anon_sym_while] = ACTIONS(236),
    [anon_sym_if] = ACTIONS(241),
    [anon_sym_case] = ACTIONS(244),
    [anon_sym_function] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_BANG] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(262),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_typeset] = ACTIONS(265),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_readonly] = ACTIONS(265),
    [anon_sym_local] = ACTIONS(265),
    [anon_sym_unset] = ACTIONS(268),
    [anon_sym_unsetenv] = ACTIONS(268),
    [anon_sym_LT] = ACTIONS(271),
    [anon_sym_GT] = ACTIONS(271),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_AMP_GT] = ACTIONS(271),
    [anon_sym_AMP_GT_GT] = ACTIONS(274),
    [anon_sym_LT_AMP] = ACTIONS(274),
    [anon_sym_GT_AMP] = ACTIONS(274),
    [anon_sym_GT_PIPE] = ACTIONS(274),
    [anon_sym_DOLLAR] = ACTIONS(277),
    [sym__special_character] = ACTIONS(280),
    [anon_sym_DQUOTE] = ACTIONS(283),
    [sym_raw_string] = ACTIONS(286),
    [sym_ansii_c_string] = ACTIONS(286),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(292),
    [anon_sym_BQUOTE] = ACTIONS(295),
    [anon_sym_LT_LPAREN] = ACTIONS(298),
    [anon_sym_GT_LPAREN] = ACTIONS(298),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(301),
    [sym_variable_name] = ACTIONS(304),
  },
  [87] = {
    [sym__statements] = STATE(3391),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1925),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [aux_sym__statements2] = STATE(106),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(343),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(3373),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym__statements] = STATE(3371),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [91] = {
    [sym__statements] = STATE(3368),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1901),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [sym__statements] = STATE(3233),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(3329),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [sym__statements] = STATE(3347),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2058),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [sym__statements] = STATE(3346),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [sym__statements] = STATE(3345),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(3328),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1896),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [sym__statements] = STATE(3309),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [sym__statements] = STATE(3308),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [sym__statements] = STATE(3307),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1895),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(3388),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1902),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [sym__statements] = STATE(3315),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2035),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(3301),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(3311),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(3293),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_c_style_for_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_case_statement] = STATE(1715),
    [sym_function_definition] = STATE(1715),
    [sym_compound_statement] = STATE(1715),
    [sym_subshell] = STATE(1715),
    [sym_pipeline] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_negated_command] = STATE(1715),
    [sym_test_command] = STATE(1715),
    [sym_declaration_command] = STATE(1715),
    [sym_unset_command] = STATE(1715),
    [sym_command] = STATE(1715),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(524),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [107] = {
    [sym__statements] = STATE(3290),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(2009),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [108] = {
    [sym__statements] = STATE(3340),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [sym__statements] = STATE(3292),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym__statements] = STATE(3419),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [111] = {
    [sym__statements] = STATE(3291),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1899),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [112] = {
    [sym__statements] = STATE(3286),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [113] = {
    [sym__statements] = STATE(3285),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [114] = {
    [sym__statements] = STATE(3284),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1913),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [115] = {
    [sym__statements] = STATE(3273),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [116] = {
    [sym__statements] = STATE(3272),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [117] = {
    [aux_sym__statements2] = STATE(119),
    [sym_redirected_statement] = STATE(1718),
    [sym_for_statement] = STATE(1718),
    [sym_c_style_for_statement] = STATE(1718),
    [sym_while_statement] = STATE(1718),
    [sym_if_statement] = STATE(1718),
    [sym_case_statement] = STATE(1718),
    [sym_function_definition] = STATE(1718),
    [sym_compound_statement] = STATE(1718),
    [sym_subshell] = STATE(1718),
    [sym_pipeline] = STATE(1718),
    [sym_list] = STATE(1718),
    [sym_negated_command] = STATE(1718),
    [sym_test_command] = STATE(1718),
    [sym_declaration_command] = STATE(1718),
    [sym_unset_command] = STATE(1718),
    [sym_command] = STATE(1718),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(456),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [118] = {
    [sym__statements] = STATE(3271),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1929),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [119] = {
    [aux_sym__statements2] = STATE(86),
    [sym_redirected_statement] = STATE(1718),
    [sym_for_statement] = STATE(1718),
    [sym_c_style_for_statement] = STATE(1718),
    [sym_while_statement] = STATE(1718),
    [sym_if_statement] = STATE(1718),
    [sym_case_statement] = STATE(1718),
    [sym_function_definition] = STATE(1718),
    [sym_compound_statement] = STATE(1718),
    [sym_subshell] = STATE(1718),
    [sym_pipeline] = STATE(1718),
    [sym_list] = STATE(1718),
    [sym_negated_command] = STATE(1718),
    [sym_test_command] = STATE(1718),
    [sym_declaration_command] = STATE(1718),
    [sym_unset_command] = STATE(1718),
    [sym_command] = STATE(1718),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(456),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [120] = {
    [sym__statements] = STATE(3360),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [121] = {
    [aux_sym__statements2] = STATE(61),
    [sym_redirected_statement] = STATE(1718),
    [sym_for_statement] = STATE(1718),
    [sym_c_style_for_statement] = STATE(1718),
    [sym_while_statement] = STATE(1718),
    [sym_if_statement] = STATE(1718),
    [sym_case_statement] = STATE(1718),
    [sym_function_definition] = STATE(1718),
    [sym_compound_statement] = STATE(1718),
    [sym_subshell] = STATE(1718),
    [sym_pipeline] = STATE(1718),
    [sym_list] = STATE(1718),
    [sym_negated_command] = STATE(1718),
    [sym_test_command] = STATE(1718),
    [sym_declaration_command] = STATE(1718),
    [sym_unset_command] = STATE(1718),
    [sym_command] = STATE(1718),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(456),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(351),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [122] = {
    [sym__statements] = STATE(3254),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [123] = {
    [sym__statements] = STATE(3251),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [124] = {
    [sym__statements] = STATE(3250),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1948),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [125] = {
    [sym__statements] = STATE(3237),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [126] = {
    [sym__statements] = STATE(3238),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [127] = {
    [sym__statements] = STATE(3239),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1975),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [128] = {
    [sym__statements] = STATE(3248),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [129] = {
    [sym__statements] = STATE(3252),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(319),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(1991),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [130] = {
    [sym__statements] = STATE(3249),
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [131] = {
    [sym__terminated_statement] = STATE(3367),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(448),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [132] = {
    [sym__terminated_statement] = STATE(3357),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(448),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [133] = {
    [sym__terminated_statement] = STATE(3303),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(448),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [134] = {
    [sym_redirected_statement] = STATE(1644),
    [sym_for_statement] = STATE(1644),
    [sym_c_style_for_statement] = STATE(1644),
    [sym_while_statement] = STATE(1644),
    [sym_if_statement] = STATE(1644),
    [sym_case_statement] = STATE(1644),
    [sym_function_definition] = STATE(1644),
    [sym_compound_statement] = STATE(1644),
    [sym_subshell] = STATE(1644),
    [sym_pipeline] = STATE(1644),
    [sym_list] = STATE(1644),
    [sym_negated_command] = STATE(1644),
    [sym_test_command] = STATE(1644),
    [sym_declaration_command] = STATE(1644),
    [sym_unset_command] = STATE(1644),
    [sym_command] = STATE(1644),
    [sym_command_name] = STATE(184),
    [sym_variable_assignment] = STATE(277),
    [sym_subscript] = STATE(3200),
    [sym_file_redirect] = STATE(742),
    [sym_concatenation] = STATE(632),
    [sym_string] = STATE(290),
    [sym_simple_expansion] = STATE(290),
    [sym_string_expansion] = STATE(290),
    [sym_expansion] = STATE(290),
    [sym_command_substitution] = STATE(290),
    [sym_process_substitution] = STATE(290),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(742),
    [aux_sym__literal_repeat1] = STATE(501),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [135] = {
    [sym_redirected_statement] = STATE(1662),
    [sym_for_statement] = STATE(1662),
    [sym_c_style_for_statement] = STATE(1662),
    [sym_while_statement] = STATE(1662),
    [sym_if_statement] = STATE(1662),
    [sym_case_statement] = STATE(1662),
    [sym_function_definition] = STATE(1662),
    [sym_compound_statement] = STATE(1662),
    [sym_subshell] = STATE(1662),
    [sym_pipeline] = STATE(1662),
    [sym_list] = STATE(1662),
    [sym_negated_command] = STATE(1662),
    [sym_test_command] = STATE(1662),
    [sym_declaration_command] = STATE(1662),
    [sym_unset_command] = STATE(1662),
    [sym_command] = STATE(1662),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(308),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [136] = {
    [sym_redirected_statement] = STATE(1690),
    [sym_for_statement] = STATE(1690),
    [sym_c_style_for_statement] = STATE(1690),
    [sym_while_statement] = STATE(1690),
    [sym_if_statement] = STATE(1690),
    [sym_case_statement] = STATE(1690),
    [sym_function_definition] = STATE(1690),
    [sym_compound_statement] = STATE(1690),
    [sym_subshell] = STATE(1690),
    [sym_pipeline] = STATE(1690),
    [sym_list] = STATE(1690),
    [sym_negated_command] = STATE(1690),
    [sym_test_command] = STATE(1690),
    [sym_declaration_command] = STATE(1690),
    [sym_unset_command] = STATE(1690),
    [sym_command] = STATE(1690),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(453),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(356),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(362),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_case] = ACTIONS(368),
    [anon_sym_function] = ACTIONS(371),
    [anon_sym_LPAREN] = ACTIONS(374),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(386),
    [anon_sym_declare] = ACTIONS(389),
    [anon_sym_typeset] = ACTIONS(389),
    [anon_sym_export] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_local] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(392),
    [anon_sym_unsetenv] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(395),
    [anon_sym_GT] = ACTIONS(395),
    [anon_sym_GT_GT] = ACTIONS(398),
    [anon_sym_AMP_GT] = ACTIONS(395),
    [anon_sym_AMP_GT_GT] = ACTIONS(398),
    [anon_sym_LT_AMP] = ACTIONS(398),
    [anon_sym_GT_AMP] = ACTIONS(398),
    [anon_sym_GT_PIPE] = ACTIONS(398),
    [anon_sym_DOLLAR] = ACTIONS(401),
    [sym__special_character] = ACTIONS(404),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_raw_string] = ACTIONS(410),
    [sym_ansii_c_string] = ACTIONS(410),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(413),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(416),
    [anon_sym_BQUOTE] = ACTIONS(419),
    [anon_sym_LT_LPAREN] = ACTIONS(422),
    [anon_sym_GT_LPAREN] = ACTIONS(422),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(425),
    [sym_variable_name] = ACTIONS(428),
  },
  [137] = {
    [sym__terminated_statement] = STATE(3226),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(448),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [138] = {
    [sym_redirected_statement] = STATE(1635),
    [sym_for_statement] = STATE(1635),
    [sym_c_style_for_statement] = STATE(1635),
    [sym_while_statement] = STATE(1635),
    [sym_if_statement] = STATE(1635),
    [sym_case_statement] = STATE(1635),
    [sym_function_definition] = STATE(1635),
    [sym_compound_statement] = STATE(1635),
    [sym_subshell] = STATE(1635),
    [sym_pipeline] = STATE(1635),
    [sym_list] = STATE(1635),
    [sym_negated_command] = STATE(1635),
    [sym_test_command] = STATE(1635),
    [sym_declaration_command] = STATE(1635),
    [sym_unset_command] = STATE(1635),
    [sym_command] = STATE(1635),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(261),
    [sym_subscript] = STATE(3211),
    [sym_file_redirect] = STATE(744),
    [sym_concatenation] = STATE(387),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(744),
    [aux_sym__literal_repeat1] = STATE(298),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [139] = {
    [sym_redirected_statement] = STATE(1651),
    [sym_for_statement] = STATE(1651),
    [sym_c_style_for_statement] = STATE(1651),
    [sym_while_statement] = STATE(1651),
    [sym_if_statement] = STATE(1651),
    [sym_case_statement] = STATE(1651),
    [sym_function_definition] = STATE(1651),
    [sym_compound_statement] = STATE(1651),
    [sym_subshell] = STATE(1651),
    [sym_pipeline] = STATE(1651),
    [sym_list] = STATE(1651),
    [sym_negated_command] = STATE(1651),
    [sym_test_command] = STATE(1651),
    [sym_declaration_command] = STATE(1651),
    [sym_unset_command] = STATE(1651),
    [sym_command] = STATE(1651),
    [sym_command_name] = STATE(227),
    [sym_variable_assignment] = STATE(335),
    [sym_subscript] = STATE(3133),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(740),
    [sym_string] = STATE(373),
    [sym_simple_expansion] = STATE(373),
    [sym_string_expansion] = STATE(373),
    [sym_expansion] = STATE(373),
    [sym_command_substitution] = STATE(373),
    [sym_process_substitution] = STATE(373),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(624),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [140] = {
    [sym__terminated_statement] = STATE(3128),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(448),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [141] = {
    [sym__terminated_statement] = STATE(3142),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(448),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [142] = {
    [sym_redirected_statement] = STATE(1664),
    [sym_for_statement] = STATE(1664),
    [sym_c_style_for_statement] = STATE(1664),
    [sym_while_statement] = STATE(1664),
    [sym_if_statement] = STATE(1664),
    [sym_case_statement] = STATE(1664),
    [sym_function_definition] = STATE(1664),
    [sym_compound_statement] = STATE(1664),
    [sym_subshell] = STATE(1664),
    [sym_pipeline] = STATE(1664),
    [sym_list] = STATE(1664),
    [sym_negated_command] = STATE(1664),
    [sym_test_command] = STATE(1664),
    [sym_declaration_command] = STATE(1664),
    [sym_unset_command] = STATE(1664),
    [sym_command] = STATE(1664),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(446),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [143] = {
    [sym__terminated_statement] = STATE(3242),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(448),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [144] = {
    [sym_redirected_statement] = STATE(1641),
    [sym_for_statement] = STATE(1641),
    [sym_c_style_for_statement] = STATE(1641),
    [sym_while_statement] = STATE(1641),
    [sym_if_statement] = STATE(1641),
    [sym_case_statement] = STATE(1641),
    [sym_function_definition] = STATE(1641),
    [sym_compound_statement] = STATE(1641),
    [sym_subshell] = STATE(1641),
    [sym_pipeline] = STATE(1641),
    [sym_list] = STATE(1641),
    [sym_negated_command] = STATE(1641),
    [sym_test_command] = STATE(1641),
    [sym_declaration_command] = STATE(1641),
    [sym_unset_command] = STATE(1641),
    [sym_command] = STATE(1641),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(300),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [145] = {
    [sym_redirected_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_c_style_for_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_case_statement] = STATE(1670),
    [sym_function_definition] = STATE(1670),
    [sym_compound_statement] = STATE(1670),
    [sym_subshell] = STATE(1670),
    [sym_pipeline] = STATE(1670),
    [sym_list] = STATE(1670),
    [sym_negated_command] = STATE(1670),
    [sym_test_command] = STATE(1670),
    [sym_declaration_command] = STATE(1670),
    [sym_unset_command] = STATE(1670),
    [sym_command] = STATE(1670),
    [sym_command_name] = STATE(227),
    [sym_variable_assignment] = STATE(306),
    [sym_subscript] = STATE(3133),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(740),
    [sym_string] = STATE(373),
    [sym_simple_expansion] = STATE(373),
    [sym_string_expansion] = STATE(373),
    [sym_expansion] = STATE(373),
    [sym_command_substitution] = STATE(373),
    [sym_process_substitution] = STATE(373),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(624),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [146] = {
    [sym_redirected_statement] = STATE(1652),
    [sym_for_statement] = STATE(1652),
    [sym_c_style_for_statement] = STATE(1652),
    [sym_while_statement] = STATE(1652),
    [sym_if_statement] = STATE(1652),
    [sym_case_statement] = STATE(1652),
    [sym_function_definition] = STATE(1652),
    [sym_compound_statement] = STATE(1652),
    [sym_subshell] = STATE(1652),
    [sym_pipeline] = STATE(1652),
    [sym_list] = STATE(1652),
    [sym_negated_command] = STATE(1652),
    [sym_test_command] = STATE(1652),
    [sym_declaration_command] = STATE(1652),
    [sym_unset_command] = STATE(1652),
    [sym_command] = STATE(1652),
    [sym_command_name] = STATE(227),
    [sym_variable_assignment] = STATE(305),
    [sym_subscript] = STATE(3133),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(740),
    [sym_string] = STATE(373),
    [sym_simple_expansion] = STATE(373),
    [sym_string_expansion] = STATE(373),
    [sym_expansion] = STATE(373),
    [sym_command_substitution] = STATE(373),
    [sym_process_substitution] = STATE(373),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(624),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [147] = {
    [sym_redirected_statement] = STATE(1642),
    [sym_for_statement] = STATE(1642),
    [sym_c_style_for_statement] = STATE(1642),
    [sym_while_statement] = STATE(1642),
    [sym_if_statement] = STATE(1642),
    [sym_case_statement] = STATE(1642),
    [sym_function_definition] = STATE(1642),
    [sym_compound_statement] = STATE(1642),
    [sym_subshell] = STATE(1642),
    [sym_pipeline] = STATE(1642),
    [sym_list] = STATE(1642),
    [sym_negated_command] = STATE(1642),
    [sym_test_command] = STATE(1642),
    [sym_declaration_command] = STATE(1642),
    [sym_unset_command] = STATE(1642),
    [sym_command] = STATE(1642),
    [sym_command_name] = STATE(184),
    [sym_variable_assignment] = STATE(282),
    [sym_subscript] = STATE(3200),
    [sym_file_redirect] = STATE(742),
    [sym_concatenation] = STATE(632),
    [sym_string] = STATE(290),
    [sym_simple_expansion] = STATE(290),
    [sym_string_expansion] = STATE(290),
    [sym_expansion] = STATE(290),
    [sym_command_substitution] = STATE(290),
    [sym_process_substitution] = STATE(290),
    [aux_sym_command_repeat1] = STATE(742),
    [aux_sym__literal_repeat1] = STATE(501),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [148] = {
    [sym_redirected_statement] = STATE(1646),
    [sym_for_statement] = STATE(1646),
    [sym_c_style_for_statement] = STATE(1646),
    [sym_while_statement] = STATE(1646),
    [sym_if_statement] = STATE(1646),
    [sym_case_statement] = STATE(1646),
    [sym_function_definition] = STATE(1646),
    [sym_compound_statement] = STATE(1646),
    [sym_subshell] = STATE(1646),
    [sym_pipeline] = STATE(1646),
    [sym_list] = STATE(1646),
    [sym_negated_command] = STATE(1646),
    [sym_test_command] = STATE(1646),
    [sym_declaration_command] = STATE(1646),
    [sym_unset_command] = STATE(1646),
    [sym_command] = STATE(1646),
    [sym_command_name] = STATE(184),
    [sym_variable_assignment] = STATE(281),
    [sym_subscript] = STATE(3200),
    [sym_file_redirect] = STATE(742),
    [sym_concatenation] = STATE(632),
    [sym_string] = STATE(290),
    [sym_simple_expansion] = STATE(290),
    [sym_string_expansion] = STATE(290),
    [sym_expansion] = STATE(290),
    [sym_command_substitution] = STATE(290),
    [sym_process_substitution] = STATE(290),
    [aux_sym_command_repeat1] = STATE(742),
    [aux_sym__literal_repeat1] = STATE(501),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [149] = {
    [sym_redirected_statement] = STATE(1672),
    [sym_for_statement] = STATE(1672),
    [sym_c_style_for_statement] = STATE(1672),
    [sym_while_statement] = STATE(1672),
    [sym_if_statement] = STATE(1672),
    [sym_case_statement] = STATE(1672),
    [sym_function_definition] = STATE(1672),
    [sym_compound_statement] = STATE(1672),
    [sym_subshell] = STATE(1672),
    [sym_pipeline] = STATE(1672),
    [sym_list] = STATE(1672),
    [sym_negated_command] = STATE(1672),
    [sym_test_command] = STATE(1672),
    [sym_declaration_command] = STATE(1672),
    [sym_unset_command] = STATE(1672),
    [sym_command] = STATE(1672),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(299),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(826),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(826),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [150] = {
    [sym_redirected_statement] = STATE(1638),
    [sym_for_statement] = STATE(1638),
    [sym_c_style_for_statement] = STATE(1638),
    [sym_while_statement] = STATE(1638),
    [sym_if_statement] = STATE(1638),
    [sym_case_statement] = STATE(1638),
    [sym_function_definition] = STATE(1638),
    [sym_compound_statement] = STATE(1638),
    [sym_subshell] = STATE(1638),
    [sym_pipeline] = STATE(1638),
    [sym_list] = STATE(1638),
    [sym_negated_command] = STATE(1638),
    [sym_test_command] = STATE(1638),
    [sym_declaration_command] = STATE(1638),
    [sym_unset_command] = STATE(1638),
    [sym_command] = STATE(1638),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(256),
    [sym_subscript] = STATE(3211),
    [sym_file_redirect] = STATE(744),
    [sym_concatenation] = STATE(387),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym_command_repeat1] = STATE(744),
    [aux_sym__literal_repeat1] = STATE(298),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [151] = {
    [sym_redirected_statement] = STATE(1640),
    [sym_for_statement] = STATE(1640),
    [sym_c_style_for_statement] = STATE(1640),
    [sym_while_statement] = STATE(1640),
    [sym_if_statement] = STATE(1640),
    [sym_case_statement] = STATE(1640),
    [sym_function_definition] = STATE(1640),
    [sym_compound_statement] = STATE(1640),
    [sym_subshell] = STATE(1640),
    [sym_pipeline] = STATE(1640),
    [sym_list] = STATE(1640),
    [sym_negated_command] = STATE(1640),
    [sym_test_command] = STATE(1640),
    [sym_declaration_command] = STATE(1640),
    [sym_unset_command] = STATE(1640),
    [sym_command] = STATE(1640),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(262),
    [sym_subscript] = STATE(3211),
    [sym_file_redirect] = STATE(744),
    [sym_concatenation] = STATE(387),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym_command_repeat1] = STATE(744),
    [aux_sym__literal_repeat1] = STATE(298),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [152] = {
    [sym_redirected_statement] = STATE(1641),
    [sym_for_statement] = STATE(1641),
    [sym_c_style_for_statement] = STATE(1641),
    [sym_while_statement] = STATE(1641),
    [sym_if_statement] = STATE(1641),
    [sym_case_statement] = STATE(1641),
    [sym_function_definition] = STATE(1641),
    [sym_compound_statement] = STATE(1641),
    [sym_subshell] = STATE(1641),
    [sym_pipeline] = STATE(1641),
    [sym_list] = STATE(1641),
    [sym_negated_command] = STATE(1641),
    [sym_test_command] = STATE(1641),
    [sym_declaration_command] = STATE(1641),
    [sym_unset_command] = STATE(1641),
    [sym_command] = STATE(1641),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(374),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [153] = {
    [sym_redirected_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_c_style_for_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_case_statement] = STATE(1668),
    [sym_function_definition] = STATE(1668),
    [sym_compound_statement] = STATE(1668),
    [sym_subshell] = STATE(1668),
    [sym_pipeline] = STATE(1668),
    [sym_list] = STATE(1668),
    [sym_negated_command] = STATE(1668),
    [sym_test_command] = STATE(1668),
    [sym_declaration_command] = STATE(1668),
    [sym_unset_command] = STATE(1668),
    [sym_command] = STATE(1668),
    [sym_command_name] = STATE(235),
    [sym_variable_assignment] = STATE(384),
    [sym_subscript] = STATE(3177),
    [sym_file_redirect] = STATE(756),
    [sym_concatenation] = STATE(827),
    [sym_string] = STATE(417),
    [sym_simple_expansion] = STATE(417),
    [sym_string_expansion] = STATE(417),
    [sym_expansion] = STATE(417),
    [sym_command_substitution] = STATE(417),
    [sym_process_substitution] = STATE(417),
    [aux_sym_command_repeat1] = STATE(756),
    [aux_sym__literal_repeat1] = STATE(643),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_typeset] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_unset] = ACTIONS(325),
    [anon_sym_unsetenv] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(438), 1,
      anon_sym_DOLLAR,
    ACTIONS(441), 1,
      sym__special_character,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(450), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(453), 1,
      anon_sym_BQUOTE,
    ACTIONS(459), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(462), 1,
      sym_variable_name,
    STATE(303), 1,
      aux_sym__literal_repeat1,
    STATE(3115), 1,
      sym_subscript,
    ACTIONS(434), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(456), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(431), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(154), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(436), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 1,
      anon_sym_DOLLAR,
    ACTIONS(473), 1,
      sym__special_character,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(481), 1,
      anon_sym_BQUOTE,
    ACTIONS(485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(487), 1,
      sym_variable_name,
    STATE(303), 1,
      aux_sym__literal_repeat1,
    STATE(3115), 1,
      sym_subscript,
    ACTIONS(467), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(465), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(154), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(469), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [166] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 1,
      anon_sym_DOLLAR,
    ACTIONS(473), 1,
      sym__special_character,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(481), 1,
      anon_sym_BQUOTE,
    ACTIONS(487), 1,
      sym_variable_name,
    ACTIONS(493), 1,
      aux_sym__simple_variable_name_token1,
    STATE(303), 1,
      aux_sym__literal_repeat1,
    STATE(3115), 1,
      sym_subscript,
    ACTIONS(483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(489), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(465), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(155), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DOLLAR,
    ACTIONS(499), 1,
      sym__special_character,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(505), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(507), 1,
      anon_sym_BQUOTE,
    ACTIONS(511), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(513), 1,
      sym_variable_name,
    STATE(519), 1,
      aux_sym__literal_repeat1,
    STATE(3190), 1,
      sym_subscript,
    ACTIONS(467), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(509), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(495), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(163), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(369), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(469), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [331] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(523), 1,
      sym__simple_heredoc_body,
    ACTIONS(525), 1,
      sym__heredoc_body_beginning,
    STATE(2775), 1,
      sym_heredoc_body,
    ACTIONS(519), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(521), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [395] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DOLLAR,
    ACTIONS(499), 1,
      sym__special_character,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(505), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(507), 1,
      anon_sym_BQUOTE,
    ACTIONS(513), 1,
      sym_variable_name,
    ACTIONS(527), 1,
      aux_sym__simple_variable_name_token1,
    STATE(519), 1,
      aux_sym__literal_repeat1,
    STATE(3190), 1,
      sym_subscript,
    ACTIONS(489), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(509), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(495), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(157), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(369), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [477] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(523), 1,
      sym__simple_heredoc_body,
    ACTIONS(525), 1,
      sym__heredoc_body_beginning,
    STATE(2772), 1,
      sym_heredoc_body,
    ACTIONS(529), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(531), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      sym_raw_string,
    ACTIONS(543), 1,
      aux_sym__simple_variable_name_token1,
    STATE(316), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(537), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [605] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym__simple_heredoc_body,
    ACTIONS(547), 1,
      sym__heredoc_body_beginning,
    STATE(2934), 1,
      sym_heredoc_body,
    ACTIONS(341), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(239), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [665] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_DOLLAR,
    ACTIONS(555), 1,
      sym__special_character,
    ACTIONS(558), 1,
      anon_sym_DQUOTE,
    ACTIONS(561), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(564), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(567), 1,
      anon_sym_BQUOTE,
    ACTIONS(573), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(576), 1,
      sym_variable_name,
    STATE(519), 1,
      aux_sym__literal_repeat1,
    STATE(3190), 1,
      sym_subscript,
    ACTIONS(434), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(570), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(549), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(163), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(369), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(436), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [747] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_DQUOTE,
    ACTIONS(583), 1,
      sym_raw_string,
    ACTIONS(585), 1,
      aux_sym__simple_variable_name_token1,
    STATE(516), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(579), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [810] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_DOLLAR,
    ACTIONS(591), 1,
      sym__special_character,
    ACTIONS(593), 1,
      anon_sym_DQUOTE,
    ACTIONS(595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(599), 1,
      anon_sym_BQUOTE,
    ACTIONS(603), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(605), 1,
      sym_variable_name,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    STATE(3218), 1,
      sym_subscript,
    ACTIONS(467), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(587), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(168), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(469), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_DQUOTE,
    ACTIONS(611), 1,
      sym_raw_string,
    ACTIONS(613), 1,
      aux_sym__simple_variable_name_token1,
    STATE(430), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(607), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [954] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(523), 1,
      sym__simple_heredoc_body,
    ACTIONS(525), 1,
      sym__heredoc_body_beginning,
    STATE(2834), 1,
      sym_heredoc_body,
    ACTIONS(521), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1017] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(618), 1,
      anon_sym_DOLLAR,
    ACTIONS(621), 1,
      sym__special_character,
    ACTIONS(624), 1,
      anon_sym_DQUOTE,
    ACTIONS(627), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(630), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(639), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(642), 1,
      sym_variable_name,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    STATE(3218), 1,
      sym_subscript,
    ACTIONS(434), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(636), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(168), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(436), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1098] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(649), 1,
      sym__special_character,
    ACTIONS(651), 1,
      anon_sym_DQUOTE,
    ACTIONS(653), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(655), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(657), 1,
      anon_sym_BQUOTE,
    ACTIONS(661), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(663), 1,
      sym_variable_name,
    STATE(545), 1,
      aux_sym__literal_repeat1,
    STATE(3222), 1,
      sym_subscript,
    ACTIONS(659), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(489), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(645), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(174), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(677), 1,
      anon_sym_BQUOTE,
    STATE(173), 1,
      aux_sym_command_repeat2,
    STATE(309), 1,
      aux_sym__literal_repeat1,
    STATE(449), 1,
      sym_concatenation,
    ACTIONS(667), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(671), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(679), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(271), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(683), 1,
      sym_raw_string,
    ACTIONS(685), 1,
      aux_sym__simple_variable_name_token1,
    STATE(332), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(681), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(677), 1,
      anon_sym_BQUOTE,
    STATE(176), 1,
      aux_sym_command_repeat2,
    STATE(309), 1,
      aux_sym__literal_repeat1,
    STATE(449), 1,
      sym_concatenation,
    ACTIONS(671), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(679), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(687), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(271), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(689), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1400] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(677), 1,
      anon_sym_BQUOTE,
    STATE(178), 1,
      aux_sym_command_repeat2,
    STATE(309), 1,
      aux_sym__literal_repeat1,
    STATE(449), 1,
      sym_concatenation,
    ACTIONS(671), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(679), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(691), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(271), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(693), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1479] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(649), 1,
      sym__special_character,
    ACTIONS(651), 1,
      anon_sym_DQUOTE,
    ACTIONS(653), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(655), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(657), 1,
      anon_sym_BQUOTE,
    ACTIONS(663), 1,
      sym_variable_name,
    ACTIONS(695), 1,
      aux_sym__simple_variable_name_token1,
    STATE(545), 1,
      aux_sym__literal_repeat1,
    STATE(3222), 1,
      sym_subscript,
    ACTIONS(659), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(467), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(645), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(175), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(469), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1560] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 1,
      anon_sym_DOLLAR,
    ACTIONS(703), 1,
      sym__special_character,
    ACTIONS(706), 1,
      anon_sym_DQUOTE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(712), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(715), 1,
      anon_sym_BQUOTE,
    ACTIONS(721), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(724), 1,
      sym_variable_name,
    STATE(545), 1,
      aux_sym__literal_repeat1,
    STATE(3222), 1,
      sym_subscript,
    ACTIONS(718), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(434), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(175), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(436), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(677), 1,
      anon_sym_BQUOTE,
    STATE(178), 1,
      aux_sym_command_repeat2,
    STATE(309), 1,
      aux_sym__literal_repeat1,
    STATE(449), 1,
      sym_concatenation,
    ACTIONS(671), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(679), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(727), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(271), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(729), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1720] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(523), 1,
      sym__simple_heredoc_body,
    ACTIONS(525), 1,
      sym__heredoc_body_beginning,
    ACTIONS(529), 1,
      anon_sym_SEMI_SEMI,
    STATE(2819), 1,
      sym_heredoc_body,
    ACTIONS(531), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_DOLLAR,
    ACTIONS(744), 1,
      sym__special_character,
    ACTIONS(747), 1,
      anon_sym_DQUOTE,
    ACTIONS(750), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(753), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(756), 1,
      anon_sym_BQUOTE,
    STATE(178), 1,
      aux_sym_command_repeat2,
    STATE(309), 1,
      aux_sym__literal_repeat1,
    STATE(449), 1,
      sym_concatenation,
    ACTIONS(734), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(738), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(731), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(271), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(736), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1862] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_DOLLAR,
    ACTIONS(591), 1,
      sym__special_character,
    ACTIONS(593), 1,
      anon_sym_DQUOTE,
    ACTIONS(595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(599), 1,
      anon_sym_BQUOTE,
    ACTIONS(605), 1,
      sym_variable_name,
    ACTIONS(762), 1,
      aux_sym__simple_variable_name_token1,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    STATE(3218), 1,
      sym_subscript,
    ACTIONS(489), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(587), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(165), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1943] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_DOLLAR,
    ACTIONS(772), 1,
      sym__special_character,
    ACTIONS(774), 1,
      anon_sym_DQUOTE,
    ACTIONS(776), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(778), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(780), 1,
      anon_sym_BQUOTE,
    ACTIONS(784), 1,
      aux_sym__simple_variable_name_token1,
    STATE(470), 1,
      aux_sym__literal_repeat1,
    ACTIONS(766), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(782), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(764), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(304), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(768), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2019] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_DOLLAR,
    ACTIONS(772), 1,
      sym__special_character,
    ACTIONS(774), 1,
      anon_sym_DQUOTE,
    ACTIONS(776), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(778), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(780), 1,
      anon_sym_BQUOTE,
    ACTIONS(790), 1,
      aux_sym__simple_variable_name_token1,
    STATE(470), 1,
      aux_sym__literal_repeat1,
    ACTIONS(782), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(786), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(189), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(764), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(304), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(788), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2095] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_DOLLAR,
    ACTIONS(801), 1,
      sym__special_character,
    ACTIONS(804), 1,
      anon_sym_DQUOTE,
    ACTIONS(807), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(810), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(813), 1,
      anon_sym_BQUOTE,
    STATE(182), 1,
      aux_sym_command_repeat2,
    STATE(500), 1,
      aux_sym__literal_repeat1,
    STATE(538), 1,
      sym_concatenation,
    ACTIONS(734), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(795), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(816), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(792), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(297), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(736), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(609), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(825), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    STATE(192), 1,
      aux_sym_command_repeat2,
    STATE(500), 1,
      aux_sym__literal_repeat1,
    STATE(538), 1,
      sym_concatenation,
    ACTIONS(687), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(821), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(829), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(819), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(297), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(689), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(609), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(825), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    STATE(194), 1,
      aux_sym_command_repeat2,
    STATE(500), 1,
      aux_sym__literal_repeat1,
    STATE(538), 1,
      sym_concatenation,
    ACTIONS(667), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(821), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(829), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(819), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(297), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2329] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(835), 1,
      sym_raw_string,
    ACTIONS(837), 1,
      aux_sym__simple_variable_name_token1,
    STATE(608), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(831), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2391] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_DOLLAR,
    ACTIONS(591), 1,
      sym__special_character,
    ACTIONS(593), 1,
      anon_sym_DQUOTE,
    ACTIONS(595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(605), 1,
      sym_variable_name,
    ACTIONS(839), 1,
      aux_sym__simple_variable_name_token1,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    STATE(3218), 1,
      sym_subscript,
    ACTIONS(489), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(587), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(188), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [2469] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_DQUOTE,
    ACTIONS(845), 1,
      sym_raw_string,
    ACTIONS(847), 1,
      aux_sym__simple_variable_name_token1,
    STATE(581), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(841), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_DOLLAR,
    ACTIONS(591), 1,
      sym__special_character,
    ACTIONS(593), 1,
      anon_sym_DQUOTE,
    ACTIONS(595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(603), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(605), 1,
      sym_variable_name,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    STATE(3218), 1,
      sym_subscript,
    ACTIONS(467), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(587), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(168), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(469), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [2609] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_DOLLAR,
    ACTIONS(859), 1,
      sym__special_character,
    ACTIONS(862), 1,
      anon_sym_DQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(871), 1,
      anon_sym_BQUOTE,
    ACTIONS(877), 1,
      aux_sym__simple_variable_name_token1,
    STATE(470), 1,
      aux_sym__literal_repeat1,
    ACTIONS(852), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(874), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(189), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(849), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(304), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(854), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2685] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_DQUOTE,
    ACTIONS(884), 1,
      sym_raw_string,
    ACTIONS(886), 1,
      aux_sym__simple_variable_name_token1,
    STATE(692), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(880), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2747] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(774), 1,
      anon_sym_DQUOTE,
    ACTIONS(890), 1,
      sym_raw_string,
    ACTIONS(892), 1,
      aux_sym__simple_variable_name_token1,
    STATE(375), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(888), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(609), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(825), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    STATE(182), 1,
      aux_sym_command_repeat2,
    STATE(500), 1,
      aux_sym__literal_repeat1,
    STATE(538), 1,
      sym_concatenation,
    ACTIONS(727), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(821), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(829), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(819), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(297), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(729), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2887] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(896), 1,
      sym_raw_string,
    ACTIONS(898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(499), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(894), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(609), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(825), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    STATE(182), 1,
      aux_sym_command_repeat2,
    STATE(500), 1,
      aux_sym__literal_repeat1,
    STATE(538), 1,
      sym_concatenation,
    ACTIONS(691), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(821), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(829), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(819), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(297), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(693), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3027] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(531), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3082] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(904), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(902), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3137] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(521), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3192] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(521), 1,
      anon_sym_RPAREN,
    ACTIONS(545), 1,
      sym__simple_heredoc_body,
    ACTIONS(547), 1,
      sym__heredoc_body_beginning,
    STATE(2890), 1,
      sym_heredoc_body,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3251] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(904), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(906), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(902), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3306] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(910), 1,
      anon_sym_DQUOTE,
    ACTIONS(912), 1,
      sym_raw_string,
    ACTIONS(914), 1,
      aux_sym__simple_variable_name_token1,
    STATE(784), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(908), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3367] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DQUOTE,
    ACTIONS(920), 1,
      sym_raw_string,
    ACTIONS(922), 1,
      aux_sym__simple_variable_name_token1,
    STATE(548), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(916), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3428] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(926), 1,
      anon_sym_DQUOTE,
    ACTIONS(928), 1,
      sym_raw_string,
    ACTIONS(930), 1,
      aux_sym__simple_variable_name_token1,
    STATE(843), 1,
      sym_string,
    ACTIONS(535), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(924), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(936), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(940), 1,
      anon_sym_BQUOTE,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(727), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(934), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(942), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(932), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(729), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3566] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(944), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(946), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(902), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3621] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR,
    ACTIONS(954), 1,
      sym__special_character,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(960), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(966), 1,
      anon_sym_BQUOTE,
    ACTIONS(972), 1,
      aux_sym__simple_variable_name_token1,
    STATE(534), 1,
      aux_sym__literal_repeat1,
    ACTIONS(852), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(205), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(518), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(854), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3696] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(936), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(940), 1,
      anon_sym_BQUOTE,
    STATE(214), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(667), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(934), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(942), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(932), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3773] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_DQUOTE,
    ACTIONS(977), 1,
      sym_raw_string,
    ACTIONS(979), 1,
      aux_sym__simple_variable_name_token1,
    STATE(662), 1,
      sym_string,
    ACTIONS(535), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(975), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3834] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(946), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(902), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3889] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym__simple_heredoc_body,
    ACTIONS(547), 1,
      sym__heredoc_body_beginning,
    STATE(2955), 1,
      sym_heredoc_body,
    ACTIONS(341), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(239), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3946] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DQUOTE,
    ACTIONS(983), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      sym__special_character,
    ACTIONS(987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(991), 1,
      anon_sym_BQUOTE,
    ACTIONS(995), 1,
      aux_sym__simple_variable_name_token1,
    STATE(534), 1,
      aux_sym__literal_repeat1,
    ACTIONS(766), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(220), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(981), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(518), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(768), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4021] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_RPAREN,
    ACTIONS(545), 1,
      sym__simple_heredoc_body,
    ACTIONS(547), 1,
      sym__heredoc_body_beginning,
    STATE(2870), 1,
      sym_heredoc_body,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4080] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(936), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(940), 1,
      anon_sym_BQUOTE,
    STATE(203), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(687), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(934), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(942), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(932), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(689), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 1,
      anon_sym_DOLLAR,
    ACTIONS(1006), 1,
      sym__special_character,
    ACTIONS(1009), 1,
      anon_sym_DQUOTE,
    ACTIONS(1012), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1015), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1018), 1,
      anon_sym_BQUOTE,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(734), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1000), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(1021), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(997), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(736), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4234] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(936), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(940), 1,
      anon_sym_BQUOTE,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(691), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(934), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(942), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(932), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(693), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      anon_sym_DOLLAR,
    ACTIONS(1033), 1,
      sym__special_character,
    ACTIONS(1036), 1,
      anon_sym_DQUOTE,
    ACTIONS(1039), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1042), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_BQUOTE,
    STATE(215), 1,
      aux_sym_command_repeat2,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    STATE(751), 1,
      sym_concatenation,
    ACTIONS(1027), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(1048), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(734), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1024), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(736), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4388] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      ts_builtin_sym_end,
    ACTIONS(1051), 1,
      sym__simple_heredoc_body,
    ACTIONS(1053), 1,
      sym__heredoc_body_beginning,
    STATE(2863), 1,
      sym_heredoc_body,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4447] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(521), 1,
      ts_builtin_sym_end,
    ACTIONS(1051), 1,
      sym__simple_heredoc_body,
    ACTIONS(1053), 1,
      sym__heredoc_body_beginning,
    STATE(2894), 1,
      sym_heredoc_body,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4506] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(529), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(531), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4561] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1057), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1055), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4612] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DQUOTE,
    ACTIONS(983), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      sym__special_character,
    ACTIONS(987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(991), 1,
      anon_sym_BQUOTE,
    ACTIONS(1059), 1,
      aux_sym__simple_variable_name_token1,
    STATE(534), 1,
      aux_sym__literal_repeat1,
    ACTIONS(786), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(205), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(981), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(518), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(788), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4687] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(519), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(521), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4742] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(843), 1,
      anon_sym_DQUOTE,
    ACTIONS(1065), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_BQUOTE,
    STATE(215), 1,
      aux_sym_command_repeat2,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    STATE(751), 1,
      sym_concatenation,
    ACTIONS(1063), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(1071), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(691), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1061), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(693), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(843), 1,
      anon_sym_DQUOTE,
    ACTIONS(1065), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_BQUOTE,
    STATE(215), 1,
      aux_sym_command_repeat2,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    STATE(751), 1,
      sym_concatenation,
    ACTIONS(1063), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(1071), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(727), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1061), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(729), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4896] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(341), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(239), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(843), 1,
      anon_sym_DQUOTE,
    ACTIONS(1065), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_BQUOTE,
    STATE(223), 1,
      aux_sym_command_repeat2,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    STATE(751), 1,
      sym_concatenation,
    ACTIONS(1063), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(1071), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(687), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1061), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(689), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5024] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(593), 1,
      anon_sym_DQUOTE,
    ACTIONS(1075), 1,
      sym_raw_string,
    ACTIONS(1077), 1,
      aux_sym__simple_variable_name_token1,
    STATE(620), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1073), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5085] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(843), 1,
      anon_sym_DQUOTE,
    ACTIONS(1065), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_BQUOTE,
    STATE(222), 1,
      aux_sym_command_repeat2,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    STATE(751), 1,
      sym_concatenation,
    ACTIONS(1063), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(1071), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(667), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1061), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5162] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym__simple_heredoc_body,
    ACTIONS(547), 1,
      sym__heredoc_body_beginning,
    STATE(2933), 1,
      sym_heredoc_body,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5218] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1082), 1,
      anon_sym_DOLLAR,
    ACTIONS(1085), 1,
      sym__special_character,
    ACTIONS(1088), 1,
      anon_sym_DQUOTE,
    ACTIONS(1091), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1094), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_BQUOTE,
    ACTIONS(1103), 1,
      aux_sym__simple_variable_name_token1,
    STATE(749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1100), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(229), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(852), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1079), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(599), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(854), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5292] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_DOLLAR,
    ACTIONS(1110), 1,
      sym__special_character,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1116), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1118), 1,
      anon_sym_BQUOTE,
    ACTIONS(1122), 1,
      aux_sym__simple_variable_name_token1,
    STATE(749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(236), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(766), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1106), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(599), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(768), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_DQUOTE,
    ACTIONS(1128), 1,
      sym_raw_string,
    ACTIONS(1130), 1,
      aux_sym__simple_variable_name_token1,
    STATE(757), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1124), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5426] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(936), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(938), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(727), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(934), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(942), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(932), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(729), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5500] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_BQUOTE,
    ACTIONS(545), 1,
      sym__simple_heredoc_body,
    ACTIONS(547), 1,
      sym__heredoc_body_beginning,
    STATE(2884), 1,
      sym_heredoc_body,
    ACTIONS(517), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5558] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_DOLLAR,
    ACTIONS(1138), 1,
      sym__special_character,
    ACTIONS(1141), 1,
      anon_sym_DQUOTE,
    ACTIONS(1144), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1147), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1150), 1,
      anon_sym_BQUOTE,
    ACTIONS(1156), 1,
      aux_sym__simple_variable_name_token1,
    STATE(820), 1,
      aux_sym__literal_repeat1,
    ACTIONS(852), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1153), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(234), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1132), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(640), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(854), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5632] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(936), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(938), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(239), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(667), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(934), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(942), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(932), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5706] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_DOLLAR,
    ACTIONS(1110), 1,
      sym__special_character,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1116), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1118), 1,
      anon_sym_BQUOTE,
    ACTIONS(1159), 1,
      aux_sym__simple_variable_name_token1,
    STATE(749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(229), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(786), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1106), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(599), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(788), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5780] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(521), 1,
      anon_sym_BQUOTE,
    ACTIONS(545), 1,
      sym__simple_heredoc_body,
    ACTIONS(547), 1,
      sym__heredoc_body_beginning,
    STATE(2883), 1,
      sym_heredoc_body,
    ACTIONS(517), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5838] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      anon_sym_DOLLAR,
    ACTIONS(1165), 1,
      sym__special_character,
    ACTIONS(1167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1171), 1,
      anon_sym_BQUOTE,
    ACTIONS(1175), 1,
      aux_sym__simple_variable_name_token1,
    STATE(820), 1,
      aux_sym__literal_repeat1,
    ACTIONS(766), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(241), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1161), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(640), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(768), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5912] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(936), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(938), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(691), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(934), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(942), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(932), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(693), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5986] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1179), 1,
      sym_raw_string,
    ACTIONS(1181), 1,
      aux_sym__simple_variable_name_token1,
    STATE(874), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6046] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      anon_sym_DOLLAR,
    ACTIONS(1165), 1,
      sym__special_character,
    ACTIONS(1167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1171), 1,
      anon_sym_BQUOTE,
    ACTIONS(1183), 1,
      aux_sym__simple_variable_name_token1,
    STATE(820), 1,
      aux_sym__literal_repeat1,
    ACTIONS(786), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(234), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1161), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(640), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(788), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6120] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(936), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(938), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(232), 1,
      aux_sym_command_repeat2,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    STATE(806), 1,
      sym_concatenation,
    ACTIONS(687), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(934), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(942), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(932), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(689), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6194] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(206), 1,
      sym_command_name,
    STATE(643), 1,
      aux_sym__literal_repeat1,
    STATE(827), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(826), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1986), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(417), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6285] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      anon_sym_DOLLAR,
    ACTIONS(1165), 1,
      sym__special_character,
    ACTIONS(1167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1183), 1,
      aux_sym__simple_variable_name_token1,
    STATE(820), 1,
      aux_sym__literal_repeat1,
    ACTIONS(786), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(234), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1161), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(640), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(788), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6356] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(170), 1,
      sym_command_name,
    STATE(298), 1,
      aux_sym__literal_repeat1,
    STATE(387), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(163), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(744), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1764), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6447] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(227), 1,
      sym_command_name,
    STATE(624), 1,
      aux_sym__literal_repeat1,
    STATE(740), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(747), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(2078), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6538] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      anon_sym_DOLLAR,
    ACTIONS(1165), 1,
      sym__special_character,
    ACTIONS(1167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1187), 1,
      aux_sym__simple_variable_name_token1,
    STATE(820), 1,
      aux_sym__literal_repeat1,
    ACTIONS(766), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(244), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1161), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(640), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(768), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6609] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(235), 1,
      sym_command_name,
    STATE(643), 1,
      aux_sym__literal_repeat1,
    STATE(827), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(756), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1986), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(417), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6700] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(184), 1,
      sym_command_name,
    STATE(501), 1,
      aux_sym__literal_repeat1,
    STATE(632), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(209), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(742), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1764), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(290), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6791] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(521), 1,
      ts_builtin_sym_end,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6841] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1057), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1055), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6889] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(904), 1,
      ts_builtin_sym_end,
    ACTIONS(902), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6939] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      ts_builtin_sym_end,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6989] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(341), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(239), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7037] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(946), 1,
      ts_builtin_sym_end,
    ACTIONS(902), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym_variable_name,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1634), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1193), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [7140] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(902), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_LPAREN,
    ACTIONS(1203), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7240] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_BQUOTE,
    ACTIONS(517), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7289] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(517), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7336] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LF,
    ACTIONS(1215), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1211), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(519), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1634), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7399] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1634), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 11,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7454] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_BQUOTE,
    ACTIONS(902), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7503] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_BQUOTE,
    ACTIONS(902), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(900), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7552] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1221), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1211), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1223), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1225), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1634), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7615] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(521), 1,
      anon_sym_BQUOTE,
    ACTIONS(517), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 1,
      sym__concat,
    STATE(267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1227), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_LPAREN,
    ACTIONS(1234), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 1,
      sym__concat,
    STATE(267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1244), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1242), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7916] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      anon_sym_LF,
    ACTIONS(1254), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1248), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1250), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1252), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1225), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      sym__concat,
    STATE(274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      sym__concat,
    STATE(276), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 1,
      sym__concat,
    STATE(276), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8178] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1271), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1250), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1252), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1273), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(519), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      sym__concat,
    STATE(274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1277), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1275), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      sym__concat,
    STATE(274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym_variable_name,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1193), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [8442] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1250), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 10,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1303), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1307), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      sym__concat,
    STATE(338), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__concat,
    STATE(294), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1316), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      sym__concat,
    STATE(294), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1244), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1242), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 1,
      sym__special_character,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1324), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1322), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym_variable_name,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1193), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [9352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      sym__special_character,
    STATE(301), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1330), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 1,
      sym__special_character,
    STATE(301), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1339), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 1,
      sym__special_character,
    STATE(301), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1345), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1343), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 1,
      sym__concat,
    STATE(343), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1347), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym_variable_name,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1653), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1193), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [9599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1217), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1353), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1653), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1355), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9697] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_RPAREN,
    ACTIONS(1359), 1,
      anon_sym_LF,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1273), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 1,
      sym__special_character,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1367), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      sym__concat,
    STATE(310), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1227), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      sym__special_character,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1330), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      sym__concat,
    STATE(296), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym__concat,
    STATE(310), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      sym__concat,
    STATE(293), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10142] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      ts_builtin_sym_end,
    ACTIONS(1393), 1,
      anon_sym_LF,
    ACTIONS(1401), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1353), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1397), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1399), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1395), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1653), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10248] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_RPAREN,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1407), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1248), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      sym__concat,
    STATE(296), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_LPAREN,
    ACTIONS(1419), 1,
      sym__concat,
    STATE(465), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1413), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 1,
      ts_builtin_sym_end,
    ACTIONS(1401), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1449), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1353), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1397), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1399), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1451), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1653), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      sym__concat,
    STATE(293), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 1,
      sym__special_character,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1455), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1453), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      sym__concat,
    STATE(338), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_LPAREN,
    ACTIONS(1466), 1,
      sym__concat,
    STATE(525), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 1,
      sym__concat,
    STATE(370), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1425), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1429), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1474), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1470), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 1,
      sym__concat,
    STATE(343), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1445), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1441), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1437), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1433), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1421), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1409), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1377), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      sym__concat,
    STATE(296), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1277), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1275), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      sym__concat,
    STATE(370), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1227), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      sym__concat,
    STATE(465), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1244), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1242), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 1,
      sym__concat,
    STATE(525), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym_variable_name,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1193), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [12854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1421), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1429), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1377), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      sym__concat,
    STATE(451), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13254] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1483), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      sym__special_character,
    STATE(385), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1330), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      sym__concat,
    STATE(386), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1355), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1425), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1433), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1437), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1441), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1445), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 1,
      sym__concat,
    STATE(410), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 1,
      sym__special_character,
    STATE(442), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1339), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 1,
      sym__concat,
    STATE(525), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      sym__concat,
    STATE(410), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1470), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      sym__concat,
    STATE(465), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      sym__special_character,
    STATE(423), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1339), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1474), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      sym__concat,
    STATE(421), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      sym__special_character,
    STATE(423), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1330), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1316), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 1,
      sym__concat,
    STATE(421), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1307), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1303), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      sym__concat,
    STATE(451), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1277), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1275), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1307), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1303), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      sym__concat,
    STATE(531), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1316), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      sym__special_character,
    STATE(442), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1330), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16046] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BQUOTE,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1513), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1483), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1517), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1515), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16150] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1521), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1242), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1474), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      sym__concat,
    STATE(476), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1409), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16388] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1525), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1527), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16534] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1529), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1531), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 1,
      sym__concat,
    STATE(525), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      sym__concat,
    STATE(400), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1277), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1275), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym__special_character,
    STATE(504), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1455), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1453), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1470), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      sym__concat,
    STATE(386), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 1,
      sym__special_character,
    STATE(385), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1539), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1445), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1441), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1437), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1433), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      sym__concat,
    STATE(476), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      sym__concat,
    STATE(400), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1421), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1409), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1377), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      sym__concat,
    STATE(400), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1281), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1279), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1355), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1548), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      sym__concat,
    STATE(498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym__special_character,
    STATE(504), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1367), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym__special_character,
    STATE(504), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1324), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1322), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      sym__concat,
    STATE(465), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      sym__concat,
    STATE(451), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 1,
      sym__special_character,
    STATE(504), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1330), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1558), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      sym__concat,
    STATE(506), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1413), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1425), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1413), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_DQUOTE,
    ACTIONS(1569), 1,
      sym_raw_string,
    ACTIONS(1571), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1731), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1565), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [19214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1429), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      sym__concat,
    STATE(426), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      sym__concat,
    STATE(531), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1347), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      sym__special_character,
    STATE(423), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1345), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1343), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 1,
      sym__concat,
    STATE(525), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1244), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1242), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19626] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1575), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1577), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      sym__concat,
    STATE(506), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      sym__concat,
    STATE(426), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      sym__concat,
    STATE(465), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 1,
      sym__concat,
    STATE(498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20008] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_BQUOTE,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1583), 1,
      anon_sym_LF,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1483), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1517), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1585), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1189), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1445), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      sym__special_character,
    STATE(631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1539), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      sym__special_character,
    STATE(535), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1330), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1355), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1470), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1242), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      sym__special_character,
    STATE(539), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1330), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      sym__special_character,
    STATE(535), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1367), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1377), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      sym__concat,
    STATE(544), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      sym__special_character,
    STATE(722), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1345), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1343), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1474), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1307), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__special_character,
    STATE(626), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1455), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1453), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1316), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1413), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_DQUOTE,
    ACTIONS(1569), 1,
      sym_raw_string,
    ACTIONS(1571), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1731), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1565), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [21009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1355), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1377), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1409), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1421), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1433), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1437), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1441), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1445), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1307), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1470), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1474), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      sym__special_character,
    STATE(572), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1330), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__concat,
    STATE(544), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1316), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1307), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1303), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1316), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1474), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      sym__concat,
    STATE(655), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1281), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1279), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1303), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1303), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1470), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1429), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 1,
      sym__concat,
    STATE(716), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1347), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      sym__special_character,
    STATE(722), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1339), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1337), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1425), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1425), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1409), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 1,
      sym__concat,
    STATE(623), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1413), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      sym__special_character,
    STATE(535), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1455), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1453), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__special_character,
    STATE(626), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1367), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 1,
      sym__concat,
    STATE(573), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      sym__concat,
    STATE(636), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      sym__special_character,
    STATE(535), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1324), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1322), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 1,
      sym__special_character,
    STATE(626), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1330), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 1,
      sym__special_character,
    STATE(631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1330), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__concat,
    STATE(636), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      sym__concat,
    STATE(655), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 1,
      sym__concat,
    STATE(623), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 1,
      sym__concat,
    STATE(573), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1347), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__special_character,
    STATE(539), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1345), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1343), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_DQUOTE,
    ACTIONS(1634), 1,
      sym_raw_string,
    ACTIONS(1636), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1825), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1630), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [24918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__special_character,
    STATE(626), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1324), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1322), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1558), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1429), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__special_character,
    STATE(539), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1339), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      sym__concat,
    STATE(737), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1441), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1303), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1429), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1307), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1413), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1316), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1445), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1425), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1355), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1377), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1474), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1441), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1470), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1425), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1413), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1429), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1445), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1441), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1437), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1558), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1433), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1421), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1409), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1377), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1355), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 1,
      sym__concat,
    STATE(725), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1437), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 1,
      sym__special_character,
    STATE(722), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1330), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1409), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 1,
      sym__concat,
    STATE(725), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1437), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1421), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1433), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1433), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1421), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 1,
      sym__concat,
    STATE(716), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 1,
      sym__special_character,
    STATE(572), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1339), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      sym__concat,
    STATE(737), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1548), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29207] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1653), 1,
      sym__special_character,
    STATE(183), 1,
      sym_command_name,
    STATE(501), 1,
      aux_sym__literal_repeat1,
    STATE(632), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(209), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1655), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(290), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29323] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1655), 1,
      sym__special_character,
    STATE(172), 1,
      sym_command_name,
    STATE(298), 1,
      aux_sym__literal_repeat1,
    STATE(387), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(163), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1655), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29481] = 19,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1657), 1,
      sym__special_character,
    STATE(225), 1,
      sym_command_name,
    STATE(624), 1,
      aux_sym__literal_repeat1,
    STATE(740), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1655), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      sym__special_character,
    STATE(847), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1541), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1539), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1242), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 1,
      sym__special_character,
    STATE(799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1339), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1337), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29899] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1663), 1,
      sym__special_character,
    STATE(242), 1,
      sym_command_name,
    STATE(643), 1,
      aux_sym__literal_repeat1,
    STATE(827), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1655), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(417), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1279), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym__special_character,
    STATE(782), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1330), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31069] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_DQUOTE,
    ACTIONS(1672), 1,
      sym_raw_string,
    ACTIONS(1674), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1943), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1668), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [31121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1413), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1425), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1429), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1303), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1307), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1316), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1474), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1470), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1460), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1445), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym__special_character,
    STATE(835), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1339), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      sym__special_character,
    STATE(799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1330), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1441), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1437), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1433), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1421), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1409), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1242), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1548), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1355), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1377), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1409), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1421), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1433), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1558), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1437), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 1,
      sym__special_character,
    STATE(782), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1539), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1441), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1445), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1377), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1355), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32897] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1663), 1,
      sym__special_character,
    STATE(212), 1,
      sym_command_name,
    STATE(643), 1,
      aux_sym__literal_repeat1,
    STATE(827), 1,
      sym_concatenation,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1655), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(417), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1197), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1470), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1474), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1316), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 1,
      sym__special_character,
    STATE(835), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1330), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1307), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1303), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1429), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1425), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1413), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1558), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1548), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 1,
      sym__special_character,
    STATE(847), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1330), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1355), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1377), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1409), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1421), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1433), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1437), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1441), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1445), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1429), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1425), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1470), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1474), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1316), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1413), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1307), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1303), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1558), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1279), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1558), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1279), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35284] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1693), 1,
      sym_raw_string,
    ACTIONS(1695), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1773), 1,
      sym_string,
    ACTIONS(1689), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [35333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1548), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1548), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1558), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35538] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1907), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1699), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35604] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1903), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1717), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_DQUOTE,
    ACTIONS(1723), 1,
      sym_raw_string,
    ACTIONS(1725), 1,
      anon_sym_POUND,
    ACTIONS(1727), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1740), 1,
      sym_string,
    ACTIONS(533), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      sym_word,
    ACTIONS(1719), 8,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 15,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [35722] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1892), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1729), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1737), 1,
      sym_raw_string,
    ACTIONS(1739), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1994), 1,
      sym_string,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(1731), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1733), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(535), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [35840] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(2029), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1741), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35906] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1961), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1743), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35972] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1959), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1745), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36038] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1911), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1747), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36104] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1904), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1749), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36170] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(2065), 1,
      sym__expression,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1751), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36236] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(1759), 1,
      sym_raw_string,
    ACTIONS(1761), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2175), 1,
      sym_string,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(1753), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1755), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(535), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_raw_string,
    ACTIONS(1771), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2235), 1,
      sym_string,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(1763), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1765), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(535), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36336] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1787), 1,
      anon_sym_POUND,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1791), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1285), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    ACTIONS(1803), 1,
      anon_sym_POUND,
    ACTIONS(1805), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1546), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1801), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36466] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1807), 1,
      anon_sym_RBRACE,
    ACTIONS(1811), 1,
      anon_sym_POUND,
    ACTIONS(1813), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1524), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1809), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36531] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(1819), 1,
      anon_sym_POUND,
    ACTIONS(1821), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1817), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(1827), 1,
      anon_sym_POUND,
    ACTIONS(1829), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1521), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36661] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(1835), 1,
      anon_sym_POUND,
    ACTIONS(1837), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1518), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36726] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1839), 1,
      anon_sym_RBRACE,
    ACTIONS(1843), 1,
      anon_sym_POUND,
    ACTIONS(1845), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1512), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1841), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36791] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(1851), 1,
      anon_sym_POUND,
    ACTIONS(1853), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1504), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1849), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36856] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1855), 1,
      anon_sym_RBRACE,
    ACTIONS(1859), 1,
      anon_sym_POUND,
    ACTIONS(1861), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1481), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1857), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36921] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(1867), 1,
      anon_sym_POUND,
    ACTIONS(1869), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1480), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1865), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36986] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1871), 1,
      anon_sym_RBRACE,
    ACTIONS(1875), 1,
      anon_sym_POUND,
    ACTIONS(1877), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1478), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1873), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37051] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(1867), 1,
      anon_sym_POUND,
    ACTIONS(1879), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1480), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1865), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37116] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1881), 1,
      anon_sym_RBRACE,
    ACTIONS(1885), 1,
      anon_sym_POUND,
    ACTIONS(1887), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1474), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1883), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37181] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1472), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1891), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37246] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1897), 1,
      anon_sym_RBRACE,
    ACTIONS(1901), 1,
      anon_sym_POUND,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1329), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1899), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37311] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1905), 1,
      anon_sym_RBRACE,
    ACTIONS(1909), 1,
      anon_sym_POUND,
    ACTIONS(1911), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1466), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1907), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37376] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(1917), 1,
      anon_sym_POUND,
    ACTIONS(1919), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1465), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1915), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37441] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      anon_sym_POUND,
    ACTIONS(1927), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1464), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1923), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37506] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1929), 1,
      anon_sym_RBRACE,
    ACTIONS(1933), 1,
      anon_sym_POUND,
    ACTIONS(1935), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1931), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37571] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      anon_sym_POUND,
    ACTIONS(1937), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1464), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1923), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37636] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1943), 1,
      anon_sym_POUND,
    ACTIONS(1945), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1459), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1941), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37701] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1949), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2375), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [37768] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(1975), 1,
      anon_sym_POUND,
    ACTIONS(1977), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1457), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1973), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37833] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
    ACTIONS(1983), 1,
      anon_sym_POUND,
    ACTIONS(1985), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1453), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1981), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37898] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    ACTIONS(1991), 1,
      anon_sym_POUND,
    ACTIONS(1993), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1452), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1989), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37963] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1995), 1,
      anon_sym_RBRACE,
    ACTIONS(1999), 1,
      anon_sym_POUND,
    ACTIONS(2001), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1451), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1997), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38028] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(2007), 1,
      anon_sym_POUND,
    ACTIONS(2009), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1450), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38093] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    ACTIONS(2015), 1,
      anon_sym_POUND,
    ACTIONS(2017), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1448), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2013), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38158] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(2007), 1,
      anon_sym_POUND,
    ACTIONS(2019), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1450), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38223] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2021), 1,
      anon_sym_RBRACE,
    ACTIONS(2025), 1,
      anon_sym_POUND,
    ACTIONS(2027), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1445), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2023), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38288] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    ACTIONS(2033), 1,
      anon_sym_POUND,
    ACTIONS(2035), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1443), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2031), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38353] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2037), 1,
      anon_sym_RBRACE,
    ACTIONS(2041), 1,
      anon_sym_POUND,
    ACTIONS(2043), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1438), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2039), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38418] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    ACTIONS(2049), 1,
      anon_sym_POUND,
    ACTIONS(2051), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1572), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2047), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38483] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    ACTIONS(2057), 1,
      anon_sym_POUND,
    ACTIONS(2059), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1578), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2055), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38548] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    ACTIONS(2065), 1,
      anon_sym_POUND,
    ACTIONS(2067), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1436), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2063), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38613] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    ACTIONS(2073), 1,
      anon_sym_POUND,
    ACTIONS(2075), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1576), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2071), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38678] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    ACTIONS(2057), 1,
      anon_sym_POUND,
    ACTIONS(2077), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1578), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2055), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38743] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    ACTIONS(2083), 1,
      anon_sym_POUND,
    ACTIONS(2085), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1579), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2081), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38808] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    ACTIONS(2091), 1,
      anon_sym_POUND,
    ACTIONS(2093), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1434), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2089), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38873] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    ACTIONS(2099), 1,
      anon_sym_POUND,
    ACTIONS(2101), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1432), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2097), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38938] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2103), 1,
      anon_sym_RBRACE,
    ACTIONS(2107), 1,
      anon_sym_POUND,
    ACTIONS(2109), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1430), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39003] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    ACTIONS(2099), 1,
      anon_sym_POUND,
    ACTIONS(2111), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1432), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2097), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39068] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    ACTIONS(2117), 1,
      anon_sym_POUND,
    ACTIONS(2119), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1580), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39133] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    ACTIONS(2125), 1,
      anon_sym_POUND,
    ACTIONS(2127), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1427), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2123), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39198] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    ACTIONS(2133), 1,
      anon_sym_POUND,
    ACTIONS(2135), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1425), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2131), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39263] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_POUND,
    ACTIONS(2143), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2139), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39328] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(2149), 1,
      anon_sym_POUND,
    ACTIONS(2151), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1586), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2147), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39393] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    ACTIONS(2157), 1,
      anon_sym_POUND,
    ACTIONS(2159), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1588), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2155), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39458] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(2165), 1,
      anon_sym_POUND,
    ACTIONS(2167), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39523] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(2173), 1,
      anon_sym_POUND,
    ACTIONS(2175), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1591), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2171), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39588] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(2165), 1,
      anon_sym_POUND,
    ACTIONS(2177), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39653] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      anon_sym_POUND,
    ACTIONS(2185), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39718] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(2191), 1,
      anon_sym_POUND,
    ACTIONS(2193), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1420), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2189), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39783] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2199), 1,
      anon_sym_POUND,
    ACTIONS(2201), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1594), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2197), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39848] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_RBRACE,
    ACTIONS(2207), 1,
      anon_sym_POUND,
    ACTIONS(2209), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1595), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2205), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39913] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    ACTIONS(2215), 1,
      anon_sym_POUND,
    ACTIONS(2217), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1597), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2213), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39978] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    ACTIONS(2223), 1,
      anon_sym_POUND,
    ACTIONS(2225), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1611), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2221), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40043] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
    ACTIONS(2231), 1,
      anon_sym_POUND,
    ACTIONS(2233), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1419), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2229), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40108] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2235), 1,
      anon_sym_RBRACE,
    ACTIONS(2239), 1,
      anon_sym_POUND,
    ACTIONS(2241), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1613), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2237), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40173] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2243), 1,
      anon_sym_RBRACE,
    ACTIONS(2247), 1,
      anon_sym_POUND,
    ACTIONS(2249), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1632), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2245), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40238] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2251), 1,
      anon_sym_RBRACE,
    ACTIONS(2255), 1,
      anon_sym_POUND,
    ACTIONS(2257), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1620), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2253), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40303] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2259), 1,
      anon_sym_RBRACE,
    ACTIONS(2263), 1,
      anon_sym_POUND,
    ACTIONS(2265), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1467), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2261), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40368] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2267), 1,
      anon_sym_RBRACE,
    ACTIONS(2271), 1,
      anon_sym_POUND,
    ACTIONS(2273), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1631), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2269), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40433] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    ACTIONS(2279), 1,
      anon_sym_POUND,
    ACTIONS(2281), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1630), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2277), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40498] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2283), 1,
      anon_sym_RBRACE,
    ACTIONS(2287), 1,
      anon_sym_POUND,
    ACTIONS(2289), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1629), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2285), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40563] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    ACTIONS(2295), 1,
      anon_sym_POUND,
    ACTIONS(2297), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1624), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2293), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40628] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
    ACTIONS(2303), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1622), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2301), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40693] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    ACTIONS(2311), 1,
      anon_sym_POUND,
    ACTIONS(2313), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1615), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2309), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40758] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(2319), 1,
      anon_sym_POUND,
    ACTIONS(2321), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1418), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2317), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40823] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    ACTIONS(2327), 1,
      anon_sym_POUND,
    ACTIONS(2329), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1416), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2325), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40888] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(2319), 1,
      anon_sym_POUND,
    ACTIONS(2331), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1418), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2317), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40953] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2333), 1,
      anon_sym_RBRACE,
    ACTIONS(2337), 1,
      anon_sym_POUND,
    ACTIONS(2339), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1413), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2335), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41018] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2341), 1,
      anon_sym_RBRACE,
    ACTIONS(2345), 1,
      anon_sym_POUND,
    ACTIONS(2347), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1409), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2343), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41083] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    ACTIONS(2353), 1,
      anon_sym_POUND,
    ACTIONS(2355), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1388), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2351), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41148] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(2361), 1,
      anon_sym_POUND,
    ACTIONS(2363), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1383), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2359), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41213] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_RBRACE,
    ACTIONS(2369), 1,
      anon_sym_POUND,
    ACTIONS(2371), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1617), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2367), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41278] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    ACTIONS(2311), 1,
      anon_sym_POUND,
    ACTIONS(2373), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1615), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2309), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41343] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2375), 1,
      anon_sym_RBRACE,
    ACTIONS(2379), 1,
      anon_sym_POUND,
    ACTIONS(2381), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1382), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2377), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41408] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(2387), 1,
      anon_sym_POUND,
    ACTIONS(2389), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1380), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2385), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41473] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2391), 1,
      anon_sym_RBRACE,
    ACTIONS(2395), 1,
      anon_sym_POUND,
    ACTIONS(2397), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1378), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2393), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41538] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(2387), 1,
      anon_sym_POUND,
    ACTIONS(2399), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1380), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2385), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41603] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(2405), 1,
      anon_sym_POUND,
    ACTIONS(2407), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1373), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2403), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41668] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(2413), 1,
      anon_sym_POUND,
    ACTIONS(2415), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1364), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2411), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41733] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2417), 1,
      anon_sym_RBRACE,
    ACTIONS(2421), 1,
      anon_sym_POUND,
    ACTIONS(2423), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1358), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2419), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41798] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 1,
      anon_sym_POUND,
    ACTIONS(2431), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2427), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41863] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_RBRACE,
    ACTIONS(2437), 1,
      anon_sym_POUND,
    ACTIONS(2439), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1348), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2435), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41928] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    ACTIONS(2445), 1,
      anon_sym_POUND,
    ACTIONS(2447), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1346), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2443), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41993] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      anon_sym_RBRACE,
    ACTIONS(2453), 1,
      anon_sym_POUND,
    ACTIONS(2455), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1341), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2451), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42058] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    ACTIONS(2461), 1,
      anon_sym_POUND,
    ACTIONS(2463), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1610), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2459), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42123] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    ACTIONS(2445), 1,
      anon_sym_POUND,
    ACTIONS(2465), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1346), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2443), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42188] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(2471), 1,
      anon_sym_POUND,
    ACTIONS(2473), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1337), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2469), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42253] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    ACTIONS(2479), 1,
      anon_sym_POUND,
    ACTIONS(2481), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1335), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2477), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42318] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(2483), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2319), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42385] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    ACTIONS(2489), 1,
      anon_sym_POUND,
    ACTIONS(2491), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1609), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2487), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42450] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(2493), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2338), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42517] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2499), 1,
      anon_sym_POUND,
    ACTIONS(2501), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1331), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2497), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42582] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      anon_sym_POUND,
    ACTIONS(2509), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1330), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2505), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42647] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2515), 1,
      anon_sym_POUND,
    ACTIONS(2517), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42712] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(2523), 1,
      anon_sym_POUND,
    ACTIONS(2525), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1328), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42777] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(2531), 1,
      anon_sym_POUND,
    ACTIONS(2533), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1326), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42842] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(2523), 1,
      anon_sym_POUND,
    ACTIONS(2535), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1328), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42907] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2537), 1,
      anon_sym_RBRACE,
    ACTIONS(2541), 1,
      anon_sym_POUND,
    ACTIONS(2543), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1320), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2539), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42972] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(2549), 1,
      anon_sym_POUND,
    ACTIONS(2551), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1318), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2547), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43037] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_POUND,
    ACTIONS(2559), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1311), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43102] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(2565), 1,
      anon_sym_POUND,
    ACTIONS(2567), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1306), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43167] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2575), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1608), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43232] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_POUND,
    ACTIONS(2583), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43297] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      anon_sym_POUND,
    ACTIONS(2591), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1302), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43362] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2597), 1,
      anon_sym_POUND,
    ACTIONS(2599), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1600), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43427] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    ACTIONS(2605), 1,
      anon_sym_POUND,
    ACTIONS(2607), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2603), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43492] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      anon_sym_POUND,
    ACTIONS(2609), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1302), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43557] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_POUND,
    ACTIONS(2617), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1297), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43622] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2623), 1,
      anon_sym_POUND,
    ACTIONS(2625), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1295), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43687] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_POUND,
    ACTIONS(2633), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1288), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43752] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    ACTIONS(2639), 1,
      anon_sym_POUND,
    ACTIONS(2641), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1437), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2637), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43817] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(2647), 1,
      anon_sym_POUND,
    ACTIONS(2649), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1598), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2645), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43882] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(2655), 1,
      anon_sym_POUND,
    ACTIONS(2657), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1287), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2653), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43947] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    ACTIONS(2663), 1,
      anon_sym_POUND,
    ACTIONS(2665), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1433), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2661), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44012] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2671), 1,
      anon_sym_POUND,
    ACTIONS(2673), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1548), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44077] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(2679), 1,
      anon_sym_POUND,
    ACTIONS(2681), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1286), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2677), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44142] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(2687), 1,
      anon_sym_POUND,
    ACTIONS(2689), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2685), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44207] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    ACTIONS(2695), 1,
      anon_sym_POUND,
    ACTIONS(2697), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1283), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2693), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44272] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1787), 1,
      anon_sym_POUND,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2699), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1285), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44337] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    ACTIONS(2705), 1,
      anon_sym_POUND,
    ACTIONS(2707), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1553), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2703), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44402] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    ACTIONS(2713), 1,
      anon_sym_POUND,
    ACTIONS(2715), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1279), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2711), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44467] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    ACTIONS(2721), 1,
      anon_sym_POUND,
    ACTIONS(2723), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1277), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2719), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44532] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2671), 1,
      anon_sym_POUND,
    ACTIONS(2725), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1548), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44597] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2727), 1,
      anon_sym_RBRACE,
    ACTIONS(2731), 1,
      anon_sym_POUND,
    ACTIONS(2733), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1271), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2729), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44662] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    ACTIONS(2739), 1,
      anon_sym_POUND,
    ACTIONS(2741), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1269), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2737), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44727] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    ACTIONS(2747), 1,
      anon_sym_POUND,
    ACTIONS(2749), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1268), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2745), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44792] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1929), 1,
      anon_sym_RBRACE,
    ACTIONS(1933), 1,
      anon_sym_POUND,
    ACTIONS(2751), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1931), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44857] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_POUND,
    ACTIONS(2759), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2755), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44922] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    ACTIONS(2765), 1,
      anon_sym_POUND,
    ACTIONS(2767), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1462), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2763), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44987] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(1819), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1817), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45052] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    ACTIONS(2775), 1,
      anon_sym_POUND,
    ACTIONS(2777), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1400), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2773), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45117] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    ACTIONS(2783), 1,
      anon_sym_POUND,
    ACTIONS(2785), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2781), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45182] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(2791), 1,
      anon_sym_POUND,
    ACTIONS(2793), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2789), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45247] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1253), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2797), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45312] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(2803), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2342), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [45379] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2805), 1,
      anon_sym_RBRACE,
    ACTIONS(2809), 1,
      anon_sym_POUND,
    ACTIONS(2811), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1249), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2807), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45444] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2515), 1,
      anon_sym_POUND,
    ACTIONS(2813), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45509] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2815), 1,
      anon_sym_RBRACE,
    ACTIONS(2819), 1,
      anon_sym_POUND,
    ACTIONS(2821), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1246), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2817), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    ACTIONS(2827), 1,
      anon_sym_POUND,
    ACTIONS(2829), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1547), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45639] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(2835), 1,
      anon_sym_POUND,
    ACTIONS(2837), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45704] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(2843), 1,
      anon_sym_POUND,
    ACTIONS(2845), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1545), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2841), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45769] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2847), 1,
      anon_sym_RBRACE,
    ACTIONS(2851), 1,
      anon_sym_POUND,
    ACTIONS(2853), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1541), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2849), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45834] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(2859), 1,
      anon_sym_POUND,
    ACTIONS(2861), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1527), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2857), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45899] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
    ACTIONS(2867), 1,
      anon_sym_POUND,
    ACTIONS(2869), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1566), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2865), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45964] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
    ACTIONS(2875), 1,
      anon_sym_POUND,
    ACTIONS(2877), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1240), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2873), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46029] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(2883), 1,
      anon_sym_POUND,
    ACTIONS(2885), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1511), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2881), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
    ACTIONS(2891), 1,
      anon_sym_POUND,
    ACTIONS(2893), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1506), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2889), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46159] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2895), 1,
      anon_sym_RBRACE,
    ACTIONS(2899), 1,
      anon_sym_POUND,
    ACTIONS(2901), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1508), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2897), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46224] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
    ACTIONS(2891), 1,
      anon_sym_POUND,
    ACTIONS(2903), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1506), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2889), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46289] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
    ACTIONS(2909), 1,
      anon_sym_POUND,
    ACTIONS(2911), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1505), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2907), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2913), 1,
      anon_sym_RBRACE,
    ACTIONS(2917), 1,
      anon_sym_POUND,
    ACTIONS(2919), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1503), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2915), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46419] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2921), 1,
      anon_sym_RBRACE,
    ACTIONS(2925), 1,
      anon_sym_POUND,
    ACTIONS(2927), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2923), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(2933), 1,
      anon_sym_POUND,
    ACTIONS(2935), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1170), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2931), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46549] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    ACTIONS(2941), 1,
      anon_sym_POUND,
    ACTIONS(2943), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1498), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2939), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46614] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(2945), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2329), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46681] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(2951), 1,
      anon_sym_POUND,
    ACTIONS(2953), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1496), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2949), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46746] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(2959), 1,
      anon_sym_POUND,
    ACTIONS(2961), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1491), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2957), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46811] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2963), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_POUND,
    ACTIONS(2969), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1493), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2965), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46876] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(2959), 1,
      anon_sym_POUND,
    ACTIONS(2971), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1491), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2957), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46941] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(2977), 1,
      anon_sym_POUND,
    ACTIONS(2979), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1489), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_RBRACE,
    ACTIONS(2985), 1,
      anon_sym_POUND,
    ACTIONS(2987), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1488), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2983), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47071] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    ACTIONS(2993), 1,
      anon_sym_POUND,
    ACTIONS(2995), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1487), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2991), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47136] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(3001), 1,
      anon_sym_POUND,
    ACTIONS(3003), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1483), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2999), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3009), 1,
      anon_sym_POUND,
    ACTIONS(3011), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1476), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3007), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    ACTIONS(3017), 1,
      anon_sym_POUND,
    ACTIONS(3019), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1403), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3015), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47331] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    ACTIONS(3025), 1,
      anon_sym_POUND,
    ACTIONS(3027), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3023), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    ACTIONS(3017), 1,
      anon_sym_POUND,
    ACTIONS(3029), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1403), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3015), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    ACTIONS(3035), 1,
      anon_sym_POUND,
    ACTIONS(3037), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1402), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3033), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47526] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3039), 1,
      anon_sym_RBRACE,
    ACTIONS(3043), 1,
      anon_sym_POUND,
    ACTIONS(3045), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1401), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47591] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3047), 1,
      anon_sym_RBRACE,
    ACTIONS(3051), 1,
      anon_sym_POUND,
    ACTIONS(3053), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1239), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3061), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3057), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(3067), 1,
      anon_sym_POUND,
    ACTIONS(3069), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1396), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3065), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47786] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    ACTIONS(3075), 1,
      anon_sym_POUND,
    ACTIONS(3077), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1393), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3073), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47851] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(3083), 1,
      anon_sym_POUND,
    ACTIONS(3085), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1387), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3081), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47916] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3087), 1,
      anon_sym_RBRACE,
    ACTIONS(3091), 1,
      anon_sym_POUND,
    ACTIONS(3093), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1390), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3089), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47981] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(3083), 1,
      anon_sym_POUND,
    ACTIONS(3095), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1387), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3081), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48046] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3097), 1,
      anon_sym_RBRACE,
    ACTIONS(3101), 1,
      anon_sym_POUND,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1528), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3099), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48111] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      anon_sym_RBRACE,
    ACTIONS(3109), 1,
      anon_sym_POUND,
    ACTIONS(3111), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1529), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3107), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48176] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3119), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1386), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48241] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    ACTIONS(3125), 1,
      anon_sym_POUND,
    ACTIONS(3127), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1238), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3123), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48306] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    ACTIONS(3133), 1,
      anon_sym_POUND,
    ACTIONS(3135), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1384), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3131), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48371] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3137), 1,
      anon_sym_RBRACE,
    ACTIONS(3141), 1,
      anon_sym_POUND,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1377), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3139), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48436] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      sym_word,
    ACTIONS(3147), 1,
      anon_sym_LPAREN,
    ACTIONS(3149), 1,
      anon_sym_BANG,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3153), 1,
      sym__special_character,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      sym_test_operator,
    ACTIONS(3167), 1,
      sym_regex,
    STATE(2157), 1,
      aux_sym__literal_repeat1,
    STATE(2360), 1,
      sym__expression,
    ACTIONS(3155), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2383), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48503] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    ACTIONS(3173), 1,
      anon_sym_POUND,
    ACTIONS(3175), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1368), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3171), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48568] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
    ACTIONS(3181), 1,
      anon_sym_POUND,
    ACTIONS(3183), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1366), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3179), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48633] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3189), 1,
      anon_sym_POUND,
    ACTIONS(3191), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1355), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3187), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48698] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    ACTIONS(3197), 1,
      anon_sym_POUND,
    ACTIONS(3199), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1360), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3195), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48763] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(3205), 1,
      anon_sym_POUND,
    ACTIONS(3207), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1534), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3203), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48828] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3189), 1,
      anon_sym_POUND,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1355), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3187), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48893] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    ACTIONS(3215), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1353), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3213), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48958] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    ACTIONS(3223), 1,
      anon_sym_POUND,
    ACTIONS(3225), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1352), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3221), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49023] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    ACTIONS(3231), 1,
      anon_sym_POUND,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3229), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49088] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3235), 1,
      anon_sym_RBRACE,
    ACTIONS(3239), 1,
      anon_sym_POUND,
    ACTIONS(3241), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1351), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3237), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49153] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    ACTIONS(3247), 1,
      anon_sym_POUND,
    ACTIONS(3249), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1317), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3245), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49218] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    ACTIONS(3255), 1,
      anon_sym_POUND,
    ACTIONS(3257), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1536), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3253), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49283] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3259), 1,
      anon_sym_RBRACE,
    ACTIONS(3263), 1,
      anon_sym_POUND,
    ACTIONS(3265), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1314), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3261), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49348] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3267), 1,
      sym_word,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym__special_character,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_test_operator,
    ACTIONS(3289), 1,
      sym_regex,
    STATE(2085), 1,
      aux_sym__literal_repeat1,
    STATE(2323), 1,
      sym__expression,
    ACTIONS(3277), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [49415] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2243), 1,
      anon_sym_RBRACE,
    ACTIONS(2247), 1,
      anon_sym_POUND,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1632), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2245), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49480] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    ACTIONS(3297), 1,
      anon_sym_POUND,
    ACTIONS(3299), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1543), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3295), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49545] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3301), 1,
      anon_sym_RBRACE,
    ACTIONS(3305), 1,
      anon_sym_POUND,
    ACTIONS(3307), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1235), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3303), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49610] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3309), 1,
      anon_sym_RBRACE,
    ACTIONS(3313), 1,
      anon_sym_POUND,
    ACTIONS(3315), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1307), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3311), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49675] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3317), 1,
      anon_sym_RBRACE,
    ACTIONS(3321), 1,
      anon_sym_POUND,
    ACTIONS(3323), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3319), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49740] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    ACTIONS(3329), 1,
      anon_sym_POUND,
    ACTIONS(3331), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1222), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3327), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49805] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3333), 1,
      anon_sym_RBRACE,
    ACTIONS(3337), 1,
      anon_sym_POUND,
    ACTIONS(3339), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1221), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3335), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49870] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    ACTIONS(3231), 1,
      anon_sym_POUND,
    ACTIONS(3341), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3229), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49935] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3343), 1,
      anon_sym_RBRACE,
    ACTIONS(3347), 1,
      anon_sym_POUND,
    ACTIONS(3349), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1220), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3345), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50000] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3351), 1,
      anon_sym_RBRACE,
    ACTIONS(3355), 1,
      anon_sym_POUND,
    ACTIONS(3357), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3353), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50065] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(3363), 1,
      anon_sym_POUND,
    ACTIONS(3365), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1230), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3361), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50130] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    ACTIONS(3371), 1,
      anon_sym_POUND,
    ACTIONS(3373), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3369), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50195] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    ACTIONS(3379), 1,
      anon_sym_POUND,
    ACTIONS(3381), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1208), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3377), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50260] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    ACTIONS(3387), 1,
      anon_sym_POUND,
    ACTIONS(3389), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3385), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50325] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    ACTIONS(3395), 1,
      anon_sym_POUND,
    ACTIONS(3397), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3393), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50390] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    ACTIONS(3387), 1,
      anon_sym_POUND,
    ACTIONS(3399), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3385), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50455] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(3401), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2371), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [50522] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(3403), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2378), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [50589] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    ACTIONS(3409), 1,
      anon_sym_POUND,
    ACTIONS(3411), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3407), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50654] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    ACTIONS(3417), 1,
      anon_sym_POUND,
    ACTIONS(3419), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3415), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50719] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3421), 1,
      anon_sym_RBRACE,
    ACTIONS(3425), 1,
      anon_sym_POUND,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3423), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50784] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    ACTIONS(3433), 1,
      anon_sym_POUND,
    ACTIONS(3435), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1166), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3431), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50849] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(3437), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2379), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [50916] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    ACTIONS(3297), 1,
      anon_sym_POUND,
    ACTIONS(3439), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1543), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3295), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50981] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(3441), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2363), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [51048] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    ACTIONS(3447), 1,
      anon_sym_POUND,
    ACTIONS(3449), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1290), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3445), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51113] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    ACTIONS(3455), 1,
      anon_sym_POUND,
    ACTIONS(3457), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1185), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3453), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51178] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3459), 1,
      anon_sym_RBRACE,
    ACTIONS(3463), 1,
      anon_sym_POUND,
    ACTIONS(3465), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3461), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51243] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3317), 1,
      anon_sym_RBRACE,
    ACTIONS(3321), 1,
      anon_sym_POUND,
    ACTIONS(3467), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3319), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51308] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3469), 1,
      anon_sym_RBRACE,
    ACTIONS(3473), 1,
      anon_sym_POUND,
    ACTIONS(3475), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3471), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51373] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(3477), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2381), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [51440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(2933), 1,
      anon_sym_POUND,
    ACTIONS(3479), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1170), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2931), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51505] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    ACTIONS(3485), 1,
      anon_sym_POUND,
    ACTIONS(3487), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1544), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3483), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51570] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    ACTIONS(3493), 1,
      anon_sym_POUND,
    ACTIONS(3495), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1172), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3491), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51635] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    ACTIONS(3501), 1,
      anon_sym_POUND,
    ACTIONS(3503), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1173), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3499), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51700] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(3505), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2355), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [51767] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    ACTIONS(3511), 1,
      anon_sym_POUND,
    ACTIONS(3513), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3509), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51832] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(3515), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2354), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [51899] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    ACTIONS(3447), 1,
      anon_sym_POUND,
    ACTIONS(3517), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1290), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3445), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51964] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    ACTIONS(3523), 1,
      anon_sym_POUND,
    ACTIONS(3525), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1289), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52029] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    ACTIONS(3531), 1,
      anon_sym_POUND,
    ACTIONS(3533), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1169), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3535), 1,
      anon_sym_RBRACE,
    ACTIONS(3539), 1,
      anon_sym_POUND,
    ACTIONS(3541), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52159] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    ACTIONS(3543), 1,
      sym_regex,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2151), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [52226] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3545), 1,
      anon_sym_RBRACE,
    ACTIONS(3549), 1,
      anon_sym_POUND,
    ACTIONS(3551), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1549), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3547), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52291] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3553), 1,
      anon_sym_RBRACE,
    ACTIONS(3557), 1,
      anon_sym_POUND,
    ACTIONS(3559), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1556), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52356] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3561), 1,
      anon_sym_RBRACE,
    ACTIONS(3565), 1,
      anon_sym_POUND,
    ACTIONS(3567), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1257), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52421] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3569), 1,
      anon_sym_RBRACE,
    ACTIONS(3573), 1,
      anon_sym_POUND,
    ACTIONS(3575), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1558), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52486] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3577), 1,
      anon_sym_RBRACE,
    ACTIONS(3581), 1,
      anon_sym_POUND,
    ACTIONS(3583), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1272), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52551] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3585), 1,
      anon_sym_RBRACE,
    ACTIONS(3589), 1,
      anon_sym_POUND,
    ACTIONS(3591), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1347), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52616] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3593), 1,
      anon_sym_RBRACE,
    ACTIONS(3597), 1,
      anon_sym_POUND,
    ACTIONS(3599), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1343), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52681] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3585), 1,
      anon_sym_RBRACE,
    ACTIONS(3589), 1,
      anon_sym_POUND,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1347), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52746] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3603), 1,
      anon_sym_RBRACE,
    ACTIONS(3607), 1,
      anon_sym_POUND,
    ACTIONS(3609), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3605), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52811] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3611), 1,
      anon_sym_RBRACE,
    ACTIONS(3615), 1,
      anon_sym_POUND,
    ACTIONS(3617), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1194), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52876] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3619), 1,
      anon_sym_RBRACE,
    ACTIONS(3623), 1,
      anon_sym_POUND,
    ACTIONS(3625), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1350), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52941] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    ACTIONS(3631), 1,
      anon_sym_POUND,
    ACTIONS(3633), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53006] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(3543), 1,
      sym_regex,
    ACTIONS(3635), 1,
      anon_sym_BANG,
    ACTIONS(3637), 1,
      sym__special_character,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(2121), 1,
      aux_sym__literal_repeat1,
    STATE(2151), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [53073] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3641), 1,
      anon_sym_RBRACE,
    ACTIONS(3645), 1,
      anon_sym_POUND,
    ACTIONS(3647), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1381), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3643), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53138] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3649), 1,
      anon_sym_RBRACE,
    ACTIONS(3653), 1,
      anon_sym_POUND,
    ACTIONS(3655), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1385), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3651), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53203] = 18,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_word,
    ACTIONS(1703), 1,
      anon_sym_BANG,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3657), 1,
      anon_sym_LPAREN,
    ACTIONS(3659), 1,
      sym__special_character,
    ACTIONS(3661), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(3673), 1,
      sym_test_operator,
    ACTIONS(3675), 1,
      sym_regex,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1916), 1,
      sym__expression,
    ACTIONS(3663), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3671), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [53270] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3677), 1,
      anon_sym_RBRACE,
    ACTIONS(3681), 1,
      anon_sym_POUND,
    ACTIONS(3683), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1561), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3679), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53335] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    ACTIONS(3631), 1,
      anon_sym_POUND,
    ACTIONS(3685), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53400] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3687), 1,
      anon_sym_RBRACE,
    ACTIONS(3691), 1,
      anon_sym_POUND,
    ACTIONS(3693), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1564), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3689), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3695), 1,
      anon_sym_RBRACE,
    ACTIONS(3699), 1,
      anon_sym_POUND,
    ACTIONS(3701), 1,
      anon_sym_SLASH,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1565), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53530] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3703), 1,
      anon_sym_RBRACE,
    ACTIONS(3707), 1,
      anon_sym_POUND,
    ACTIONS(3709), 1,
      sym_regex,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1570), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3705), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3711), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53719] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2318), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [53783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3469), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53907] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3717), 1,
      anon_sym_RBRACE,
    ACTIONS(3721), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1186), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3719), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3459), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54031] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54093] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_BANG,
    ACTIONS(3637), 1,
      sym__special_character,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(2121), 1,
      aux_sym__literal_repeat1,
    STATE(2344), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54157] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      sym_word,
    ACTIONS(3147), 1,
      anon_sym_LPAREN,
    ACTIONS(3149), 1,
      anon_sym_BANG,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3153), 1,
      sym__special_character,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      sym_test_operator,
    STATE(2157), 1,
      aux_sym__literal_repeat1,
    STATE(2330), 1,
      sym__expression,
    ACTIONS(3155), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2383), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54221] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2357), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54285] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_BANG,
    ACTIONS(3637), 1,
      sym__special_character,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(2121), 1,
      aux_sym__literal_repeat1,
    STATE(2341), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54349] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3717), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54411] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3267), 1,
      sym_word,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym__special_character,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_test_operator,
    STATE(2085), 1,
      aux_sym__literal_repeat1,
    STATE(2367), 1,
      sym__expression,
    ACTIONS(3277), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54475] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2245), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    ACTIONS(3455), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1185), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3453), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3723), 1,
      anon_sym_RBRACE,
    ACTIONS(3727), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1187), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3725), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3723), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3729), 1,
      anon_sym_RBRACE,
    ACTIONS(3733), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3731), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3729), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3735), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3737), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3739), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55035] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_word,
    ACTIONS(1703), 1,
      anon_sym_BANG,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3657), 1,
      anon_sym_LPAREN,
    ACTIONS(3659), 1,
      sym__special_character,
    ACTIONS(3661), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(3673), 1,
      sym_test_operator,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1927), 1,
      sym__expression,
    ACTIONS(3663), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3671), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55161] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2151), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55225] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2325), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55289] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3267), 1,
      sym_word,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym__special_character,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_test_operator,
    STATE(2085), 1,
      aux_sym__literal_repeat1,
    STATE(2339), 1,
      sym__expression,
    ACTIONS(3277), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55539] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2368), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55603] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3267), 1,
      sym_word,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym__special_character,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_test_operator,
    STATE(2085), 1,
      aux_sym__literal_repeat1,
    STATE(2373), 1,
      sym__expression,
    ACTIONS(3277), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55791] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_BANG,
    ACTIONS(3637), 1,
      sym__special_character,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(2121), 1,
      aux_sym__literal_repeat1,
    STATE(2333), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55855] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      sym_word,
    ACTIONS(3147), 1,
      anon_sym_LPAREN,
    ACTIONS(3149), 1,
      anon_sym_BANG,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3153), 1,
      sym__special_character,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      sym_test_operator,
    STATE(2157), 1,
      aux_sym__literal_repeat1,
    STATE(2328), 1,
      sym__expression,
    ACTIONS(3155), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2383), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3741), 1,
      anon_sym_RBRACE,
    ACTIONS(3745), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3743), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3741), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    ACTIONS(3371), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3369), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3747), 1,
      anon_sym_RBRACE,
    ACTIONS(3751), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3749), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56167] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2359), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56231] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3747), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3753), 1,
      anon_sym_RBRACE,
    ACTIONS(3757), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1215), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3755), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3753), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56479] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3761), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3763), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3765), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3767), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56727] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2352), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56791] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3267), 1,
      sym_word,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym__special_character,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_test_operator,
    STATE(2085), 1,
      aux_sym__literal_repeat1,
    STATE(2350), 1,
      sym__expression,
    ACTIONS(3277), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56855] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2348), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56919] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3267), 1,
      sym_word,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym__special_character,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_test_operator,
    STATE(2085), 1,
      aux_sym__literal_repeat1,
    STATE(2353), 1,
      sym__expression,
    ACTIONS(3277), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3309), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3317), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57107] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3259), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57169] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_BANG,
    ACTIONS(3637), 1,
      sym__special_character,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(2121), 1,
      aux_sym__literal_repeat1,
    STATE(2334), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [57233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57295] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      sym_word,
    ACTIONS(3147), 1,
      anon_sym_LPAREN,
    ACTIONS(3149), 1,
      anon_sym_BANG,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3153), 1,
      sym__special_character,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      sym_test_operator,
    STATE(2157), 1,
      aux_sym__literal_repeat1,
    STATE(2335), 1,
      sym__expression,
    ACTIONS(3155), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2383), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [57359] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [57423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3771), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3773), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(3785), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3783), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(3363), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1230), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3361), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3787), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3787), 1,
      anon_sym_RBRACE,
    ACTIONS(3791), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1229), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3789), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3351), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3301), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3793), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3795), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3797), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(3803), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3801), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3805), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      anon_sym_RBRACE,
    ACTIONS(3809), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3807), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(2835), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    ACTIONS(3815), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1243), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3813), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3817), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2815), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59159] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2805), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3821), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59345] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3823), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59407] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3825), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3827), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3827), 1,
      anon_sym_RBRACE,
    ACTIONS(3831), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1256), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3829), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3833), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59655] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3833), 1,
      anon_sym_RBRACE,
    ACTIONS(3837), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3057), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3839), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3839), 1,
      anon_sym_RBRACE,
    ACTIONS(3843), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1259), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3841), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59903] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59965] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3535), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60027] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1929), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60089] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3821), 1,
      anon_sym_RBRACE,
    ACTIONS(3847), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1213), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3845), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3849), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3849), 1,
      anon_sym_RBRACE,
    ACTIONS(3853), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3851), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3855), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3857), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3859), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60523] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    ACTIONS(3865), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1274), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3863), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3867), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60709] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3869), 1,
      anon_sym_RBRACE,
    ACTIONS(3873), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1323), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3867), 1,
      anon_sym_RBRACE,
    ACTIONS(3877), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1275), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3875), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60833] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    ACTIONS(2721), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1277), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2719), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60895] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3879), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3879), 1,
      anon_sym_RBRACE,
    ACTIONS(3883), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1276), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3881), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61081] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61143] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61391] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3885), 1,
      anon_sym_RBRACE,
    ACTIONS(3889), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1439), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61453] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3891), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3893), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3895), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3897), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3897), 1,
      anon_sym_RBRACE,
    ACTIONS(3901), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3899), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61763] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3903), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3903), 1,
      anon_sym_RBRACE,
    ACTIONS(3907), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1293), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3905), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2623), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1295), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(3913), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1294), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3911), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62135] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3885), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym_word,
    ACTIONS(3918), 1,
      anon_sym_RBRACE,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3926), 1,
      sym__special_character,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3935), 1,
      anon_sym_POUND,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3941), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3944), 1,
      anon_sym_BQUOTE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3932), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3947), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3920), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62383] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3869), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62445] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    ACTIONS(2639), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1437), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2637), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62507] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    ACTIONS(3247), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1317), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3245), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62569] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3950), 1,
      anon_sym_RBRACE,
    ACTIONS(3954), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1324), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3952), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62631] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3956), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3958), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3950), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3960), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3962), 1,
      anon_sym_RBRACE,
    ACTIONS(3966), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3964), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3962), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3968), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63127] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3968), 1,
      anon_sym_RBRACE,
    ACTIONS(3972), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1312), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3970), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3974), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      anon_sym_RBRACE,
    ACTIONS(3978), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1313), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3976), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63313] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_BANG,
    ACTIONS(3637), 1,
      sym__special_character,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(2121), 1,
      aux_sym__literal_repeat1,
    STATE(2179), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63377] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3980), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3982), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63501] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(2549), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1318), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2547), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3984), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63625] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3984), 1,
      anon_sym_RBRACE,
    ACTIONS(3988), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1315), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3986), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63687] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2537), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63935] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3992), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3994), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3996), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3996), 1,
      anon_sym_RBRACE,
    ACTIONS(4000), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1332), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3998), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64245] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4006), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1333), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4004), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    ACTIONS(2479), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1335), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2477), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4008), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64493] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4010), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64555] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3561), 1,
      anon_sym_RBRACE,
    ACTIONS(3565), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1257), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64679] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    ACTIONS(4016), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1252), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4014), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64741] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4010), 1,
      anon_sym_RBRACE,
    ACTIONS(4020), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1334), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4018), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3561), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64989] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      sym_word,
    ACTIONS(3147), 1,
      anon_sym_LPAREN,
    ACTIONS(3149), 1,
      anon_sym_BANG,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3153), 1,
      sym__special_character,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      sym_test_operator,
    STATE(2157), 1,
      aux_sym__literal_repeat1,
    STATE(2351), 1,
      sym__expression,
    ACTIONS(3155), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2383), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3577), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65301] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      sym__special_character,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      sym_test_operator,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2179), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4022), 1,
      anon_sym_RBRACE,
    ACTIONS(4026), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4024), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65551] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4028), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4022), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4030), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65799] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4032), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    ACTIONS(3173), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1368), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3171), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65923] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4034), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4036), 1,
      anon_sym_RBRACE,
    ACTIONS(4040), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1371), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4038), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4036), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66109] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4042), 1,
      anon_sym_RBRACE,
    ACTIONS(4046), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1372), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4044), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66171] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4042), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4048), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4034), 1,
      anon_sym_RBRACE,
    ACTIONS(4052), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1359), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4050), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4054), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4056), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66481] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4058), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66543] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      sym_word,
    ACTIONS(3147), 1,
      anon_sym_LPAREN,
    ACTIONS(3149), 1,
      anon_sym_BANG,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3153), 1,
      sym__special_character,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      sym_test_operator,
    STATE(2157), 1,
      aux_sym__literal_repeat1,
    STATE(2360), 1,
      sym__expression,
    ACTIONS(3155), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2383), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [66607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      anon_sym_RBRACE,
    ACTIONS(4062), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1361), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4060), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(2413), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1364), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2411), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66731] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3087), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66793] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4064), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4064), 1,
      anon_sym_RBRACE,
    ACTIONS(4068), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1362), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4066), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66979] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3585), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67041] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67103] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3593), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2391), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4070), 1,
      anon_sym_RBRACE,
    ACTIONS(4074), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1397), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4072), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4070), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(3067), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1396), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3065), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67661] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4076), 1,
      anon_sym_RBRACE,
    ACTIONS(4080), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1398), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4078), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67723] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4076), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67785] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4082), 1,
      anon_sym_RBRACE,
    ACTIONS(4086), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1399), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4084), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67847] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      sym_word,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_BANG,
    ACTIONS(3637), 1,
      sym__special_character,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(2121), 1,
      aux_sym__literal_repeat1,
    STATE(2151), 1,
      sym__expression,
    ACTIONS(1959), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1880), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2106), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [67911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4082), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4088), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4090), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4092), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68159] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68345] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68407] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4094), 1,
      anon_sym_RBRACE,
    ACTIONS(4098), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1484), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4096), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4100), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4102), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4104), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68655] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4094), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4106), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4106), 1,
      anon_sym_RBRACE,
    ACTIONS(4110), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1405), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4108), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(3001), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1483), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2999), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68903] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4112), 1,
      anon_sym_RBRACE,
    ACTIONS(4116), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1485), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4114), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68965] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4118), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69027] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4118), 1,
      anon_sym_RBRACE,
    ACTIONS(4122), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1406), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4120), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69089] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2341), 1,
      anon_sym_RBRACE,
    ACTIONS(2345), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1409), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2343), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4124), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4124), 1,
      anon_sym_RBRACE,
    ACTIONS(4128), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1407), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4126), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2341), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2333), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69523] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4130), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4132), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69709] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4136), 1,
      anon_sym_RBRACE,
    ACTIONS(4140), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1422), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4138), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69833] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4142), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69895] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4142), 1,
      anon_sym_RBRACE,
    ACTIONS(4146), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1423), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4144), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    ACTIONS(2133), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1425), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2131), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4148), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70081] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4148), 1,
      anon_sym_RBRACE,
    ACTIONS(4152), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1424), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4150), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70143] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4154), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4156), 1,
      anon_sym_RBRACE,
    ACTIONS(4160), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1514), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4158), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70391] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70453] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4156), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2103), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4162), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4164), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4166), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70763] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4168), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4170), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4170), 1,
      anon_sym_RBRACE,
    ACTIONS(4174), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1440), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4172), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4176), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4176), 1,
      anon_sym_RBRACE,
    ACTIONS(4180), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1441), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4178), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    ACTIONS(2033), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1443), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2031), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71135] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4182), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4182), 1,
      anon_sym_RBRACE,
    ACTIONS(4186), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1442), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4184), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2021), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71383] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71445] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71507] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4188), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71569] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4190), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71631] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4192), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4194), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4194), 1,
      anon_sym_RBRACE,
    ACTIONS(4198), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1454), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4196), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4200), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4200), 1,
      anon_sym_RBRACE,
    ACTIONS(4204), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1455), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4202), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(1975), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1457), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1973), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4206), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4206), 1,
      anon_sym_RBRACE,
    ACTIONS(4210), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1456), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4208), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72127] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72313] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72375] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4154), 1,
      anon_sym_RBRACE,
    ACTIONS(4214), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1513), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4212), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72437] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4216), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72499] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4218), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72561] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4220), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72623] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4222), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72685] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4222), 1,
      anon_sym_RBRACE,
    ACTIONS(4226), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1469), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4224), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4228), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4228), 1,
      anon_sym_RBRACE,
    ACTIONS(4232), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1470), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4230), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72871] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4112), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72933] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1472), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1891), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72995] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4234), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73057] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4234), 1,
      anon_sym_RBRACE,
    ACTIONS(4238), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1471), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4236), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73119] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1881), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4240), 1,
      anon_sym_RBRACE,
    ACTIONS(4244), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1486), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4242), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73305] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4240), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4246), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4248), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73491] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4250), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2963), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73615] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73677] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73739] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      sym_word,
    ACTIONS(3147), 1,
      anon_sym_LPAREN,
    ACTIONS(3149), 1,
      anon_sym_BANG,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3153), 1,
      sym__special_character,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      sym_test_operator,
    STATE(2157), 1,
      aux_sym__literal_repeat1,
    STATE(2347), 1,
      sym__expression,
    ACTIONS(3155), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2383), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [73803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4252), 1,
      anon_sym_RBRACE,
    ACTIONS(4256), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1499), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4254), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4252), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73989] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    ACTIONS(2941), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1498), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2939), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74051] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4258), 1,
      anon_sym_RBRACE,
    ACTIONS(4262), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1500), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4260), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4258), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74175] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
    ACTIONS(4268), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1501), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4266), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4270), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74361] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4272), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4274), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2895), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4276), 1,
      anon_sym_RBRACE,
    ACTIONS(4280), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1532), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4278), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4276), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(2859), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1527), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2857), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4282), 1,
      anon_sym_RBRACE,
    ACTIONS(4286), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1538), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4284), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4282), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1871), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4288), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4290), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4292), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4294), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4296), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4298), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4300), 1,
      anon_sym_RBRACE,
    ACTIONS(4304), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1540), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4302), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4298), 1,
      anon_sym_RBRACE,
    ACTIONS(4308), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1515), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4306), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4310), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4310), 1,
      anon_sym_RBRACE,
    ACTIONS(4314), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1516), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4312), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(1835), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1518), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4316), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4316), 1,
      anon_sym_RBRACE,
    ACTIONS(4320), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1517), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4318), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4300), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76159] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1807), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4322), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4324), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76345] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4326), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76407] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4328), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4330), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4330), 1,
      anon_sym_RBRACE,
    ACTIONS(4334), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1530), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4332), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4336), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76655] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4336), 1,
      anon_sym_RBRACE,
    ACTIONS(4340), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1531), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4338), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4342), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(3205), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1534), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3203), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4344), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76903] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76965] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3711), 1,
      anon_sym_RBRACE,
    ACTIONS(4348), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1533), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4346), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77027] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77089] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4350), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77523] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4352), 1,
      anon_sym_RBRACE,
    ACTIONS(4356), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1602), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4354), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4358), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4352), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77709] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4360), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2597), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1600), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77833] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4362), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77895] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4362), 1,
      anon_sym_RBRACE,
    ACTIONS(4366), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1550), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4364), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4368), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4368), 1,
      anon_sym_RBRACE,
    ACTIONS(4372), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1552), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4370), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78081] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3553), 1,
      anon_sym_RBRACE,
    ACTIONS(3557), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1556), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78143] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    ACTIONS(4378), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1554), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4376), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3553), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3569), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78391] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78453] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3677), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4380), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4384), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4386), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78763] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4386), 1,
      anon_sym_RBRACE,
    ACTIONS(4390), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1567), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4388), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4392), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78887] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3267), 1,
      sym_word,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym__special_character,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_test_operator,
    STATE(2085), 1,
      aux_sym__literal_repeat1,
    STATE(2327), 1,
      sym__expression,
    ACTIONS(3277), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4392), 1,
      anon_sym_RBRACE,
    ACTIONS(4396), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1568), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4394), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79013] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3703), 1,
      anon_sym_RBRACE,
    ACTIONS(3707), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1570), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3705), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4398), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79137] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4398), 1,
      anon_sym_RBRACE,
    ACTIONS(4402), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1569), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4400), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79199] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3703), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79261] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79323] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79385] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79447] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4404), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4406), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79571] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4408), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1603), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4410), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79633] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4414), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79695] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4416), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79757] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4416), 1,
      anon_sym_RBRACE,
    ACTIONS(4420), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1582), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4418), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4422), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79881] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4422), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1583), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4424), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79943] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(2149), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1586), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2147), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4428), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4428), 1,
      anon_sym_RBRACE,
    ACTIONS(4432), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1585), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4430), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80253] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80315] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3267), 1,
      sym_word,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym__special_character,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      sym_test_operator,
    STATE(2085), 1,
      aux_sym__literal_repeat1,
    STATE(2323), 1,
      sym__expression,
    ACTIONS(3277), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [80379] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80441] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4408), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80503] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4434), 1,
      anon_sym_RBRACE,
    ACTIONS(4438), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1605), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4436), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80565] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4434), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4440), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80689] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4442), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80751] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4444), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80813] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4446), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80875] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4448), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80937] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_word,
    ACTIONS(1703), 1,
      anon_sym_BANG,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3657), 1,
      anon_sym_LPAREN,
    ACTIONS(3659), 1,
      sym__special_character,
    ACTIONS(3661), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(3673), 1,
      sym_test_operator,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1916), 1,
      sym__expression,
    ACTIONS(3663), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3671), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [81001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4450), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4452), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4452), 1,
      anon_sym_RBRACE,
    ACTIONS(4456), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1601), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4454), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4458), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4458), 1,
      anon_sym_RBRACE,
    ACTIONS(4462), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1604), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4460), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81559] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4464), 1,
      anon_sym_RBRACE,
    ACTIONS(4468), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1625), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4466), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4464), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    ACTIONS(2295), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1624), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2293), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    ACTIONS(2223), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1611), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2221), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4470), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4472), 1,
      anon_sym_RBRACE,
    ACTIONS(4476), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4474), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4472), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
    ACTIONS(4482), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1628), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4480), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82179] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_word,
    ACTIONS(1703), 1,
      anon_sym_BANG,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3657), 1,
      anon_sym_LPAREN,
    ACTIONS(3659), 1,
      sym__special_character,
    ACTIONS(3661), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(3673), 1,
      sym_test_operator,
    STATE(1734), 1,
      aux_sym__literal_repeat1,
    STATE(1910), 1,
      sym__expression,
    ACTIONS(3663), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3671), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1721), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1934), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [82243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4486), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82305] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(4488), 1,
      anon_sym_RBRACE,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2251), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2243), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82491] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2235), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82615] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_word,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym__special_character,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(4470), 1,
      anon_sym_RBRACE,
    ACTIONS(4492), 1,
      anon_sym_POUND,
    STATE(2247), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1785), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1607), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4490), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2160), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82677] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4494), 1,
      anon_sym_LF,
    ACTIONS(4500), 1,
      sym_file_descriptor,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1637), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4498), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4496), 10,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [82722] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LF,
    ACTIONS(1215), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4500), 1,
      sym_file_descriptor,
    ACTIONS(1207), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1211), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(519), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1634), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4498), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82773] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(4504), 1,
      sym_raw_string,
    ACTIONS(4506), 1,
      anon_sym_POUND,
    ACTIONS(4508), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2308), 1,
      sym_string,
    ACTIONS(533), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(535), 7,
      anon_sym_RBRACE,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4502), 8,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [82820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_LF,
    ACTIONS(4520), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4523), 1,
      sym_file_descriptor,
    ACTIONS(4517), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1637), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4514), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4512), 10,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [82865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1634), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1193), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82902] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1221), 1,
      anon_sym_LF,
    ACTIONS(4500), 1,
      sym_file_descriptor,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1211), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1223), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1225), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1634), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4498), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1634), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1193), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1250), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 18,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83066] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      anon_sym_LF,
    ACTIONS(1254), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4528), 1,
      sym_file_descriptor,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1248), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1250), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1252), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1225), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4526), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83116] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1271), 1,
      anon_sym_LF,
    ACTIONS(4528), 1,
      sym_file_descriptor,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1250), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1252), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1273), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(519), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4526), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_LF,
    ACTIONS(4533), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4536), 1,
      sym_file_descriptor,
    ACTIONS(4517), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4530), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4512), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [83210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1193), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4494), 1,
      anon_sym_LF,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4496), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4494), 1,
      anon_sym_LF,
    ACTIONS(4528), 1,
      sym_file_descriptor,
    ACTIONS(1213), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4526), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4496), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [83334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [83372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_LF,
    ACTIONS(4551), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4554), 1,
      sym_file_descriptor,
    ACTIONS(4548), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4545), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4512), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83416] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 1,
      ts_builtin_sym_end,
    ACTIONS(1401), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1449), 1,
      anon_sym_LF,
    ACTIONS(4559), 1,
      sym_file_descriptor,
    ACTIONS(1353), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1397), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1399), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1451), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1653), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4557), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1653), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1193), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4559), 1,
      sym_file_descriptor,
    ACTIONS(1399), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4494), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1673), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4496), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(4557), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4565), 1,
      sym__special_character,
    STATE(1663), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4561), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4563), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83580] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR,
    ACTIONS(4577), 1,
      sym_file_descriptor,
    ACTIONS(4580), 1,
      sym_variable_name,
    STATE(3224), 1,
      sym_subscript,
    ACTIONS(4569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    STATE(1655), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(4572), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4567), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4583), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4585), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4587), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4589), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83699] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_RPAREN,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1407), 1,
      anon_sym_LF,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1248), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1692), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83785] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_BQUOTE,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1583), 1,
      anon_sym_LF,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1483), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1517), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1585), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83834] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      ts_builtin_sym_end,
    ACTIONS(1393), 1,
      anon_sym_LF,
    ACTIONS(1401), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4559), 1,
      sym_file_descriptor,
    ACTIONS(1353), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1397), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1399), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1395), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1653), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4557), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_RPAREN,
    ACTIONS(1359), 1,
      anon_sym_LF,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1273), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4593), 1,
      sym__special_character,
    STATE(1663), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1330), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83969] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BQUOTE,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1513), 1,
      anon_sym_LF,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1483), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1517), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1515), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym__concat,
    STATE(1686), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [84053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4565), 1,
      sym__special_character,
    STATE(1663), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4598), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4600), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1694), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [84127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1483), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 17,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4602), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4604), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1653), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84238] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_LF,
    ACTIONS(4608), 1,
      anon_sym_DQUOTE,
    ACTIONS(4610), 1,
      sym_raw_string,
    ACTIONS(4612), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2453), 1,
      sym_string,
    ACTIONS(4606), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 11,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [84281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1219), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4623), 1,
      sym_file_descriptor,
    ACTIONS(4510), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4617), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1673), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4512), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(4614), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4565), 1,
      sym__special_character,
    STATE(1663), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4626), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4628), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 1,
      sym__concat,
    STATE(1675), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1227), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4633), 1,
      sym__concat,
    STATE(1675), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4635), 1,
      sym__special_character,
    STATE(1704), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4626), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4628), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84636] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_DQUOTE,
    ACTIONS(4639), 1,
      anon_sym_LF,
    ACTIONS(4643), 1,
      anon_sym_DOLLAR,
    ACTIONS(4645), 1,
      sym__special_character,
    ACTIONS(4647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4651), 1,
      anon_sym_BQUOTE,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1708), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4637), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4641), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      sym__concat,
    STATE(1854), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [84726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      sym__concat,
    STATE(1699), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1236), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [84824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1694), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4583), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4585), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84924] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1525), 1,
      anon_sym_LF,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1527), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84970] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_DQUOTE,
    ACTIONS(4643), 1,
      anon_sym_DOLLAR,
    ACTIONS(4645), 1,
      sym__special_character,
    ACTIONS(4647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4651), 1,
      anon_sym_BQUOTE,
    ACTIONS(4659), 1,
      anon_sym_LF,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1708), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4637), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4661), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4663), 1,
      sym__concat,
    STATE(1698), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4665), 1,
      sym__concat,
    STATE(1675), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [85224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      sym__concat,
    STATE(1698), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1227), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      sym__concat,
    STATE(1699), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1227), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      sym__special_character,
    STATE(1700), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1692), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4602), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4604), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85396] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_DQUOTE,
    ACTIONS(4643), 1,
      anon_sym_DOLLAR,
    ACTIONS(4645), 1,
      sym__special_character,
    ACTIONS(4647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4651), 1,
      anon_sym_BQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LF,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1708), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4637), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4678), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym__special_character,
    STATE(1704), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1330), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85550] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4683), 1,
      sym__concat,
    STATE(1710), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1258), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85586] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_LF,
    ACTIONS(4692), 1,
      anon_sym_DOLLAR,
    ACTIONS(4695), 1,
      sym__special_character,
    ACTIONS(4698), 1,
      anon_sym_DQUOTE,
    ACTIONS(4701), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4704), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_BQUOTE,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1708), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4685), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4690), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4635), 1,
      sym__special_character,
    STATE(1704), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4598), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4600), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85676] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4713), 1,
      sym__concat,
    STATE(1735), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1236), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1238), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1692), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4583), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4585), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85748] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4683), 1,
      sym__concat,
    STATE(1710), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4585), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4583), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85784] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4683), 1,
      sym__concat,
    STATE(1710), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4589), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4587), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4635), 1,
      sym__special_character,
    STATE(1704), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4561), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4563), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85856] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1575), 1,
      anon_sym_LF,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1577), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [85902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1692), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4587), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4589), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85970] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1529), 1,
      anon_sym_LF,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1531), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [86016] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      anon_sym_LF,
    ACTIONS(4541), 1,
      sym_file_descriptor,
    ACTIONS(1328), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1361), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1521), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4539), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [86062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym__concat,
    STATE(1686), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4715), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1694), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4602), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4604), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1694), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4587), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4589), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 1,
      sym__special_character,
    STATE(1700), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4717), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86554] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4721), 1,
      sym__concat,
    STATE(1735), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1227), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1229), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      sym__concat,
    STATE(1854), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4587), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4589), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      sym__concat,
    ACTIONS(1377), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86687] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1305), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86718] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1389), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86749] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1307), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1309), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86780] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1413), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1415), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86811] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1316), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1318), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86842] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1229), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86873] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1285), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86904] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym__concat,
    STATE(1777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1258), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [86939] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1474), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1476), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86970] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1470), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1472), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87001] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1462), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87032] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1462), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87063] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1425), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1427), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87094] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1429), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1431), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87125] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1445), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1447), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87156] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1441), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1443), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87187] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1437), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1439), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87218] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1433), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1435), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87249] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1421), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1423), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87280] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1411), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87311] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1405), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87342] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1377), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1379), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87373] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1355), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1357), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4587), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4589), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym__special_character,
    STATE(1837), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4561), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4563), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4730), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87501] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1289), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87532] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1293), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87563] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1297), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87594] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1301), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4583), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4585), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87656] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4732), 1,
      sym__special_character,
    STATE(1770), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1332), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87691] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4683), 1,
      sym__concat,
    STATE(1710), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1279), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1281), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      sym__concat,
    ACTIONS(1387), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4735), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4737), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87881] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4739), 1,
      sym__concat,
    STATE(1818), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [87916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4743), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4747), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88319] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4751), 1,
      anon_sym_esac,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3435), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1968), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      sym__concat,
    ACTIONS(1413), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      sym__concat,
    STATE(1854), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4583), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4585), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88566] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4757), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3378), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1997), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym__special_character,
    STATE(1837), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4598), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4600), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      sym__concat,
    ACTIONS(1227), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4759), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4761), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      sym__concat,
    ACTIONS(1283), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 1,
      sym__concat,
    ACTIONS(1425), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      sym__concat,
    ACTIONS(1429), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      sym__concat,
    ACTIONS(1303), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    ACTIONS(1307), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88968] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4763), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3352), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1909), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89025] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4765), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3355), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1912), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      sym__concat,
    ACTIONS(1316), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4767), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4769), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      sym__concat,
    ACTIONS(1474), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 1,
      sym__concat,
    ACTIONS(1470), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      sym__concat,
    ACTIONS(1460), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89268] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4771), 1,
      sym__concat,
    STATE(1818), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1227), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [89303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4776), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      sym__concat,
    ACTIONS(1460), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4780), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      sym__concat,
    ACTIONS(1445), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4784), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym__concat,
    ACTIONS(1441), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      sym__concat,
    ACTIONS(1437), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      sym__concat,
    ACTIONS(1433), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89675] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4786), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3382), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1917), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      sym__concat,
    ACTIONS(1421), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89763] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4788), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3385), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1922), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      sym__concat,
    ACTIONS(1409), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      sym__concat,
    ACTIONS(1403), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4604), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 1,
      sym__special_character,
    STATE(1837), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1330), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89948] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4793), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3234), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2048), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4795), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4797), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90036] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4799), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3281), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2023), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4801), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4803), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4805), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4807), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4809), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4811), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4813), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4815), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym__special_character,
    STATE(1837), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4626), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4628), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4817), 1,
      sym__concat,
    STATE(1847), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4822), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4826), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      sym__concat,
    ACTIONS(1287), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      sym__concat,
    ACTIONS(1291), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      sym__concat,
    STATE(1854), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4602), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4604), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4830), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4832), 1,
      sym__concat,
    STATE(1847), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4836), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4840), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      sym__concat,
    ACTIONS(1295), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym__concat,
    ACTIONS(1299), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4842), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4844), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4848), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [90758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4852), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4856), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4860), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4864), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4868), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90913] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4870), 1,
      sym__special_character,
    STATE(1770), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4600), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4598), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4874), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4878), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4882), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4886), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4890), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4894), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91134] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4870), 1,
      sym__special_character,
    STATE(1770), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4563), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4561), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4898), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4902), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4906), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91262] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4908), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3414), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1990), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91319] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4910), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3415), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1987), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91376] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym__concat,
    STATE(1777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4715), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4912), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4916), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4920), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4924), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4928), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4932), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91566] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4934), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3421), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1981), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91623] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4749), 1,
      sym_word,
    ACTIONS(4753), 1,
      sym__special_character,
    ACTIONS(4936), 1,
      anon_sym_esac,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3420), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4755), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1983), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4940), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4944), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4890), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91772] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4948), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [91840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1429), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1425), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91900] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91932] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91964] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4962), 1,
      sym__concat,
    STATE(2087), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1258), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92028] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4964), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1303), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92090] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92122] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4972), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92226] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4976), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92324] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4978), 1,
      sym__special_character,
    STATE(1908), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1332), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92358] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3382), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4983), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92474] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3385), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92526] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4985), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92558] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1437), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1439), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92588] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1441), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1443), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92646] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3387), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92698] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1445), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1447), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92728] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1429), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1431), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4805), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4807), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4801), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4803), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92818] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3400), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1307), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92928] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4995), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [93024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1413), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93054] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1316), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93116] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4870), 1,
      sym__special_character,
    STATE(1770), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1339), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4583), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4585), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4587), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4589), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [93238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4795), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4797), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4944), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93298] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_DQUOTE,
    ACTIONS(5001), 1,
      anon_sym_LPAREN,
    ACTIONS(5003), 1,
      anon_sym_DOLLAR,
    ACTIONS(5005), 1,
      sym__special_character,
    ACTIONS(5007), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5011), 1,
      anon_sym_BQUOTE,
    ACTIONS(5015), 1,
      sym__empty_value,
    STATE(1931), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5013), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2120), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4999), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1771), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4940), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93380] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5017), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4932), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4928), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4743), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93532] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym__concat,
    STATE(2171), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1258), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [93566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4924), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4920), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4916), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93656] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93688] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym__concat,
    STATE(1777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1258), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93722] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5023), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4906), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4902), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4898), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4894), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93874] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1301), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93904] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1297), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4886), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1474), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5025), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [94030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4882), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5027), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [94096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4878), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4874), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4868), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1470), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [94244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4860), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94274] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3310), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94326] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1293), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94386] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1289), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94416] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5029), 1,
      sym__concat,
    STATE(1972), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1227), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94450] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94480] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94512] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1460), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94574] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4856), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4852), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4848), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94694] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3415), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94746] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5040), 1,
      anon_sym_DOLLAR,
    ACTIONS(5042), 1,
      sym__special_character,
    ACTIONS(5044), 1,
      anon_sym_DQUOTE,
    ACTIONS(5046), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5048), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5050), 1,
      anon_sym_BQUOTE,
    ACTIONS(5054), 1,
      sym__empty_value,
    STATE(798), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5052), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(881), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5036), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(614), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94798] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3414), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94850] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(5058), 1,
      anon_sym_LPAREN,
    ACTIONS(5060), 1,
      sym__special_character,
    ACTIONS(5062), 1,
      anon_sym_DQUOTE,
    ACTIONS(5064), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5066), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5068), 1,
      anon_sym_BQUOTE,
    ACTIONS(5072), 1,
      sym__empty_value,
    STATE(600), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5070), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(778), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5056), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(488), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4767), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4769), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4730), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94962] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3413), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95014] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4842), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4844), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95076] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3410), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95128] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95160] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1305), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95190] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95222] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95252] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1258), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95282] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DOLLAR,
    ACTIONS(5082), 1,
      anon_sym_LPAREN,
    ACTIONS(5084), 1,
      sym__special_character,
    ACTIONS(5086), 1,
      anon_sym_DQUOTE,
    ACTIONS(5088), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5090), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5092), 1,
      anon_sym_BQUOTE,
    ACTIONS(5096), 1,
      sym__empty_value,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(691), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5080), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(321), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95334] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3374), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95386] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95418] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4840), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95480] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95512] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1307), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1309), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1445), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4604), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1441), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1437), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95662] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1413), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1415), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95692] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1316), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1318), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95722] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1433), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1421), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1409), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95844] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5108), 1,
      anon_sym_LPAREN,
    ACTIONS(5110), 1,
      anon_sym_DOLLAR,
    ACTIONS(5112), 1,
      sym__special_character,
    ACTIONS(5114), 1,
      anon_sym_DQUOTE,
    ACTIONS(5116), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5118), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5120), 1,
      anon_sym_BQUOTE,
    ACTIONS(5124), 1,
      sym__empty_value,
    STATE(736), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5122), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(846), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5106), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(517), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4784), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4809), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4811), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95986] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1405), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96016] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1411), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [96076] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5126), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4864), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96138] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1433), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1435), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96168] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3378), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96220] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5128), 1,
      sym__special_character,
    STATE(2024), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1332), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96254] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_DOLLAR,
    ACTIONS(5137), 1,
      sym__special_character,
    ACTIONS(5139), 1,
      anon_sym_DQUOTE,
    ACTIONS(5141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5143), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5145), 1,
      anon_sym_BQUOTE,
    ACTIONS(5149), 1,
      sym__empty_value,
    STATE(754), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5147), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(877), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5131), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(583), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96306] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4836), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4830), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96398] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5153), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [96434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1377), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96464] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5155), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1355), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96526] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_DOLLAR,
    ACTIONS(5159), 1,
      anon_sym_LPAREN,
    ACTIONS(5161), 1,
      sym__special_character,
    ACTIONS(5163), 1,
      anon_sym_DQUOTE,
    ACTIONS(5165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_BQUOTE,
    ACTIONS(5173), 1,
      sym__empty_value,
    STATE(654), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(855), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5157), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(383), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4735), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4737), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96608] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96640] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4585), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4583), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_word,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5181), 1,
      sym_raw_string,
    ACTIONS(5183), 1,
      anon_sym_POUND,
    ACTIONS(5185), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2559), 1,
      sym_string,
    ACTIONS(535), 8,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5177), 8,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [96712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96772] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(471), 1,
      anon_sym_DOLLAR,
    ACTIONS(5189), 1,
      anon_sym_LPAREN,
    ACTIONS(5191), 1,
      sym__special_character,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5199), 1,
      anon_sym_BQUOTE,
    ACTIONS(5203), 1,
      sym__empty_value,
    STATE(302), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5201), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(487), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5187), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(280), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96854] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4826), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4822), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96976] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1421), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1423), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4747), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97036] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2891), 1,
      aux_sym__literal_repeat1,
    STATE(3011), 1,
      sym_concatenation,
    STATE(3435), 1,
      sym_last_case_item,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4755), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97088] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1425), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1427), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97118] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1462), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97148] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97180] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1462), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4759), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4761), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97240] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5209), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97272] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5213), 1,
      sym__special_character,
    STATE(2024), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4717), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5211), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4813), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4815), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97336] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_LPAREN,
    ACTIONS(5219), 1,
      anon_sym_DOLLAR,
    ACTIONS(5221), 1,
      sym__special_character,
    ACTIONS(5223), 1,
      anon_sym_DQUOTE,
    ACTIONS(5225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5229), 1,
      anon_sym_BQUOTE,
    ACTIONS(5233), 1,
      sym__empty_value,
    STATE(405), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(667), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5215), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(336), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97388] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97420] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1470), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1472), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4776), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97480] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1474), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1476), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97510] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97540] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_RPAREN,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97572] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4589), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4587), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_QMARK,
    ACTIONS(4952), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4956), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5239), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4950), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [97638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4780), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97668] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1285), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97698] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1405), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97727] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5243), 1,
      anon_sym_RPAREN,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4836), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4886), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4890), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4894), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 1,
      sym__concat,
    ACTIONS(5257), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5259), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [97923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4898), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4767), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4769), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5263), 1,
      sym__concat,
    STATE(2077), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1227), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1229), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [98014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4730), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98043] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1441), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1443), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4902), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98101] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1429), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1431), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4906), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4916), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 1,
      sym__concat,
    STATE(2146), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1258), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [98221] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5268), 1,
      sym__special_character,
    STATE(1908), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4717), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5211), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4920), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98283] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5270), 1,
      sym__concat,
    STATE(2100), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98316] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5272), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4882), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4878), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98423] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5274), 1,
      sym__special_character,
    STATE(2091), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1332), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98456] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1411), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98485] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym__concat,
    STATE(2171), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4715), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4912), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4604), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98547] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5277), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4784), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98625] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5279), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2103), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4924), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98703] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5281), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98752] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5283), 1,
      sym__concat,
    STATE(2100), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1227), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4795), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4797), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98814] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1558), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1560), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98843] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5286), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98892] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5288), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98941] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1550), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98970] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4715), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4912), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4874), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99028] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1421), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1423), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4743), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4928), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4932), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99144] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1433), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1435), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99173] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1437), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1439), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4940), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4868), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4864), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99289] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5290), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2104), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4860), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99367] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5292), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99416] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1279), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1281), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99445] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5294), 1,
      sym__special_character,
    STATE(2131), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4717), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5211), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99478] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1258), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [99507] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
    ACTIONS(5299), 1,
      anon_sym_DOLLAR,
    ACTIONS(5302), 1,
      sym__special_character,
    ACTIONS(5305), 1,
      anon_sym_DQUOTE,
    ACTIONS(5308), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5314), 1,
      anon_sym_BQUOTE,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5317), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5296), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99556] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1301), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99585] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1303), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1305), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99614] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1297), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99643] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1307), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1309), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99672] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1258), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [99701] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1293), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4944), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99759] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5320), 1,
      sym__special_character,
    STATE(2131), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1332), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      sym__concat,
    ACTIONS(5323), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5325), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [99823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4840), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99852] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1316), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1318), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99881] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5329), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2144), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99930] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1289), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99959] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1425), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1427), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99988] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1474), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1476), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100017] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1470), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1472), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100046] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1285), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100075] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1377), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4583), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4585), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4830), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100162] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5331), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100211] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 1,
      sym__concat,
    STATE(2077), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1236), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1238), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4856), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100322] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4989), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5337), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4813), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4815), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100380] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4962), 1,
      sym__concat,
    STATE(2087), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4715), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4912), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100413] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5339), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100442] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_DOLLAR,
    ACTIONS(5347), 1,
      sym__special_character,
    ACTIONS(5350), 1,
      anon_sym_DQUOTE,
    ACTIONS(5353), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5356), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5359), 1,
      anon_sym_BQUOTE,
    STATE(2896), 1,
      aux_sym__literal_repeat1,
    STATE(3076), 1,
      sym_concatenation,
    ACTIONS(5362), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2152), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(5341), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2902), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100491] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4822), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100549] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1462), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100578] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5339), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100607] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5365), 1,
      sym__special_character,
    STATE(2091), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4717), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5211), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4735), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4737), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100669] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1355), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 1,
      sym__concat,
    STATE(2146), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5367), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5369), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4826), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100760] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5371), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4809), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4811), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4587), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4589), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100867] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5373), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2119), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4801), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4803), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100945] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5375), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2162), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5381), 1,
      sym__concat,
    ACTIONS(5377), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5379), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101025] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1413), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1415), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101054] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2069), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101103] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5385), 1,
      sym__concat,
    STATE(1972), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5391), 1,
      sym__concat,
    ACTIONS(5387), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5389), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4805), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4807), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101196] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4993), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5393), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101225] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4747), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4852), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4842), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4844), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101341] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4981), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5395), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101370] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5397), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2183), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101419] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1462), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101448] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1445), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1447), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101477] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5247), 1,
      sym__special_character,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5399), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5241), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4759), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4761), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4780), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4776), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4848), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101642] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3004), 1,
      aux_sym__literal_repeat1,
    STATE(3297), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5401), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3002), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101690] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3043), 1,
      aux_sym__literal_repeat1,
    STATE(3256), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3038), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1447), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101766] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3046), 1,
      aux_sym__literal_repeat1,
    STATE(3267), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5419), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3044), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101814] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3030), 1,
      aux_sym__literal_repeat1,
    STATE(3236), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5421), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3036), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101862] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3068), 1,
      aux_sym__literal_repeat1,
    STATE(3314), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5423), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3066), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1462), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101938] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3019), 1,
      aux_sym__literal_repeat1,
    STATE(3255), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5425), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3017), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5325), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102014] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(1655), 1,
      sym__special_character,
    ACTIONS(5429), 1,
      sym_regex,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(401), 1,
      sym_concatenation,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5427), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(275), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1462), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1431), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5433), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102146] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3014), 1,
      aux_sym__literal_repeat1,
    STATE(3269), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5435), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3013), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102194] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3089), 1,
      aux_sym__literal_repeat1,
    STATE(3399), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5437), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3090), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102242] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3029), 1,
      aux_sym__literal_repeat1,
    STATE(3279), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5439), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3037), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1411), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102318] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3091), 1,
      aux_sym__literal_repeat1,
    STATE(3396), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5441), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3092), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102366] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2976), 1,
      aux_sym__literal_repeat1,
    STATE(3312), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5443), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2975), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1423), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1297), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1293), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1357), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102526] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2971), 1,
      aux_sym__literal_repeat1,
    STATE(3405), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5445), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2969), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1435), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1439), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1289), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1379), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102686] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3085), 1,
      aux_sym__literal_repeat1,
    STATE(3344), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5447), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3080), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102734] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2960), 1,
      aux_sym__literal_repeat1,
    STATE(3350), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3095), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1405), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102810] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3072), 1,
      aux_sym__literal_repeat1,
    STATE(3324), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5451), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3070), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1285), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102886] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3098), 1,
      aux_sym__literal_repeat1,
    STATE(3369), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5453), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3097), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1415), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1443), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102990] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3065), 1,
      aux_sym__literal_repeat1,
    STATE(3304), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5455), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3087), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1476), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103066] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1316), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1318), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103094] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3023), 1,
      aux_sym__literal_repeat1,
    STATE(3334), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5457), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103142] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_DOLLAR,
    ACTIONS(5461), 1,
      sym__special_character,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5467), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5469), 1,
      anon_sym_BQUOTE,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5471), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1703), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5459), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1301), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103216] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3064), 1,
      aux_sym__literal_repeat1,
    STATE(3296), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5473), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3063), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103264] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3082), 1,
      aux_sym__literal_repeat1,
    STATE(3339), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5475), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3084), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103312] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2978), 1,
      aux_sym__literal_repeat1,
    STATE(3370), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5477), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2983), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1472), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103388] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1305), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103416] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103444] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1307), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1309), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103472] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1413), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1415), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103500] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3025), 1,
      aux_sym__literal_repeat1,
    STATE(3241), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5479), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3024), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103548] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3109), 1,
      aux_sym__literal_repeat1,
    STATE(3379), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5481), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3110), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103596] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1258), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103624] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2995), 1,
      aux_sym__literal_repeat1,
    STATE(3298), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5483), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2997), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103672] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3052), 1,
      aux_sym__literal_repeat1,
    STATE(3336), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5485), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3054), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103720] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2986), 1,
      aux_sym__literal_repeat1,
    STATE(3341), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5487), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2985), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103768] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3113), 1,
      aux_sym__literal_repeat1,
    STATE(3363), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5489), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3112), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103816] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COLON,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [103852] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2993), 1,
      aux_sym__literal_repeat1,
    STATE(3322), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5503), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2991), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 1,
      sym__special_character,
    STATE(2287), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5505), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5507), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103932] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3061), 1,
      aux_sym__literal_repeat1,
    STATE(3287), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5511), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3060), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103980] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2980), 1,
      aux_sym__literal_repeat1,
    STATE(3365), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5513), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104028] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3107), 1,
      aux_sym__literal_repeat1,
    STATE(3390), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5515), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3108), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104076] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2243), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3059), 1,
      aux_sym__literal_repeat1,
    STATE(3299), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5517), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3056), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104124] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104152] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2987), 1,
      aux_sym__literal_repeat1,
    STATE(3332), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5519), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2988), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104200] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3062), 1,
      aux_sym__literal_repeat1,
    STATE(3294), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5521), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3067), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104248] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3077), 1,
      aux_sym__literal_repeat1,
    STATE(3325), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5523), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3075), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104296] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1285), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104324] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3093), 1,
      aux_sym__literal_repeat1,
    STATE(3398), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5525), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3094), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104372] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3005), 1,
      aux_sym__literal_repeat1,
    STATE(3295), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5527), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3007), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104420] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1474), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1476), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104448] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(1653), 1,
      sym__special_character,
    ACTIONS(5531), 1,
      sym_regex,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(615), 1,
      sym_concatenation,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5529), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(283), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104496] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3103), 1,
      aux_sym__literal_repeat1,
    STATE(3403), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5533), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3102), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104544] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1470), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1472), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104572] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1462), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104600] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1462), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104628] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2992), 1,
      aux_sym__literal_repeat1,
    STATE(3321), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5535), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2989), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104676] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1425), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1427), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104704] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1429), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1431), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104732] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2965), 1,
      aux_sym__literal_repeat1,
    STATE(3427), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5537), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2963), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104780] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3001), 1,
      aux_sym__literal_repeat1,
    STATE(3300), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5539), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3026), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104828] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2959), 1,
      aux_sym__literal_repeat1,
    STATE(3235), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5541), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3057), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1318), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104904] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2974), 1,
      aux_sym__literal_repeat1,
    STATE(3404), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5543), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2973), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104952] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_DOLLAR,
    ACTIONS(5461), 1,
      sym__special_character,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5467), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5469), 1,
      anon_sym_BQUOTE,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5471), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5459), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104998] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_DOLLAR,
    ACTIONS(5461), 1,
      sym__special_character,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5467), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5469), 1,
      anon_sym_BQUOTE,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5471), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1682), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5459), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5547), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105072] = 13,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1657), 1,
      sym__special_character,
    ACTIONS(5551), 1,
      sym_regex,
    STATE(618), 1,
      aux_sym__literal_repeat1,
    STATE(772), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5549), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105120] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3053), 1,
      aux_sym__literal_repeat1,
    STATE(3280), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5553), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3051), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105168] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2982), 1,
      aux_sym__literal_repeat1,
    STATE(3361), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5555), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2981), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105216] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3105), 1,
      aux_sym__literal_repeat1,
    STATE(3397), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5557), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3106), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105264] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3031), 1,
      aux_sym__literal_repeat1,
    STATE(3335), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5559), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3028), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105312] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3096), 1,
      aux_sym__literal_repeat1,
    STATE(3359), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5561), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3099), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105360] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    STATE(3372), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5563), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2977), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105408] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3049), 1,
      aux_sym__literal_repeat1,
    STATE(3276), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5565), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3048), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105456] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1445), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1447), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [105484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1309), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105512] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1441), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1443), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [105540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5567), 1,
      sym__special_character,
    STATE(2287), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1332), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105572] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2999), 1,
      aux_sym__literal_repeat1,
    STATE(3306), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5570), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2996), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105620] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3101), 1,
      aux_sym__literal_repeat1,
    STATE(3401), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5572), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3104), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105668] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3081), 1,
      aux_sym__literal_repeat1,
    STATE(3337), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5574), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3083), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105716] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1437), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1439), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [105744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1427), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105772] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2962), 1,
      aux_sym__literal_repeat1,
    STATE(3319), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5576), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2994), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105820] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1663), 1,
      sym__special_character,
    ACTIONS(5580), 1,
      sym_regex,
    STATE(549), 1,
      aux_sym__literal_repeat1,
    STATE(769), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5578), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105868] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2967), 1,
      aux_sym__literal_repeat1,
    STATE(3418), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5582), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5257), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5259), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1229), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105972] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(2964), 1,
      aux_sym__literal_repeat1,
    STATE(3438), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5584), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2972), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106020] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1297), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106048] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3035), 1,
      aux_sym__literal_repeat1,
    STATE(3243), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5586), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3033), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106096] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1433), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1435), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106124] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3088), 1,
      aux_sym__literal_repeat1,
    STATE(3348), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5588), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3086), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106172] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1258), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106200] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1421), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1423), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106228] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1301), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106256] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1293), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106284] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1289), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1389), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106340] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106368] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106396] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3047), 1,
      aux_sym__literal_repeat1,
    STATE(3268), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5590), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3042), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106444] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3040), 1,
      aux_sym__literal_repeat1,
    STATE(3260), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5592), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3039), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1305), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106520] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1411), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106548] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1405), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106576] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3018), 1,
      aux_sym__literal_repeat1,
    STATE(3257), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5594), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3020), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106624] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5405), 1,
      sym__special_character,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    STATE(3074), 1,
      aux_sym__literal_repeat1,
    STATE(3245), 1,
      sym_concatenation,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5596), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3079), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106672] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5598), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106707] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5600), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106742] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4993), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5393), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106769] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5339), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106796] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_DOLLAR,
    ACTIONS(5606), 1,
      sym__special_character,
    ACTIONS(5608), 1,
      anon_sym_DQUOTE,
    ACTIONS(5610), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5612), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_BQUOTE,
    STATE(1677), 1,
      aux_sym__literal_repeat1,
    STATE(2004), 1,
      sym_concatenation,
    ACTIONS(5616), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5602), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1701), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106841] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5339), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106868] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5620), 1,
      anon_sym_DOLLAR,
    ACTIONS(5622), 1,
      sym__special_character,
    ACTIONS(5624), 1,
      anon_sym_DQUOTE,
    ACTIONS(5626), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5628), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5630), 1,
      anon_sym_BQUOTE,
    STATE(2798), 1,
      aux_sym__literal_repeat1,
    STATE(2876), 1,
      sym_concatenation,
    ACTIONS(5632), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5618), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2802), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106913] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5634), 1,
      anon_sym_COLON,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106948] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_DOLLAR,
    ACTIONS(5606), 1,
      sym__special_character,
    ACTIONS(5608), 1,
      anon_sym_DQUOTE,
    ACTIONS(5610), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5612), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_BQUOTE,
    STATE(1709), 1,
      aux_sym__literal_repeat1,
    STATE(1932), 1,
      sym_concatenation,
    ACTIONS(5616), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5636), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1711), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106993] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4981), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5395), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107020] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5640), 1,
      anon_sym_RBRACK,
    ACTIONS(5646), 1,
      anon_sym_QMARK,
    ACTIONS(5642), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5648), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5644), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5638), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107055] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5650), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107090] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5598), 1,
      anon_sym_RBRACK,
    ACTIONS(5646), 1,
      anon_sym_QMARK,
    ACTIONS(5642), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5648), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5644), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5638), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107125] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_DOLLAR,
    ACTIONS(5656), 1,
      sym__special_character,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    STATE(1666), 1,
      aux_sym__literal_repeat1,
    STATE(1769), 1,
      sym_concatenation,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5652), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1688), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107170] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_DOLLAR,
    ACTIONS(5656), 1,
      sym__special_character,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    STATE(1654), 1,
      aux_sym__literal_repeat1,
    STATE(1762), 1,
      sym_concatenation,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5668), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1727), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107215] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5640), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5676), 1,
      anon_sym_QMARK,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5674), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5670), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107250] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5676), 1,
      anon_sym_QMARK,
    ACTIONS(5678), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5674), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5670), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107285] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym_QMARK,
    ACTIONS(5678), 1,
      anon_sym_RBRACK,
    ACTIONS(5642), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5648), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5644), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5638), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107320] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_DOLLAR,
    ACTIONS(5606), 1,
      sym__special_character,
    ACTIONS(5608), 1,
      anon_sym_DQUOTE,
    ACTIONS(5610), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5612), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_BQUOTE,
    STATE(1714), 1,
      aux_sym__literal_repeat1,
    STATE(1933), 1,
      sym_concatenation,
    ACTIONS(5616), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5680), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107365] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4989), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5337), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107392] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5682), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107427] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_RPAREN,
    ACTIONS(5692), 1,
      anon_sym_QMARK,
    ACTIONS(5688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5694), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5690), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5686), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107462] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(5698), 1,
      sym__special_character,
    STATE(2941), 1,
      aux_sym__literal_repeat1,
    STATE(3207), 1,
      sym_concatenation,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5696), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3010), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107507] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5598), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5676), 1,
      anon_sym_QMARK,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5674), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5670), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107542] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5700), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107577] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4993), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5393), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107604] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5491), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5676), 1,
      anon_sym_QMARK,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5674), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5670), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1258), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107666] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5620), 1,
      anon_sym_DOLLAR,
    ACTIONS(5622), 1,
      sym__special_character,
    ACTIONS(5624), 1,
      anon_sym_DQUOTE,
    ACTIONS(5626), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5628), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5630), 1,
      anon_sym_BQUOTE,
    STATE(2768), 1,
      aux_sym__literal_repeat1,
    STATE(2880), 1,
      sym_concatenation,
    ACTIONS(5632), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5702), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2800), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107711] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5491), 1,
      anon_sym_RBRACK,
    ACTIONS(5646), 1,
      anon_sym_QMARK,
    ACTIONS(5642), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5648), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5644), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5638), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107746] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_COLON,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107781] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_DOLLAR,
    ACTIONS(5656), 1,
      sym__special_character,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    STATE(1836), 1,
      sym_concatenation,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5706), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1725), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107826] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5491), 1,
      anon_sym_RPAREN,
    ACTIONS(5692), 1,
      anon_sym_QMARK,
    ACTIONS(5688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5694), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5690), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5686), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107861] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4981), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5395), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107888] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5708), 1,
      anon_sym_COLON,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107923] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_QMARK,
    ACTIONS(5710), 1,
      anon_sym_RPAREN,
    ACTIONS(5688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5694), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5690), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5686), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107958] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5712), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107993] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5714), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108028] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      sym__special_character,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3148), 1,
      sym_concatenation,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5716), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2908), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108073] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108108] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5678), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108143] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108178] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5339), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [108205] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_DOLLAR,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    ACTIONS(5722), 1,
      sym__special_character,
    STATE(1666), 1,
      aux_sym__literal_repeat1,
    STATE(1769), 1,
      sym_concatenation,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5720), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1656), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108250] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5339), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [108277] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5724), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108312] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_DQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DOLLAR,
    ACTIONS(5005), 1,
      sym__special_character,
    ACTIONS(5007), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5011), 1,
      anon_sym_BQUOTE,
    STATE(1874), 1,
      aux_sym__literal_repeat1,
    STATE(2064), 1,
      sym_concatenation,
    ACTIONS(5013), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5726), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1713), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108357] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4715), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4912), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [108384] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5730), 1,
      anon_sym_DOLLAR,
    ACTIONS(5732), 1,
      sym__special_character,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5740), 1,
      anon_sym_BQUOTE,
    STATE(1800), 1,
      aux_sym__literal_repeat1,
    STATE(2142), 1,
      sym_concatenation,
    ACTIONS(5742), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5728), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1795), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108429] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_QMARK,
    ACTIONS(5744), 1,
      anon_sym_RPAREN,
    ACTIONS(5688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5694), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5690), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5686), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108464] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5746), 1,
      anon_sym_COLON,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108499] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5620), 1,
      anon_sym_DOLLAR,
    ACTIONS(5622), 1,
      sym__special_character,
    ACTIONS(5624), 1,
      anon_sym_DQUOTE,
    ACTIONS(5626), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5628), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5630), 1,
      anon_sym_BQUOTE,
    STATE(2784), 1,
      aux_sym__literal_repeat1,
    STATE(2889), 1,
      sym_concatenation,
    ACTIONS(5632), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5748), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2779), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108544] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5730), 1,
      anon_sym_DOLLAR,
    ACTIONS(5732), 1,
      sym__special_character,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5740), 1,
      anon_sym_BQUOTE,
    STATE(1846), 1,
      aux_sym__literal_repeat1,
    STATE(2094), 1,
      sym_concatenation,
    ACTIONS(5742), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1852), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108589] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5752), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108624] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_DOLLAR,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    ACTIONS(5722), 1,
      sym__special_character,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    STATE(1836), 1,
      sym_concatenation,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5754), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1669), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108669] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_QMARK,
    ACTIONS(5756), 1,
      anon_sym_RPAREN,
    ACTIONS(5688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5694), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5690), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5686), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108704] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5730), 1,
      anon_sym_DOLLAR,
    ACTIONS(5732), 1,
      sym__special_character,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5740), 1,
      anon_sym_BQUOTE,
    STATE(1763), 1,
      aux_sym__literal_repeat1,
    STATE(2164), 1,
      sym_concatenation,
    ACTIONS(5742), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5758), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108749] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5760), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108784] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_DOLLAR,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    ACTIONS(5722), 1,
      sym__special_character,
    STATE(1654), 1,
      aux_sym__literal_repeat1,
    STATE(1762), 1,
      sym_concatenation,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5762), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1657), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108829] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4989), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5337), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [108856] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5764), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108891] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5766), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108926] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(5698), 1,
      sym__special_character,
    STATE(2950), 1,
      aux_sym__literal_repeat1,
    STATE(3174), 1,
      sym_concatenation,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5768), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3006), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108971] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5499), 1,
      anon_sym_QMARK,
    ACTIONS(5770), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5495), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5501), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5493), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [109006] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_DQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DOLLAR,
    ACTIONS(5005), 1,
      sym__special_character,
    ACTIONS(5007), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5011), 1,
      anon_sym_BQUOTE,
    STATE(1867), 1,
      aux_sym__literal_repeat1,
    STATE(2036), 1,
      sym_concatenation,
    ACTIONS(5013), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5772), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1712), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109051] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4715), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4912), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [109078] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(5776), 1,
      anon_sym_RBRACK,
    ACTIONS(5778), 1,
      sym__special_character,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5774), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2252), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109120] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(5778), 1,
      sym__special_character,
    ACTIONS(5780), 1,
      anon_sym_RBRACK,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5774), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2252), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109162] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_LF,
    ACTIONS(5784), 1,
      anon_sym_DQUOTE,
    ACTIONS(5786), 1,
      sym_raw_string,
    ACTIONS(5788), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2857), 1,
      sym_string,
    ACTIONS(533), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(5782), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [109198] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5135), 1,
      anon_sym_DOLLAR,
    ACTIONS(5139), 1,
      anon_sym_DQUOTE,
    ACTIONS(5141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5143), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5145), 1,
      anon_sym_BQUOTE,
    ACTIONS(5147), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5790), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(841), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109235] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5794), 1,
      anon_sym_DOLLAR,
    ACTIONS(5796), 1,
      anon_sym_DQUOTE,
    ACTIONS(5798), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5800), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5802), 1,
      anon_sym_BQUOTE,
    ACTIONS(5804), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5792), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(728), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109272] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_DOLLAR,
    ACTIONS(5796), 1,
      anon_sym_DQUOTE,
    ACTIONS(5798), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5800), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5802), 1,
      anon_sym_BQUOTE,
    ACTIONS(5804), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5792), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(728), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109309] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5808), 1,
      anon_sym_DOLLAR,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5806), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2507), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109346] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(5810), 1,
      anon_sym_DOLLAR,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5774), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2252), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109383] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(5814), 1,
      anon_sym_DOLLAR,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5812), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(324), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109420] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5818), 1,
      anon_sym_DOLLAR,
    ACTIONS(5820), 1,
      anon_sym_DQUOTE,
    ACTIONS(5822), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5824), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5826), 1,
      anon_sym_BQUOTE,
    ACTIONS(5828), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5816), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(753), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109457] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_DQUOTE,
    ACTIONS(5116), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5118), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5120), 1,
      anon_sym_BQUOTE,
    ACTIONS(5832), 1,
      anon_sym_DOLLAR,
    ACTIONS(5122), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5830), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(684), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109494] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5223), 1,
      anon_sym_DQUOTE,
    ACTIONS(5225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5229), 1,
      anon_sym_BQUOTE,
    ACTIONS(5836), 1,
      anon_sym_DOLLAR,
    ACTIONS(5231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5834), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(409), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109531] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5040), 1,
      anon_sym_DOLLAR,
    ACTIONS(5044), 1,
      anon_sym_DQUOTE,
    ACTIONS(5046), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5048), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5050), 1,
      anon_sym_BQUOTE,
    ACTIONS(5052), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5838), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(786), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_LF,
    ACTIONS(5844), 1,
      sym__concat,
    STATE(2419), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5840), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109597] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_DOLLAR,
    ACTIONS(5848), 1,
      anon_sym_DQUOTE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5852), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5854), 1,
      anon_sym_BQUOTE,
    ACTIONS(5856), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5846), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(869), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109634] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(5860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5858), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2153), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109671] = 9,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5864), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5862), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(543), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109708] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5866), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(443), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109745] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5011), 1,
      anon_sym_BQUOTE,
    ACTIONS(5870), 1,
      anon_sym_DOLLAR,
    ACTIONS(5013), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5868), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1744), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109782] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(5874), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5872), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(644), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109819] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(5878), 1,
      anon_sym_DOLLAR,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5876), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2062), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109856] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3661), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(3671), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5880), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1803), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109893] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_DOLLAR,
    ACTIONS(5884), 1,
      anon_sym_DQUOTE,
    ACTIONS(5886), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5888), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5890), 1,
      anon_sym_BQUOTE,
    ACTIONS(5892), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5882), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(530), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109930] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5884), 1,
      anon_sym_DQUOTE,
    ACTIONS(5886), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5888), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5890), 1,
      anon_sym_BQUOTE,
    ACTIONS(5894), 1,
      anon_sym_DOLLAR,
    ACTIONS(5892), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5882), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(530), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109967] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3661), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(5896), 1,
      anon_sym_DOLLAR,
    ACTIONS(3671), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5880), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1803), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110004] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5199), 1,
      anon_sym_BQUOTE,
    ACTIONS(5900), 1,
      anon_sym_DOLLAR,
    ACTIONS(5201), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5898), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(339), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110041] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(5904), 1,
      anon_sym_DOLLAR,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5902), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2297), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110078] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(471), 1,
      anon_sym_DOLLAR,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5199), 1,
      anon_sym_BQUOTE,
    ACTIONS(5201), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5898), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(339), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110115] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5608), 1,
      anon_sym_DQUOTE,
    ACTIONS(5610), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5612), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_BQUOTE,
    ACTIONS(5908), 1,
      anon_sym_DOLLAR,
    ACTIONS(5616), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5906), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1821), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110152] = 9,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5862), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(543), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110189] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_DOLLAR,
    ACTIONS(5608), 1,
      anon_sym_DQUOTE,
    ACTIONS(5610), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5612), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_BQUOTE,
    ACTIONS(5616), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5906), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1821), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110226] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_DQUOTE,
    ACTIONS(5046), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5048), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5050), 1,
      anon_sym_BQUOTE,
    ACTIONS(5910), 1,
      anon_sym_DOLLAR,
    ACTIONS(5052), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5838), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(786), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110263] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5858), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2153), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110300] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_DOLLAR,
    ACTIONS(5114), 1,
      anon_sym_DQUOTE,
    ACTIONS(5116), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5118), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5120), 1,
      anon_sym_BQUOTE,
    ACTIONS(5122), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5830), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(684), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110337] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(5912), 1,
      anon_sym_DOLLAR,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5774), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2252), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_LF,
    ACTIONS(5914), 1,
      sym__concat,
    STATE(2443), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1236), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110403] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5086), 1,
      anon_sym_DQUOTE,
    ACTIONS(5088), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5090), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5092), 1,
      anon_sym_BQUOTE,
    ACTIONS(5918), 1,
      anon_sym_DOLLAR,
    ACTIONS(5094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5916), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(509), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110440] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1955), 1,
      anon_sym_DOLLAR,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5876), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2062), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110477] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5730), 1,
      anon_sym_DOLLAR,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5740), 1,
      anon_sym_BQUOTE,
    ACTIONS(5742), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1906), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110514] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_DOLLAR,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5922), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3178), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110551] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5848), 1,
      anon_sym_DQUOTE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5852), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5854), 1,
      anon_sym_BQUOTE,
    ACTIONS(5924), 1,
      anon_sym_DOLLAR,
    ACTIONS(5856), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5846), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(869), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110588] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_DOLLAR,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5467), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5469), 1,
      anon_sym_BQUOTE,
    ACTIONS(5471), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5926), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2454), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110625] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5620), 1,
      anon_sym_DOLLAR,
    ACTIONS(5624), 1,
      anon_sym_DQUOTE,
    ACTIONS(5626), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5628), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5630), 1,
      anon_sym_BQUOTE,
    ACTIONS(5632), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5928), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2849), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110662] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_BQUOTE,
    ACTIONS(1797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5902), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2297), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110699] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(5249), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5251), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_BQUOTE,
    ACTIONS(5255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5806), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2507), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110736] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5139), 1,
      anon_sym_DQUOTE,
    ACTIONS(5141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5143), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5145), 1,
      anon_sym_BQUOTE,
    ACTIONS(5930), 1,
      anon_sym_DOLLAR,
    ACTIONS(5147), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5790), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(841), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110773] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR,
    ACTIONS(3157), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3159), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3163), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5774), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2252), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110810] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_BQUOTE,
    ACTIONS(5932), 1,
      anon_sym_DOLLAR,
    ACTIONS(5415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5922), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3178), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110847] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(5062), 1,
      anon_sym_DQUOTE,
    ACTIONS(5064), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5066), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5068), 1,
      anon_sym_BQUOTE,
    ACTIONS(5070), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5934), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(669), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110884] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5740), 1,
      anon_sym_BQUOTE,
    ACTIONS(5936), 1,
      anon_sym_DOLLAR,
    ACTIONS(5742), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1906), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110921] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(5938), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5866), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(443), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110958] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5062), 1,
      anon_sym_DQUOTE,
    ACTIONS(5064), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5066), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5068), 1,
      anon_sym_BQUOTE,
    ACTIONS(5940), 1,
      anon_sym_DOLLAR,
    ACTIONS(5070), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5934), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(669), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110995] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DOLLAR,
    ACTIONS(5086), 1,
      anon_sym_DQUOTE,
    ACTIONS(5088), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5090), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5092), 1,
      anon_sym_BQUOTE,
    ACTIONS(5094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5916), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(509), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111032] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    ACTIONS(5944), 1,
      anon_sym_DOLLAR,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5942), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1728), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111069] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_DOLLAR,
    ACTIONS(5223), 1,
      anon_sym_DQUOTE,
    ACTIONS(5225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5229), 1,
      anon_sym_BQUOTE,
    ACTIONS(5231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5834), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(409), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111106] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5812), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(324), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111143] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5467), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5469), 1,
      anon_sym_BQUOTE,
    ACTIONS(5946), 1,
      anon_sym_DOLLAR,
    ACTIONS(5471), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5926), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2454), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111180] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(3279), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_BQUOTE,
    ACTIONS(5948), 1,
      anon_sym_DOLLAR,
    ACTIONS(3285), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5858), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2153), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111217] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5872), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(644), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LF,
    ACTIONS(5950), 1,
      sym__concat,
    STATE(2443), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1227), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111283] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_DOLLAR,
    ACTIONS(5820), 1,
      anon_sym_DQUOTE,
    ACTIONS(5822), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5824), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5826), 1,
      anon_sym_BQUOTE,
    ACTIONS(5828), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5816), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(753), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111320] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    ACTIONS(5953), 1,
      anon_sym_DOLLAR,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5942), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1728), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111357] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_DQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DOLLAR,
    ACTIONS(5007), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5011), 1,
      anon_sym_BQUOTE,
    ACTIONS(5013), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5868), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1744), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111394] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_DQUOTE,
    ACTIONS(5165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_BQUOTE,
    ACTIONS(5957), 1,
      anon_sym_DOLLAR,
    ACTIONS(5171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5955), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(591), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111431] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_DQUOTE,
    ACTIONS(5626), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5628), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5630), 1,
      anon_sym_BQUOTE,
    ACTIONS(5959), 1,
      anon_sym_DOLLAR,
    ACTIONS(5632), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5928), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2849), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111468] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_DOLLAR,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5664), 1,
      anon_sym_BQUOTE,
    ACTIONS(5666), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5942), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1728), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111505] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_DOLLAR,
    ACTIONS(5163), 1,
      anon_sym_DQUOTE,
    ACTIONS(5165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_BQUOTE,
    ACTIONS(5171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5955), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(591), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_LF,
    ACTIONS(5844), 1,
      sym__concat,
    STATE(2419), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5963), 1,
      anon_sym_LF,
    ACTIONS(5965), 1,
      sym__special_character,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5961), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 1,
      anon_sym_LF,
    ACTIONS(5967), 1,
      sym__special_character,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112251] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(1759), 1,
      sym_raw_string,
    ACTIONS(1761), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2175), 1,
      sym_string,
    ACTIONS(535), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1753), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1755), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_LF,
    ACTIONS(1256), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_raw_string,
    ACTIONS(1771), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2235), 1,
      sym_string,
    ACTIONS(535), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1763), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1765), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112340] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5840), 1,
      anon_sym_DOLLAR,
    ACTIONS(5970), 1,
      sym__concat,
    STATE(2484), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5842), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112366] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(5972), 1,
      sym__concat,
    STATE(2486), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112392] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_RBRACE,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      sym_raw_string,
    ACTIONS(5978), 1,
      aux_sym__simple_variable_name_token1,
    STATE(3165), 1,
      sym_string,
    ACTIONS(5980), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5974), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112424] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_DOLLAR,
    ACTIONS(5982), 1,
      sym__concat,
    STATE(2486), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112450] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 1,
      anon_sym_DOLLAR,
    ACTIONS(5970), 1,
      sym__concat,
    STATE(2484), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112476] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 1,
      anon_sym_RBRACE,
    ACTIONS(5991), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5995), 1,
      sym_variable_name,
    STATE(955), 1,
      sym_subscript,
    ACTIONS(5987), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5993), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5989), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112507] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1413), 1,
      anon_sym_DOLLAR,
    ACTIONS(1415), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 1,
      anon_sym_RBRACE,
    ACTIONS(6003), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6007), 1,
      sym_variable_name,
    STATE(1045), 1,
      sym_subscript,
    ACTIONS(5999), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6005), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6001), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112559] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5086), 1,
      anon_sym_DQUOTE,
    ACTIONS(6011), 1,
      sym_raw_string,
    STATE(499), 1,
      sym_string,
    ACTIONS(894), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6009), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112588] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1330), 1,
      anon_sym_DOLLAR,
    ACTIONS(6013), 1,
      sym__special_character,
    STATE(2492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112613] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DQUOTE,
    ACTIONS(1759), 1,
      sym_raw_string,
    ACTIONS(1761), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2175), 1,
      sym_string,
    ACTIONS(1753), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1755), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6016), 1,
      anon_sym_RBRACE,
    ACTIONS(6022), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6026), 1,
      sym_variable_name,
    STATE(908), 1,
      sym_subscript,
    ACTIONS(6018), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6024), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6020), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112673] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(585), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5223), 1,
      anon_sym_DQUOTE,
    ACTIONS(6030), 1,
      sym_raw_string,
    STATE(516), 1,
      sym_string,
    ACTIONS(579), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6028), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112702] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5608), 1,
      anon_sym_DQUOTE,
    ACTIONS(6034), 1,
      sym_raw_string,
    STATE(1825), 1,
      sym_string,
    ACTIONS(1630), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6032), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_raw_string,
    ACTIONS(1771), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2235), 1,
      sym_string,
    ACTIONS(1763), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1765), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6036), 1,
      anon_sym_RBRACE,
    ACTIONS(6042), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6046), 1,
      sym_variable_name,
    STATE(975), 1,
      sym_subscript,
    ACTIONS(6038), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6044), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6040), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112791] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6048), 1,
      anon_sym_RBRACE,
    ACTIONS(6054), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6058), 1,
      sym_variable_name,
    STATE(935), 1,
      sym_subscript,
    ACTIONS(6050), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6056), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6052), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE,
    ACTIONS(6062), 1,
      sym_raw_string,
    STATE(1943), 1,
      sym_string,
    ACTIONS(1668), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6060), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(6066), 1,
      sym_raw_string,
    STATE(332), 1,
      sym_string,
    ACTIONS(681), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6064), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112880] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_RBRACE,
    ACTIONS(6074), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6078), 1,
      sym_variable_name,
    STATE(943), 1,
      sym_subscript,
    ACTIONS(6070), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6076), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6072), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_RBRACE,
    ACTIONS(6086), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6090), 1,
      sym_variable_name,
    STATE(1055), 1,
      sym_subscript,
    ACTIONS(6082), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6088), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6084), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112942] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_DOLLAR,
    ACTIONS(1305), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5848), 1,
      anon_sym_DQUOTE,
    ACTIONS(6094), 1,
      sym_raw_string,
    STATE(874), 1,
      sym_string,
    ACTIONS(1177), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6092), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6096), 1,
      anon_sym_RBRACE,
    ACTIONS(6102), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6106), 1,
      sym_variable_name,
    STATE(1085), 1,
      sym_subscript,
    ACTIONS(6098), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6104), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6100), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113023] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_DOLLAR,
    ACTIONS(1229), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113044] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3661), 1,
      anon_sym_DQUOTE,
    ACTIONS(6110), 1,
      sym_raw_string,
    STATE(1773), 1,
      sym_string,
    ACTIONS(1689), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6108), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113073] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1425), 1,
      anon_sym_DOLLAR,
    ACTIONS(1427), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_RBRACE,
    ACTIONS(6118), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6122), 1,
      sym_variable_name,
    STATE(1136), 1,
      sym_subscript,
    ACTIONS(6114), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6120), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6116), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5163), 1,
      anon_sym_DQUOTE,
    ACTIONS(6126), 1,
      sym_raw_string,
    STATE(620), 1,
      sym_string,
    ACTIONS(1073), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6124), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6128), 1,
      anon_sym_RBRACE,
    ACTIONS(6134), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6138), 1,
      sym_variable_name,
    STATE(1029), 1,
      sym_subscript,
    ACTIONS(6130), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6136), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6132), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5114), 1,
      anon_sym_DQUOTE,
    ACTIONS(6142), 1,
      sym_raw_string,
    STATE(692), 1,
      sym_string,
    ACTIONS(880), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6140), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113214] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1737), 1,
      sym_raw_string,
    ACTIONS(1739), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1994), 1,
      sym_string,
    ACTIONS(1731), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1733), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113243] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1307), 1,
      anon_sym_DOLLAR,
    ACTIONS(1309), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym_RBRACE,
    ACTIONS(6150), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6154), 1,
      sym_variable_name,
    STATE(997), 1,
      sym_subscript,
    ACTIONS(6146), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6152), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6148), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113295] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1318), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113316] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6158), 1,
      sym_raw_string,
    STATE(430), 1,
      sym_string,
    ACTIONS(607), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6156), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(837), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6162), 1,
      sym_raw_string,
    STATE(608), 1,
      sym_string,
    ACTIONS(831), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6160), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5181), 1,
      sym_raw_string,
    ACTIONS(5185), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2559), 1,
      sym_string,
    ACTIONS(5177), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5183), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 1,
      anon_sym_RBRACE,
    ACTIONS(6170), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6174), 1,
      sym_variable_name,
    STATE(994), 1,
      sym_subscript,
    ACTIONS(6166), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6172), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6168), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_RBRACE,
    ACTIONS(6182), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6186), 1,
      sym_variable_name,
    STATE(1164), 1,
      sym_subscript,
    ACTIONS(6178), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6184), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6180), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113465] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1445), 1,
      anon_sym_DOLLAR,
    ACTIONS(1447), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      anon_sym_RBRACE,
    ACTIONS(6194), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6198), 1,
      sym_variable_name,
    STATE(1158), 1,
      sym_subscript,
    ACTIONS(6190), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6196), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6192), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113517] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6200), 1,
      anon_sym_RBRACE,
    ACTIONS(6206), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6210), 1,
      sym_variable_name,
    STATE(1108), 1,
      sym_subscript,
    ACTIONS(6202), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6208), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6204), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6212), 1,
      anon_sym_RBRACE,
    ACTIONS(6218), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6222), 1,
      sym_variable_name,
    STATE(1017), 1,
      sym_subscript,
    ACTIONS(6214), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6220), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6216), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113579] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1421), 1,
      anon_sym_DOLLAR,
    ACTIONS(1423), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113600] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      sym_raw_string,
    ACTIONS(5978), 1,
      aux_sym__simple_variable_name_token1,
    STATE(3165), 1,
      sym_string,
    ACTIONS(5980), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5974), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113629] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5796), 1,
      anon_sym_DQUOTE,
    ACTIONS(6226), 1,
      sym_raw_string,
    STATE(548), 1,
      sym_string,
    ACTIONS(916), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6224), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_DQUOTE,
    ACTIONS(1723), 1,
      sym_raw_string,
    ACTIONS(1727), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1740), 1,
      sym_string,
    ACTIONS(1719), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1725), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113687] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6228), 1,
      anon_sym_RBRACE,
    ACTIONS(6234), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6238), 1,
      sym_variable_name,
    STATE(1095), 1,
      sym_subscript,
    ACTIONS(6230), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6236), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6232), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113718] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_DOLLAR,
    ACTIONS(1285), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 1,
      anon_sym_RBRACE,
    ACTIONS(6246), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6250), 1,
      sym_variable_name,
    STATE(1073), 1,
      sym_subscript,
    ACTIONS(6242), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6248), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6244), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113770] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_DQUOTE,
    ACTIONS(5788), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6254), 1,
      sym_raw_string,
    STATE(2857), 1,
      sym_string,
    ACTIONS(5782), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6252), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113799] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1441), 1,
      anon_sym_DOLLAR,
    ACTIONS(1443), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6256), 1,
      anon_sym_RBRACE,
    ACTIONS(6262), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6266), 1,
      sym_variable_name,
    STATE(925), 1,
      sym_subscript,
    ACTIONS(6258), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6264), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6260), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113851] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_DOLLAR,
    ACTIONS(1439), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6278), 1,
      sym_variable_name,
    STATE(1121), 1,
      sym_subscript,
    ACTIONS(6270), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6276), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6272), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113903] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1433), 1,
      anon_sym_DOLLAR,
    ACTIONS(1435), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(543), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6282), 1,
      sym_raw_string,
    STATE(316), 1,
      sym_string,
    ACTIONS(537), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6280), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113953] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6284), 1,
      anon_sym_RBRACE,
    ACTIONS(6290), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6294), 1,
      sym_variable_name,
    STATE(916), 1,
      sym_subscript,
    ACTIONS(6286), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6292), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6288), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [113984] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6296), 1,
      anon_sym_RBRACE,
    ACTIONS(6302), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6306), 1,
      sym_variable_name,
    STATE(1065), 1,
      sym_subscript,
    ACTIONS(6298), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6304), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6300), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 1,
      anon_sym_RBRACE,
    ACTIONS(6314), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6318), 1,
      sym_variable_name,
    STATE(1081), 1,
      sym_subscript,
    ACTIONS(6310), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6316), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6312), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5062), 1,
      anon_sym_DQUOTE,
    ACTIONS(6322), 1,
      sym_raw_string,
    STATE(662), 1,
      sym_string,
    ACTIONS(975), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6320), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114075] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5884), 1,
      anon_sym_DQUOTE,
    ACTIONS(6326), 1,
      sym_raw_string,
    STATE(375), 1,
      sym_string,
    ACTIONS(888), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6324), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      anon_sym_RBRACE,
    ACTIONS(6334), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6338), 1,
      sym_variable_name,
    STATE(953), 1,
      sym_subscript,
    ACTIONS(6330), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6336), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6332), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114135] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5139), 1,
      anon_sym_DQUOTE,
    ACTIONS(6342), 1,
      sym_raw_string,
    STATE(843), 1,
      sym_string,
    ACTIONS(924), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6340), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114164] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(914), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5044), 1,
      anon_sym_DQUOTE,
    ACTIONS(6346), 1,
      sym_raw_string,
    STATE(784), 1,
      sym_string,
    ACTIONS(908), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6344), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114193] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_DOLLAR,
    ACTIONS(1476), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114214] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(6350), 1,
      sym_raw_string,
    STATE(2453), 1,
      sym_string,
    ACTIONS(4606), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6348), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114243] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1470), 1,
      anon_sym_DOLLAR,
    ACTIONS(1472), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 1,
      anon_sym_RBRACE,
    ACTIONS(6358), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6362), 1,
      sym_variable_name,
    STATE(902), 1,
      sym_subscript,
    ACTIONS(6354), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6360), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6356), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 1,
      anon_sym_RBRACE,
    ACTIONS(6370), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6374), 1,
      sym_variable_name,
    STATE(1005), 1,
      sym_subscript,
    ACTIONS(6366), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6372), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6368), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114326] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(1411), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114347] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_DOLLAR,
    ACTIONS(1405), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5820), 1,
      anon_sym_DQUOTE,
    ACTIONS(6378), 1,
      sym_raw_string,
    STATE(757), 1,
      sym_string,
    ACTIONS(1124), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6376), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114397] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_RBRACE,
    ACTIONS(6386), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6390), 1,
      sym_variable_name,
    STATE(964), 1,
      sym_subscript,
    ACTIONS(6382), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6388), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6384), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114428] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_DQUOTE,
    ACTIONS(4504), 1,
      sym_raw_string,
    ACTIONS(4508), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2308), 1,
      sym_string,
    ACTIONS(4502), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4506), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114457] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR,
    ACTIONS(1389), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114478] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_RBRACE,
    ACTIONS(6398), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6402), 1,
      sym_variable_name,
    STATE(1074), 1,
      sym_subscript,
    ACTIONS(6394), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6400), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6396), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 1,
      anon_sym_RBRACE,
    ACTIONS(6410), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6414), 1,
      sym_variable_name,
    STATE(985), 1,
      sym_subscript,
    ACTIONS(6406), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6412), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6408), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114540] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_DOLLAR,
    ACTIONS(1462), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 1,
      anon_sym_RBRACE,
    ACTIONS(6422), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6426), 1,
      sym_variable_name,
    STATE(1037), 1,
      sym_subscript,
    ACTIONS(6418), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6424), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6420), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    ACTIONS(6430), 1,
      sym_raw_string,
    STATE(1731), 1,
      sym_string,
    ACTIONS(1565), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6428), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114621] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1429), 1,
      anon_sym_DOLLAR,
    ACTIONS(1431), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114642] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5961), 1,
      anon_sym_DOLLAR,
    ACTIONS(6432), 1,
      sym__special_character,
    STATE(2492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5963), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114667] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DOLLAR,
    ACTIONS(1379), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114688] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(847), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6436), 1,
      sym_raw_string,
    STATE(581), 1,
      sym_string,
    ACTIONS(841), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6434), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114717] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_DOLLAR,
    ACTIONS(1301), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114738] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_DOLLAR,
    ACTIONS(1297), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114759] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_DOLLAR,
    ACTIONS(1293), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114780] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_DOLLAR,
    ACTIONS(1289), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114801] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_DOLLAR,
    ACTIONS(1357), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114822] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_DOLLAR,
    ACTIONS(1462), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 1,
      anon_sym_RBRACE,
    ACTIONS(6444), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6448), 1,
      sym_variable_name,
    STATE(1153), 1,
      sym_subscript,
    ACTIONS(6440), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6446), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6442), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114874] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6452), 1,
      anon_sym_esac,
    ACTIONS(6450), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6454), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_DQUOTE,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6464), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6466), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6468), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114992] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6472), 1,
      anon_sym_esac,
    ACTIONS(6470), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6474), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6476), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6478), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6480), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6482), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6484), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6486), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6488), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115182] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6492), 1,
      anon_sym_esac,
    ACTIONS(6490), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6494), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6496), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6498), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6500), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6502), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6504), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6506), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6508), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6510), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6512), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6514), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6516), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6518), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6520), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115516] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6524), 1,
      anon_sym_esac,
    ACTIONS(6522), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6526), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6528), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6530), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6532), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6534), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6536), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115658] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_esac,
    ACTIONS(6538), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6542), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115680] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 1,
      anon_sym_DOLLAR,
    ACTIONS(1258), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [115700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6544), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6546), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6548), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6550), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6552), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6554), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6556), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6558), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6560), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6562), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6564), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6566), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6568), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6570), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116036] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6574), 1,
      anon_sym_esac,
    ACTIONS(6572), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6576), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6578), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6580), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6582), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6584), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6586), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6588), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6590), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6592), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6594), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6596), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6598), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6600), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6602), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6604), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6606), 1,
      anon_sym_DQUOTE,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116418] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6610), 1,
      anon_sym_DOLLAR,
    ACTIONS(6608), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116437] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    ACTIONS(6614), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6618), 1,
      sym_variable_name,
    STATE(1102), 1,
      sym_subscript,
    ACTIONS(6616), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6612), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116464] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    ACTIONS(6622), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6626), 1,
      sym_variable_name,
    STATE(1031), 1,
      sym_subscript,
    ACTIONS(6624), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6620), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116491] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    ACTIONS(6630), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6634), 1,
      sym_variable_name,
    STATE(1133), 1,
      sym_subscript,
    ACTIONS(6632), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6628), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116518] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_RBRACE,
    ACTIONS(6638), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6642), 1,
      sym_variable_name,
    STATE(1140), 1,
      sym_subscript,
    ACTIONS(6640), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6636), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116545] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    ACTIONS(6646), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6650), 1,
      sym_variable_name,
    STATE(940), 1,
      sym_subscript,
    ACTIONS(6648), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6644), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116572] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    ACTIONS(6654), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6658), 1,
      sym_variable_name,
    STATE(937), 1,
      sym_subscript,
    ACTIONS(6656), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6652), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116599] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6490), 1,
      anon_sym_DOLLAR,
    ACTIONS(6494), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116618] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(6662), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6666), 1,
      sym_variable_name,
    STATE(1027), 1,
      sym_subscript,
    ACTIONS(6664), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6660), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116645] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym_DOLLAR,
    ACTIONS(6474), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116664] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6572), 1,
      anon_sym_DOLLAR,
    ACTIONS(6576), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116683] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6670), 1,
      anon_sym_DOLLAR,
    ACTIONS(6668), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116702] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_DOLLAR,
    ACTIONS(6542), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116721] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(6674), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6678), 1,
      sym_variable_name,
    STATE(999), 1,
      sym_subscript,
    ACTIONS(6676), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6672), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116748] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2913), 1,
      anon_sym_RBRACE,
    ACTIONS(6682), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6686), 1,
      sym_variable_name,
    STATE(1053), 1,
      sym_subscript,
    ACTIONS(6684), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6680), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116775] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    ACTIONS(6690), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6694), 1,
      sym_variable_name,
    STATE(1080), 1,
      sym_subscript,
    ACTIONS(6692), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6688), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116802] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    ACTIONS(6698), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6702), 1,
      sym_variable_name,
    STATE(1093), 1,
      sym_subscript,
    ACTIONS(6700), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6696), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116829] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3695), 1,
      anon_sym_RBRACE,
    ACTIONS(6706), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6710), 1,
      sym_variable_name,
    STATE(1162), 1,
      sym_subscript,
    ACTIONS(6708), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6704), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116856] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(6714), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6718), 1,
      sym_variable_name,
    STATE(1008), 1,
      sym_subscript,
    ACTIONS(6716), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6712), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116883] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    ACTIONS(6722), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6726), 1,
      sym_variable_name,
    STATE(927), 1,
      sym_subscript,
    ACTIONS(6724), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6720), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116910] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_DOLLAR,
    ACTIONS(6454), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116929] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(6730), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6734), 1,
      sym_variable_name,
    STATE(901), 1,
      sym_subscript,
    ACTIONS(6732), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6728), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116956] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6738), 1,
      anon_sym_DOLLAR,
    ACTIONS(6736), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116975] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    ACTIONS(6742), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6746), 1,
      sym_variable_name,
    STATE(1117), 1,
      sym_subscript,
    ACTIONS(6744), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6740), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117002] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    ACTIONS(6750), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6754), 1,
      sym_variable_name,
    STATE(987), 1,
      sym_subscript,
    ACTIONS(6752), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6748), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117029] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_RBRACE,
    ACTIONS(6758), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6762), 1,
      sym_variable_name,
    STATE(951), 1,
      sym_subscript,
    ACTIONS(6760), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6756), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117056] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3039), 1,
      anon_sym_RBRACE,
    ACTIONS(6766), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6770), 1,
      sym_variable_name,
    STATE(1071), 1,
      sym_subscript,
    ACTIONS(6768), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6764), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117083] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(6774), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6778), 1,
      sym_variable_name,
    STATE(969), 1,
      sym_subscript,
    ACTIONS(6776), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6772), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym__string_content,
    ACTIONS(6462), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6456), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [117131] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2981), 1,
      anon_sym_RBRACE,
    ACTIONS(6782), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6786), 1,
      sym_variable_name,
    STATE(1063), 1,
      sym_subscript,
    ACTIONS(6784), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6780), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117158] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6790), 1,
      anon_sym_DOLLAR,
    ACTIONS(6788), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117177] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    ACTIONS(6794), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6798), 1,
      sym_variable_name,
    STATE(977), 1,
      sym_subscript,
    ACTIONS(6796), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6792), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117204] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym_DOLLAR,
    ACTIONS(6526), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117223] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6802), 1,
      anon_sym_DOLLAR,
    ACTIONS(6800), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117242] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(6806), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6810), 1,
      sym_variable_name,
    STATE(998), 1,
      sym_subscript,
    ACTIONS(6808), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6804), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117269] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(6814), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6818), 1,
      sym_variable_name,
    STATE(979), 1,
      sym_subscript,
    ACTIONS(6816), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6812), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117296] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(6822), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6826), 1,
      sym_variable_name,
    STATE(910), 1,
      sym_subscript,
    ACTIONS(6824), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6820), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117323] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    ACTIONS(6830), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6834), 1,
      sym_variable_name,
    STATE(1125), 1,
      sym_subscript,
    ACTIONS(6832), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6828), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117350] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6838), 1,
      anon_sym_DOLLAR,
    ACTIONS(6836), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117369] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_RBRACE,
    ACTIONS(6842), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6846), 1,
      sym_variable_name,
    STATE(1034), 1,
      sym_subscript,
    ACTIONS(6844), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6840), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117396] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_RBRACE,
    ACTIONS(6850), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6854), 1,
      sym_variable_name,
    STATE(1152), 1,
      sym_subscript,
    ACTIONS(6852), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6848), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117423] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_RBRACE,
    ACTIONS(6858), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6862), 1,
      sym_variable_name,
    STATE(918), 1,
      sym_subscript,
    ACTIONS(6860), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6856), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117450] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_RBRACE,
    ACTIONS(6866), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6870), 1,
      sym_variable_name,
    STATE(1106), 1,
      sym_subscript,
    ACTIONS(6868), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6864), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117477] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_RBRACE,
    ACTIONS(6874), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6878), 1,
      sym_variable_name,
    STATE(1096), 1,
      sym_subscript,
    ACTIONS(6876), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6872), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [117504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 1,
      anon_sym_DQUOTE,
    ACTIONS(6880), 1,
      anon_sym_DOLLAR,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117534] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_DOLLAR,
    ACTIONS(6892), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6894), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6896), 1,
      anon_sym_BQUOTE,
    ACTIONS(6898), 1,
      sym__heredoc_body_middle,
    ACTIONS(6900), 1,
      sym__heredoc_body_end,
    STATE(2706), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [117562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6902), 1,
      anon_sym_DOLLAR,
    ACTIONS(6904), 1,
      anon_sym_DQUOTE,
    STATE(2729), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117592] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6906), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6908), 1,
      anon_sym_DOLLAR,
    ACTIONS(6910), 1,
      anon_sym_DQUOTE,
    STATE(2692), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6912), 1,
      anon_sym_DOLLAR,
    ACTIONS(6914), 1,
      anon_sym_DQUOTE,
    STATE(2747), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117682] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6916), 1,
      anon_sym_DOLLAR,
    ACTIONS(6918), 1,
      anon_sym_DQUOTE,
    STATE(2726), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6920), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117742] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6922), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117772] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6924), 1,
      anon_sym_DOLLAR,
    ACTIONS(6926), 1,
      anon_sym_DQUOTE,
    STATE(2688), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117802] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6928), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117832] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6930), 1,
      anon_sym_DOLLAR,
    ACTIONS(6932), 1,
      anon_sym_DQUOTE,
    STATE(2693), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117862] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6934), 1,
      anon_sym_DOLLAR,
    ACTIONS(6936), 1,
      anon_sym_DQUOTE,
    STATE(2699), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6938), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117922] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6940), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117952] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR,
    ACTIONS(6945), 1,
      anon_sym_DQUOTE,
    ACTIONS(6947), 1,
      sym__string_content,
    ACTIONS(6950), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6953), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_BQUOTE,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117982] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6959), 1,
      anon_sym_DOLLAR,
    ACTIONS(6961), 1,
      anon_sym_DQUOTE,
    STATE(2710), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR,
    ACTIONS(6965), 1,
      anon_sym_DQUOTE,
    STATE(2713), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118042] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6967), 1,
      anon_sym_DOLLAR,
    ACTIONS(6969), 1,
      anon_sym_DQUOTE,
    STATE(2709), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6971), 1,
      anon_sym_DOLLAR,
    ACTIONS(6973), 1,
      anon_sym_DQUOTE,
    STATE(2711), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6975), 1,
      anon_sym_DOLLAR,
    ACTIONS(6977), 1,
      anon_sym_DQUOTE,
    STATE(2685), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118132] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DOLLAR,
    ACTIONS(6982), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6988), 1,
      anon_sym_BQUOTE,
    ACTIONS(6991), 1,
      sym__heredoc_body_middle,
    ACTIONS(6994), 1,
      sym__heredoc_body_end,
    STATE(2706), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6996), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(6998), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118220] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7000), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7002), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118280] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7004), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118310] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7006), 1,
      anon_sym_DOLLAR,
    ACTIONS(7008), 1,
      anon_sym_DQUOTE,
    STATE(2708), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7010), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118370] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7012), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118400] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7014), 1,
      anon_sym_DOLLAR,
    ACTIONS(7016), 1,
      anon_sym_DQUOTE,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6506), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7018), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7020), 1,
      anon_sym_DOLLAR,
    ACTIONS(7022), 1,
      anon_sym_DQUOTE,
    STATE(2698), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7028), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(7024), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [118510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7030), 1,
      anon_sym_DOLLAR,
    ACTIONS(7032), 1,
      anon_sym_DQUOTE,
    STATE(2723), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7034), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118570] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7036), 1,
      anon_sym_DOLLAR,
    ACTIONS(7038), 1,
      anon_sym_DQUOTE,
    STATE(2720), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7040), 1,
      anon_sym_DOLLAR,
    ACTIONS(7042), 1,
      anon_sym_DQUOTE,
    STATE(2728), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7044), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118660] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_DOLLAR,
    ACTIONS(6892), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6894), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6896), 1,
      anon_sym_BQUOTE,
    ACTIONS(7046), 1,
      sym__heredoc_body_middle,
    ACTIONS(7048), 1,
      sym__heredoc_body_end,
    STATE(2749), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118688] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7050), 1,
      anon_sym_DOLLAR,
    ACTIONS(7052), 1,
      anon_sym_DQUOTE,
    STATE(2716), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118718] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6604), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7056), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118778] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7058), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6484), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7060), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118838] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7062), 1,
      anon_sym_DOLLAR,
    ACTIONS(7064), 1,
      anon_sym_DQUOTE,
    STATE(2707), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7066), 1,
      anon_sym_DOLLAR,
    ACTIONS(7068), 1,
      anon_sym_DQUOTE,
    STATE(2746), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118898] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_DOLLAR,
    ACTIONS(6892), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6894), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6896), 1,
      anon_sym_BQUOTE,
    ACTIONS(7070), 1,
      sym__heredoc_body_middle,
    ACTIONS(7072), 1,
      sym__heredoc_body_end,
    STATE(2744), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7074), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118956] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7076), 1,
      anon_sym_DOLLAR,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    STATE(2733), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7080), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119016] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_DOLLAR,
    ACTIONS(6892), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6894), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6896), 1,
      anon_sym_BQUOTE,
    ACTIONS(7082), 1,
      sym__heredoc_body_middle,
    ACTIONS(7084), 1,
      sym__heredoc_body_end,
    STATE(2686), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [119044] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR,
    ACTIONS(7088), 1,
      anon_sym_DQUOTE,
    STATE(2745), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119074] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7090), 1,
      anon_sym_DOLLAR,
    ACTIONS(7092), 1,
      anon_sym_DQUOTE,
    STATE(2695), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7094), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119134] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7096), 1,
      anon_sym_DOLLAR,
    ACTIONS(7098), 1,
      anon_sym_DQUOTE,
    STATE(2727), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7100), 1,
      anon_sym_DOLLAR,
    ACTIONS(7102), 1,
      anon_sym_DQUOTE,
    STATE(2751), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7104), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119224] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7106), 1,
      anon_sym_DOLLAR,
    ACTIONS(7108), 1,
      anon_sym_DQUOTE,
    STATE(2739), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119254] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_DOLLAR,
    ACTIONS(6892), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6894), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6896), 1,
      anon_sym_BQUOTE,
    ACTIONS(6898), 1,
      sym__heredoc_body_middle,
    ACTIONS(7110), 1,
      sym__heredoc_body_end,
    STATE(2706), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [119282] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7112), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7114), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119342] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7116), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119372] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_DQUOTE,
    STATE(2742), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119402] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_DOLLAR,
    ACTIONS(6892), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6894), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6896), 1,
      anon_sym_BQUOTE,
    ACTIONS(6898), 1,
      sym__heredoc_body_middle,
    ACTIONS(7122), 1,
      sym__heredoc_body_end,
    STATE(2706), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [119430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    STATE(2714), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 1,
      anon_sym_DQUOTE,
    ACTIONS(6882), 1,
      sym__string_content,
    ACTIONS(6884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6888), 1,
      anon_sym_BQUOTE,
    ACTIONS(7128), 1,
      anon_sym_DOLLAR,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2781), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119490] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7130), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7132), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119506] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    STATE(2163), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119530] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1855), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119554] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7134), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7136), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119570] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2015), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119594] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2027), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119618] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    STATE(2070), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119642] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7138), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7140), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119658] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7142), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7144), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119674] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1844), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119698] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7146), 1,
      anon_sym_LPAREN,
    STATE(2053), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119722] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(2184), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119746] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7150), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7152), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119762] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7154), 1,
      anon_sym_LPAREN,
    STATE(1804), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_LF,
    ACTIONS(7156), 1,
      sym__concat,
    STATE(2780), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1256), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [119806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym__concat,
    ACTIONS(1299), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7158), 1,
      anon_sym_LF,
    ACTIONS(7160), 1,
      anon_sym_in,
    ACTIONS(7164), 1,
      sym__special_character,
    STATE(2785), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7162), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      sym__concat,
    ACTIONS(1409), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LF,
    ACTIONS(7166), 1,
      sym__concat,
    STATE(2770), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1227), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      sym__concat,
    ACTIONS(1403), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7169), 1,
      anon_sym_LF,
    ACTIONS(7171), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(906), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [119908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      sym__concat,
    ACTIONS(1437), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      sym__concat,
    ACTIONS(1433), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7173), 1,
      anon_sym_LF,
    ACTIONS(7175), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(529), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [119955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 1,
      anon_sym_LF,
    ACTIONS(7179), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [119970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 1,
      anon_sym_LF,
    ACTIONS(7183), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [119985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      sym__concat,
    ACTIONS(1377), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 1,
      sym__concat,
    ACTIONS(7185), 1,
      anon_sym_LF,
    ACTIONS(7187), 1,
      anon_sym_in,
    STATE(2780), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7189), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_LF,
    ACTIONS(7191), 1,
      sym__concat,
    STATE(2770), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1236), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7195), 1,
      sym__concat,
    ACTIONS(7193), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      sym__concat,
    ACTIONS(1316), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      sym__concat,
    ACTIONS(1421), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 1,
      sym__special_character,
    ACTIONS(7197), 1,
      anon_sym_LF,
    ACTIONS(7199), 1,
      anon_sym_in,
    STATE(2785), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7201), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 1,
      anon_sym_LF,
    ACTIONS(7203), 1,
      sym__special_character,
    STATE(2785), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1330), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 1,
      sym__concat,
    ACTIONS(6945), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      sym__concat,
    ACTIONS(1460), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      sym__concat,
    ACTIONS(1445), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      sym__concat,
    ACTIONS(1295), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      sym__concat,
    ACTIONS(1303), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      anon_sym_LF,
    ACTIONS(7210), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [120215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    ACTIONS(1307), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      sym__concat,
    ACTIONS(1474), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym__concat,
    ACTIONS(1441), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      sym__concat,
    ACTIONS(1291), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 1,
      sym__concat,
    ACTIONS(1470), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      sym__concat,
    ACTIONS(1460), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120305] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 1,
      sym__special_character,
    ACTIONS(7212), 1,
      anon_sym_LF,
    ACTIONS(7214), 1,
      anon_sym_in,
    STATE(2785), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7216), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      sym__concat,
    ACTIONS(1287), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 1,
      sym__concat,
    ACTIONS(7218), 1,
      anon_sym_LF,
    ACTIONS(7220), 1,
      anon_sym_in,
    STATE(2780), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7222), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 1,
      sym__concat,
    ACTIONS(7224), 1,
      anon_sym_LF,
    ACTIONS(7226), 1,
      anon_sym_in,
    STATE(2780), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7228), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120398] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7230), 1,
      anon_sym_fi,
    ACTIONS(7232), 1,
      anon_sym_elif,
    ACTIONS(7234), 1,
      anon_sym_else,
    STATE(3356), 1,
      sym_else_clause,
    STATE(2893), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 1,
      anon_sym_LF,
    ACTIONS(7183), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [120432] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_DOLLAR,
    ACTIONS(1439), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120446] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1433), 1,
      anon_sym_DOLLAR,
    ACTIONS(1435), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120460] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_elif,
    ACTIONS(7234), 1,
      anon_sym_else,
    ACTIONS(7236), 1,
      anon_sym_fi,
    STATE(3376), 1,
      sym_else_clause,
    STATE(2893), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120480] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1421), 1,
      anon_sym_DOLLAR,
    ACTIONS(1423), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1429), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120508] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(1411), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120522] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_DOLLAR,
    ACTIONS(1405), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120536] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_elif,
    ACTIONS(7234), 1,
      anon_sym_else,
    ACTIONS(7238), 1,
      anon_sym_fi,
    STATE(3416), 1,
      sym_else_clause,
    STATE(2893), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120556] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DOLLAR,
    ACTIONS(1379), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120570] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_DOLLAR,
    ACTIONS(1357), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1445), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1441), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120612] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_DOLLAR,
    ACTIONS(1289), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1437), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7240), 1,
      anon_sym_LF,
    ACTIONS(7242), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(906), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120656] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_DOLLAR,
    ACTIONS(1476), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1433), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7244), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 1,
      anon_sym_LF,
    ACTIONS(7179), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [120722] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_DOLLAR,
    ACTIONS(1293), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1421), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120750] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_DOLLAR,
    ACTIONS(1297), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1409), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120778] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_DOLLAR,
    ACTIONS(1301), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120792] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1445), 1,
      anon_sym_DOLLAR,
    ACTIONS(1447), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120820] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1441), 1,
      anon_sym_DOLLAR,
    ACTIONS(1443), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120834] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_elif,
    ACTIONS(7234), 1,
      anon_sym_else,
    ACTIONS(7246), 1,
      anon_sym_fi,
    STATE(3424), 1,
      sym_else_clause,
    STATE(2893), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7248), 1,
      anon_sym_LF,
    ACTIONS(7250), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(529), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1425), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120884] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_DOLLAR,
    ACTIONS(1462), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120982] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_DOLLAR,
    ACTIONS(1462), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      anon_sym_LF,
    ACTIONS(7210), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [121010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121024] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1318), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [121038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1460), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121052] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_elif,
    ACTIONS(7234), 1,
      anon_sym_else,
    ACTIONS(7252), 1,
      anon_sym_fi,
    STATE(3384), 1,
      sym_else_clause,
    STATE(2893), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [121072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121086] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1470), 1,
      anon_sym_DOLLAR,
    ACTIONS(1472), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [121100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_LF,
    ACTIONS(1256), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [121114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1316), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1413), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1470), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1474), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121212] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_DOLLAR,
    ACTIONS(1305), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [121226] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1307), 1,
      anon_sym_DOLLAR,
    ACTIONS(1309), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [121240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121254] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_elif,
    ACTIONS(7234), 1,
      anon_sym_else,
    ACTIONS(7254), 1,
      anon_sym_fi,
    STATE(3351), 1,
      sym_else_clause,
    STATE(2893), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [121274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      ts_builtin_sym_end,
    ACTIONS(7256), 1,
      anon_sym_LF,
    ACTIONS(7258), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121289] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7260), 1,
      anon_sym_SEMI,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1881), 2,
      sym_do_group,
      sym_compound_statement,
  [121306] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym__concat,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    STATE(2937), 1,
      aux_sym_concatenation_repeat1,
    STATE(3058), 1,
      aux_sym_case_item_repeat1,
  [121325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(7183), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7268), 1,
      anon_sym_LF,
    ACTIONS(7270), 1,
      anon_sym_in,
    ACTIONS(7272), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121353] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_SEMI,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2082), 2,
      sym_do_group,
      sym_compound_statement,
  [121370] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    ACTIONS(7278), 1,
      anon_sym_SEMI,
    STATE(2083), 2,
      sym_do_group,
      sym_compound_statement,
  [121387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_RPAREN,
    ACTIONS(7240), 1,
      anon_sym_LF,
    ACTIONS(7242), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121402] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    ACTIONS(7280), 1,
      anon_sym_SEMI,
    STATE(2116), 2,
      sym_do_group,
      sym_compound_statement,
  [121419] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    ACTIONS(7282), 1,
      anon_sym_SEMI,
    STATE(2115), 2,
      sym_do_group,
      sym_compound_statement,
  [121436] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_SEMI,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1951), 2,
      sym_do_group,
      sym_compound_statement,
  [121453] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    ACTIONS(7288), 1,
      anon_sym_SEMI,
    STATE(2107), 2,
      sym_do_group,
      sym_compound_statement,
  [121470] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    ACTIONS(7290), 1,
      anon_sym_SEMI,
    STATE(2000), 2,
      sym_do_group,
      sym_compound_statement,
  [121487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7224), 1,
      anon_sym_LF,
    ACTIONS(7226), 1,
      anon_sym_in,
    ACTIONS(7228), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121502] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    ACTIONS(7292), 1,
      anon_sym_SEMI,
    STATE(2133), 2,
      sym_do_group,
      sym_compound_statement,
  [121519] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    ACTIONS(7294), 1,
      anon_sym_SEMI,
    STATE(1938), 2,
      sym_do_group,
      sym_compound_statement,
  [121536] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    ACTIONS(7296), 1,
      anon_sym_SEMI,
    STATE(1856), 2,
      sym_do_group,
      sym_compound_statement,
  [121553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_LF,
    ACTIONS(7220), 1,
      anon_sym_in,
    ACTIONS(7222), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121568] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    ACTIONS(7298), 1,
      anon_sym_SEMI,
    STATE(1953), 2,
      sym_do_group,
      sym_compound_statement,
  [121585] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    ACTIONS(7300), 1,
      anon_sym_SEMI,
    STATE(2021), 2,
      sym_do_group,
      sym_compound_statement,
  [121602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_BQUOTE,
    ACTIONS(7302), 1,
      anon_sym_LF,
    ACTIONS(7304), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_BQUOTE,
    ACTIONS(7306), 1,
      anon_sym_LF,
    ACTIONS(7308), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121632] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym__concat,
    STATE(2937), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [121647] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    ACTIONS(7310), 1,
      anon_sym_SEMI,
    STATE(1964), 2,
      sym_do_group,
      sym_compound_statement,
  [121664] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    ACTIONS(7312), 1,
      anon_sym_SEMI,
    STATE(2075), 2,
      sym_do_group,
      sym_compound_statement,
  [121681] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    ACTIONS(7314), 1,
      anon_sym_SEMI,
    STATE(1963), 2,
      sym_do_group,
      sym_compound_statement,
  [121698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7185), 1,
      anon_sym_LF,
    ACTIONS(7187), 1,
      anon_sym_in,
    ACTIONS(7189), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_RPAREN,
    ACTIONS(7248), 1,
      anon_sym_LF,
    ACTIONS(7250), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121728] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5268), 1,
      sym__special_character,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7316), 1,
      anon_sym_RPAREN,
    STATE(1908), 1,
      aux_sym__literal_repeat1,
    STATE(3100), 1,
      aux_sym_case_item_repeat1,
  [121747] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    ACTIONS(7318), 1,
      anon_sym_SEMI,
    STATE(1947), 2,
      sym_do_group,
      sym_compound_statement,
  [121764] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7322), 1,
      anon_sym_elif,
    ACTIONS(7320), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2893), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [121779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      ts_builtin_sym_end,
    ACTIONS(7325), 1,
      anon_sym_LF,
    ACTIONS(7327), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(7179), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121807] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5268), 1,
      sym__special_character,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_RPAREN,
    STATE(1908), 1,
      aux_sym__literal_repeat1,
    STATE(3032), 1,
      aux_sym_case_item_repeat1,
  [121826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(7210), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121839] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    ACTIONS(7331), 1,
      anon_sym_SEMI,
    STATE(1865), 2,
      sym_do_group,
      sym_compound_statement,
  [121856] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    ACTIONS(7333), 1,
      anon_sym_SEMI,
    STATE(2114), 2,
      sym_do_group,
      sym_compound_statement,
  [121873] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    ACTIONS(7335), 1,
      anon_sym_SEMI,
    STATE(1866), 2,
      sym_do_group,
      sym_compound_statement,
  [121890] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    ACTIONS(7337), 1,
      anon_sym_SEMI,
    STATE(1868), 2,
      sym_do_group,
      sym_compound_statement,
  [121907] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym__concat,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_RPAREN,
    STATE(2937), 1,
      aux_sym_concatenation_repeat1,
    STATE(3055), 1,
      aux_sym_case_item_repeat1,
  [121926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7341), 1,
      anon_sym_LF,
    ACTIONS(7343), 1,
      anon_sym_in,
    ACTIONS(7345), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121941] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    ACTIONS(7347), 1,
      anon_sym_SEMI,
    STATE(1875), 2,
      sym_do_group,
      sym_compound_statement,
  [121958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7349), 1,
      anon_sym_LF,
    ACTIONS(7351), 1,
      anon_sym_in,
    ACTIONS(7353), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121973] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    ACTIONS(7355), 1,
      anon_sym_SEMI,
    STATE(1877), 2,
      sym_do_group,
      sym_compound_statement,
  [121990] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    ACTIONS(7357), 1,
      anon_sym_SEMI,
    STATE(1888), 2,
      sym_do_group,
      sym_compound_statement,
  [122007] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym__concat,
    STATE(2937), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7359), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [122021] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1954), 2,
      sym_do_group,
      sym_compound_statement,
  [122035] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1885), 2,
      sym_do_group,
      sym_compound_statement,
  [122049] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1884), 2,
      sym_do_group,
      sym_compound_statement,
  [122063] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1780), 2,
      sym_do_group,
      sym_compound_statement,
  [122077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_LF,
    ACTIONS(7363), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122089] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2080), 2,
      sym_do_group,
      sym_compound_statement,
  [122103] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym__special_character,
    STATE(3050), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1258), 2,
      sym__concat,
      anon_sym_RBRACK,
  [122117] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1876), 2,
      sym_do_group,
      sym_compound_statement,
  [122131] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1889), 2,
      sym_do_group,
      sym_compound_statement,
  [122145] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(183), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7365), 1,
      anon_sym_esac,
    ACTIONS(185), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122159] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2110), 2,
      sym_do_group,
      sym_compound_statement,
  [122173] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1873), 2,
      sym_do_group,
      sym_compound_statement,
  [122187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7367), 1,
      anon_sym_LF,
    ACTIONS(7369), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122199] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1872), 2,
      sym_do_group,
      sym_compound_statement,
  [122213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_LF,
    ACTIONS(7373), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122225] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1890), 2,
      sym_do_group,
      sym_compound_statement,
  [122239] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2111), 2,
      sym_do_group,
      sym_compound_statement,
  [122253] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1864), 2,
      sym_do_group,
      sym_compound_statement,
  [122267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_LF,
    ACTIONS(7377), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_LF,
    ACTIONS(7381), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122291] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5268), 1,
      sym__special_character,
    STATE(1908), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7383), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [122305] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2072), 2,
      sym_do_group,
      sym_compound_statement,
  [122319] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2073), 2,
      sym_do_group,
      sym_compound_statement,
  [122333] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2130), 2,
      sym_do_group,
      sym_compound_statement,
  [122347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      anon_sym_LF,
    ACTIONS(7387), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_LF,
    ACTIONS(7391), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122371] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1967), 2,
      sym_do_group,
      sym_compound_statement,
  [122385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7393), 1,
      anon_sym_LF,
    ACTIONS(7395), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122397] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7397), 1,
      sym__concat,
    STATE(1972), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1238), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [122411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7399), 1,
      anon_sym_LF,
    ACTIONS(7401), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_LF,
    ACTIONS(7405), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122435] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1936), 2,
      sym_do_group,
      sym_compound_statement,
  [122449] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7407), 1,
      anon_sym_RBRACK,
    ACTIONS(7409), 1,
      sym__special_character,
    ACTIONS(7411), 1,
      sym__concat,
    STATE(2947), 1,
      aux_sym__literal_repeat1,
  [122465] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7413), 1,
      anon_sym_esac,
    ACTIONS(191), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122479] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1952), 2,
      sym_do_group,
      sym_compound_statement,
  [122493] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1940), 2,
      sym_do_group,
      sym_compound_statement,
  [122507] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1941), 2,
      sym_do_group,
      sym_compound_statement,
  [122521] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2109), 2,
      sym_do_group,
      sym_compound_statement,
  [122535] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7415), 1,
      sym__special_character,
    STATE(2947), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1332), 2,
      sym__concat,
      anon_sym_RBRACK,
  [122549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7418), 1,
      anon_sym_LF,
    ACTIONS(7420), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122561] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1942), 2,
      sym_do_group,
      sym_compound_statement,
  [122575] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7409), 1,
      sym__special_character,
    ACTIONS(7422), 1,
      anon_sym_RBRACK,
    ACTIONS(7424), 1,
      sym__concat,
    STATE(2947), 1,
      aux_sym__literal_repeat1,
  [122591] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2118), 2,
      sym_do_group,
      sym_compound_statement,
  [122605] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7426), 1,
      anon_sym_esac,
    ACTIONS(7428), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7430), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7432), 1,
      anon_sym_LF,
    ACTIONS(7434), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7436), 1,
      anon_sym_LF,
    ACTIONS(7438), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7440), 1,
      anon_sym_LF,
    ACTIONS(7442), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7444), 1,
      anon_sym_LF,
    ACTIONS(7446), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122667] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym__special_character,
    ACTIONS(1258), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122683] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7450), 1,
      anon_sym_esac,
    ACTIONS(7452), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7454), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122697] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7456), 1,
      anon_sym_RBRACE,
    ACTIONS(7458), 1,
      sym__special_character,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122710] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7460), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122723] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122734] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7466), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122747] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122760] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7468), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122773] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7470), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122786] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3729), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122799] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7472), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122812] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7474), 1,
      sym__concat,
    ACTIONS(5259), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122823] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122836] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7476), 1,
      sym__concat,
    ACTIONS(5325), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122847] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7478), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122860] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122873] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3996), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122886] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7480), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122899] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122912] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7482), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122925] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122938] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7484), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122951] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7486), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122964] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7488), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [122977] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [122990] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7490), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123003] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123016] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123029] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123042] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7492), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123055] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7494), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123068] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123081] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123094] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_RBRACE,
    ACTIONS(7496), 1,
      sym__concat,
    STATE(3000), 1,
      aux_sym_concatenation_repeat1,
  [123107] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123120] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7498), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123133] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7500), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123146] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3968), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123159] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7502), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123172] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123185] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123198] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym__special_character,
    ACTIONS(1258), 2,
      sym__concat,
      anon_sym_RBRACK,
  [123209] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7504), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123222] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_RBRACE,
    ACTIONS(7506), 1,
      sym__concat,
    STATE(3000), 1,
      aux_sym_concatenation_repeat1,
  [123235] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7509), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123248] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123261] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7511), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7430), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [123272] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7513), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123285] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7515), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123298] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7517), 1,
      anon_sym_RBRACK,
    ACTIONS(7519), 1,
      sym__concat,
    STATE(3050), 1,
      aux_sym_concatenation_repeat1,
  [123311] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123324] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7521), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123335] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7523), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123346] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7525), 1,
      anon_sym_RBRACK,
    ACTIONS(7527), 1,
      sym__concat,
    STATE(3050), 1,
      aux_sym_concatenation_repeat1,
  [123359] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    STATE(3058), 1,
      aux_sym_case_item_repeat1,
  [123372] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7529), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123383] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123396] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7531), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123409] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7533), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123420] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7535), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123431] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123444] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7537), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123457] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7539), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123470] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123483] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7541), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123494] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123507] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7543), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123520] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123533] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7545), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123546] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123559] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7547), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7454), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [123570] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123583] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7549), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123596] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7551), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123609] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7553), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123622] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7555), 1,
      anon_sym_RPAREN,
    STATE(3078), 1,
      aux_sym_case_item_repeat1,
  [123635] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123648] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(191), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [123659] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7557), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123672] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123685] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123698] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123711] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123724] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7559), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123737] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(185), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [123748] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123761] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7561), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123774] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123787] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7563), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123798] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7565), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123811] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7567), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123824] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123837] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7569), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123850] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_RBRACK,
    ACTIONS(7571), 1,
      sym__concat,
    STATE(2100), 1,
      aux_sym_concatenation_repeat1,
  [123863] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123876] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7573), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123889] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7575), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123902] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4136), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123915] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7577), 1,
      anon_sym_RPAREN,
    STATE(3078), 1,
      aux_sym_case_item_repeat1,
  [123928] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123941] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123954] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7579), 1,
      anon_sym_RPAREN,
    STATE(3078), 1,
      aux_sym_case_item_repeat1,
  [123967] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7581), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [123980] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [123993] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7583), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124006] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7585), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124019] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124032] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7587), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124045] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7589), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124058] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124071] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124084] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7591), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124097] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7593), 1,
      sym__concat,
    ACTIONS(5389), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124108] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124121] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    ACTIONS(7595), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124132] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7597), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124145] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    ACTIONS(7599), 1,
      sym__special_character,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124158] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7602), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124171] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124184] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_RPAREN,
    STATE(3055), 1,
      aux_sym_case_item_repeat1,
  [124197] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7604), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124210] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7606), 1,
      anon_sym_PIPE,
    ACTIONS(7609), 1,
      anon_sym_RPAREN,
    STATE(3078), 1,
      aux_sym_case_item_repeat1,
  [124223] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4170), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124236] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124249] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7611), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124262] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7613), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124275] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124288] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124301] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7615), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124314] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124327] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124340] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7617), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124353] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7619), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124366] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124379] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7621), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124392] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124405] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7623), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124418] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124431] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124444] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7625), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124457] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124470] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7627), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124483] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124496] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7629), 1,
      anon_sym_RPAREN,
    STATE(3078), 1,
      aux_sym_case_item_repeat1,
  [124509] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7631), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124522] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124535] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7633), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124548] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124561] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7635), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124574] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124587] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7637), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124600] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124613] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7639), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124626] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124639] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7641), 1,
      sym__concat,
    ACTIONS(5379), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124650] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(7448), 1,
      sym__concat,
    STATE(2990), 1,
      aux_sym_concatenation_repeat1,
  [124663] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7458), 1,
      sym__special_character,
    ACTIONS(7643), 1,
      anon_sym_RBRACE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
  [124676] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7647), 1,
      anon_sym_EQ,
  [124686] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7529), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124694] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7649), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7651), 1,
      aux_sym__simple_variable_name_token1,
  [124704] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1839), 1,
      sym_do_group,
  [124714] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124722] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1859), 1,
      sym_do_group,
  [124732] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7653), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7655), 1,
      aux_sym__simple_variable_name_token1,
  [124742] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5325), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124750] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7659), 1,
      aux_sym__simple_variable_name_token1,
  [124760] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_EQ,
  [124770] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7663), 1,
      anon_sym_EQ,
  [124780] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124788] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_EQ,
  [124798] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7667), 1,
      anon_sym_EQ,
  [124808] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7262), 1,
      anon_sym_do,
    STATE(1781), 1,
      sym_do_group,
  [124818] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7669), 1,
      anon_sym_EQ,
  [124828] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7671), 1,
      anon_sym_EQ,
  [124838] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2178), 1,
      sym_do_group,
  [124848] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124856] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7464), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124864] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_EQ,
  [124874] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7675), 1,
      anon_sym_EQ,
  [124884] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7677), 1,
      anon_sym_EQ,
  [124894] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7679), 1,
      anon_sym_EQ,
  [124904] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7681), 1,
      anon_sym_EQ,
  [124914] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7683), 1,
      anon_sym_EQ,
  [124924] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_EQ,
  [124934] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7687), 1,
      anon_sym_EQ,
  [124944] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2176), 1,
      sym_do_group,
  [124954] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_EQ,
  [124964] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7691), 1,
      anon_sym_EQ,
  [124974] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7693), 1,
      anon_sym_EQ,
  [124984] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_EQ,
  [124994] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7697), 1,
      anon_sym_EQ,
  [125004] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7359), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [125012] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7699), 1,
      anon_sym_EQ,
  [125022] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7701), 1,
      anon_sym_EQ,
  [125032] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_EQ,
  [125042] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1989), 1,
      sym_do_group,
  [125052] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7705), 1,
      anon_sym_EQ,
  [125062] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7707), 1,
      anon_sym_EQ,
  [125072] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7709), 1,
      anon_sym_EQ,
  [125082] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7711), 1,
      anon_sym_EQ,
  [125092] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7713), 1,
      anon_sym_EQ,
  [125102] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7715), 1,
      anon_sym_EQ,
  [125112] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_EQ,
  [125122] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5433), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125130] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7719), 1,
      anon_sym_EQ,
  [125140] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_EQ,
  [125150] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7723), 1,
      anon_sym_EQ,
  [125160] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7725), 1,
      anon_sym_EQ,
  [125170] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125178] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_EQ,
  [125188] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym__special_character,
    ACTIONS(1258), 1,
      anon_sym_RBRACE,
  [125198] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5547), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125206] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_EQ,
  [125216] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1415), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125224] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7731), 1,
      anon_sym_EQ,
  [125234] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7733), 1,
      anon_sym_EQ,
  [125244] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_EQ,
  [125254] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7517), 1,
      anon_sym_RBRACK,
    ACTIONS(7737), 1,
      sym__concat,
  [125264] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_EQ,
  [125274] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_EQ,
  [125284] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7595), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125292] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125300] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125308] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7743), 1,
      anon_sym_EQ,
  [125318] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_EQ,
  [125328] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7747), 1,
      anon_sym_EQ,
  [125338] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_do,
    STATE(2101), 1,
      sym_do_group,
  [125348] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_EQ,
  [125358] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7751), 1,
      anon_sym_EQ,
  [125368] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(1935), 1,
      sym_do_group,
  [125378] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7753), 1,
      anon_sym_EQ,
  [125388] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7755), 1,
      anon_sym_EQ,
  [125398] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7757), 1,
      anon_sym_EQ,
  [125408] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7521), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125416] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1427), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125424] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125432] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_EQ,
  [125442] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1301), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125450] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1297), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125458] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1293), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125466] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125474] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1289), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125482] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7761), 1,
      anon_sym_EQ,
  [125492] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7523), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125500] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7763), 2,
      anon_sym_do,
      anon_sym_then,
  [125508] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125516] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7765), 1,
      anon_sym_EQ,
  [125526] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_EQ,
  [125536] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125544] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125552] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7525), 1,
      anon_sym_RBRACK,
    ACTIONS(7769), 1,
      sym__concat,
  [125562] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1435), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125570] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_EQ,
  [125580] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7773), 1,
      anon_sym_EQ,
  [125590] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7533), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125598] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125606] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125614] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125622] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125630] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_EQ,
  [125640] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7777), 1,
      anon_sym_EQ,
  [125650] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7535), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125658] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1318), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125666] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7779), 1,
      anon_sym_EQ,
  [125676] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_EQ,
  [125686] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7541), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125694] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7783), 1,
      anon_sym_EQ,
  [125704] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7563), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125712] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125720] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_do,
    STATE(2047), 1,
      sym_do_group,
  [125730] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1472), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125738] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7785), 1,
      anon_sym_EQ,
  [125748] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1462), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125756] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1462), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125764] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    ACTIONS(7787), 1,
      anon_sym_EQ,
  [125774] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
  [125781] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7789), 1,
      anon_sym_RPAREN,
  [125788] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7791), 1,
      anon_sym_esac,
  [125795] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
  [125802] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_RBRACE,
  [125809] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7793), 1,
      anon_sym_RPAREN,
  [125816] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7795), 1,
      anon_sym_BQUOTE,
  [125823] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_RPAREN,
  [125830] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7797), 1,
      anon_sym_RPAREN,
  [125837] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
  [125844] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7799), 1,
      anon_sym_then,
  [125851] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
  [125858] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7801), 1,
      anon_sym_RPAREN,
  [125865] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4170), 1,
      anon_sym_RBRACE,
  [125872] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7803), 1,
      anon_sym_BQUOTE,
  [125879] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7805), 1,
      anon_sym_RPAREN,
  [125886] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_RPAREN,
  [125893] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7809), 1,
      anon_sym_BQUOTE,
  [125900] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_RPAREN,
  [125907] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7811), 1,
      anon_sym_BQUOTE,
  [125914] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
  [125921] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5155), 1,
      anon_sym_RPAREN,
  [125928] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7813), 1,
      anon_sym_RPAREN,
  [125935] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_RBRACE,
  [125942] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_RBRACE,
  [125949] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_RBRACE,
  [125956] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_RPAREN,
  [125963] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
  [125970] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
  [125977] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym_BQUOTE,
  [125984] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_RPAREN,
  [125991] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7821), 1,
      sym_heredoc_start,
  [125998] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_BQUOTE,
  [126005] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7825), 1,
      sym_word,
  [126012] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_RPAREN,
  [126019] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
  [126026] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_RBRACE,
  [126033] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
  [126040] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_RPAREN,
  [126047] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
  [126054] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_BQUOTE,
  [126061] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_RPAREN,
  [126068] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7831), 1,
      anon_sym_BQUOTE,
  [126075] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_RPAREN,
  [126082] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
  [126089] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7835), 1,
      anon_sym_in,
  [126096] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
  [126103] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
  [126110] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
  [126117] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_esac,
  [126124] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym_RPAREN,
  [126131] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_in,
  [126138] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4985), 1,
      anon_sym_RPAREN,
  [126145] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7843), 1,
      anon_sym_BQUOTE,
  [126152] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7845), 1,
      anon_sym_RPAREN,
  [126159] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_RBRACE,
  [126166] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_RPAREN,
  [126173] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7847), 1,
      anon_sym_BQUOTE,
  [126180] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
  [126187] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4964), 1,
      anon_sym_RPAREN,
  [126194] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7849), 1,
      anon_sym_BQUOTE,
  [126201] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7851), 1,
      anon_sym_RPAREN,
  [126208] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
  [126215] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
  [126222] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
  [126229] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_RBRACE,
  [126236] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_RBRACE,
  [126243] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
  [126250] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_RBRACE,
  [126257] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_BQUOTE,
  [126264] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_RPAREN,
  [126271] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_then,
  [126278] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_RBRACE,
  [126285] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7859), 1,
      anon_sym_RPAREN,
  [126292] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
  [126299] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
  [126306] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_BQUOTE,
  [126313] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_RPAREN,
  [126320] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_esac,
  [126327] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7867), 1,
      anon_sym_RPAREN,
  [126334] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_RBRACE,
  [126341] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_RPAREN,
  [126348] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_RBRACE,
  [126355] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_RPAREN,
  [126362] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_RBRACK,
  [126369] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_RBRACK,
  [126376] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_BQUOTE,
  [126383] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3968), 1,
      anon_sym_RBRACE,
  [126390] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7875), 1,
      sym_word,
  [126397] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_RBRACE,
  [126404] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
  [126411] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5209), 1,
      anon_sym_RPAREN,
  [126418] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_RBRACE,
  [126425] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
  [126432] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7877), 1,
      sym_heredoc_start,
  [126439] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7879), 1,
      anon_sym_RPAREN,
  [126446] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_RPAREN,
  [126453] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7881), 1,
      anon_sym_BQUOTE,
  [126460] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7883), 1,
      anon_sym_RPAREN,
  [126467] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7885), 1,
      anon_sym_BQUOTE,
  [126474] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_RBRACE,
  [126481] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_RPAREN,
  [126488] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
  [126495] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_RBRACE,
  [126502] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4136), 1,
      anon_sym_RBRACE,
  [126509] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
  [126516] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
  [126523] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
  [126530] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7889), 1,
      anon_sym_BQUOTE,
  [126537] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
  [126544] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7891), 1,
      anon_sym_RPAREN,
  [126551] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7893), 1,
      anon_sym_BQUOTE,
  [126558] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_RBRACE,
  [126565] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7895), 1,
      anon_sym_RPAREN,
  [126572] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_BQUOTE,
  [126579] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_RPAREN,
  [126586] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_RBRACE,
  [126593] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7899), 1,
      anon_sym_BQUOTE,
  [126600] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_RBRACE,
  [126607] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7236), 1,
      anon_sym_fi,
  [126614] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7901), 1,
      anon_sym_esac,
  [126621] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5780), 1,
      anon_sym_RBRACK,
  [126628] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_RPAREN,
  [126635] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7905), 1,
      anon_sym_esac,
  [126642] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7252), 1,
      anon_sym_fi,
  [126649] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7907), 1,
      anon_sym_then,
  [126656] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7909), 1,
      anon_sym_RBRACK,
  [126663] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
  [126670] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7911), 1,
      anon_sym_RPAREN,
  [126677] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_RBRACE,
  [126684] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7913), 1,
      anon_sym_RPAREN,
  [126691] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
  [126698] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7230), 1,
      anon_sym_fi,
  [126705] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_RBRACE,
  [126712] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_BQUOTE,
  [126719] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_then,
  [126726] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
  [126733] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
  [126740] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
  [126747] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_BQUOTE,
  [126754] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
  [126761] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_RPAREN,
  [126768] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7923), 1,
      anon_sym_esac,
  [126775] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
  [126782] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7925), 1,
      anon_sym_fi,
  [126789] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_RPAREN,
  [126796] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7929), 1,
      anon_sym_esac,
  [126803] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
  [126810] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_BQUOTE,
  [126817] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_RPAREN,
  [126824] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7933), 1,
      anon_sym_esac,
  [126831] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7935), 1,
      anon_sym_BQUOTE,
  [126838] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7937), 1,
      anon_sym_fi,
  [126845] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7939), 1,
      anon_sym_esac,
  [126852] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7254), 1,
      anon_sym_fi,
  [126859] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7941), 1,
      anon_sym_esac,
  [126866] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_RPAREN,
  [126873] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5126), 1,
      anon_sym_RPAREN,
  [126880] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RBRACE,
  [126887] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_RPAREN,
  [126894] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7943), 1,
      ts_builtin_sym_end,
  [126901] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7945), 1,
      anon_sym_BQUOTE,
  [126908] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7947), 1,
      anon_sym_RPAREN,
  [126915] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7949), 1,
      ts_builtin_sym_end,
  [126922] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
  [126929] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
  [126936] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_RBRACE,
  [126943] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_RBRACE,
  [126950] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7951), 1,
      anon_sym_esac,
  [126957] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RBRACE,
  [126964] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
  [126971] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
  [126978] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3996), 1,
      anon_sym_RBRACE,
  [126985] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
  [126992] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_RPAREN,
  [126999] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7955), 1,
      anon_sym_RPAREN,
  [127006] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7957), 1,
      anon_sym_BQUOTE,
  [127013] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_RPAREN,
  [127020] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7959), 1,
      anon_sym_esac,
  [127027] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7961), 1,
      anon_sym_in,
  [127034] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7963), 1,
      anon_sym_in,
  [127041] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7965), 1,
      anon_sym_esac,
  [127048] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7967), 1,
      anon_sym_esac,
  [127055] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7969), 1,
      anon_sym_esac,
  [127062] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7971), 1,
      anon_sym_fi,
  [127069] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_BQUOTE,
  [127076] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3729), 1,
      anon_sym_RBRACE,
  [127083] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7975), 1,
      anon_sym_BQUOTE,
  [127090] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7977), 1,
      anon_sym_esac,
  [127097] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7979), 1,
      anon_sym_esac,
  [127104] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7981), 1,
      anon_sym_BQUOTE,
  [127111] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7983), 1,
      sym_word,
  [127118] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7238), 1,
      anon_sym_fi,
  [127125] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5023), 1,
      anon_sym_RPAREN,
  [127132] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7985), 1,
      anon_sym_BQUOTE,
  [127139] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
  [127146] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5017), 1,
      anon_sym_RPAREN,
  [127153] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_in,
  [127160] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_in,
  [127167] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7246), 1,
      anon_sym_fi,
  [127174] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7991), 1,
      anon_sym_RPAREN,
  [127181] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_heredoc_start,
  [127188] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7995), 1,
      anon_sym_RPAREN,
  [127195] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_esac,
  [127202] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7999), 1,
      anon_sym_BQUOTE,
  [127209] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
  [127216] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
  [127223] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_RPAREN,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(154)] = 0,
  [SMALL_STATE(155)] = 83,
  [SMALL_STATE(156)] = 166,
  [SMALL_STATE(157)] = 249,
  [SMALL_STATE(158)] = 331,
  [SMALL_STATE(159)] = 395,
  [SMALL_STATE(160)] = 477,
  [SMALL_STATE(161)] = 541,
  [SMALL_STATE(162)] = 605,
  [SMALL_STATE(163)] = 665,
  [SMALL_STATE(164)] = 747,
  [SMALL_STATE(165)] = 810,
  [SMALL_STATE(166)] = 891,
  [SMALL_STATE(167)] = 954,
  [SMALL_STATE(168)] = 1017,
  [SMALL_STATE(169)] = 1098,
  [SMALL_STATE(170)] = 1179,
  [SMALL_STATE(171)] = 1258,
  [SMALL_STATE(172)] = 1321,
  [SMALL_STATE(173)] = 1400,
  [SMALL_STATE(174)] = 1479,
  [SMALL_STATE(175)] = 1560,
  [SMALL_STATE(176)] = 1641,
  [SMALL_STATE(177)] = 1720,
  [SMALL_STATE(178)] = 1783,
  [SMALL_STATE(179)] = 1862,
  [SMALL_STATE(180)] = 1943,
  [SMALL_STATE(181)] = 2019,
  [SMALL_STATE(182)] = 2095,
  [SMALL_STATE(183)] = 2173,
  [SMALL_STATE(184)] = 2251,
  [SMALL_STATE(185)] = 2329,
  [SMALL_STATE(186)] = 2391,
  [SMALL_STATE(187)] = 2469,
  [SMALL_STATE(188)] = 2531,
  [SMALL_STATE(189)] = 2609,
  [SMALL_STATE(190)] = 2685,
  [SMALL_STATE(191)] = 2747,
  [SMALL_STATE(192)] = 2809,
  [SMALL_STATE(193)] = 2887,
  [SMALL_STATE(194)] = 2949,
  [SMALL_STATE(195)] = 3027,
  [SMALL_STATE(196)] = 3082,
  [SMALL_STATE(197)] = 3137,
  [SMALL_STATE(198)] = 3192,
  [SMALL_STATE(199)] = 3251,
  [SMALL_STATE(200)] = 3306,
  [SMALL_STATE(201)] = 3367,
  [SMALL_STATE(202)] = 3428,
  [SMALL_STATE(203)] = 3489,
  [SMALL_STATE(204)] = 3566,
  [SMALL_STATE(205)] = 3621,
  [SMALL_STATE(206)] = 3696,
  [SMALL_STATE(207)] = 3773,
  [SMALL_STATE(208)] = 3834,
  [SMALL_STATE(209)] = 3889,
  [SMALL_STATE(210)] = 3946,
  [SMALL_STATE(211)] = 4021,
  [SMALL_STATE(212)] = 4080,
  [SMALL_STATE(213)] = 4157,
  [SMALL_STATE(214)] = 4234,
  [SMALL_STATE(215)] = 4311,
  [SMALL_STATE(216)] = 4388,
  [SMALL_STATE(217)] = 4447,
  [SMALL_STATE(218)] = 4506,
  [SMALL_STATE(219)] = 4561,
  [SMALL_STATE(220)] = 4612,
  [SMALL_STATE(221)] = 4687,
  [SMALL_STATE(222)] = 4742,
  [SMALL_STATE(223)] = 4819,
  [SMALL_STATE(224)] = 4896,
  [SMALL_STATE(225)] = 4947,
  [SMALL_STATE(226)] = 5024,
  [SMALL_STATE(227)] = 5085,
  [SMALL_STATE(228)] = 5162,
  [SMALL_STATE(229)] = 5218,
  [SMALL_STATE(230)] = 5292,
  [SMALL_STATE(231)] = 5366,
  [SMALL_STATE(232)] = 5426,
  [SMALL_STATE(233)] = 5500,
  [SMALL_STATE(234)] = 5558,
  [SMALL_STATE(235)] = 5632,
  [SMALL_STATE(236)] = 5706,
  [SMALL_STATE(237)] = 5780,
  [SMALL_STATE(238)] = 5838,
  [SMALL_STATE(239)] = 5912,
  [SMALL_STATE(240)] = 5986,
  [SMALL_STATE(241)] = 6046,
  [SMALL_STATE(242)] = 6120,
  [SMALL_STATE(243)] = 6194,
  [SMALL_STATE(244)] = 6285,
  [SMALL_STATE(245)] = 6356,
  [SMALL_STATE(246)] = 6447,
  [SMALL_STATE(247)] = 6538,
  [SMALL_STATE(248)] = 6609,
  [SMALL_STATE(249)] = 6700,
  [SMALL_STATE(250)] = 6791,
  [SMALL_STATE(251)] = 6841,
  [SMALL_STATE(252)] = 6889,
  [SMALL_STATE(253)] = 6939,
  [SMALL_STATE(254)] = 6989,
  [SMALL_STATE(255)] = 7037,
  [SMALL_STATE(256)] = 7087,
  [SMALL_STATE(257)] = 7140,
  [SMALL_STATE(258)] = 7187,
  [SMALL_STATE(259)] = 7240,
  [SMALL_STATE(260)] = 7289,
  [SMALL_STATE(261)] = 7336,
  [SMALL_STATE(262)] = 7399,
  [SMALL_STATE(263)] = 7454,
  [SMALL_STATE(264)] = 7503,
  [SMALL_STATE(265)] = 7552,
  [SMALL_STATE(266)] = 7615,
  [SMALL_STATE(267)] = 7664,
  [SMALL_STATE(268)] = 7714,
  [SMALL_STATE(269)] = 7766,
  [SMALL_STATE(270)] = 7816,
  [SMALL_STATE(271)] = 7866,
  [SMALL_STATE(272)] = 7916,
  [SMALL_STATE(273)] = 7978,
  [SMALL_STATE(274)] = 8028,
  [SMALL_STATE(275)] = 8078,
  [SMALL_STATE(276)] = 8128,
  [SMALL_STATE(277)] = 8178,
  [SMALL_STATE(278)] = 8240,
  [SMALL_STATE(279)] = 8290,
  [SMALL_STATE(280)] = 8340,
  [SMALL_STATE(281)] = 8390,
  [SMALL_STATE(282)] = 8442,
  [SMALL_STATE(283)] = 8496,
  [SMALL_STATE(284)] = 8545,
  [SMALL_STATE(285)] = 8590,
  [SMALL_STATE(286)] = 8635,
  [SMALL_STATE(287)] = 8680,
  [SMALL_STATE(288)] = 8725,
  [SMALL_STATE(289)] = 8770,
  [SMALL_STATE(290)] = 8815,
  [SMALL_STATE(291)] = 8864,
  [SMALL_STATE(292)] = 8913,
  [SMALL_STATE(293)] = 8958,
  [SMALL_STATE(294)] = 9007,
  [SMALL_STATE(295)] = 9056,
  [SMALL_STATE(296)] = 9101,
  [SMALL_STATE(297)] = 9150,
  [SMALL_STATE(298)] = 9199,
  [SMALL_STATE(299)] = 9248,
  [SMALL_STATE(300)] = 9301,
  [SMALL_STATE(301)] = 9352,
  [SMALL_STATE(302)] = 9401,
  [SMALL_STATE(303)] = 9450,
  [SMALL_STATE(304)] = 9499,
  [SMALL_STATE(305)] = 9548,
  [SMALL_STATE(306)] = 9599,
  [SMALL_STATE(307)] = 9652,
  [SMALL_STATE(308)] = 9697,
  [SMALL_STATE(309)] = 9758,
  [SMALL_STATE(310)] = 9807,
  [SMALL_STATE(311)] = 9856,
  [SMALL_STATE(312)] = 9905,
  [SMALL_STATE(313)] = 9950,
  [SMALL_STATE(314)] = 9999,
  [SMALL_STATE(315)] = 10048,
  [SMALL_STATE(316)] = 10097,
  [SMALL_STATE(317)] = 10142,
  [SMALL_STATE(318)] = 10203,
  [SMALL_STATE(319)] = 10248,
  [SMALL_STATE(320)] = 10309,
  [SMALL_STATE(321)] = 10354,
  [SMALL_STATE(322)] = 10403,
  [SMALL_STATE(323)] = 10448,
  [SMALL_STATE(324)] = 10499,
  [SMALL_STATE(325)] = 10544,
  [SMALL_STATE(326)] = 10589,
  [SMALL_STATE(327)] = 10634,
  [SMALL_STATE(328)] = 10679,
  [SMALL_STATE(329)] = 10724,
  [SMALL_STATE(330)] = 10769,
  [SMALL_STATE(331)] = 10814,
  [SMALL_STATE(332)] = 10859,
  [SMALL_STATE(333)] = 10904,
  [SMALL_STATE(334)] = 10949,
  [SMALL_STATE(335)] = 10994,
  [SMALL_STATE(336)] = 11055,
  [SMALL_STATE(337)] = 11104,
  [SMALL_STATE(338)] = 11153,
  [SMALL_STATE(339)] = 11202,
  [SMALL_STATE(340)] = 11247,
  [SMALL_STATE(341)] = 11292,
  [SMALL_STATE(342)] = 11343,
  [SMALL_STATE(343)] = 11388,
  [SMALL_STATE(344)] = 11437,
  [SMALL_STATE(345)] = 11482,
  [SMALL_STATE(346)] = 11527,
  [SMALL_STATE(347)] = 11572,
  [SMALL_STATE(348)] = 11617,
  [SMALL_STATE(349)] = 11662,
  [SMALL_STATE(350)] = 11707,
  [SMALL_STATE(351)] = 11752,
  [SMALL_STATE(352)] = 11797,
  [SMALL_STATE(353)] = 11842,
  [SMALL_STATE(354)] = 11891,
  [SMALL_STATE(355)] = 11936,
  [SMALL_STATE(356)] = 11981,
  [SMALL_STATE(357)] = 12026,
  [SMALL_STATE(358)] = 12071,
  [SMALL_STATE(359)] = 12116,
  [SMALL_STATE(360)] = 12161,
  [SMALL_STATE(361)] = 12206,
  [SMALL_STATE(362)] = 12251,
  [SMALL_STATE(363)] = 12296,
  [SMALL_STATE(364)] = 12341,
  [SMALL_STATE(365)] = 12386,
  [SMALL_STATE(366)] = 12431,
  [SMALL_STATE(367)] = 12476,
  [SMALL_STATE(368)] = 12521,
  [SMALL_STATE(369)] = 12566,
  [SMALL_STATE(370)] = 12615,
  [SMALL_STATE(371)] = 12664,
  [SMALL_STATE(372)] = 12708,
  [SMALL_STATE(373)] = 12756,
  [SMALL_STATE(374)] = 12804,
  [SMALL_STATE(375)] = 12854,
  [SMALL_STATE(376)] = 12898,
  [SMALL_STATE(377)] = 12942,
  [SMALL_STATE(378)] = 12986,
  [SMALL_STATE(379)] = 13030,
  [SMALL_STATE(380)] = 13074,
  [SMALL_STATE(381)] = 13118,
  [SMALL_STATE(382)] = 13162,
  [SMALL_STATE(383)] = 13206,
  [SMALL_STATE(384)] = 13254,
  [SMALL_STATE(385)] = 13306,
  [SMALL_STATE(386)] = 13354,
  [SMALL_STATE(387)] = 13402,
  [SMALL_STATE(388)] = 13446,
  [SMALL_STATE(389)] = 13490,
  [SMALL_STATE(390)] = 13534,
  [SMALL_STATE(391)] = 13578,
  [SMALL_STATE(392)] = 13622,
  [SMALL_STATE(393)] = 13666,
  [SMALL_STATE(394)] = 13710,
  [SMALL_STATE(395)] = 13754,
  [SMALL_STATE(396)] = 13798,
  [SMALL_STATE(397)] = 13842,
  [SMALL_STATE(398)] = 13886,
  [SMALL_STATE(399)] = 13930,
  [SMALL_STATE(400)] = 13974,
  [SMALL_STATE(401)] = 14022,
  [SMALL_STATE(402)] = 14066,
  [SMALL_STATE(403)] = 14110,
  [SMALL_STATE(404)] = 14154,
  [SMALL_STATE(405)] = 14198,
  [SMALL_STATE(406)] = 14246,
  [SMALL_STATE(407)] = 14294,
  [SMALL_STATE(408)] = 14338,
  [SMALL_STATE(409)] = 14382,
  [SMALL_STATE(410)] = 14426,
  [SMALL_STATE(411)] = 14474,
  [SMALL_STATE(412)] = 14518,
  [SMALL_STATE(413)] = 14562,
  [SMALL_STATE(414)] = 14606,
  [SMALL_STATE(415)] = 14650,
  [SMALL_STATE(416)] = 14694,
  [SMALL_STATE(417)] = 14738,
  [SMALL_STATE(418)] = 14786,
  [SMALL_STATE(419)] = 14834,
  [SMALL_STATE(420)] = 14878,
  [SMALL_STATE(421)] = 14922,
  [SMALL_STATE(422)] = 14970,
  [SMALL_STATE(423)] = 15014,
  [SMALL_STATE(424)] = 15062,
  [SMALL_STATE(425)] = 15106,
  [SMALL_STATE(426)] = 15150,
  [SMALL_STATE(427)] = 15198,
  [SMALL_STATE(428)] = 15242,
  [SMALL_STATE(429)] = 15286,
  [SMALL_STATE(430)] = 15330,
  [SMALL_STATE(431)] = 15374,
  [SMALL_STATE(432)] = 15422,
  [SMALL_STATE(433)] = 15466,
  [SMALL_STATE(434)] = 15510,
  [SMALL_STATE(435)] = 15554,
  [SMALL_STATE(436)] = 15598,
  [SMALL_STATE(437)] = 15642,
  [SMALL_STATE(438)] = 15686,
  [SMALL_STATE(439)] = 15734,
  [SMALL_STATE(440)] = 15778,
  [SMALL_STATE(441)] = 15822,
  [SMALL_STATE(442)] = 15866,
  [SMALL_STATE(443)] = 15914,
  [SMALL_STATE(444)] = 15958,
  [SMALL_STATE(445)] = 16002,
  [SMALL_STATE(446)] = 16046,
  [SMALL_STATE(447)] = 16106,
  [SMALL_STATE(448)] = 16150,
  [SMALL_STATE(449)] = 16208,
  [SMALL_STATE(450)] = 16252,
  [SMALL_STATE(451)] = 16296,
  [SMALL_STATE(452)] = 16344,
  [SMALL_STATE(453)] = 16388,
  [SMALL_STATE(454)] = 16446,
  [SMALL_STATE(455)] = 16490,
  [SMALL_STATE(456)] = 16534,
  [SMALL_STATE(457)] = 16592,
  [SMALL_STATE(458)] = 16636,
  [SMALL_STATE(459)] = 16684,
  [SMALL_STATE(460)] = 16732,
  [SMALL_STATE(461)] = 16780,
  [SMALL_STATE(462)] = 16824,
  [SMALL_STATE(463)] = 16868,
  [SMALL_STATE(464)] = 16912,
  [SMALL_STATE(465)] = 16956,
  [SMALL_STATE(466)] = 17004,
  [SMALL_STATE(467)] = 17048,
  [SMALL_STATE(468)] = 17092,
  [SMALL_STATE(469)] = 17136,
  [SMALL_STATE(470)] = 17180,
  [SMALL_STATE(471)] = 17228,
  [SMALL_STATE(472)] = 17272,
  [SMALL_STATE(473)] = 17316,
  [SMALL_STATE(474)] = 17360,
  [SMALL_STATE(475)] = 17404,
  [SMALL_STATE(476)] = 17448,
  [SMALL_STATE(477)] = 17496,
  [SMALL_STATE(478)] = 17540,
  [SMALL_STATE(479)] = 17584,
  [SMALL_STATE(480)] = 17632,
  [SMALL_STATE(481)] = 17676,
  [SMALL_STATE(482)] = 17720,
  [SMALL_STATE(483)] = 17764,
  [SMALL_STATE(484)] = 17808,
  [SMALL_STATE(485)] = 17852,
  [SMALL_STATE(486)] = 17896,
  [SMALL_STATE(487)] = 17940,
  [SMALL_STATE(488)] = 17984,
  [SMALL_STATE(489)] = 18032,
  [SMALL_STATE(490)] = 18076,
  [SMALL_STATE(491)] = 18120,
  [SMALL_STATE(492)] = 18164,
  [SMALL_STATE(493)] = 18208,
  [SMALL_STATE(494)] = 18252,
  [SMALL_STATE(495)] = 18296,
  [SMALL_STATE(496)] = 18340,
  [SMALL_STATE(497)] = 18384,
  [SMALL_STATE(498)] = 18428,
  [SMALL_STATE(499)] = 18476,
  [SMALL_STATE(500)] = 18520,
  [SMALL_STATE(501)] = 18568,
  [SMALL_STATE(502)] = 18616,
  [SMALL_STATE(503)] = 18664,
  [SMALL_STATE(504)] = 18712,
  [SMALL_STATE(505)] = 18760,
  [SMALL_STATE(506)] = 18804,
  [SMALL_STATE(507)] = 18852,
  [SMALL_STATE(508)] = 18896,
  [SMALL_STATE(509)] = 18940,
  [SMALL_STATE(510)] = 18984,
  [SMALL_STATE(511)] = 19028,
  [SMALL_STATE(512)] = 19072,
  [SMALL_STATE(513)] = 19116,
  [SMALL_STATE(514)] = 19160,
  [SMALL_STATE(515)] = 19214,
  [SMALL_STATE(516)] = 19258,
  [SMALL_STATE(517)] = 19302,
  [SMALL_STATE(518)] = 19350,
  [SMALL_STATE(519)] = 19398,
  [SMALL_STATE(520)] = 19446,
  [SMALL_STATE(521)] = 19494,
  [SMALL_STATE(522)] = 19538,
  [SMALL_STATE(523)] = 19582,
  [SMALL_STATE(524)] = 19626,
  [SMALL_STATE(525)] = 19684,
  [SMALL_STATE(526)] = 19732,
  [SMALL_STATE(527)] = 19776,
  [SMALL_STATE(528)] = 19824,
  [SMALL_STATE(529)] = 19868,
  [SMALL_STATE(530)] = 19916,
  [SMALL_STATE(531)] = 19960,
  [SMALL_STATE(532)] = 20008,
  [SMALL_STATE(533)] = 20068,
  [SMALL_STATE(534)] = 20111,
  [SMALL_STATE(535)] = 20158,
  [SMALL_STATE(536)] = 20205,
  [SMALL_STATE(537)] = 20248,
  [SMALL_STATE(538)] = 20291,
  [SMALL_STATE(539)] = 20334,
  [SMALL_STATE(540)] = 20381,
  [SMALL_STATE(541)] = 20428,
  [SMALL_STATE(542)] = 20471,
  [SMALL_STATE(543)] = 20514,
  [SMALL_STATE(544)] = 20557,
  [SMALL_STATE(545)] = 20604,
  [SMALL_STATE(546)] = 20651,
  [SMALL_STATE(547)] = 20694,
  [SMALL_STATE(548)] = 20737,
  [SMALL_STATE(549)] = 20780,
  [SMALL_STATE(550)] = 20827,
  [SMALL_STATE(551)] = 20870,
  [SMALL_STATE(552)] = 20913,
  [SMALL_STATE(553)] = 20956,
  [SMALL_STATE(554)] = 21009,
  [SMALL_STATE(555)] = 21052,
  [SMALL_STATE(556)] = 21095,
  [SMALL_STATE(557)] = 21138,
  [SMALL_STATE(558)] = 21181,
  [SMALL_STATE(559)] = 21224,
  [SMALL_STATE(560)] = 21267,
  [SMALL_STATE(561)] = 21310,
  [SMALL_STATE(562)] = 21353,
  [SMALL_STATE(563)] = 21396,
  [SMALL_STATE(564)] = 21439,
  [SMALL_STATE(565)] = 21482,
  [SMALL_STATE(566)] = 21525,
  [SMALL_STATE(567)] = 21568,
  [SMALL_STATE(568)] = 21611,
  [SMALL_STATE(569)] = 21654,
  [SMALL_STATE(570)] = 21697,
  [SMALL_STATE(571)] = 21740,
  [SMALL_STATE(572)] = 21783,
  [SMALL_STATE(573)] = 21830,
  [SMALL_STATE(574)] = 21877,
  [SMALL_STATE(575)] = 21920,
  [SMALL_STATE(576)] = 21963,
  [SMALL_STATE(577)] = 22006,
  [SMALL_STATE(578)] = 22049,
  [SMALL_STATE(579)] = 22092,
  [SMALL_STATE(580)] = 22135,
  [SMALL_STATE(581)] = 22178,
  [SMALL_STATE(582)] = 22221,
  [SMALL_STATE(583)] = 22264,
  [SMALL_STATE(584)] = 22311,
  [SMALL_STATE(585)] = 22354,
  [SMALL_STATE(586)] = 22397,
  [SMALL_STATE(587)] = 22440,
  [SMALL_STATE(588)] = 22483,
  [SMALL_STATE(589)] = 22526,
  [SMALL_STATE(590)] = 22569,
  [SMALL_STATE(591)] = 22612,
  [SMALL_STATE(592)] = 22655,
  [SMALL_STATE(593)] = 22698,
  [SMALL_STATE(594)] = 22741,
  [SMALL_STATE(595)] = 22784,
  [SMALL_STATE(596)] = 22827,
  [SMALL_STATE(597)] = 22870,
  [SMALL_STATE(598)] = 22913,
  [SMALL_STATE(599)] = 22956,
  [SMALL_STATE(600)] = 23003,
  [SMALL_STATE(601)] = 23050,
  [SMALL_STATE(602)] = 23093,
  [SMALL_STATE(603)] = 23136,
  [SMALL_STATE(604)] = 23179,
  [SMALL_STATE(605)] = 23222,
  [SMALL_STATE(606)] = 23265,
  [SMALL_STATE(607)] = 23308,
  [SMALL_STATE(608)] = 23351,
  [SMALL_STATE(609)] = 23394,
  [SMALL_STATE(610)] = 23437,
  [SMALL_STATE(611)] = 23480,
  [SMALL_STATE(612)] = 23523,
  [SMALL_STATE(613)] = 23566,
  [SMALL_STATE(614)] = 23609,
  [SMALL_STATE(615)] = 23656,
  [SMALL_STATE(616)] = 23699,
  [SMALL_STATE(617)] = 23742,
  [SMALL_STATE(618)] = 23785,
  [SMALL_STATE(619)] = 23832,
  [SMALL_STATE(620)] = 23879,
  [SMALL_STATE(621)] = 23922,
  [SMALL_STATE(622)] = 23969,
  [SMALL_STATE(623)] = 24012,
  [SMALL_STATE(624)] = 24059,
  [SMALL_STATE(625)] = 24106,
  [SMALL_STATE(626)] = 24149,
  [SMALL_STATE(627)] = 24196,
  [SMALL_STATE(628)] = 24239,
  [SMALL_STATE(629)] = 24282,
  [SMALL_STATE(630)] = 24325,
  [SMALL_STATE(631)] = 24368,
  [SMALL_STATE(632)] = 24415,
  [SMALL_STATE(633)] = 24458,
  [SMALL_STATE(634)] = 24501,
  [SMALL_STATE(635)] = 24544,
  [SMALL_STATE(636)] = 24587,
  [SMALL_STATE(637)] = 24634,
  [SMALL_STATE(638)] = 24677,
  [SMALL_STATE(639)] = 24724,
  [SMALL_STATE(640)] = 24771,
  [SMALL_STATE(641)] = 24818,
  [SMALL_STATE(642)] = 24865,
  [SMALL_STATE(643)] = 24918,
  [SMALL_STATE(644)] = 24965,
  [SMALL_STATE(645)] = 25008,
  [SMALL_STATE(646)] = 25051,
  [SMALL_STATE(647)] = 25094,
  [SMALL_STATE(648)] = 25137,
  [SMALL_STATE(649)] = 25180,
  [SMALL_STATE(650)] = 25223,
  [SMALL_STATE(651)] = 25266,
  [SMALL_STATE(652)] = 25309,
  [SMALL_STATE(653)] = 25352,
  [SMALL_STATE(654)] = 25395,
  [SMALL_STATE(655)] = 25442,
  [SMALL_STATE(656)] = 25489,
  [SMALL_STATE(657)] = 25532,
  [SMALL_STATE(658)] = 25575,
  [SMALL_STATE(659)] = 25618,
  [SMALL_STATE(660)] = 25661,
  [SMALL_STATE(661)] = 25704,
  [SMALL_STATE(662)] = 25747,
  [SMALL_STATE(663)] = 25790,
  [SMALL_STATE(664)] = 25833,
  [SMALL_STATE(665)] = 25876,
  [SMALL_STATE(666)] = 25919,
  [SMALL_STATE(667)] = 25962,
  [SMALL_STATE(668)] = 26005,
  [SMALL_STATE(669)] = 26048,
  [SMALL_STATE(670)] = 26091,
  [SMALL_STATE(671)] = 26134,
  [SMALL_STATE(672)] = 26177,
  [SMALL_STATE(673)] = 26220,
  [SMALL_STATE(674)] = 26263,
  [SMALL_STATE(675)] = 26306,
  [SMALL_STATE(676)] = 26349,
  [SMALL_STATE(677)] = 26392,
  [SMALL_STATE(678)] = 26435,
  [SMALL_STATE(679)] = 26478,
  [SMALL_STATE(680)] = 26521,
  [SMALL_STATE(681)] = 26564,
  [SMALL_STATE(682)] = 26607,
  [SMALL_STATE(683)] = 26650,
  [SMALL_STATE(684)] = 26693,
  [SMALL_STATE(685)] = 26736,
  [SMALL_STATE(686)] = 26779,
  [SMALL_STATE(687)] = 26822,
  [SMALL_STATE(688)] = 26865,
  [SMALL_STATE(689)] = 26908,
  [SMALL_STATE(690)] = 26951,
  [SMALL_STATE(691)] = 26994,
  [SMALL_STATE(692)] = 27037,
  [SMALL_STATE(693)] = 27080,
  [SMALL_STATE(694)] = 27123,
  [SMALL_STATE(695)] = 27166,
  [SMALL_STATE(696)] = 27209,
  [SMALL_STATE(697)] = 27252,
  [SMALL_STATE(698)] = 27295,
  [SMALL_STATE(699)] = 27338,
  [SMALL_STATE(700)] = 27381,
  [SMALL_STATE(701)] = 27424,
  [SMALL_STATE(702)] = 27467,
  [SMALL_STATE(703)] = 27510,
  [SMALL_STATE(704)] = 27553,
  [SMALL_STATE(705)] = 27596,
  [SMALL_STATE(706)] = 27639,
  [SMALL_STATE(707)] = 27682,
  [SMALL_STATE(708)] = 27725,
  [SMALL_STATE(709)] = 27768,
  [SMALL_STATE(710)] = 27811,
  [SMALL_STATE(711)] = 27854,
  [SMALL_STATE(712)] = 27897,
  [SMALL_STATE(713)] = 27940,
  [SMALL_STATE(714)] = 27983,
  [SMALL_STATE(715)] = 28026,
  [SMALL_STATE(716)] = 28069,
  [SMALL_STATE(717)] = 28116,
  [SMALL_STATE(718)] = 28159,
  [SMALL_STATE(719)] = 28202,
  [SMALL_STATE(720)] = 28245,
  [SMALL_STATE(721)] = 28288,
  [SMALL_STATE(722)] = 28331,
  [SMALL_STATE(723)] = 28378,
  [SMALL_STATE(724)] = 28421,
  [SMALL_STATE(725)] = 28464,
  [SMALL_STATE(726)] = 28511,
  [SMALL_STATE(727)] = 28554,
  [SMALL_STATE(728)] = 28597,
  [SMALL_STATE(729)] = 28640,
  [SMALL_STATE(730)] = 28683,
  [SMALL_STATE(731)] = 28726,
  [SMALL_STATE(732)] = 28769,
  [SMALL_STATE(733)] = 28812,
  [SMALL_STATE(734)] = 28855,
  [SMALL_STATE(735)] = 28898,
  [SMALL_STATE(736)] = 28945,
  [SMALL_STATE(737)] = 28992,
  [SMALL_STATE(738)] = 29039,
  [SMALL_STATE(739)] = 29081,
  [SMALL_STATE(740)] = 29123,
  [SMALL_STATE(741)] = 29165,
  [SMALL_STATE(742)] = 29207,
  [SMALL_STATE(743)] = 29281,
  [SMALL_STATE(744)] = 29323,
  [SMALL_STATE(745)] = 29397,
  [SMALL_STATE(746)] = 29439,
  [SMALL_STATE(747)] = 29481,
  [SMALL_STATE(748)] = 29555,
  [SMALL_STATE(749)] = 29597,
  [SMALL_STATE(750)] = 29643,
  [SMALL_STATE(751)] = 29685,
  [SMALL_STATE(752)] = 29727,
  [SMALL_STATE(753)] = 29769,
  [SMALL_STATE(754)] = 29811,
  [SMALL_STATE(755)] = 29857,
  [SMALL_STATE(756)] = 29899,
  [SMALL_STATE(757)] = 29973,
  [SMALL_STATE(758)] = 30015,
  [SMALL_STATE(759)] = 30057,
  [SMALL_STATE(760)] = 30099,
  [SMALL_STATE(761)] = 30141,
  [SMALL_STATE(762)] = 30183,
  [SMALL_STATE(763)] = 30225,
  [SMALL_STATE(764)] = 30267,
  [SMALL_STATE(765)] = 30309,
  [SMALL_STATE(766)] = 30351,
  [SMALL_STATE(767)] = 30393,
  [SMALL_STATE(768)] = 30435,
  [SMALL_STATE(769)] = 30477,
  [SMALL_STATE(770)] = 30519,
  [SMALL_STATE(771)] = 30561,
  [SMALL_STATE(772)] = 30603,
  [SMALL_STATE(773)] = 30645,
  [SMALL_STATE(774)] = 30687,
  [SMALL_STATE(775)] = 30729,
  [SMALL_STATE(776)] = 30771,
  [SMALL_STATE(777)] = 30813,
  [SMALL_STATE(778)] = 30855,
  [SMALL_STATE(779)] = 30897,
  [SMALL_STATE(780)] = 30939,
  [SMALL_STATE(781)] = 30981,
  [SMALL_STATE(782)] = 31023,
  [SMALL_STATE(783)] = 31069,
  [SMALL_STATE(784)] = 31121,
  [SMALL_STATE(785)] = 31163,
  [SMALL_STATE(786)] = 31205,
  [SMALL_STATE(787)] = 31247,
  [SMALL_STATE(788)] = 31289,
  [SMALL_STATE(789)] = 31331,
  [SMALL_STATE(790)] = 31373,
  [SMALL_STATE(791)] = 31415,
  [SMALL_STATE(792)] = 31457,
  [SMALL_STATE(793)] = 31499,
  [SMALL_STATE(794)] = 31541,
  [SMALL_STATE(795)] = 31583,
  [SMALL_STATE(796)] = 31625,
  [SMALL_STATE(797)] = 31667,
  [SMALL_STATE(798)] = 31709,
  [SMALL_STATE(799)] = 31755,
  [SMALL_STATE(800)] = 31801,
  [SMALL_STATE(801)] = 31843,
  [SMALL_STATE(802)] = 31885,
  [SMALL_STATE(803)] = 31927,
  [SMALL_STATE(804)] = 31969,
  [SMALL_STATE(805)] = 32011,
  [SMALL_STATE(806)] = 32053,
  [SMALL_STATE(807)] = 32095,
  [SMALL_STATE(808)] = 32137,
  [SMALL_STATE(809)] = 32179,
  [SMALL_STATE(810)] = 32221,
  [SMALL_STATE(811)] = 32263,
  [SMALL_STATE(812)] = 32305,
  [SMALL_STATE(813)] = 32347,
  [SMALL_STATE(814)] = 32389,
  [SMALL_STATE(815)] = 32431,
  [SMALL_STATE(816)] = 32473,
  [SMALL_STATE(817)] = 32515,
  [SMALL_STATE(818)] = 32557,
  [SMALL_STATE(819)] = 32599,
  [SMALL_STATE(820)] = 32641,
  [SMALL_STATE(821)] = 32687,
  [SMALL_STATE(822)] = 32729,
  [SMALL_STATE(823)] = 32771,
  [SMALL_STATE(824)] = 32813,
  [SMALL_STATE(825)] = 32855,
  [SMALL_STATE(826)] = 32897,
  [SMALL_STATE(827)] = 32971,
  [SMALL_STATE(828)] = 33013,
  [SMALL_STATE(829)] = 33055,
  [SMALL_STATE(830)] = 33097,
  [SMALL_STATE(831)] = 33139,
  [SMALL_STATE(832)] = 33181,
  [SMALL_STATE(833)] = 33223,
  [SMALL_STATE(834)] = 33265,
  [SMALL_STATE(835)] = 33307,
  [SMALL_STATE(836)] = 33353,
  [SMALL_STATE(837)] = 33395,
  [SMALL_STATE(838)] = 33437,
  [SMALL_STATE(839)] = 33479,
  [SMALL_STATE(840)] = 33521,
  [SMALL_STATE(841)] = 33563,
  [SMALL_STATE(842)] = 33605,
  [SMALL_STATE(843)] = 33647,
  [SMALL_STATE(844)] = 33689,
  [SMALL_STATE(845)] = 33731,
  [SMALL_STATE(846)] = 33773,
  [SMALL_STATE(847)] = 33815,
  [SMALL_STATE(848)] = 33861,
  [SMALL_STATE(849)] = 33903,
  [SMALL_STATE(850)] = 33945,
  [SMALL_STATE(851)] = 33987,
  [SMALL_STATE(852)] = 34029,
  [SMALL_STATE(853)] = 34071,
  [SMALL_STATE(854)] = 34113,
  [SMALL_STATE(855)] = 34155,
  [SMALL_STATE(856)] = 34197,
  [SMALL_STATE(857)] = 34239,
  [SMALL_STATE(858)] = 34281,
  [SMALL_STATE(859)] = 34323,
  [SMALL_STATE(860)] = 34365,
  [SMALL_STATE(861)] = 34407,
  [SMALL_STATE(862)] = 34449,
  [SMALL_STATE(863)] = 34491,
  [SMALL_STATE(864)] = 34533,
  [SMALL_STATE(865)] = 34575,
  [SMALL_STATE(866)] = 34617,
  [SMALL_STATE(867)] = 34659,
  [SMALL_STATE(868)] = 34701,
  [SMALL_STATE(869)] = 34743,
  [SMALL_STATE(870)] = 34785,
  [SMALL_STATE(871)] = 34827,
  [SMALL_STATE(872)] = 34869,
  [SMALL_STATE(873)] = 34911,
  [SMALL_STATE(874)] = 34953,
  [SMALL_STATE(875)] = 34995,
  [SMALL_STATE(876)] = 35037,
  [SMALL_STATE(877)] = 35079,
  [SMALL_STATE(878)] = 35120,
  [SMALL_STATE(879)] = 35161,
  [SMALL_STATE(880)] = 35202,
  [SMALL_STATE(881)] = 35243,
  [SMALL_STATE(882)] = 35284,
  [SMALL_STATE(883)] = 35333,
  [SMALL_STATE(884)] = 35374,
  [SMALL_STATE(885)] = 35415,
  [SMALL_STATE(886)] = 35456,
  [SMALL_STATE(887)] = 35497,
  [SMALL_STATE(888)] = 35538,
  [SMALL_STATE(889)] = 35604,
  [SMALL_STATE(890)] = 35670,
  [SMALL_STATE(891)] = 35722,
  [SMALL_STATE(892)] = 35788,
  [SMALL_STATE(893)] = 35840,
  [SMALL_STATE(894)] = 35906,
  [SMALL_STATE(895)] = 35972,
  [SMALL_STATE(896)] = 36038,
  [SMALL_STATE(897)] = 36104,
  [SMALL_STATE(898)] = 36170,
  [SMALL_STATE(899)] = 36236,
  [SMALL_STATE(900)] = 36286,
  [SMALL_STATE(901)] = 36336,
  [SMALL_STATE(902)] = 36401,
  [SMALL_STATE(903)] = 36466,
  [SMALL_STATE(904)] = 36531,
  [SMALL_STATE(905)] = 36596,
  [SMALL_STATE(906)] = 36661,
  [SMALL_STATE(907)] = 36726,
  [SMALL_STATE(908)] = 36791,
  [SMALL_STATE(909)] = 36856,
  [SMALL_STATE(910)] = 36921,
  [SMALL_STATE(911)] = 36986,
  [SMALL_STATE(912)] = 37051,
  [SMALL_STATE(913)] = 37116,
  [SMALL_STATE(914)] = 37181,
  [SMALL_STATE(915)] = 37246,
  [SMALL_STATE(916)] = 37311,
  [SMALL_STATE(917)] = 37376,
  [SMALL_STATE(918)] = 37441,
  [SMALL_STATE(919)] = 37506,
  [SMALL_STATE(920)] = 37571,
  [SMALL_STATE(921)] = 37636,
  [SMALL_STATE(922)] = 37701,
  [SMALL_STATE(923)] = 37768,
  [SMALL_STATE(924)] = 37833,
  [SMALL_STATE(925)] = 37898,
  [SMALL_STATE(926)] = 37963,
  [SMALL_STATE(927)] = 38028,
  [SMALL_STATE(928)] = 38093,
  [SMALL_STATE(929)] = 38158,
  [SMALL_STATE(930)] = 38223,
  [SMALL_STATE(931)] = 38288,
  [SMALL_STATE(932)] = 38353,
  [SMALL_STATE(933)] = 38418,
  [SMALL_STATE(934)] = 38483,
  [SMALL_STATE(935)] = 38548,
  [SMALL_STATE(936)] = 38613,
  [SMALL_STATE(937)] = 38678,
  [SMALL_STATE(938)] = 38743,
  [SMALL_STATE(939)] = 38808,
  [SMALL_STATE(940)] = 38873,
  [SMALL_STATE(941)] = 38938,
  [SMALL_STATE(942)] = 39003,
  [SMALL_STATE(943)] = 39068,
  [SMALL_STATE(944)] = 39133,
  [SMALL_STATE(945)] = 39198,
  [SMALL_STATE(946)] = 39263,
  [SMALL_STATE(947)] = 39328,
  [SMALL_STATE(948)] = 39393,
  [SMALL_STATE(949)] = 39458,
  [SMALL_STATE(950)] = 39523,
  [SMALL_STATE(951)] = 39588,
  [SMALL_STATE(952)] = 39653,
  [SMALL_STATE(953)] = 39718,
  [SMALL_STATE(954)] = 39783,
  [SMALL_STATE(955)] = 39848,
  [SMALL_STATE(956)] = 39913,
  [SMALL_STATE(957)] = 39978,
  [SMALL_STATE(958)] = 40043,
  [SMALL_STATE(959)] = 40108,
  [SMALL_STATE(960)] = 40173,
  [SMALL_STATE(961)] = 40238,
  [SMALL_STATE(962)] = 40303,
  [SMALL_STATE(963)] = 40368,
  [SMALL_STATE(964)] = 40433,
  [SMALL_STATE(965)] = 40498,
  [SMALL_STATE(966)] = 40563,
  [SMALL_STATE(967)] = 40628,
  [SMALL_STATE(968)] = 40693,
  [SMALL_STATE(969)] = 40758,
  [SMALL_STATE(970)] = 40823,
  [SMALL_STATE(971)] = 40888,
  [SMALL_STATE(972)] = 40953,
  [SMALL_STATE(973)] = 41018,
  [SMALL_STATE(974)] = 41083,
  [SMALL_STATE(975)] = 41148,
  [SMALL_STATE(976)] = 41213,
  [SMALL_STATE(977)] = 41278,
  [SMALL_STATE(978)] = 41343,
  [SMALL_STATE(979)] = 41408,
  [SMALL_STATE(980)] = 41473,
  [SMALL_STATE(981)] = 41538,
  [SMALL_STATE(982)] = 41603,
  [SMALL_STATE(983)] = 41668,
  [SMALL_STATE(984)] = 41733,
  [SMALL_STATE(985)] = 41798,
  [SMALL_STATE(986)] = 41863,
  [SMALL_STATE(987)] = 41928,
  [SMALL_STATE(988)] = 41993,
  [SMALL_STATE(989)] = 42058,
  [SMALL_STATE(990)] = 42123,
  [SMALL_STATE(991)] = 42188,
  [SMALL_STATE(992)] = 42253,
  [SMALL_STATE(993)] = 42318,
  [SMALL_STATE(994)] = 42385,
  [SMALL_STATE(995)] = 42450,
  [SMALL_STATE(996)] = 42517,
  [SMALL_STATE(997)] = 42582,
  [SMALL_STATE(998)] = 42647,
  [SMALL_STATE(999)] = 42712,
  [SMALL_STATE(1000)] = 42777,
  [SMALL_STATE(1001)] = 42842,
  [SMALL_STATE(1002)] = 42907,
  [SMALL_STATE(1003)] = 42972,
  [SMALL_STATE(1004)] = 43037,
  [SMALL_STATE(1005)] = 43102,
  [SMALL_STATE(1006)] = 43167,
  [SMALL_STATE(1007)] = 43232,
  [SMALL_STATE(1008)] = 43297,
  [SMALL_STATE(1009)] = 43362,
  [SMALL_STATE(1010)] = 43427,
  [SMALL_STATE(1011)] = 43492,
  [SMALL_STATE(1012)] = 43557,
  [SMALL_STATE(1013)] = 43622,
  [SMALL_STATE(1014)] = 43687,
  [SMALL_STATE(1015)] = 43752,
  [SMALL_STATE(1016)] = 43817,
  [SMALL_STATE(1017)] = 43882,
  [SMALL_STATE(1018)] = 43947,
  [SMALL_STATE(1019)] = 44012,
  [SMALL_STATE(1020)] = 44077,
  [SMALL_STATE(1021)] = 44142,
  [SMALL_STATE(1022)] = 44207,
  [SMALL_STATE(1023)] = 44272,
  [SMALL_STATE(1024)] = 44337,
  [SMALL_STATE(1025)] = 44402,
  [SMALL_STATE(1026)] = 44467,
  [SMALL_STATE(1027)] = 44532,
  [SMALL_STATE(1028)] = 44597,
  [SMALL_STATE(1029)] = 44662,
  [SMALL_STATE(1030)] = 44727,
  [SMALL_STATE(1031)] = 44792,
  [SMALL_STATE(1032)] = 44857,
  [SMALL_STATE(1033)] = 44922,
  [SMALL_STATE(1034)] = 44987,
  [SMALL_STATE(1035)] = 45052,
  [SMALL_STATE(1036)] = 45117,
  [SMALL_STATE(1037)] = 45182,
  [SMALL_STATE(1038)] = 45247,
  [SMALL_STATE(1039)] = 45312,
  [SMALL_STATE(1040)] = 45379,
  [SMALL_STATE(1041)] = 45444,
  [SMALL_STATE(1042)] = 45509,
  [SMALL_STATE(1043)] = 45574,
  [SMALL_STATE(1044)] = 45639,
  [SMALL_STATE(1045)] = 45704,
  [SMALL_STATE(1046)] = 45769,
  [SMALL_STATE(1047)] = 45834,
  [SMALL_STATE(1048)] = 45899,
  [SMALL_STATE(1049)] = 45964,
  [SMALL_STATE(1050)] = 46029,
  [SMALL_STATE(1051)] = 46094,
  [SMALL_STATE(1052)] = 46159,
  [SMALL_STATE(1053)] = 46224,
  [SMALL_STATE(1054)] = 46289,
  [SMALL_STATE(1055)] = 46354,
  [SMALL_STATE(1056)] = 46419,
  [SMALL_STATE(1057)] = 46484,
  [SMALL_STATE(1058)] = 46549,
  [SMALL_STATE(1059)] = 46614,
  [SMALL_STATE(1060)] = 46681,
  [SMALL_STATE(1061)] = 46746,
  [SMALL_STATE(1062)] = 46811,
  [SMALL_STATE(1063)] = 46876,
  [SMALL_STATE(1064)] = 46941,
  [SMALL_STATE(1065)] = 47006,
  [SMALL_STATE(1066)] = 47071,
  [SMALL_STATE(1067)] = 47136,
  [SMALL_STATE(1068)] = 47201,
  [SMALL_STATE(1069)] = 47266,
  [SMALL_STATE(1070)] = 47331,
  [SMALL_STATE(1071)] = 47396,
  [SMALL_STATE(1072)] = 47461,
  [SMALL_STATE(1073)] = 47526,
  [SMALL_STATE(1074)] = 47591,
  [SMALL_STATE(1075)] = 47656,
  [SMALL_STATE(1076)] = 47721,
  [SMALL_STATE(1077)] = 47786,
  [SMALL_STATE(1078)] = 47851,
  [SMALL_STATE(1079)] = 47916,
  [SMALL_STATE(1080)] = 47981,
  [SMALL_STATE(1081)] = 48046,
  [SMALL_STATE(1082)] = 48111,
  [SMALL_STATE(1083)] = 48176,
  [SMALL_STATE(1084)] = 48241,
  [SMALL_STATE(1085)] = 48306,
  [SMALL_STATE(1086)] = 48371,
  [SMALL_STATE(1087)] = 48436,
  [SMALL_STATE(1088)] = 48503,
  [SMALL_STATE(1089)] = 48568,
  [SMALL_STATE(1090)] = 48633,
  [SMALL_STATE(1091)] = 48698,
  [SMALL_STATE(1092)] = 48763,
  [SMALL_STATE(1093)] = 48828,
  [SMALL_STATE(1094)] = 48893,
  [SMALL_STATE(1095)] = 48958,
  [SMALL_STATE(1096)] = 49023,
  [SMALL_STATE(1097)] = 49088,
  [SMALL_STATE(1098)] = 49153,
  [SMALL_STATE(1099)] = 49218,
  [SMALL_STATE(1100)] = 49283,
  [SMALL_STATE(1101)] = 49348,
  [SMALL_STATE(1102)] = 49415,
  [SMALL_STATE(1103)] = 49480,
  [SMALL_STATE(1104)] = 49545,
  [SMALL_STATE(1105)] = 49610,
  [SMALL_STATE(1106)] = 49675,
  [SMALL_STATE(1107)] = 49740,
  [SMALL_STATE(1108)] = 49805,
  [SMALL_STATE(1109)] = 49870,
  [SMALL_STATE(1110)] = 49935,
  [SMALL_STATE(1111)] = 50000,
  [SMALL_STATE(1112)] = 50065,
  [SMALL_STATE(1113)] = 50130,
  [SMALL_STATE(1114)] = 50195,
  [SMALL_STATE(1115)] = 50260,
  [SMALL_STATE(1116)] = 50325,
  [SMALL_STATE(1117)] = 50390,
  [SMALL_STATE(1118)] = 50455,
  [SMALL_STATE(1119)] = 50522,
  [SMALL_STATE(1120)] = 50589,
  [SMALL_STATE(1121)] = 50654,
  [SMALL_STATE(1122)] = 50719,
  [SMALL_STATE(1123)] = 50784,
  [SMALL_STATE(1124)] = 50849,
  [SMALL_STATE(1125)] = 50916,
  [SMALL_STATE(1126)] = 50981,
  [SMALL_STATE(1127)] = 51048,
  [SMALL_STATE(1128)] = 51113,
  [SMALL_STATE(1129)] = 51178,
  [SMALL_STATE(1130)] = 51243,
  [SMALL_STATE(1131)] = 51308,
  [SMALL_STATE(1132)] = 51373,
  [SMALL_STATE(1133)] = 51440,
  [SMALL_STATE(1134)] = 51505,
  [SMALL_STATE(1135)] = 51570,
  [SMALL_STATE(1136)] = 51635,
  [SMALL_STATE(1137)] = 51700,
  [SMALL_STATE(1138)] = 51767,
  [SMALL_STATE(1139)] = 51832,
  [SMALL_STATE(1140)] = 51899,
  [SMALL_STATE(1141)] = 51964,
  [SMALL_STATE(1142)] = 52029,
  [SMALL_STATE(1143)] = 52094,
  [SMALL_STATE(1144)] = 52159,
  [SMALL_STATE(1145)] = 52226,
  [SMALL_STATE(1146)] = 52291,
  [SMALL_STATE(1147)] = 52356,
  [SMALL_STATE(1148)] = 52421,
  [SMALL_STATE(1149)] = 52486,
  [SMALL_STATE(1150)] = 52551,
  [SMALL_STATE(1151)] = 52616,
  [SMALL_STATE(1152)] = 52681,
  [SMALL_STATE(1153)] = 52746,
  [SMALL_STATE(1154)] = 52811,
  [SMALL_STATE(1155)] = 52876,
  [SMALL_STATE(1156)] = 52941,
  [SMALL_STATE(1157)] = 53006,
  [SMALL_STATE(1158)] = 53073,
  [SMALL_STATE(1159)] = 53138,
  [SMALL_STATE(1160)] = 53203,
  [SMALL_STATE(1161)] = 53270,
  [SMALL_STATE(1162)] = 53335,
  [SMALL_STATE(1163)] = 53400,
  [SMALL_STATE(1164)] = 53465,
  [SMALL_STATE(1165)] = 53530,
  [SMALL_STATE(1166)] = 53595,
  [SMALL_STATE(1167)] = 53657,
  [SMALL_STATE(1168)] = 53719,
  [SMALL_STATE(1169)] = 53783,
  [SMALL_STATE(1170)] = 53845,
  [SMALL_STATE(1171)] = 53907,
  [SMALL_STATE(1172)] = 53969,
  [SMALL_STATE(1173)] = 54031,
  [SMALL_STATE(1174)] = 54093,
  [SMALL_STATE(1175)] = 54157,
  [SMALL_STATE(1176)] = 54221,
  [SMALL_STATE(1177)] = 54285,
  [SMALL_STATE(1178)] = 54349,
  [SMALL_STATE(1179)] = 54411,
  [SMALL_STATE(1180)] = 54475,
  [SMALL_STATE(1181)] = 54539,
  [SMALL_STATE(1182)] = 54601,
  [SMALL_STATE(1183)] = 54663,
  [SMALL_STATE(1184)] = 54725,
  [SMALL_STATE(1185)] = 54787,
  [SMALL_STATE(1186)] = 54849,
  [SMALL_STATE(1187)] = 54911,
  [SMALL_STATE(1188)] = 54973,
  [SMALL_STATE(1189)] = 55035,
  [SMALL_STATE(1190)] = 55099,
  [SMALL_STATE(1191)] = 55161,
  [SMALL_STATE(1192)] = 55225,
  [SMALL_STATE(1193)] = 55289,
  [SMALL_STATE(1194)] = 55353,
  [SMALL_STATE(1195)] = 55415,
  [SMALL_STATE(1196)] = 55477,
  [SMALL_STATE(1197)] = 55539,
  [SMALL_STATE(1198)] = 55603,
  [SMALL_STATE(1199)] = 55667,
  [SMALL_STATE(1200)] = 55729,
  [SMALL_STATE(1201)] = 55791,
  [SMALL_STATE(1202)] = 55855,
  [SMALL_STATE(1203)] = 55919,
  [SMALL_STATE(1204)] = 55981,
  [SMALL_STATE(1205)] = 56043,
  [SMALL_STATE(1206)] = 56105,
  [SMALL_STATE(1207)] = 56167,
  [SMALL_STATE(1208)] = 56231,
  [SMALL_STATE(1209)] = 56293,
  [SMALL_STATE(1210)] = 56355,
  [SMALL_STATE(1211)] = 56417,
  [SMALL_STATE(1212)] = 56479,
  [SMALL_STATE(1213)] = 56541,
  [SMALL_STATE(1214)] = 56603,
  [SMALL_STATE(1215)] = 56665,
  [SMALL_STATE(1216)] = 56727,
  [SMALL_STATE(1217)] = 56791,
  [SMALL_STATE(1218)] = 56855,
  [SMALL_STATE(1219)] = 56919,
  [SMALL_STATE(1220)] = 56983,
  [SMALL_STATE(1221)] = 57045,
  [SMALL_STATE(1222)] = 57107,
  [SMALL_STATE(1223)] = 57169,
  [SMALL_STATE(1224)] = 57233,
  [SMALL_STATE(1225)] = 57295,
  [SMALL_STATE(1226)] = 57359,
  [SMALL_STATE(1227)] = 57423,
  [SMALL_STATE(1228)] = 57485,
  [SMALL_STATE(1229)] = 57547,
  [SMALL_STATE(1230)] = 57609,
  [SMALL_STATE(1231)] = 57671,
  [SMALL_STATE(1232)] = 57733,
  [SMALL_STATE(1233)] = 57795,
  [SMALL_STATE(1234)] = 57857,
  [SMALL_STATE(1235)] = 57919,
  [SMALL_STATE(1236)] = 57981,
  [SMALL_STATE(1237)] = 58043,
  [SMALL_STATE(1238)] = 58105,
  [SMALL_STATE(1239)] = 58167,
  [SMALL_STATE(1240)] = 58229,
  [SMALL_STATE(1241)] = 58291,
  [SMALL_STATE(1242)] = 58353,
  [SMALL_STATE(1243)] = 58415,
  [SMALL_STATE(1244)] = 58477,
  [SMALL_STATE(1245)] = 58539,
  [SMALL_STATE(1246)] = 58601,
  [SMALL_STATE(1247)] = 58663,
  [SMALL_STATE(1248)] = 58725,
  [SMALL_STATE(1249)] = 58787,
  [SMALL_STATE(1250)] = 58849,
  [SMALL_STATE(1251)] = 58911,
  [SMALL_STATE(1252)] = 58973,
  [SMALL_STATE(1253)] = 59035,
  [SMALL_STATE(1254)] = 59097,
  [SMALL_STATE(1255)] = 59159,
  [SMALL_STATE(1256)] = 59221,
  [SMALL_STATE(1257)] = 59283,
  [SMALL_STATE(1258)] = 59345,
  [SMALL_STATE(1259)] = 59407,
  [SMALL_STATE(1260)] = 59469,
  [SMALL_STATE(1261)] = 59531,
  [SMALL_STATE(1262)] = 59593,
  [SMALL_STATE(1263)] = 59655,
  [SMALL_STATE(1264)] = 59717,
  [SMALL_STATE(1265)] = 59779,
  [SMALL_STATE(1266)] = 59841,
  [SMALL_STATE(1267)] = 59903,
  [SMALL_STATE(1268)] = 59965,
  [SMALL_STATE(1269)] = 60027,
  [SMALL_STATE(1270)] = 60089,
  [SMALL_STATE(1271)] = 60151,
  [SMALL_STATE(1272)] = 60213,
  [SMALL_STATE(1273)] = 60275,
  [SMALL_STATE(1274)] = 60337,
  [SMALL_STATE(1275)] = 60399,
  [SMALL_STATE(1276)] = 60461,
  [SMALL_STATE(1277)] = 60523,
  [SMALL_STATE(1278)] = 60585,
  [SMALL_STATE(1279)] = 60647,
  [SMALL_STATE(1280)] = 60709,
  [SMALL_STATE(1281)] = 60771,
  [SMALL_STATE(1282)] = 60833,
  [SMALL_STATE(1283)] = 60895,
  [SMALL_STATE(1284)] = 60957,
  [SMALL_STATE(1285)] = 61019,
  [SMALL_STATE(1286)] = 61081,
  [SMALL_STATE(1287)] = 61143,
  [SMALL_STATE(1288)] = 61205,
  [SMALL_STATE(1289)] = 61267,
  [SMALL_STATE(1290)] = 61329,
  [SMALL_STATE(1291)] = 61391,
  [SMALL_STATE(1292)] = 61453,
  [SMALL_STATE(1293)] = 61515,
  [SMALL_STATE(1294)] = 61577,
  [SMALL_STATE(1295)] = 61639,
  [SMALL_STATE(1296)] = 61701,
  [SMALL_STATE(1297)] = 61763,
  [SMALL_STATE(1298)] = 61825,
  [SMALL_STATE(1299)] = 61887,
  [SMALL_STATE(1300)] = 61949,
  [SMALL_STATE(1301)] = 62011,
  [SMALL_STATE(1302)] = 62073,
  [SMALL_STATE(1303)] = 62135,
  [SMALL_STATE(1304)] = 62197,
  [SMALL_STATE(1305)] = 62259,
  [SMALL_STATE(1306)] = 62321,
  [SMALL_STATE(1307)] = 62383,
  [SMALL_STATE(1308)] = 62445,
  [SMALL_STATE(1309)] = 62507,
  [SMALL_STATE(1310)] = 62569,
  [SMALL_STATE(1311)] = 62631,
  [SMALL_STATE(1312)] = 62693,
  [SMALL_STATE(1313)] = 62755,
  [SMALL_STATE(1314)] = 62817,
  [SMALL_STATE(1315)] = 62879,
  [SMALL_STATE(1316)] = 62941,
  [SMALL_STATE(1317)] = 63003,
  [SMALL_STATE(1318)] = 63065,
  [SMALL_STATE(1319)] = 63127,
  [SMALL_STATE(1320)] = 63189,
  [SMALL_STATE(1321)] = 63251,
  [SMALL_STATE(1322)] = 63313,
  [SMALL_STATE(1323)] = 63377,
  [SMALL_STATE(1324)] = 63439,
  [SMALL_STATE(1325)] = 63501,
  [SMALL_STATE(1326)] = 63563,
  [SMALL_STATE(1327)] = 63625,
  [SMALL_STATE(1328)] = 63687,
  [SMALL_STATE(1329)] = 63749,
  [SMALL_STATE(1330)] = 63811,
  [SMALL_STATE(1331)] = 63873,
  [SMALL_STATE(1332)] = 63935,
  [SMALL_STATE(1333)] = 63997,
  [SMALL_STATE(1334)] = 64059,
  [SMALL_STATE(1335)] = 64121,
  [SMALL_STATE(1336)] = 64183,
  [SMALL_STATE(1337)] = 64245,
  [SMALL_STATE(1338)] = 64307,
  [SMALL_STATE(1339)] = 64369,
  [SMALL_STATE(1340)] = 64431,
  [SMALL_STATE(1341)] = 64493,
  [SMALL_STATE(1342)] = 64555,
  [SMALL_STATE(1343)] = 64617,
  [SMALL_STATE(1344)] = 64679,
  [SMALL_STATE(1345)] = 64741,
  [SMALL_STATE(1346)] = 64803,
  [SMALL_STATE(1347)] = 64865,
  [SMALL_STATE(1348)] = 64927,
  [SMALL_STATE(1349)] = 64989,
  [SMALL_STATE(1350)] = 65053,
  [SMALL_STATE(1351)] = 65115,
  [SMALL_STATE(1352)] = 65177,
  [SMALL_STATE(1353)] = 65239,
  [SMALL_STATE(1354)] = 65301,
  [SMALL_STATE(1355)] = 65365,
  [SMALL_STATE(1356)] = 65427,
  [SMALL_STATE(1357)] = 65489,
  [SMALL_STATE(1358)] = 65551,
  [SMALL_STATE(1359)] = 65613,
  [SMALL_STATE(1360)] = 65675,
  [SMALL_STATE(1361)] = 65737,
  [SMALL_STATE(1362)] = 65799,
  [SMALL_STATE(1363)] = 65861,
  [SMALL_STATE(1364)] = 65923,
  [SMALL_STATE(1365)] = 65985,
  [SMALL_STATE(1366)] = 66047,
  [SMALL_STATE(1367)] = 66109,
  [SMALL_STATE(1368)] = 66171,
  [SMALL_STATE(1369)] = 66233,
  [SMALL_STATE(1370)] = 66295,
  [SMALL_STATE(1371)] = 66357,
  [SMALL_STATE(1372)] = 66419,
  [SMALL_STATE(1373)] = 66481,
  [SMALL_STATE(1374)] = 66543,
  [SMALL_STATE(1375)] = 66607,
  [SMALL_STATE(1376)] = 66669,
  [SMALL_STATE(1377)] = 66731,
  [SMALL_STATE(1378)] = 66793,
  [SMALL_STATE(1379)] = 66855,
  [SMALL_STATE(1380)] = 66917,
  [SMALL_STATE(1381)] = 66979,
  [SMALL_STATE(1382)] = 67041,
  [SMALL_STATE(1383)] = 67103,
  [SMALL_STATE(1384)] = 67165,
  [SMALL_STATE(1385)] = 67227,
  [SMALL_STATE(1386)] = 67289,
  [SMALL_STATE(1387)] = 67351,
  [SMALL_STATE(1388)] = 67413,
  [SMALL_STATE(1389)] = 67475,
  [SMALL_STATE(1390)] = 67537,
  [SMALL_STATE(1391)] = 67599,
  [SMALL_STATE(1392)] = 67661,
  [SMALL_STATE(1393)] = 67723,
  [SMALL_STATE(1394)] = 67785,
  [SMALL_STATE(1395)] = 67847,
  [SMALL_STATE(1396)] = 67911,
  [SMALL_STATE(1397)] = 67973,
  [SMALL_STATE(1398)] = 68035,
  [SMALL_STATE(1399)] = 68097,
  [SMALL_STATE(1400)] = 68159,
  [SMALL_STATE(1401)] = 68221,
  [SMALL_STATE(1402)] = 68283,
  [SMALL_STATE(1403)] = 68345,
  [SMALL_STATE(1404)] = 68407,
  [SMALL_STATE(1405)] = 68469,
  [SMALL_STATE(1406)] = 68531,
  [SMALL_STATE(1407)] = 68593,
  [SMALL_STATE(1408)] = 68655,
  [SMALL_STATE(1409)] = 68717,
  [SMALL_STATE(1410)] = 68779,
  [SMALL_STATE(1411)] = 68841,
  [SMALL_STATE(1412)] = 68903,
  [SMALL_STATE(1413)] = 68965,
  [SMALL_STATE(1414)] = 69027,
  [SMALL_STATE(1415)] = 69089,
  [SMALL_STATE(1416)] = 69151,
  [SMALL_STATE(1417)] = 69213,
  [SMALL_STATE(1418)] = 69275,
  [SMALL_STATE(1419)] = 69337,
  [SMALL_STATE(1420)] = 69399,
  [SMALL_STATE(1421)] = 69461,
  [SMALL_STATE(1422)] = 69523,
  [SMALL_STATE(1423)] = 69585,
  [SMALL_STATE(1424)] = 69647,
  [SMALL_STATE(1425)] = 69709,
  [SMALL_STATE(1426)] = 69771,
  [SMALL_STATE(1427)] = 69833,
  [SMALL_STATE(1428)] = 69895,
  [SMALL_STATE(1429)] = 69957,
  [SMALL_STATE(1430)] = 70019,
  [SMALL_STATE(1431)] = 70081,
  [SMALL_STATE(1432)] = 70143,
  [SMALL_STATE(1433)] = 70205,
  [SMALL_STATE(1434)] = 70267,
  [SMALL_STATE(1435)] = 70329,
  [SMALL_STATE(1436)] = 70391,
  [SMALL_STATE(1437)] = 70453,
  [SMALL_STATE(1438)] = 70515,
  [SMALL_STATE(1439)] = 70577,
  [SMALL_STATE(1440)] = 70639,
  [SMALL_STATE(1441)] = 70701,
  [SMALL_STATE(1442)] = 70763,
  [SMALL_STATE(1443)] = 70825,
  [SMALL_STATE(1444)] = 70887,
  [SMALL_STATE(1445)] = 70949,
  [SMALL_STATE(1446)] = 71011,
  [SMALL_STATE(1447)] = 71073,
  [SMALL_STATE(1448)] = 71135,
  [SMALL_STATE(1449)] = 71197,
  [SMALL_STATE(1450)] = 71259,
  [SMALL_STATE(1451)] = 71321,
  [SMALL_STATE(1452)] = 71383,
  [SMALL_STATE(1453)] = 71445,
  [SMALL_STATE(1454)] = 71507,
  [SMALL_STATE(1455)] = 71569,
  [SMALL_STATE(1456)] = 71631,
  [SMALL_STATE(1457)] = 71693,
  [SMALL_STATE(1458)] = 71755,
  [SMALL_STATE(1459)] = 71817,
  [SMALL_STATE(1460)] = 71879,
  [SMALL_STATE(1461)] = 71941,
  [SMALL_STATE(1462)] = 72003,
  [SMALL_STATE(1463)] = 72065,
  [SMALL_STATE(1464)] = 72127,
  [SMALL_STATE(1465)] = 72189,
  [SMALL_STATE(1466)] = 72251,
  [SMALL_STATE(1467)] = 72313,
  [SMALL_STATE(1468)] = 72375,
  [SMALL_STATE(1469)] = 72437,
  [SMALL_STATE(1470)] = 72499,
  [SMALL_STATE(1471)] = 72561,
  [SMALL_STATE(1472)] = 72623,
  [SMALL_STATE(1473)] = 72685,
  [SMALL_STATE(1474)] = 72747,
  [SMALL_STATE(1475)] = 72809,
  [SMALL_STATE(1476)] = 72871,
  [SMALL_STATE(1477)] = 72933,
  [SMALL_STATE(1478)] = 72995,
  [SMALL_STATE(1479)] = 73057,
  [SMALL_STATE(1480)] = 73119,
  [SMALL_STATE(1481)] = 73181,
  [SMALL_STATE(1482)] = 73243,
  [SMALL_STATE(1483)] = 73305,
  [SMALL_STATE(1484)] = 73367,
  [SMALL_STATE(1485)] = 73429,
  [SMALL_STATE(1486)] = 73491,
  [SMALL_STATE(1487)] = 73553,
  [SMALL_STATE(1488)] = 73615,
  [SMALL_STATE(1489)] = 73677,
  [SMALL_STATE(1490)] = 73739,
  [SMALL_STATE(1491)] = 73803,
  [SMALL_STATE(1492)] = 73865,
  [SMALL_STATE(1493)] = 73927,
  [SMALL_STATE(1494)] = 73989,
  [SMALL_STATE(1495)] = 74051,
  [SMALL_STATE(1496)] = 74113,
  [SMALL_STATE(1497)] = 74175,
  [SMALL_STATE(1498)] = 74237,
  [SMALL_STATE(1499)] = 74299,
  [SMALL_STATE(1500)] = 74361,
  [SMALL_STATE(1501)] = 74423,
  [SMALL_STATE(1502)] = 74485,
  [SMALL_STATE(1503)] = 74547,
  [SMALL_STATE(1504)] = 74609,
  [SMALL_STATE(1505)] = 74671,
  [SMALL_STATE(1506)] = 74733,
  [SMALL_STATE(1507)] = 74795,
  [SMALL_STATE(1508)] = 74857,
  [SMALL_STATE(1509)] = 74919,
  [SMALL_STATE(1510)] = 74981,
  [SMALL_STATE(1511)] = 75043,
  [SMALL_STATE(1512)] = 75105,
  [SMALL_STATE(1513)] = 75167,
  [SMALL_STATE(1514)] = 75229,
  [SMALL_STATE(1515)] = 75291,
  [SMALL_STATE(1516)] = 75353,
  [SMALL_STATE(1517)] = 75415,
  [SMALL_STATE(1518)] = 75477,
  [SMALL_STATE(1519)] = 75539,
  [SMALL_STATE(1520)] = 75601,
  [SMALL_STATE(1521)] = 75663,
  [SMALL_STATE(1522)] = 75725,
  [SMALL_STATE(1523)] = 75787,
  [SMALL_STATE(1524)] = 75849,
  [SMALL_STATE(1525)] = 75911,
  [SMALL_STATE(1526)] = 75973,
  [SMALL_STATE(1527)] = 76035,
  [SMALL_STATE(1528)] = 76097,
  [SMALL_STATE(1529)] = 76159,
  [SMALL_STATE(1530)] = 76221,
  [SMALL_STATE(1531)] = 76283,
  [SMALL_STATE(1532)] = 76345,
  [SMALL_STATE(1533)] = 76407,
  [SMALL_STATE(1534)] = 76469,
  [SMALL_STATE(1535)] = 76531,
  [SMALL_STATE(1536)] = 76593,
  [SMALL_STATE(1537)] = 76655,
  [SMALL_STATE(1538)] = 76717,
  [SMALL_STATE(1539)] = 76779,
  [SMALL_STATE(1540)] = 76841,
  [SMALL_STATE(1541)] = 76903,
  [SMALL_STATE(1542)] = 76965,
  [SMALL_STATE(1543)] = 77027,
  [SMALL_STATE(1544)] = 77089,
  [SMALL_STATE(1545)] = 77151,
  [SMALL_STATE(1546)] = 77213,
  [SMALL_STATE(1547)] = 77275,
  [SMALL_STATE(1548)] = 77337,
  [SMALL_STATE(1549)] = 77399,
  [SMALL_STATE(1550)] = 77461,
  [SMALL_STATE(1551)] = 77523,
  [SMALL_STATE(1552)] = 77585,
  [SMALL_STATE(1553)] = 77647,
  [SMALL_STATE(1554)] = 77709,
  [SMALL_STATE(1555)] = 77771,
  [SMALL_STATE(1556)] = 77833,
  [SMALL_STATE(1557)] = 77895,
  [SMALL_STATE(1558)] = 77957,
  [SMALL_STATE(1559)] = 78019,
  [SMALL_STATE(1560)] = 78081,
  [SMALL_STATE(1561)] = 78143,
  [SMALL_STATE(1562)] = 78205,
  [SMALL_STATE(1563)] = 78267,
  [SMALL_STATE(1564)] = 78329,
  [SMALL_STATE(1565)] = 78391,
  [SMALL_STATE(1566)] = 78453,
  [SMALL_STATE(1567)] = 78515,
  [SMALL_STATE(1568)] = 78577,
  [SMALL_STATE(1569)] = 78639,
  [SMALL_STATE(1570)] = 78701,
  [SMALL_STATE(1571)] = 78763,
  [SMALL_STATE(1572)] = 78825,
  [SMALL_STATE(1573)] = 78887,
  [SMALL_STATE(1574)] = 78951,
  [SMALL_STATE(1575)] = 79013,
  [SMALL_STATE(1576)] = 79075,
  [SMALL_STATE(1577)] = 79137,
  [SMALL_STATE(1578)] = 79199,
  [SMALL_STATE(1579)] = 79261,
  [SMALL_STATE(1580)] = 79323,
  [SMALL_STATE(1581)] = 79385,
  [SMALL_STATE(1582)] = 79447,
  [SMALL_STATE(1583)] = 79509,
  [SMALL_STATE(1584)] = 79571,
  [SMALL_STATE(1585)] = 79633,
  [SMALL_STATE(1586)] = 79695,
  [SMALL_STATE(1587)] = 79757,
  [SMALL_STATE(1588)] = 79819,
  [SMALL_STATE(1589)] = 79881,
  [SMALL_STATE(1590)] = 79943,
  [SMALL_STATE(1591)] = 80005,
  [SMALL_STATE(1592)] = 80067,
  [SMALL_STATE(1593)] = 80129,
  [SMALL_STATE(1594)] = 80191,
  [SMALL_STATE(1595)] = 80253,
  [SMALL_STATE(1596)] = 80315,
  [SMALL_STATE(1597)] = 80379,
  [SMALL_STATE(1598)] = 80441,
  [SMALL_STATE(1599)] = 80503,
  [SMALL_STATE(1600)] = 80565,
  [SMALL_STATE(1601)] = 80627,
  [SMALL_STATE(1602)] = 80689,
  [SMALL_STATE(1603)] = 80751,
  [SMALL_STATE(1604)] = 80813,
  [SMALL_STATE(1605)] = 80875,
  [SMALL_STATE(1606)] = 80937,
  [SMALL_STATE(1607)] = 81001,
  [SMALL_STATE(1608)] = 81063,
  [SMALL_STATE(1609)] = 81125,
  [SMALL_STATE(1610)] = 81187,
  [SMALL_STATE(1611)] = 81249,
  [SMALL_STATE(1612)] = 81311,
  [SMALL_STATE(1613)] = 81373,
  [SMALL_STATE(1614)] = 81435,
  [SMALL_STATE(1615)] = 81497,
  [SMALL_STATE(1616)] = 81559,
  [SMALL_STATE(1617)] = 81621,
  [SMALL_STATE(1618)] = 81683,
  [SMALL_STATE(1619)] = 81745,
  [SMALL_STATE(1620)] = 81807,
  [SMALL_STATE(1621)] = 81869,
  [SMALL_STATE(1622)] = 81931,
  [SMALL_STATE(1623)] = 81993,
  [SMALL_STATE(1624)] = 82055,
  [SMALL_STATE(1625)] = 82117,
  [SMALL_STATE(1626)] = 82179,
  [SMALL_STATE(1627)] = 82243,
  [SMALL_STATE(1628)] = 82305,
  [SMALL_STATE(1629)] = 82367,
  [SMALL_STATE(1630)] = 82429,
  [SMALL_STATE(1631)] = 82491,
  [SMALL_STATE(1632)] = 82553,
  [SMALL_STATE(1633)] = 82615,
  [SMALL_STATE(1634)] = 82677,
  [SMALL_STATE(1635)] = 82722,
  [SMALL_STATE(1636)] = 82773,
  [SMALL_STATE(1637)] = 82820,
  [SMALL_STATE(1638)] = 82865,
  [SMALL_STATE(1639)] = 82902,
  [SMALL_STATE(1640)] = 82953,
  [SMALL_STATE(1641)] = 82992,
  [SMALL_STATE(1642)] = 83028,
  [SMALL_STATE(1643)] = 83066,
  [SMALL_STATE(1644)] = 83116,
  [SMALL_STATE(1645)] = 83166,
  [SMALL_STATE(1646)] = 83210,
  [SMALL_STATE(1647)] = 83246,
  [SMALL_STATE(1648)] = 83290,
  [SMALL_STATE(1649)] = 83334,
  [SMALL_STATE(1650)] = 83372,
  [SMALL_STATE(1651)] = 83416,
  [SMALL_STATE(1652)] = 83465,
  [SMALL_STATE(1653)] = 83500,
  [SMALL_STATE(1654)] = 83543,
  [SMALL_STATE(1655)] = 83580,
  [SMALL_STATE(1656)] = 83625,
  [SMALL_STATE(1657)] = 83662,
  [SMALL_STATE(1658)] = 83699,
  [SMALL_STATE(1659)] = 83748,
  [SMALL_STATE(1660)] = 83785,
  [SMALL_STATE(1661)] = 83834,
  [SMALL_STATE(1662)] = 83883,
  [SMALL_STATE(1663)] = 83932,
  [SMALL_STATE(1664)] = 83969,
  [SMALL_STATE(1665)] = 84018,
  [SMALL_STATE(1666)] = 84053,
  [SMALL_STATE(1667)] = 84090,
  [SMALL_STATE(1668)] = 84127,
  [SMALL_STATE(1669)] = 84164,
  [SMALL_STATE(1670)] = 84201,
  [SMALL_STATE(1671)] = 84238,
  [SMALL_STATE(1672)] = 84281,
  [SMALL_STATE(1673)] = 84318,
  [SMALL_STATE(1674)] = 84361,
  [SMALL_STATE(1675)] = 84398,
  [SMALL_STATE(1676)] = 84435,
  [SMALL_STATE(1677)] = 84472,
  [SMALL_STATE(1678)] = 84508,
  [SMALL_STATE(1679)] = 84540,
  [SMALL_STATE(1680)] = 84572,
  [SMALL_STATE(1681)] = 84604,
  [SMALL_STATE(1682)] = 84636,
  [SMALL_STATE(1683)] = 84690,
  [SMALL_STATE(1684)] = 84726,
  [SMALL_STATE(1685)] = 84758,
  [SMALL_STATE(1686)] = 84790,
  [SMALL_STATE(1687)] = 84824,
  [SMALL_STATE(1688)] = 84856,
  [SMALL_STATE(1689)] = 84892,
  [SMALL_STATE(1690)] = 84924,
  [SMALL_STATE(1691)] = 84970,
  [SMALL_STATE(1692)] = 85024,
  [SMALL_STATE(1693)] = 85060,
  [SMALL_STATE(1694)] = 85092,
  [SMALL_STATE(1695)] = 85128,
  [SMALL_STATE(1696)] = 85160,
  [SMALL_STATE(1697)] = 85192,
  [SMALL_STATE(1698)] = 85224,
  [SMALL_STATE(1699)] = 85260,
  [SMALL_STATE(1700)] = 85294,
  [SMALL_STATE(1701)] = 85328,
  [SMALL_STATE(1702)] = 85364,
  [SMALL_STATE(1703)] = 85396,
  [SMALL_STATE(1704)] = 85450,
  [SMALL_STATE(1705)] = 85486,
  [SMALL_STATE(1706)] = 85518,
  [SMALL_STATE(1707)] = 85550,
  [SMALL_STATE(1708)] = 85586,
  [SMALL_STATE(1709)] = 85640,
  [SMALL_STATE(1710)] = 85676,
  [SMALL_STATE(1711)] = 85712,
  [SMALL_STATE(1712)] = 85748,
  [SMALL_STATE(1713)] = 85784,
  [SMALL_STATE(1714)] = 85820,
  [SMALL_STATE(1715)] = 85856,
  [SMALL_STATE(1716)] = 85902,
  [SMALL_STATE(1717)] = 85938,
  [SMALL_STATE(1718)] = 85970,
  [SMALL_STATE(1719)] = 86016,
  [SMALL_STATE(1720)] = 86062,
  [SMALL_STATE(1721)] = 86094,
  [SMALL_STATE(1722)] = 86128,
  [SMALL_STATE(1723)] = 86160,
  [SMALL_STATE(1724)] = 86192,
  [SMALL_STATE(1725)] = 86224,
  [SMALL_STATE(1726)] = 86260,
  [SMALL_STATE(1727)] = 86292,
  [SMALL_STATE(1728)] = 86328,
  [SMALL_STATE(1729)] = 86360,
  [SMALL_STATE(1730)] = 86392,
  [SMALL_STATE(1731)] = 86424,
  [SMALL_STATE(1732)] = 86456,
  [SMALL_STATE(1733)] = 86488,
  [SMALL_STATE(1734)] = 86520,
  [SMALL_STATE(1735)] = 86554,
  [SMALL_STATE(1736)] = 86590,
  [SMALL_STATE(1737)] = 86625,
  [SMALL_STATE(1738)] = 86656,
  [SMALL_STATE(1739)] = 86687,
  [SMALL_STATE(1740)] = 86718,
  [SMALL_STATE(1741)] = 86749,
  [SMALL_STATE(1742)] = 86780,
  [SMALL_STATE(1743)] = 86811,
  [SMALL_STATE(1744)] = 86842,
  [SMALL_STATE(1745)] = 86873,
  [SMALL_STATE(1746)] = 86904,
  [SMALL_STATE(1747)] = 86939,
  [SMALL_STATE(1748)] = 86970,
  [SMALL_STATE(1749)] = 87001,
  [SMALL_STATE(1750)] = 87032,
  [SMALL_STATE(1751)] = 87063,
  [SMALL_STATE(1752)] = 87094,
  [SMALL_STATE(1753)] = 87125,
  [SMALL_STATE(1754)] = 87156,
  [SMALL_STATE(1755)] = 87187,
  [SMALL_STATE(1756)] = 87218,
  [SMALL_STATE(1757)] = 87249,
  [SMALL_STATE(1758)] = 87280,
  [SMALL_STATE(1759)] = 87311,
  [SMALL_STATE(1760)] = 87342,
  [SMALL_STATE(1761)] = 87373,
  [SMALL_STATE(1762)] = 87404,
  [SMALL_STATE(1763)] = 87435,
  [SMALL_STATE(1764)] = 87470,
  [SMALL_STATE(1765)] = 87501,
  [SMALL_STATE(1766)] = 87532,
  [SMALL_STATE(1767)] = 87563,
  [SMALL_STATE(1768)] = 87594,
  [SMALL_STATE(1769)] = 87625,
  [SMALL_STATE(1770)] = 87656,
  [SMALL_STATE(1771)] = 87691,
  [SMALL_STATE(1772)] = 87726,
  [SMALL_STATE(1773)] = 87757,
  [SMALL_STATE(1774)] = 87788,
  [SMALL_STATE(1775)] = 87819,
  [SMALL_STATE(1776)] = 87850,
  [SMALL_STATE(1777)] = 87881,
  [SMALL_STATE(1778)] = 87916,
  [SMALL_STATE(1779)] = 87947,
  [SMALL_STATE(1780)] = 87978,
  [SMALL_STATE(1781)] = 88009,
  [SMALL_STATE(1782)] = 88040,
  [SMALL_STATE(1783)] = 88071,
  [SMALL_STATE(1784)] = 88102,
  [SMALL_STATE(1785)] = 88133,
  [SMALL_STATE(1786)] = 88164,
  [SMALL_STATE(1787)] = 88195,
  [SMALL_STATE(1788)] = 88226,
  [SMALL_STATE(1789)] = 88257,
  [SMALL_STATE(1790)] = 88288,
  [SMALL_STATE(1791)] = 88319,
  [SMALL_STATE(1792)] = 88376,
  [SMALL_STATE(1793)] = 88407,
  [SMALL_STATE(1794)] = 88438,
  [SMALL_STATE(1795)] = 88469,
  [SMALL_STATE(1796)] = 88504,
  [SMALL_STATE(1797)] = 88535,
  [SMALL_STATE(1798)] = 88566,
  [SMALL_STATE(1799)] = 88623,
  [SMALL_STATE(1800)] = 88654,
  [SMALL_STATE(1801)] = 88689,
  [SMALL_STATE(1802)] = 88720,
  [SMALL_STATE(1803)] = 88751,
  [SMALL_STATE(1804)] = 88782,
  [SMALL_STATE(1805)] = 88813,
  [SMALL_STATE(1806)] = 88844,
  [SMALL_STATE(1807)] = 88875,
  [SMALL_STATE(1808)] = 88906,
  [SMALL_STATE(1809)] = 88937,
  [SMALL_STATE(1810)] = 88968,
  [SMALL_STATE(1811)] = 89025,
  [SMALL_STATE(1812)] = 89082,
  [SMALL_STATE(1813)] = 89113,
  [SMALL_STATE(1814)] = 89144,
  [SMALL_STATE(1815)] = 89175,
  [SMALL_STATE(1816)] = 89206,
  [SMALL_STATE(1817)] = 89237,
  [SMALL_STATE(1818)] = 89268,
  [SMALL_STATE(1819)] = 89303,
  [SMALL_STATE(1820)] = 89334,
  [SMALL_STATE(1821)] = 89365,
  [SMALL_STATE(1822)] = 89396,
  [SMALL_STATE(1823)] = 89427,
  [SMALL_STATE(1824)] = 89458,
  [SMALL_STATE(1825)] = 89489,
  [SMALL_STATE(1826)] = 89520,
  [SMALL_STATE(1827)] = 89551,
  [SMALL_STATE(1828)] = 89582,
  [SMALL_STATE(1829)] = 89613,
  [SMALL_STATE(1830)] = 89644,
  [SMALL_STATE(1831)] = 89675,
  [SMALL_STATE(1832)] = 89732,
  [SMALL_STATE(1833)] = 89763,
  [SMALL_STATE(1834)] = 89820,
  [SMALL_STATE(1835)] = 89851,
  [SMALL_STATE(1836)] = 89882,
  [SMALL_STATE(1837)] = 89913,
  [SMALL_STATE(1838)] = 89948,
  [SMALL_STATE(1839)] = 90005,
  [SMALL_STATE(1840)] = 90036,
  [SMALL_STATE(1841)] = 90093,
  [SMALL_STATE(1842)] = 90124,
  [SMALL_STATE(1843)] = 90155,
  [SMALL_STATE(1844)] = 90186,
  [SMALL_STATE(1845)] = 90217,
  [SMALL_STATE(1846)] = 90248,
  [SMALL_STATE(1847)] = 90283,
  [SMALL_STATE(1848)] = 90318,
  [SMALL_STATE(1849)] = 90349,
  [SMALL_STATE(1850)] = 90380,
  [SMALL_STATE(1851)] = 90411,
  [SMALL_STATE(1852)] = 90442,
  [SMALL_STATE(1853)] = 90477,
  [SMALL_STATE(1854)] = 90508,
  [SMALL_STATE(1855)] = 90543,
  [SMALL_STATE(1856)] = 90574,
  [SMALL_STATE(1857)] = 90605,
  [SMALL_STATE(1858)] = 90636,
  [SMALL_STATE(1859)] = 90667,
  [SMALL_STATE(1860)] = 90698,
  [SMALL_STATE(1861)] = 90729,
  [SMALL_STATE(1862)] = 90758,
  [SMALL_STATE(1863)] = 90789,
  [SMALL_STATE(1864)] = 90820,
  [SMALL_STATE(1865)] = 90851,
  [SMALL_STATE(1866)] = 90882,
  [SMALL_STATE(1867)] = 90913,
  [SMALL_STATE(1868)] = 90948,
  [SMALL_STATE(1869)] = 90979,
  [SMALL_STATE(1870)] = 91010,
  [SMALL_STATE(1871)] = 91041,
  [SMALL_STATE(1872)] = 91072,
  [SMALL_STATE(1873)] = 91103,
  [SMALL_STATE(1874)] = 91134,
  [SMALL_STATE(1875)] = 91169,
  [SMALL_STATE(1876)] = 91200,
  [SMALL_STATE(1877)] = 91231,
  [SMALL_STATE(1878)] = 91262,
  [SMALL_STATE(1879)] = 91319,
  [SMALL_STATE(1880)] = 91376,
  [SMALL_STATE(1881)] = 91411,
  [SMALL_STATE(1882)] = 91442,
  [SMALL_STATE(1883)] = 91473,
  [SMALL_STATE(1884)] = 91504,
  [SMALL_STATE(1885)] = 91535,
  [SMALL_STATE(1886)] = 91566,
  [SMALL_STATE(1887)] = 91623,
  [SMALL_STATE(1888)] = 91680,
  [SMALL_STATE(1889)] = 91711,
  [SMALL_STATE(1890)] = 91742,
  [SMALL_STATE(1891)] = 91772,
  [SMALL_STATE(1892)] = 91804,
  [SMALL_STATE(1893)] = 91840,
  [SMALL_STATE(1894)] = 91870,
  [SMALL_STATE(1895)] = 91900,
  [SMALL_STATE(1896)] = 91932,
  [SMALL_STATE(1897)] = 91964,
  [SMALL_STATE(1898)] = 91998,
  [SMALL_STATE(1899)] = 92028,
  [SMALL_STATE(1900)] = 92060,
  [SMALL_STATE(1901)] = 92090,
  [SMALL_STATE(1902)] = 92122,
  [SMALL_STATE(1903)] = 92154,
  [SMALL_STATE(1904)] = 92190,
  [SMALL_STATE(1905)] = 92226,
  [SMALL_STATE(1906)] = 92258,
  [SMALL_STATE(1907)] = 92288,
  [SMALL_STATE(1908)] = 92324,
  [SMALL_STATE(1909)] = 92358,
  [SMALL_STATE(1910)] = 92410,
  [SMALL_STATE(1911)] = 92438,
  [SMALL_STATE(1912)] = 92474,
  [SMALL_STATE(1913)] = 92526,
  [SMALL_STATE(1914)] = 92558,
  [SMALL_STATE(1915)] = 92588,
  [SMALL_STATE(1916)] = 92618,
  [SMALL_STATE(1917)] = 92646,
  [SMALL_STATE(1918)] = 92698,
  [SMALL_STATE(1919)] = 92728,
  [SMALL_STATE(1920)] = 92758,
  [SMALL_STATE(1921)] = 92788,
  [SMALL_STATE(1922)] = 92818,
  [SMALL_STATE(1923)] = 92870,
  [SMALL_STATE(1924)] = 92898,
  [SMALL_STATE(1925)] = 92928,
  [SMALL_STATE(1926)] = 92960,
  [SMALL_STATE(1927)] = 92988,
  [SMALL_STATE(1928)] = 93024,
  [SMALL_STATE(1929)] = 93054,
  [SMALL_STATE(1930)] = 93086,
  [SMALL_STATE(1931)] = 93116,
  [SMALL_STATE(1932)] = 93150,
  [SMALL_STATE(1933)] = 93180,
  [SMALL_STATE(1934)] = 93210,
  [SMALL_STATE(1935)] = 93238,
  [SMALL_STATE(1936)] = 93268,
  [SMALL_STATE(1937)] = 93298,
  [SMALL_STATE(1938)] = 93350,
  [SMALL_STATE(1939)] = 93380,
  [SMALL_STATE(1940)] = 93412,
  [SMALL_STATE(1941)] = 93442,
  [SMALL_STATE(1942)] = 93472,
  [SMALL_STATE(1943)] = 93502,
  [SMALL_STATE(1944)] = 93532,
  [SMALL_STATE(1945)] = 93566,
  [SMALL_STATE(1946)] = 93596,
  [SMALL_STATE(1947)] = 93626,
  [SMALL_STATE(1948)] = 93656,
  [SMALL_STATE(1949)] = 93688,
  [SMALL_STATE(1950)] = 93722,
  [SMALL_STATE(1951)] = 93754,
  [SMALL_STATE(1952)] = 93784,
  [SMALL_STATE(1953)] = 93814,
  [SMALL_STATE(1954)] = 93844,
  [SMALL_STATE(1955)] = 93874,
  [SMALL_STATE(1956)] = 93904,
  [SMALL_STATE(1957)] = 93934,
  [SMALL_STATE(1958)] = 93964,
  [SMALL_STATE(1959)] = 93994,
  [SMALL_STATE(1960)] = 94030,
  [SMALL_STATE(1961)] = 94060,
  [SMALL_STATE(1962)] = 94096,
  [SMALL_STATE(1963)] = 94126,
  [SMALL_STATE(1964)] = 94156,
  [SMALL_STATE(1965)] = 94186,
  [SMALL_STATE(1966)] = 94216,
  [SMALL_STATE(1967)] = 94244,
  [SMALL_STATE(1968)] = 94274,
  [SMALL_STATE(1969)] = 94326,
  [SMALL_STATE(1970)] = 94356,
  [SMALL_STATE(1971)] = 94386,
  [SMALL_STATE(1972)] = 94416,
  [SMALL_STATE(1973)] = 94450,
  [SMALL_STATE(1974)] = 94480,
  [SMALL_STATE(1975)] = 94512,
  [SMALL_STATE(1976)] = 94544,
  [SMALL_STATE(1977)] = 94574,
  [SMALL_STATE(1978)] = 94604,
  [SMALL_STATE(1979)] = 94634,
  [SMALL_STATE(1980)] = 94664,
  [SMALL_STATE(1981)] = 94694,
  [SMALL_STATE(1982)] = 94746,
  [SMALL_STATE(1983)] = 94798,
  [SMALL_STATE(1984)] = 94850,
  [SMALL_STATE(1985)] = 94902,
  [SMALL_STATE(1986)] = 94932,
  [SMALL_STATE(1987)] = 94962,
  [SMALL_STATE(1988)] = 95014,
  [SMALL_STATE(1989)] = 95046,
  [SMALL_STATE(1990)] = 95076,
  [SMALL_STATE(1991)] = 95128,
  [SMALL_STATE(1992)] = 95160,
  [SMALL_STATE(1993)] = 95190,
  [SMALL_STATE(1994)] = 95222,
  [SMALL_STATE(1995)] = 95252,
  [SMALL_STATE(1996)] = 95282,
  [SMALL_STATE(1997)] = 95334,
  [SMALL_STATE(1998)] = 95386,
  [SMALL_STATE(1999)] = 95418,
  [SMALL_STATE(2000)] = 95450,
  [SMALL_STATE(2001)] = 95480,
  [SMALL_STATE(2002)] = 95512,
  [SMALL_STATE(2003)] = 95542,
  [SMALL_STATE(2004)] = 95572,
  [SMALL_STATE(2005)] = 95602,
  [SMALL_STATE(2006)] = 95632,
  [SMALL_STATE(2007)] = 95662,
  [SMALL_STATE(2008)] = 95692,
  [SMALL_STATE(2009)] = 95722,
  [SMALL_STATE(2010)] = 95754,
  [SMALL_STATE(2011)] = 95784,
  [SMALL_STATE(2012)] = 95814,
  [SMALL_STATE(2013)] = 95844,
  [SMALL_STATE(2014)] = 95896,
  [SMALL_STATE(2015)] = 95926,
  [SMALL_STATE(2016)] = 95956,
  [SMALL_STATE(2017)] = 95986,
  [SMALL_STATE(2018)] = 96016,
  [SMALL_STATE(2019)] = 96046,
  [SMALL_STATE(2020)] = 96076,
  [SMALL_STATE(2021)] = 96108,
  [SMALL_STATE(2022)] = 96138,
  [SMALL_STATE(2023)] = 96168,
  [SMALL_STATE(2024)] = 96220,
  [SMALL_STATE(2025)] = 96254,
  [SMALL_STATE(2026)] = 96306,
  [SMALL_STATE(2027)] = 96338,
  [SMALL_STATE(2028)] = 96368,
  [SMALL_STATE(2029)] = 96398,
  [SMALL_STATE(2030)] = 96434,
  [SMALL_STATE(2031)] = 96464,
  [SMALL_STATE(2032)] = 96496,
  [SMALL_STATE(2033)] = 96526,
  [SMALL_STATE(2034)] = 96578,
  [SMALL_STATE(2035)] = 96608,
  [SMALL_STATE(2036)] = 96640,
  [SMALL_STATE(2037)] = 96670,
  [SMALL_STATE(2038)] = 96712,
  [SMALL_STATE(2039)] = 96742,
  [SMALL_STATE(2040)] = 96772,
  [SMALL_STATE(2041)] = 96824,
  [SMALL_STATE(2042)] = 96854,
  [SMALL_STATE(2043)] = 96886,
  [SMALL_STATE(2044)] = 96916,
  [SMALL_STATE(2045)] = 96946,
  [SMALL_STATE(2046)] = 96976,
  [SMALL_STATE(2047)] = 97006,
  [SMALL_STATE(2048)] = 97036,
  [SMALL_STATE(2049)] = 97088,
  [SMALL_STATE(2050)] = 97118,
  [SMALL_STATE(2051)] = 97148,
  [SMALL_STATE(2052)] = 97180,
  [SMALL_STATE(2053)] = 97210,
  [SMALL_STATE(2054)] = 97240,
  [SMALL_STATE(2055)] = 97272,
  [SMALL_STATE(2056)] = 97306,
  [SMALL_STATE(2057)] = 97336,
  [SMALL_STATE(2058)] = 97388,
  [SMALL_STATE(2059)] = 97420,
  [SMALL_STATE(2060)] = 97450,
  [SMALL_STATE(2061)] = 97480,
  [SMALL_STATE(2062)] = 97510,
  [SMALL_STATE(2063)] = 97540,
  [SMALL_STATE(2064)] = 97572,
  [SMALL_STATE(2065)] = 97602,
  [SMALL_STATE(2066)] = 97638,
  [SMALL_STATE(2067)] = 97668,
  [SMALL_STATE(2068)] = 97698,
  [SMALL_STATE(2069)] = 97727,
  [SMALL_STATE(2070)] = 97776,
  [SMALL_STATE(2071)] = 97805,
  [SMALL_STATE(2072)] = 97834,
  [SMALL_STATE(2073)] = 97863,
  [SMALL_STATE(2074)] = 97892,
  [SMALL_STATE(2075)] = 97923,
  [SMALL_STATE(2076)] = 97952,
  [SMALL_STATE(2077)] = 97981,
  [SMALL_STATE(2078)] = 98014,
  [SMALL_STATE(2079)] = 98043,
  [SMALL_STATE(2080)] = 98072,
  [SMALL_STATE(2081)] = 98101,
  [SMALL_STATE(2082)] = 98130,
  [SMALL_STATE(2083)] = 98159,
  [SMALL_STATE(2084)] = 98188,
  [SMALL_STATE(2085)] = 98221,
  [SMALL_STATE(2086)] = 98254,
  [SMALL_STATE(2087)] = 98283,
  [SMALL_STATE(2088)] = 98316,
  [SMALL_STATE(2089)] = 98365,
  [SMALL_STATE(2090)] = 98394,
  [SMALL_STATE(2091)] = 98423,
  [SMALL_STATE(2092)] = 98456,
  [SMALL_STATE(2093)] = 98485,
  [SMALL_STATE(2094)] = 98518,
  [SMALL_STATE(2095)] = 98547,
  [SMALL_STATE(2096)] = 98596,
  [SMALL_STATE(2097)] = 98625,
  [SMALL_STATE(2098)] = 98674,
  [SMALL_STATE(2099)] = 98703,
  [SMALL_STATE(2100)] = 98752,
  [SMALL_STATE(2101)] = 98785,
  [SMALL_STATE(2102)] = 98814,
  [SMALL_STATE(2103)] = 98843,
  [SMALL_STATE(2104)] = 98892,
  [SMALL_STATE(2105)] = 98941,
  [SMALL_STATE(2106)] = 98970,
  [SMALL_STATE(2107)] = 98999,
  [SMALL_STATE(2108)] = 99028,
  [SMALL_STATE(2109)] = 99057,
  [SMALL_STATE(2110)] = 99086,
  [SMALL_STATE(2111)] = 99115,
  [SMALL_STATE(2112)] = 99144,
  [SMALL_STATE(2113)] = 99173,
  [SMALL_STATE(2114)] = 99202,
  [SMALL_STATE(2115)] = 99231,
  [SMALL_STATE(2116)] = 99260,
  [SMALL_STATE(2117)] = 99289,
  [SMALL_STATE(2118)] = 99338,
  [SMALL_STATE(2119)] = 99367,
  [SMALL_STATE(2120)] = 99416,
  [SMALL_STATE(2121)] = 99445,
  [SMALL_STATE(2122)] = 99478,
  [SMALL_STATE(2123)] = 99507,
  [SMALL_STATE(2124)] = 99556,
  [SMALL_STATE(2125)] = 99585,
  [SMALL_STATE(2126)] = 99614,
  [SMALL_STATE(2127)] = 99643,
  [SMALL_STATE(2128)] = 99672,
  [SMALL_STATE(2129)] = 99701,
  [SMALL_STATE(2130)] = 99730,
  [SMALL_STATE(2131)] = 99759,
  [SMALL_STATE(2132)] = 99792,
  [SMALL_STATE(2133)] = 99823,
  [SMALL_STATE(2134)] = 99852,
  [SMALL_STATE(2135)] = 99881,
  [SMALL_STATE(2136)] = 99930,
  [SMALL_STATE(2137)] = 99959,
  [SMALL_STATE(2138)] = 99988,
  [SMALL_STATE(2139)] = 100017,
  [SMALL_STATE(2140)] = 100046,
  [SMALL_STATE(2141)] = 100075,
  [SMALL_STATE(2142)] = 100104,
  [SMALL_STATE(2143)] = 100133,
  [SMALL_STATE(2144)] = 100162,
  [SMALL_STATE(2145)] = 100211,
  [SMALL_STATE(2146)] = 100260,
  [SMALL_STATE(2147)] = 100293,
  [SMALL_STATE(2148)] = 100322,
  [SMALL_STATE(2149)] = 100351,
  [SMALL_STATE(2150)] = 100380,
  [SMALL_STATE(2151)] = 100413,
  [SMALL_STATE(2152)] = 100442,
  [SMALL_STATE(2153)] = 100491,
  [SMALL_STATE(2154)] = 100520,
  [SMALL_STATE(2155)] = 100549,
  [SMALL_STATE(2156)] = 100578,
  [SMALL_STATE(2157)] = 100607,
  [SMALL_STATE(2158)] = 100640,
  [SMALL_STATE(2159)] = 100669,
  [SMALL_STATE(2160)] = 100698,
  [SMALL_STATE(2161)] = 100731,
  [SMALL_STATE(2162)] = 100760,
  [SMALL_STATE(2163)] = 100809,
  [SMALL_STATE(2164)] = 100838,
  [SMALL_STATE(2165)] = 100867,
  [SMALL_STATE(2166)] = 100916,
  [SMALL_STATE(2167)] = 100945,
  [SMALL_STATE(2168)] = 100994,
  [SMALL_STATE(2169)] = 101025,
  [SMALL_STATE(2170)] = 101054,
  [SMALL_STATE(2171)] = 101103,
  [SMALL_STATE(2172)] = 101136,
  [SMALL_STATE(2173)] = 101167,
  [SMALL_STATE(2174)] = 101196,
  [SMALL_STATE(2175)] = 101225,
  [SMALL_STATE(2176)] = 101254,
  [SMALL_STATE(2177)] = 101283,
  [SMALL_STATE(2178)] = 101312,
  [SMALL_STATE(2179)] = 101341,
  [SMALL_STATE(2180)] = 101370,
  [SMALL_STATE(2181)] = 101419,
  [SMALL_STATE(2182)] = 101448,
  [SMALL_STATE(2183)] = 101477,
  [SMALL_STATE(2184)] = 101526,
  [SMALL_STATE(2185)] = 101555,
  [SMALL_STATE(2186)] = 101584,
  [SMALL_STATE(2187)] = 101613,
  [SMALL_STATE(2188)] = 101642,
  [SMALL_STATE(2189)] = 101690,
  [SMALL_STATE(2190)] = 101738,
  [SMALL_STATE(2191)] = 101766,
  [SMALL_STATE(2192)] = 101814,
  [SMALL_STATE(2193)] = 101862,
  [SMALL_STATE(2194)] = 101910,
  [SMALL_STATE(2195)] = 101938,
  [SMALL_STATE(2196)] = 101986,
  [SMALL_STATE(2197)] = 102014,
  [SMALL_STATE(2198)] = 102062,
  [SMALL_STATE(2199)] = 102090,
  [SMALL_STATE(2200)] = 102118,
  [SMALL_STATE(2201)] = 102146,
  [SMALL_STATE(2202)] = 102194,
  [SMALL_STATE(2203)] = 102242,
  [SMALL_STATE(2204)] = 102290,
  [SMALL_STATE(2205)] = 102318,
  [SMALL_STATE(2206)] = 102366,
  [SMALL_STATE(2207)] = 102414,
  [SMALL_STATE(2208)] = 102442,
  [SMALL_STATE(2209)] = 102470,
  [SMALL_STATE(2210)] = 102498,
  [SMALL_STATE(2211)] = 102526,
  [SMALL_STATE(2212)] = 102574,
  [SMALL_STATE(2213)] = 102602,
  [SMALL_STATE(2214)] = 102630,
  [SMALL_STATE(2215)] = 102658,
  [SMALL_STATE(2216)] = 102686,
  [SMALL_STATE(2217)] = 102734,
  [SMALL_STATE(2218)] = 102782,
  [SMALL_STATE(2219)] = 102810,
  [SMALL_STATE(2220)] = 102858,
  [SMALL_STATE(2221)] = 102886,
  [SMALL_STATE(2222)] = 102934,
  [SMALL_STATE(2223)] = 102962,
  [SMALL_STATE(2224)] = 102990,
  [SMALL_STATE(2225)] = 103038,
  [SMALL_STATE(2226)] = 103066,
  [SMALL_STATE(2227)] = 103094,
  [SMALL_STATE(2228)] = 103142,
  [SMALL_STATE(2229)] = 103188,
  [SMALL_STATE(2230)] = 103216,
  [SMALL_STATE(2231)] = 103264,
  [SMALL_STATE(2232)] = 103312,
  [SMALL_STATE(2233)] = 103360,
  [SMALL_STATE(2234)] = 103388,
  [SMALL_STATE(2235)] = 103416,
  [SMALL_STATE(2236)] = 103444,
  [SMALL_STATE(2237)] = 103472,
  [SMALL_STATE(2238)] = 103500,
  [SMALL_STATE(2239)] = 103548,
  [SMALL_STATE(2240)] = 103596,
  [SMALL_STATE(2241)] = 103624,
  [SMALL_STATE(2242)] = 103672,
  [SMALL_STATE(2243)] = 103720,
  [SMALL_STATE(2244)] = 103768,
  [SMALL_STATE(2245)] = 103816,
  [SMALL_STATE(2246)] = 103852,
  [SMALL_STATE(2247)] = 103900,
  [SMALL_STATE(2248)] = 103932,
  [SMALL_STATE(2249)] = 103980,
  [SMALL_STATE(2250)] = 104028,
  [SMALL_STATE(2251)] = 104076,
  [SMALL_STATE(2252)] = 104124,
  [SMALL_STATE(2253)] = 104152,
  [SMALL_STATE(2254)] = 104200,
  [SMALL_STATE(2255)] = 104248,
  [SMALL_STATE(2256)] = 104296,
  [SMALL_STATE(2257)] = 104324,
  [SMALL_STATE(2258)] = 104372,
  [SMALL_STATE(2259)] = 104420,
  [SMALL_STATE(2260)] = 104448,
  [SMALL_STATE(2261)] = 104496,
  [SMALL_STATE(2262)] = 104544,
  [SMALL_STATE(2263)] = 104572,
  [SMALL_STATE(2264)] = 104600,
  [SMALL_STATE(2265)] = 104628,
  [SMALL_STATE(2266)] = 104676,
  [SMALL_STATE(2267)] = 104704,
  [SMALL_STATE(2268)] = 104732,
  [SMALL_STATE(2269)] = 104780,
  [SMALL_STATE(2270)] = 104828,
  [SMALL_STATE(2271)] = 104876,
  [SMALL_STATE(2272)] = 104904,
  [SMALL_STATE(2273)] = 104952,
  [SMALL_STATE(2274)] = 104998,
  [SMALL_STATE(2275)] = 105044,
  [SMALL_STATE(2276)] = 105072,
  [SMALL_STATE(2277)] = 105120,
  [SMALL_STATE(2278)] = 105168,
  [SMALL_STATE(2279)] = 105216,
  [SMALL_STATE(2280)] = 105264,
  [SMALL_STATE(2281)] = 105312,
  [SMALL_STATE(2282)] = 105360,
  [SMALL_STATE(2283)] = 105408,
  [SMALL_STATE(2284)] = 105456,
  [SMALL_STATE(2285)] = 105484,
  [SMALL_STATE(2286)] = 105512,
  [SMALL_STATE(2287)] = 105540,
  [SMALL_STATE(2288)] = 105572,
  [SMALL_STATE(2289)] = 105620,
  [SMALL_STATE(2290)] = 105668,
  [SMALL_STATE(2291)] = 105716,
  [SMALL_STATE(2292)] = 105744,
  [SMALL_STATE(2293)] = 105772,
  [SMALL_STATE(2294)] = 105820,
  [SMALL_STATE(2295)] = 105868,
  [SMALL_STATE(2296)] = 105916,
  [SMALL_STATE(2297)] = 105944,
  [SMALL_STATE(2298)] = 105972,
  [SMALL_STATE(2299)] = 106020,
  [SMALL_STATE(2300)] = 106048,
  [SMALL_STATE(2301)] = 106096,
  [SMALL_STATE(2302)] = 106124,
  [SMALL_STATE(2303)] = 106172,
  [SMALL_STATE(2304)] = 106200,
  [SMALL_STATE(2305)] = 106228,
  [SMALL_STATE(2306)] = 106256,
  [SMALL_STATE(2307)] = 106284,
  [SMALL_STATE(2308)] = 106312,
  [SMALL_STATE(2309)] = 106340,
  [SMALL_STATE(2310)] = 106368,
  [SMALL_STATE(2311)] = 106396,
  [SMALL_STATE(2312)] = 106444,
  [SMALL_STATE(2313)] = 106492,
  [SMALL_STATE(2314)] = 106520,
  [SMALL_STATE(2315)] = 106548,
  [SMALL_STATE(2316)] = 106576,
  [SMALL_STATE(2317)] = 106624,
  [SMALL_STATE(2318)] = 106672,
  [SMALL_STATE(2319)] = 106707,
  [SMALL_STATE(2320)] = 106742,
  [SMALL_STATE(2321)] = 106769,
  [SMALL_STATE(2322)] = 106796,
  [SMALL_STATE(2323)] = 106841,
  [SMALL_STATE(2324)] = 106868,
  [SMALL_STATE(2325)] = 106913,
  [SMALL_STATE(2326)] = 106948,
  [SMALL_STATE(2327)] = 106993,
  [SMALL_STATE(2328)] = 107020,
  [SMALL_STATE(2329)] = 107055,
  [SMALL_STATE(2330)] = 107090,
  [SMALL_STATE(2331)] = 107125,
  [SMALL_STATE(2332)] = 107170,
  [SMALL_STATE(2333)] = 107215,
  [SMALL_STATE(2334)] = 107250,
  [SMALL_STATE(2335)] = 107285,
  [SMALL_STATE(2336)] = 107320,
  [SMALL_STATE(2337)] = 107365,
  [SMALL_STATE(2338)] = 107392,
  [SMALL_STATE(2339)] = 107427,
  [SMALL_STATE(2340)] = 107462,
  [SMALL_STATE(2341)] = 107507,
  [SMALL_STATE(2342)] = 107542,
  [SMALL_STATE(2343)] = 107577,
  [SMALL_STATE(2344)] = 107604,
  [SMALL_STATE(2345)] = 107639,
  [SMALL_STATE(2346)] = 107666,
  [SMALL_STATE(2347)] = 107711,
  [SMALL_STATE(2348)] = 107746,
  [SMALL_STATE(2349)] = 107781,
  [SMALL_STATE(2350)] = 107826,
  [SMALL_STATE(2351)] = 107861,
  [SMALL_STATE(2352)] = 107888,
  [SMALL_STATE(2353)] = 107923,
  [SMALL_STATE(2354)] = 107958,
  [SMALL_STATE(2355)] = 107993,
  [SMALL_STATE(2356)] = 108028,
  [SMALL_STATE(2357)] = 108073,
  [SMALL_STATE(2358)] = 108108,
  [SMALL_STATE(2359)] = 108143,
  [SMALL_STATE(2360)] = 108178,
  [SMALL_STATE(2361)] = 108205,
  [SMALL_STATE(2362)] = 108250,
  [SMALL_STATE(2363)] = 108277,
  [SMALL_STATE(2364)] = 108312,
  [SMALL_STATE(2365)] = 108357,
  [SMALL_STATE(2366)] = 108384,
  [SMALL_STATE(2367)] = 108429,
  [SMALL_STATE(2368)] = 108464,
  [SMALL_STATE(2369)] = 108499,
  [SMALL_STATE(2370)] = 108544,
  [SMALL_STATE(2371)] = 108589,
  [SMALL_STATE(2372)] = 108624,
  [SMALL_STATE(2373)] = 108669,
  [SMALL_STATE(2374)] = 108704,
  [SMALL_STATE(2375)] = 108749,
  [SMALL_STATE(2376)] = 108784,
  [SMALL_STATE(2377)] = 108829,
  [SMALL_STATE(2378)] = 108856,
  [SMALL_STATE(2379)] = 108891,
  [SMALL_STATE(2380)] = 108926,
  [SMALL_STATE(2381)] = 108971,
  [SMALL_STATE(2382)] = 109006,
  [SMALL_STATE(2383)] = 109051,
  [SMALL_STATE(2384)] = 109078,
  [SMALL_STATE(2385)] = 109120,
  [SMALL_STATE(2386)] = 109162,
  [SMALL_STATE(2387)] = 109198,
  [SMALL_STATE(2388)] = 109235,
  [SMALL_STATE(2389)] = 109272,
  [SMALL_STATE(2390)] = 109309,
  [SMALL_STATE(2391)] = 109346,
  [SMALL_STATE(2392)] = 109383,
  [SMALL_STATE(2393)] = 109420,
  [SMALL_STATE(2394)] = 109457,
  [SMALL_STATE(2395)] = 109494,
  [SMALL_STATE(2396)] = 109531,
  [SMALL_STATE(2397)] = 109568,
  [SMALL_STATE(2398)] = 109597,
  [SMALL_STATE(2399)] = 109634,
  [SMALL_STATE(2400)] = 109671,
  [SMALL_STATE(2401)] = 109708,
  [SMALL_STATE(2402)] = 109745,
  [SMALL_STATE(2403)] = 109782,
  [SMALL_STATE(2404)] = 109819,
  [SMALL_STATE(2405)] = 109856,
  [SMALL_STATE(2406)] = 109893,
  [SMALL_STATE(2407)] = 109930,
  [SMALL_STATE(2408)] = 109967,
  [SMALL_STATE(2409)] = 110004,
  [SMALL_STATE(2410)] = 110041,
  [SMALL_STATE(2411)] = 110078,
  [SMALL_STATE(2412)] = 110115,
  [SMALL_STATE(2413)] = 110152,
  [SMALL_STATE(2414)] = 110189,
  [SMALL_STATE(2415)] = 110226,
  [SMALL_STATE(2416)] = 110263,
  [SMALL_STATE(2417)] = 110300,
  [SMALL_STATE(2418)] = 110337,
  [SMALL_STATE(2419)] = 110374,
  [SMALL_STATE(2420)] = 110403,
  [SMALL_STATE(2421)] = 110440,
  [SMALL_STATE(2422)] = 110477,
  [SMALL_STATE(2423)] = 110514,
  [SMALL_STATE(2424)] = 110551,
  [SMALL_STATE(2425)] = 110588,
  [SMALL_STATE(2426)] = 110625,
  [SMALL_STATE(2427)] = 110662,
  [SMALL_STATE(2428)] = 110699,
  [SMALL_STATE(2429)] = 110736,
  [SMALL_STATE(2430)] = 110773,
  [SMALL_STATE(2431)] = 110810,
  [SMALL_STATE(2432)] = 110847,
  [SMALL_STATE(2433)] = 110884,
  [SMALL_STATE(2434)] = 110921,
  [SMALL_STATE(2435)] = 110958,
  [SMALL_STATE(2436)] = 110995,
  [SMALL_STATE(2437)] = 111032,
  [SMALL_STATE(2438)] = 111069,
  [SMALL_STATE(2439)] = 111106,
  [SMALL_STATE(2440)] = 111143,
  [SMALL_STATE(2441)] = 111180,
  [SMALL_STATE(2442)] = 111217,
  [SMALL_STATE(2443)] = 111254,
  [SMALL_STATE(2444)] = 111283,
  [SMALL_STATE(2445)] = 111320,
  [SMALL_STATE(2446)] = 111357,
  [SMALL_STATE(2447)] = 111394,
  [SMALL_STATE(2448)] = 111431,
  [SMALL_STATE(2449)] = 111468,
  [SMALL_STATE(2450)] = 111505,
  [SMALL_STATE(2451)] = 111542,
  [SMALL_STATE(2452)] = 111571,
  [SMALL_STATE(2453)] = 111595,
  [SMALL_STATE(2454)] = 111619,
  [SMALL_STATE(2455)] = 111643,
  [SMALL_STATE(2456)] = 111667,
  [SMALL_STATE(2457)] = 111691,
  [SMALL_STATE(2458)] = 111715,
  [SMALL_STATE(2459)] = 111739,
  [SMALL_STATE(2460)] = 111763,
  [SMALL_STATE(2461)] = 111787,
  [SMALL_STATE(2462)] = 111811,
  [SMALL_STATE(2463)] = 111835,
  [SMALL_STATE(2464)] = 111859,
  [SMALL_STATE(2465)] = 111883,
  [SMALL_STATE(2466)] = 111907,
  [SMALL_STATE(2467)] = 111931,
  [SMALL_STATE(2468)] = 111955,
  [SMALL_STATE(2469)] = 111979,
  [SMALL_STATE(2470)] = 112003,
  [SMALL_STATE(2471)] = 112027,
  [SMALL_STATE(2472)] = 112055,
  [SMALL_STATE(2473)] = 112083,
  [SMALL_STATE(2474)] = 112107,
  [SMALL_STATE(2475)] = 112131,
  [SMALL_STATE(2476)] = 112155,
  [SMALL_STATE(2477)] = 112179,
  [SMALL_STATE(2478)] = 112203,
  [SMALL_STATE(2479)] = 112227,
  [SMALL_STATE(2480)] = 112251,
  [SMALL_STATE(2481)] = 112284,
  [SMALL_STATE(2482)] = 112307,
  [SMALL_STATE(2483)] = 112340,
  [SMALL_STATE(2484)] = 112366,
  [SMALL_STATE(2485)] = 112392,
  [SMALL_STATE(2486)] = 112424,
  [SMALL_STATE(2487)] = 112450,
  [SMALL_STATE(2488)] = 112476,
  [SMALL_STATE(2489)] = 112507,
  [SMALL_STATE(2490)] = 112528,
  [SMALL_STATE(2491)] = 112559,
  [SMALL_STATE(2492)] = 112588,
  [SMALL_STATE(2493)] = 112613,
  [SMALL_STATE(2494)] = 112642,
  [SMALL_STATE(2495)] = 112673,
  [SMALL_STATE(2496)] = 112702,
  [SMALL_STATE(2497)] = 112731,
  [SMALL_STATE(2498)] = 112760,
  [SMALL_STATE(2499)] = 112791,
  [SMALL_STATE(2500)] = 112822,
  [SMALL_STATE(2501)] = 112851,
  [SMALL_STATE(2502)] = 112880,
  [SMALL_STATE(2503)] = 112911,
  [SMALL_STATE(2504)] = 112942,
  [SMALL_STATE(2505)] = 112963,
  [SMALL_STATE(2506)] = 112992,
  [SMALL_STATE(2507)] = 113023,
  [SMALL_STATE(2508)] = 113044,
  [SMALL_STATE(2509)] = 113073,
  [SMALL_STATE(2510)] = 113094,
  [SMALL_STATE(2511)] = 113125,
  [SMALL_STATE(2512)] = 113154,
  [SMALL_STATE(2513)] = 113185,
  [SMALL_STATE(2514)] = 113214,
  [SMALL_STATE(2515)] = 113243,
  [SMALL_STATE(2516)] = 113264,
  [SMALL_STATE(2517)] = 113295,
  [SMALL_STATE(2518)] = 113316,
  [SMALL_STATE(2519)] = 113345,
  [SMALL_STATE(2520)] = 113374,
  [SMALL_STATE(2521)] = 113403,
  [SMALL_STATE(2522)] = 113434,
  [SMALL_STATE(2523)] = 113465,
  [SMALL_STATE(2524)] = 113486,
  [SMALL_STATE(2525)] = 113517,
  [SMALL_STATE(2526)] = 113548,
  [SMALL_STATE(2527)] = 113579,
  [SMALL_STATE(2528)] = 113600,
  [SMALL_STATE(2529)] = 113629,
  [SMALL_STATE(2530)] = 113658,
  [SMALL_STATE(2531)] = 113687,
  [SMALL_STATE(2532)] = 113718,
  [SMALL_STATE(2533)] = 113739,
  [SMALL_STATE(2534)] = 113770,
  [SMALL_STATE(2535)] = 113799,
  [SMALL_STATE(2536)] = 113820,
  [SMALL_STATE(2537)] = 113851,
  [SMALL_STATE(2538)] = 113872,
  [SMALL_STATE(2539)] = 113903,
  [SMALL_STATE(2540)] = 113924,
  [SMALL_STATE(2541)] = 113953,
  [SMALL_STATE(2542)] = 113984,
  [SMALL_STATE(2543)] = 114015,
  [SMALL_STATE(2544)] = 114046,
  [SMALL_STATE(2545)] = 114075,
  [SMALL_STATE(2546)] = 114104,
  [SMALL_STATE(2547)] = 114135,
  [SMALL_STATE(2548)] = 114164,
  [SMALL_STATE(2549)] = 114193,
  [SMALL_STATE(2550)] = 114214,
  [SMALL_STATE(2551)] = 114243,
  [SMALL_STATE(2552)] = 114264,
  [SMALL_STATE(2553)] = 114295,
  [SMALL_STATE(2554)] = 114326,
  [SMALL_STATE(2555)] = 114347,
  [SMALL_STATE(2556)] = 114368,
  [SMALL_STATE(2557)] = 114397,
  [SMALL_STATE(2558)] = 114428,
  [SMALL_STATE(2559)] = 114457,
  [SMALL_STATE(2560)] = 114478,
  [SMALL_STATE(2561)] = 114509,
  [SMALL_STATE(2562)] = 114540,
  [SMALL_STATE(2563)] = 114561,
  [SMALL_STATE(2564)] = 114592,
  [SMALL_STATE(2565)] = 114621,
  [SMALL_STATE(2566)] = 114642,
  [SMALL_STATE(2567)] = 114667,
  [SMALL_STATE(2568)] = 114688,
  [SMALL_STATE(2569)] = 114717,
  [SMALL_STATE(2570)] = 114738,
  [SMALL_STATE(2571)] = 114759,
  [SMALL_STATE(2572)] = 114780,
  [SMALL_STATE(2573)] = 114801,
  [SMALL_STATE(2574)] = 114822,
  [SMALL_STATE(2575)] = 114843,
  [SMALL_STATE(2576)] = 114874,
  [SMALL_STATE(2577)] = 114896,
  [SMALL_STATE(2578)] = 114920,
  [SMALL_STATE(2579)] = 114944,
  [SMALL_STATE(2580)] = 114968,
  [SMALL_STATE(2581)] = 114992,
  [SMALL_STATE(2582)] = 115014,
  [SMALL_STATE(2583)] = 115038,
  [SMALL_STATE(2584)] = 115062,
  [SMALL_STATE(2585)] = 115086,
  [SMALL_STATE(2586)] = 115110,
  [SMALL_STATE(2587)] = 115134,
  [SMALL_STATE(2588)] = 115158,
  [SMALL_STATE(2589)] = 115182,
  [SMALL_STATE(2590)] = 115204,
  [SMALL_STATE(2591)] = 115228,
  [SMALL_STATE(2592)] = 115252,
  [SMALL_STATE(2593)] = 115276,
  [SMALL_STATE(2594)] = 115300,
  [SMALL_STATE(2595)] = 115324,
  [SMALL_STATE(2596)] = 115348,
  [SMALL_STATE(2597)] = 115372,
  [SMALL_STATE(2598)] = 115396,
  [SMALL_STATE(2599)] = 115420,
  [SMALL_STATE(2600)] = 115444,
  [SMALL_STATE(2601)] = 115468,
  [SMALL_STATE(2602)] = 115492,
  [SMALL_STATE(2603)] = 115516,
  [SMALL_STATE(2604)] = 115538,
  [SMALL_STATE(2605)] = 115562,
  [SMALL_STATE(2606)] = 115586,
  [SMALL_STATE(2607)] = 115610,
  [SMALL_STATE(2608)] = 115634,
  [SMALL_STATE(2609)] = 115658,
  [SMALL_STATE(2610)] = 115680,
  [SMALL_STATE(2611)] = 115700,
  [SMALL_STATE(2612)] = 115724,
  [SMALL_STATE(2613)] = 115748,
  [SMALL_STATE(2614)] = 115772,
  [SMALL_STATE(2615)] = 115796,
  [SMALL_STATE(2616)] = 115820,
  [SMALL_STATE(2617)] = 115844,
  [SMALL_STATE(2618)] = 115868,
  [SMALL_STATE(2619)] = 115892,
  [SMALL_STATE(2620)] = 115916,
  [SMALL_STATE(2621)] = 115940,
  [SMALL_STATE(2622)] = 115964,
  [SMALL_STATE(2623)] = 115988,
  [SMALL_STATE(2624)] = 116012,
  [SMALL_STATE(2625)] = 116036,
  [SMALL_STATE(2626)] = 116058,
  [SMALL_STATE(2627)] = 116082,
  [SMALL_STATE(2628)] = 116106,
  [SMALL_STATE(2629)] = 116130,
  [SMALL_STATE(2630)] = 116154,
  [SMALL_STATE(2631)] = 116178,
  [SMALL_STATE(2632)] = 116202,
  [SMALL_STATE(2633)] = 116226,
  [SMALL_STATE(2634)] = 116250,
  [SMALL_STATE(2635)] = 116274,
  [SMALL_STATE(2636)] = 116298,
  [SMALL_STATE(2637)] = 116322,
  [SMALL_STATE(2638)] = 116346,
  [SMALL_STATE(2639)] = 116370,
  [SMALL_STATE(2640)] = 116394,
  [SMALL_STATE(2641)] = 116418,
  [SMALL_STATE(2642)] = 116437,
  [SMALL_STATE(2643)] = 116464,
  [SMALL_STATE(2644)] = 116491,
  [SMALL_STATE(2645)] = 116518,
  [SMALL_STATE(2646)] = 116545,
  [SMALL_STATE(2647)] = 116572,
  [SMALL_STATE(2648)] = 116599,
  [SMALL_STATE(2649)] = 116618,
  [SMALL_STATE(2650)] = 116645,
  [SMALL_STATE(2651)] = 116664,
  [SMALL_STATE(2652)] = 116683,
  [SMALL_STATE(2653)] = 116702,
  [SMALL_STATE(2654)] = 116721,
  [SMALL_STATE(2655)] = 116748,
  [SMALL_STATE(2656)] = 116775,
  [SMALL_STATE(2657)] = 116802,
  [SMALL_STATE(2658)] = 116829,
  [SMALL_STATE(2659)] = 116856,
  [SMALL_STATE(2660)] = 116883,
  [SMALL_STATE(2661)] = 116910,
  [SMALL_STATE(2662)] = 116929,
  [SMALL_STATE(2663)] = 116956,
  [SMALL_STATE(2664)] = 116975,
  [SMALL_STATE(2665)] = 117002,
  [SMALL_STATE(2666)] = 117029,
  [SMALL_STATE(2667)] = 117056,
  [SMALL_STATE(2668)] = 117083,
  [SMALL_STATE(2669)] = 117110,
  [SMALL_STATE(2670)] = 117131,
  [SMALL_STATE(2671)] = 117158,
  [SMALL_STATE(2672)] = 117177,
  [SMALL_STATE(2673)] = 117204,
  [SMALL_STATE(2674)] = 117223,
  [SMALL_STATE(2675)] = 117242,
  [SMALL_STATE(2676)] = 117269,
  [SMALL_STATE(2677)] = 117296,
  [SMALL_STATE(2678)] = 117323,
  [SMALL_STATE(2679)] = 117350,
  [SMALL_STATE(2680)] = 117369,
  [SMALL_STATE(2681)] = 117396,
  [SMALL_STATE(2682)] = 117423,
  [SMALL_STATE(2683)] = 117450,
  [SMALL_STATE(2684)] = 117477,
  [SMALL_STATE(2685)] = 117504,
  [SMALL_STATE(2686)] = 117534,
  [SMALL_STATE(2687)] = 117562,
  [SMALL_STATE(2688)] = 117592,
  [SMALL_STATE(2689)] = 117622,
  [SMALL_STATE(2690)] = 117652,
  [SMALL_STATE(2691)] = 117682,
  [SMALL_STATE(2692)] = 117712,
  [SMALL_STATE(2693)] = 117742,
  [SMALL_STATE(2694)] = 117772,
  [SMALL_STATE(2695)] = 117802,
  [SMALL_STATE(2696)] = 117832,
  [SMALL_STATE(2697)] = 117862,
  [SMALL_STATE(2698)] = 117892,
  [SMALL_STATE(2699)] = 117922,
  [SMALL_STATE(2700)] = 117952,
  [SMALL_STATE(2701)] = 117982,
  [SMALL_STATE(2702)] = 118012,
  [SMALL_STATE(2703)] = 118042,
  [SMALL_STATE(2704)] = 118072,
  [SMALL_STATE(2705)] = 118102,
  [SMALL_STATE(2706)] = 118132,
  [SMALL_STATE(2707)] = 118160,
  [SMALL_STATE(2708)] = 118190,
  [SMALL_STATE(2709)] = 118220,
  [SMALL_STATE(2710)] = 118250,
  [SMALL_STATE(2711)] = 118280,
  [SMALL_STATE(2712)] = 118310,
  [SMALL_STATE(2713)] = 118340,
  [SMALL_STATE(2714)] = 118370,
  [SMALL_STATE(2715)] = 118400,
  [SMALL_STATE(2716)] = 118430,
  [SMALL_STATE(2717)] = 118460,
  [SMALL_STATE(2718)] = 118490,
  [SMALL_STATE(2719)] = 118510,
  [SMALL_STATE(2720)] = 118540,
  [SMALL_STATE(2721)] = 118570,
  [SMALL_STATE(2722)] = 118600,
  [SMALL_STATE(2723)] = 118630,
  [SMALL_STATE(2724)] = 118660,
  [SMALL_STATE(2725)] = 118688,
  [SMALL_STATE(2726)] = 118718,
  [SMALL_STATE(2727)] = 118748,
  [SMALL_STATE(2728)] = 118778,
  [SMALL_STATE(2729)] = 118808,
  [SMALL_STATE(2730)] = 118838,
  [SMALL_STATE(2731)] = 118868,
  [SMALL_STATE(2732)] = 118898,
  [SMALL_STATE(2733)] = 118926,
  [SMALL_STATE(2734)] = 118956,
  [SMALL_STATE(2735)] = 118986,
  [SMALL_STATE(2736)] = 119016,
  [SMALL_STATE(2737)] = 119044,
  [SMALL_STATE(2738)] = 119074,
  [SMALL_STATE(2739)] = 119104,
  [SMALL_STATE(2740)] = 119134,
  [SMALL_STATE(2741)] = 119164,
  [SMALL_STATE(2742)] = 119194,
  [SMALL_STATE(2743)] = 119224,
  [SMALL_STATE(2744)] = 119254,
  [SMALL_STATE(2745)] = 119282,
  [SMALL_STATE(2746)] = 119312,
  [SMALL_STATE(2747)] = 119342,
  [SMALL_STATE(2748)] = 119372,
  [SMALL_STATE(2749)] = 119402,
  [SMALL_STATE(2750)] = 119430,
  [SMALL_STATE(2751)] = 119460,
  [SMALL_STATE(2752)] = 119490,
  [SMALL_STATE(2753)] = 119506,
  [SMALL_STATE(2754)] = 119530,
  [SMALL_STATE(2755)] = 119554,
  [SMALL_STATE(2756)] = 119570,
  [SMALL_STATE(2757)] = 119594,
  [SMALL_STATE(2758)] = 119618,
  [SMALL_STATE(2759)] = 119642,
  [SMALL_STATE(2760)] = 119658,
  [SMALL_STATE(2761)] = 119674,
  [SMALL_STATE(2762)] = 119698,
  [SMALL_STATE(2763)] = 119722,
  [SMALL_STATE(2764)] = 119746,
  [SMALL_STATE(2765)] = 119762,
  [SMALL_STATE(2766)] = 119786,
  [SMALL_STATE(2767)] = 119806,
  [SMALL_STATE(2768)] = 119821,
  [SMALL_STATE(2769)] = 119842,
  [SMALL_STATE(2770)] = 119857,
  [SMALL_STATE(2771)] = 119876,
  [SMALL_STATE(2772)] = 119891,
  [SMALL_STATE(2773)] = 119908,
  [SMALL_STATE(2774)] = 119923,
  [SMALL_STATE(2775)] = 119938,
  [SMALL_STATE(2776)] = 119955,
  [SMALL_STATE(2777)] = 119970,
  [SMALL_STATE(2778)] = 119985,
  [SMALL_STATE(2779)] = 120000,
  [SMALL_STATE(2780)] = 120021,
  [SMALL_STATE(2781)] = 120040,
  [SMALL_STATE(2782)] = 120055,
  [SMALL_STATE(2783)] = 120070,
  [SMALL_STATE(2784)] = 120085,
  [SMALL_STATE(2785)] = 120106,
  [SMALL_STATE(2786)] = 120125,
  [SMALL_STATE(2787)] = 120140,
  [SMALL_STATE(2788)] = 120155,
  [SMALL_STATE(2789)] = 120170,
  [SMALL_STATE(2790)] = 120185,
  [SMALL_STATE(2791)] = 120200,
  [SMALL_STATE(2792)] = 120215,
  [SMALL_STATE(2793)] = 120230,
  [SMALL_STATE(2794)] = 120245,
  [SMALL_STATE(2795)] = 120260,
  [SMALL_STATE(2796)] = 120275,
  [SMALL_STATE(2797)] = 120290,
  [SMALL_STATE(2798)] = 120305,
  [SMALL_STATE(2799)] = 120326,
  [SMALL_STATE(2800)] = 120341,
  [SMALL_STATE(2801)] = 120362,
  [SMALL_STATE(2802)] = 120377,
  [SMALL_STATE(2803)] = 120398,
  [SMALL_STATE(2804)] = 120418,
  [SMALL_STATE(2805)] = 120432,
  [SMALL_STATE(2806)] = 120446,
  [SMALL_STATE(2807)] = 120460,
  [SMALL_STATE(2808)] = 120480,
  [SMALL_STATE(2809)] = 120494,
  [SMALL_STATE(2810)] = 120508,
  [SMALL_STATE(2811)] = 120522,
  [SMALL_STATE(2812)] = 120536,
  [SMALL_STATE(2813)] = 120556,
  [SMALL_STATE(2814)] = 120570,
  [SMALL_STATE(2815)] = 120584,
  [SMALL_STATE(2816)] = 120598,
  [SMALL_STATE(2817)] = 120612,
  [SMALL_STATE(2818)] = 120626,
  [SMALL_STATE(2819)] = 120640,
  [SMALL_STATE(2820)] = 120656,
  [SMALL_STATE(2821)] = 120670,
  [SMALL_STATE(2822)] = 120684,
  [SMALL_STATE(2823)] = 120696,
  [SMALL_STATE(2824)] = 120708,
  [SMALL_STATE(2825)] = 120722,
  [SMALL_STATE(2826)] = 120736,
  [SMALL_STATE(2827)] = 120750,
  [SMALL_STATE(2828)] = 120764,
  [SMALL_STATE(2829)] = 120778,
  [SMALL_STATE(2830)] = 120792,
  [SMALL_STATE(2831)] = 120806,
  [SMALL_STATE(2832)] = 120820,
  [SMALL_STATE(2833)] = 120834,
  [SMALL_STATE(2834)] = 120854,
  [SMALL_STATE(2835)] = 120870,
  [SMALL_STATE(2836)] = 120884,
  [SMALL_STATE(2837)] = 120898,
  [SMALL_STATE(2838)] = 120912,
  [SMALL_STATE(2839)] = 120926,
  [SMALL_STATE(2840)] = 120940,
  [SMALL_STATE(2841)] = 120954,
  [SMALL_STATE(2842)] = 120968,
  [SMALL_STATE(2843)] = 120982,
  [SMALL_STATE(2844)] = 120996,
  [SMALL_STATE(2845)] = 121010,
  [SMALL_STATE(2846)] = 121024,
  [SMALL_STATE(2847)] = 121038,
  [SMALL_STATE(2848)] = 121052,
  [SMALL_STATE(2849)] = 121072,
  [SMALL_STATE(2850)] = 121086,
  [SMALL_STATE(2851)] = 121100,
  [SMALL_STATE(2852)] = 121114,
  [SMALL_STATE(2853)] = 121128,
  [SMALL_STATE(2854)] = 121142,
  [SMALL_STATE(2855)] = 121156,
  [SMALL_STATE(2856)] = 121170,
  [SMALL_STATE(2857)] = 121184,
  [SMALL_STATE(2858)] = 121198,
  [SMALL_STATE(2859)] = 121212,
  [SMALL_STATE(2860)] = 121226,
  [SMALL_STATE(2861)] = 121240,
  [SMALL_STATE(2862)] = 121254,
  [SMALL_STATE(2863)] = 121274,
  [SMALL_STATE(2864)] = 121289,
  [SMALL_STATE(2865)] = 121306,
  [SMALL_STATE(2866)] = 121325,
  [SMALL_STATE(2867)] = 121338,
  [SMALL_STATE(2868)] = 121353,
  [SMALL_STATE(2869)] = 121370,
  [SMALL_STATE(2870)] = 121387,
  [SMALL_STATE(2871)] = 121402,
  [SMALL_STATE(2872)] = 121419,
  [SMALL_STATE(2873)] = 121436,
  [SMALL_STATE(2874)] = 121453,
  [SMALL_STATE(2875)] = 121470,
  [SMALL_STATE(2876)] = 121487,
  [SMALL_STATE(2877)] = 121502,
  [SMALL_STATE(2878)] = 121519,
  [SMALL_STATE(2879)] = 121536,
  [SMALL_STATE(2880)] = 121553,
  [SMALL_STATE(2881)] = 121568,
  [SMALL_STATE(2882)] = 121585,
  [SMALL_STATE(2883)] = 121602,
  [SMALL_STATE(2884)] = 121617,
  [SMALL_STATE(2885)] = 121632,
  [SMALL_STATE(2886)] = 121647,
  [SMALL_STATE(2887)] = 121664,
  [SMALL_STATE(2888)] = 121681,
  [SMALL_STATE(2889)] = 121698,
  [SMALL_STATE(2890)] = 121713,
  [SMALL_STATE(2891)] = 121728,
  [SMALL_STATE(2892)] = 121747,
  [SMALL_STATE(2893)] = 121764,
  [SMALL_STATE(2894)] = 121779,
  [SMALL_STATE(2895)] = 121794,
  [SMALL_STATE(2896)] = 121807,
  [SMALL_STATE(2897)] = 121826,
  [SMALL_STATE(2898)] = 121839,
  [SMALL_STATE(2899)] = 121856,
  [SMALL_STATE(2900)] = 121873,
  [SMALL_STATE(2901)] = 121890,
  [SMALL_STATE(2902)] = 121907,
  [SMALL_STATE(2903)] = 121926,
  [SMALL_STATE(2904)] = 121941,
  [SMALL_STATE(2905)] = 121958,
  [SMALL_STATE(2906)] = 121973,
  [SMALL_STATE(2907)] = 121990,
  [SMALL_STATE(2908)] = 122007,
  [SMALL_STATE(2909)] = 122021,
  [SMALL_STATE(2910)] = 122035,
  [SMALL_STATE(2911)] = 122049,
  [SMALL_STATE(2912)] = 122063,
  [SMALL_STATE(2913)] = 122077,
  [SMALL_STATE(2914)] = 122089,
  [SMALL_STATE(2915)] = 122103,
  [SMALL_STATE(2916)] = 122117,
  [SMALL_STATE(2917)] = 122131,
  [SMALL_STATE(2918)] = 122145,
  [SMALL_STATE(2919)] = 122159,
  [SMALL_STATE(2920)] = 122173,
  [SMALL_STATE(2921)] = 122187,
  [SMALL_STATE(2922)] = 122199,
  [SMALL_STATE(2923)] = 122213,
  [SMALL_STATE(2924)] = 122225,
  [SMALL_STATE(2925)] = 122239,
  [SMALL_STATE(2926)] = 122253,
  [SMALL_STATE(2927)] = 122267,
  [SMALL_STATE(2928)] = 122279,
  [SMALL_STATE(2929)] = 122291,
  [SMALL_STATE(2930)] = 122305,
  [SMALL_STATE(2931)] = 122319,
  [SMALL_STATE(2932)] = 122333,
  [SMALL_STATE(2933)] = 122347,
  [SMALL_STATE(2934)] = 122359,
  [SMALL_STATE(2935)] = 122371,
  [SMALL_STATE(2936)] = 122385,
  [SMALL_STATE(2937)] = 122397,
  [SMALL_STATE(2938)] = 122411,
  [SMALL_STATE(2939)] = 122423,
  [SMALL_STATE(2940)] = 122435,
  [SMALL_STATE(2941)] = 122449,
  [SMALL_STATE(2942)] = 122465,
  [SMALL_STATE(2943)] = 122479,
  [SMALL_STATE(2944)] = 122493,
  [SMALL_STATE(2945)] = 122507,
  [SMALL_STATE(2946)] = 122521,
  [SMALL_STATE(2947)] = 122535,
  [SMALL_STATE(2948)] = 122549,
  [SMALL_STATE(2949)] = 122561,
  [SMALL_STATE(2950)] = 122575,
  [SMALL_STATE(2951)] = 122591,
  [SMALL_STATE(2952)] = 122605,
  [SMALL_STATE(2953)] = 122619,
  [SMALL_STATE(2954)] = 122631,
  [SMALL_STATE(2955)] = 122643,
  [SMALL_STATE(2956)] = 122655,
  [SMALL_STATE(2957)] = 122667,
  [SMALL_STATE(2958)] = 122683,
  [SMALL_STATE(2959)] = 122697,
  [SMALL_STATE(2960)] = 122710,
  [SMALL_STATE(2961)] = 122723,
  [SMALL_STATE(2962)] = 122734,
  [SMALL_STATE(2963)] = 122747,
  [SMALL_STATE(2964)] = 122760,
  [SMALL_STATE(2965)] = 122773,
  [SMALL_STATE(2966)] = 122786,
  [SMALL_STATE(2967)] = 122799,
  [SMALL_STATE(2968)] = 122812,
  [SMALL_STATE(2969)] = 122823,
  [SMALL_STATE(2970)] = 122836,
  [SMALL_STATE(2971)] = 122847,
  [SMALL_STATE(2972)] = 122860,
  [SMALL_STATE(2973)] = 122873,
  [SMALL_STATE(2974)] = 122886,
  [SMALL_STATE(2975)] = 122899,
  [SMALL_STATE(2976)] = 122912,
  [SMALL_STATE(2977)] = 122925,
  [SMALL_STATE(2978)] = 122938,
  [SMALL_STATE(2979)] = 122951,
  [SMALL_STATE(2980)] = 122964,
  [SMALL_STATE(2981)] = 122977,
  [SMALL_STATE(2982)] = 122990,
  [SMALL_STATE(2983)] = 123003,
  [SMALL_STATE(2984)] = 123016,
  [SMALL_STATE(2985)] = 123029,
  [SMALL_STATE(2986)] = 123042,
  [SMALL_STATE(2987)] = 123055,
  [SMALL_STATE(2988)] = 123068,
  [SMALL_STATE(2989)] = 123081,
  [SMALL_STATE(2990)] = 123094,
  [SMALL_STATE(2991)] = 123107,
  [SMALL_STATE(2992)] = 123120,
  [SMALL_STATE(2993)] = 123133,
  [SMALL_STATE(2994)] = 123146,
  [SMALL_STATE(2995)] = 123159,
  [SMALL_STATE(2996)] = 123172,
  [SMALL_STATE(2997)] = 123185,
  [SMALL_STATE(2998)] = 123198,
  [SMALL_STATE(2999)] = 123209,
  [SMALL_STATE(3000)] = 123222,
  [SMALL_STATE(3001)] = 123235,
  [SMALL_STATE(3002)] = 123248,
  [SMALL_STATE(3003)] = 123261,
  [SMALL_STATE(3004)] = 123272,
  [SMALL_STATE(3005)] = 123285,
  [SMALL_STATE(3006)] = 123298,
  [SMALL_STATE(3007)] = 123311,
  [SMALL_STATE(3008)] = 123324,
  [SMALL_STATE(3009)] = 123335,
  [SMALL_STATE(3010)] = 123346,
  [SMALL_STATE(3011)] = 123359,
  [SMALL_STATE(3012)] = 123372,
  [SMALL_STATE(3013)] = 123383,
  [SMALL_STATE(3014)] = 123396,
  [SMALL_STATE(3015)] = 123409,
  [SMALL_STATE(3016)] = 123420,
  [SMALL_STATE(3017)] = 123431,
  [SMALL_STATE(3018)] = 123444,
  [SMALL_STATE(3019)] = 123457,
  [SMALL_STATE(3020)] = 123470,
  [SMALL_STATE(3021)] = 123483,
  [SMALL_STATE(3022)] = 123494,
  [SMALL_STATE(3023)] = 123507,
  [SMALL_STATE(3024)] = 123520,
  [SMALL_STATE(3025)] = 123533,
  [SMALL_STATE(3026)] = 123546,
  [SMALL_STATE(3027)] = 123559,
  [SMALL_STATE(3028)] = 123570,
  [SMALL_STATE(3029)] = 123583,
  [SMALL_STATE(3030)] = 123596,
  [SMALL_STATE(3031)] = 123609,
  [SMALL_STATE(3032)] = 123622,
  [SMALL_STATE(3033)] = 123635,
  [SMALL_STATE(3034)] = 123648,
  [SMALL_STATE(3035)] = 123659,
  [SMALL_STATE(3036)] = 123672,
  [SMALL_STATE(3037)] = 123685,
  [SMALL_STATE(3038)] = 123698,
  [SMALL_STATE(3039)] = 123711,
  [SMALL_STATE(3040)] = 123724,
  [SMALL_STATE(3041)] = 123737,
  [SMALL_STATE(3042)] = 123748,
  [SMALL_STATE(3043)] = 123761,
  [SMALL_STATE(3044)] = 123774,
  [SMALL_STATE(3045)] = 123787,
  [SMALL_STATE(3046)] = 123798,
  [SMALL_STATE(3047)] = 123811,
  [SMALL_STATE(3048)] = 123824,
  [SMALL_STATE(3049)] = 123837,
  [SMALL_STATE(3050)] = 123850,
  [SMALL_STATE(3051)] = 123863,
  [SMALL_STATE(3052)] = 123876,
  [SMALL_STATE(3053)] = 123889,
  [SMALL_STATE(3054)] = 123902,
  [SMALL_STATE(3055)] = 123915,
  [SMALL_STATE(3056)] = 123928,
  [SMALL_STATE(3057)] = 123941,
  [SMALL_STATE(3058)] = 123954,
  [SMALL_STATE(3059)] = 123967,
  [SMALL_STATE(3060)] = 123980,
  [SMALL_STATE(3061)] = 123993,
  [SMALL_STATE(3062)] = 124006,
  [SMALL_STATE(3063)] = 124019,
  [SMALL_STATE(3064)] = 124032,
  [SMALL_STATE(3065)] = 124045,
  [SMALL_STATE(3066)] = 124058,
  [SMALL_STATE(3067)] = 124071,
  [SMALL_STATE(3068)] = 124084,
  [SMALL_STATE(3069)] = 124097,
  [SMALL_STATE(3070)] = 124108,
  [SMALL_STATE(3071)] = 124121,
  [SMALL_STATE(3072)] = 124132,
  [SMALL_STATE(3073)] = 124145,
  [SMALL_STATE(3074)] = 124158,
  [SMALL_STATE(3075)] = 124171,
  [SMALL_STATE(3076)] = 124184,
  [SMALL_STATE(3077)] = 124197,
  [SMALL_STATE(3078)] = 124210,
  [SMALL_STATE(3079)] = 124223,
  [SMALL_STATE(3080)] = 124236,
  [SMALL_STATE(3081)] = 124249,
  [SMALL_STATE(3082)] = 124262,
  [SMALL_STATE(3083)] = 124275,
  [SMALL_STATE(3084)] = 124288,
  [SMALL_STATE(3085)] = 124301,
  [SMALL_STATE(3086)] = 124314,
  [SMALL_STATE(3087)] = 124327,
  [SMALL_STATE(3088)] = 124340,
  [SMALL_STATE(3089)] = 124353,
  [SMALL_STATE(3090)] = 124366,
  [SMALL_STATE(3091)] = 124379,
  [SMALL_STATE(3092)] = 124392,
  [SMALL_STATE(3093)] = 124405,
  [SMALL_STATE(3094)] = 124418,
  [SMALL_STATE(3095)] = 124431,
  [SMALL_STATE(3096)] = 124444,
  [SMALL_STATE(3097)] = 124457,
  [SMALL_STATE(3098)] = 124470,
  [SMALL_STATE(3099)] = 124483,
  [SMALL_STATE(3100)] = 124496,
  [SMALL_STATE(3101)] = 124509,
  [SMALL_STATE(3102)] = 124522,
  [SMALL_STATE(3103)] = 124535,
  [SMALL_STATE(3104)] = 124548,
  [SMALL_STATE(3105)] = 124561,
  [SMALL_STATE(3106)] = 124574,
  [SMALL_STATE(3107)] = 124587,
  [SMALL_STATE(3108)] = 124600,
  [SMALL_STATE(3109)] = 124613,
  [SMALL_STATE(3110)] = 124626,
  [SMALL_STATE(3111)] = 124639,
  [SMALL_STATE(3112)] = 124650,
  [SMALL_STATE(3113)] = 124663,
  [SMALL_STATE(3114)] = 124676,
  [SMALL_STATE(3115)] = 124686,
  [SMALL_STATE(3116)] = 124694,
  [SMALL_STATE(3117)] = 124704,
  [SMALL_STATE(3118)] = 124714,
  [SMALL_STATE(3119)] = 124722,
  [SMALL_STATE(3120)] = 124732,
  [SMALL_STATE(3121)] = 124742,
  [SMALL_STATE(3122)] = 124750,
  [SMALL_STATE(3123)] = 124760,
  [SMALL_STATE(3124)] = 124770,
  [SMALL_STATE(3125)] = 124780,
  [SMALL_STATE(3126)] = 124788,
  [SMALL_STATE(3127)] = 124798,
  [SMALL_STATE(3128)] = 124808,
  [SMALL_STATE(3129)] = 124818,
  [SMALL_STATE(3130)] = 124828,
  [SMALL_STATE(3131)] = 124838,
  [SMALL_STATE(3132)] = 124848,
  [SMALL_STATE(3133)] = 124856,
  [SMALL_STATE(3134)] = 124864,
  [SMALL_STATE(3135)] = 124874,
  [SMALL_STATE(3136)] = 124884,
  [SMALL_STATE(3137)] = 124894,
  [SMALL_STATE(3138)] = 124904,
  [SMALL_STATE(3139)] = 124914,
  [SMALL_STATE(3140)] = 124924,
  [SMALL_STATE(3141)] = 124934,
  [SMALL_STATE(3142)] = 124944,
  [SMALL_STATE(3143)] = 124954,
  [SMALL_STATE(3144)] = 124964,
  [SMALL_STATE(3145)] = 124974,
  [SMALL_STATE(3146)] = 124984,
  [SMALL_STATE(3147)] = 124994,
  [SMALL_STATE(3148)] = 125004,
  [SMALL_STATE(3149)] = 125012,
  [SMALL_STATE(3150)] = 125022,
  [SMALL_STATE(3151)] = 125032,
  [SMALL_STATE(3152)] = 125042,
  [SMALL_STATE(3153)] = 125052,
  [SMALL_STATE(3154)] = 125062,
  [SMALL_STATE(3155)] = 125072,
  [SMALL_STATE(3156)] = 125082,
  [SMALL_STATE(3157)] = 125092,
  [SMALL_STATE(3158)] = 125102,
  [SMALL_STATE(3159)] = 125112,
  [SMALL_STATE(3160)] = 125122,
  [SMALL_STATE(3161)] = 125130,
  [SMALL_STATE(3162)] = 125140,
  [SMALL_STATE(3163)] = 125150,
  [SMALL_STATE(3164)] = 125160,
  [SMALL_STATE(3165)] = 125170,
  [SMALL_STATE(3166)] = 125178,
  [SMALL_STATE(3167)] = 125188,
  [SMALL_STATE(3168)] = 125198,
  [SMALL_STATE(3169)] = 125206,
  [SMALL_STATE(3170)] = 125216,
  [SMALL_STATE(3171)] = 125224,
  [SMALL_STATE(3172)] = 125234,
  [SMALL_STATE(3173)] = 125244,
  [SMALL_STATE(3174)] = 125254,
  [SMALL_STATE(3175)] = 125264,
  [SMALL_STATE(3176)] = 125274,
  [SMALL_STATE(3177)] = 125284,
  [SMALL_STATE(3178)] = 125292,
  [SMALL_STATE(3179)] = 125300,
  [SMALL_STATE(3180)] = 125308,
  [SMALL_STATE(3181)] = 125318,
  [SMALL_STATE(3182)] = 125328,
  [SMALL_STATE(3183)] = 125338,
  [SMALL_STATE(3184)] = 125348,
  [SMALL_STATE(3185)] = 125358,
  [SMALL_STATE(3186)] = 125368,
  [SMALL_STATE(3187)] = 125378,
  [SMALL_STATE(3188)] = 125388,
  [SMALL_STATE(3189)] = 125398,
  [SMALL_STATE(3190)] = 125408,
  [SMALL_STATE(3191)] = 125416,
  [SMALL_STATE(3192)] = 125424,
  [SMALL_STATE(3193)] = 125432,
  [SMALL_STATE(3194)] = 125442,
  [SMALL_STATE(3195)] = 125450,
  [SMALL_STATE(3196)] = 125458,
  [SMALL_STATE(3197)] = 125466,
  [SMALL_STATE(3198)] = 125474,
  [SMALL_STATE(3199)] = 125482,
  [SMALL_STATE(3200)] = 125492,
  [SMALL_STATE(3201)] = 125500,
  [SMALL_STATE(3202)] = 125508,
  [SMALL_STATE(3203)] = 125516,
  [SMALL_STATE(3204)] = 125526,
  [SMALL_STATE(3205)] = 125536,
  [SMALL_STATE(3206)] = 125544,
  [SMALL_STATE(3207)] = 125552,
  [SMALL_STATE(3208)] = 125562,
  [SMALL_STATE(3209)] = 125570,
  [SMALL_STATE(3210)] = 125580,
  [SMALL_STATE(3211)] = 125590,
  [SMALL_STATE(3212)] = 125598,
  [SMALL_STATE(3213)] = 125606,
  [SMALL_STATE(3214)] = 125614,
  [SMALL_STATE(3215)] = 125622,
  [SMALL_STATE(3216)] = 125630,
  [SMALL_STATE(3217)] = 125640,
  [SMALL_STATE(3218)] = 125650,
  [SMALL_STATE(3219)] = 125658,
  [SMALL_STATE(3220)] = 125666,
  [SMALL_STATE(3221)] = 125676,
  [SMALL_STATE(3222)] = 125686,
  [SMALL_STATE(3223)] = 125694,
  [SMALL_STATE(3224)] = 125704,
  [SMALL_STATE(3225)] = 125712,
  [SMALL_STATE(3226)] = 125720,
  [SMALL_STATE(3227)] = 125730,
  [SMALL_STATE(3228)] = 125738,
  [SMALL_STATE(3229)] = 125748,
  [SMALL_STATE(3230)] = 125756,
  [SMALL_STATE(3231)] = 125764,
  [SMALL_STATE(3232)] = 125774,
  [SMALL_STATE(3233)] = 125781,
  [SMALL_STATE(3234)] = 125788,
  [SMALL_STATE(3235)] = 125795,
  [SMALL_STATE(3236)] = 125802,
  [SMALL_STATE(3237)] = 125809,
  [SMALL_STATE(3238)] = 125816,
  [SMALL_STATE(3239)] = 125823,
  [SMALL_STATE(3240)] = 125830,
  [SMALL_STATE(3241)] = 125837,
  [SMALL_STATE(3242)] = 125844,
  [SMALL_STATE(3243)] = 125851,
  [SMALL_STATE(3244)] = 125858,
  [SMALL_STATE(3245)] = 125865,
  [SMALL_STATE(3246)] = 125872,
  [SMALL_STATE(3247)] = 125879,
  [SMALL_STATE(3248)] = 125886,
  [SMALL_STATE(3249)] = 125893,
  [SMALL_STATE(3250)] = 125900,
  [SMALL_STATE(3251)] = 125907,
  [SMALL_STATE(3252)] = 125914,
  [SMALL_STATE(3253)] = 125921,
  [SMALL_STATE(3254)] = 125928,
  [SMALL_STATE(3255)] = 125935,
  [SMALL_STATE(3256)] = 125942,
  [SMALL_STATE(3257)] = 125949,
  [SMALL_STATE(3258)] = 125956,
  [SMALL_STATE(3259)] = 125963,
  [SMALL_STATE(3260)] = 125970,
  [SMALL_STATE(3261)] = 125977,
  [SMALL_STATE(3262)] = 125984,
  [SMALL_STATE(3263)] = 125991,
  [SMALL_STATE(3264)] = 125998,
  [SMALL_STATE(3265)] = 126005,
  [SMALL_STATE(3266)] = 126012,
  [SMALL_STATE(3267)] = 126019,
  [SMALL_STATE(3268)] = 126026,
  [SMALL_STATE(3269)] = 126033,
  [SMALL_STATE(3270)] = 126040,
  [SMALL_STATE(3271)] = 126047,
  [SMALL_STATE(3272)] = 126054,
  [SMALL_STATE(3273)] = 126061,
  [SMALL_STATE(3274)] = 126068,
  [SMALL_STATE(3275)] = 126075,
  [SMALL_STATE(3276)] = 126082,
  [SMALL_STATE(3277)] = 126089,
  [SMALL_STATE(3278)] = 126096,
  [SMALL_STATE(3279)] = 126103,
  [SMALL_STATE(3280)] = 126110,
  [SMALL_STATE(3281)] = 126117,
  [SMALL_STATE(3282)] = 126124,
  [SMALL_STATE(3283)] = 126131,
  [SMALL_STATE(3284)] = 126138,
  [SMALL_STATE(3285)] = 126145,
  [SMALL_STATE(3286)] = 126152,
  [SMALL_STATE(3287)] = 126159,
  [SMALL_STATE(3288)] = 126166,
  [SMALL_STATE(3289)] = 126173,
  [SMALL_STATE(3290)] = 126180,
  [SMALL_STATE(3291)] = 126187,
  [SMALL_STATE(3292)] = 126194,
  [SMALL_STATE(3293)] = 126201,
  [SMALL_STATE(3294)] = 126208,
  [SMALL_STATE(3295)] = 126215,
  [SMALL_STATE(3296)] = 126222,
  [SMALL_STATE(3297)] = 126229,
  [SMALL_STATE(3298)] = 126236,
  [SMALL_STATE(3299)] = 126243,
  [SMALL_STATE(3300)] = 126250,
  [SMALL_STATE(3301)] = 126257,
  [SMALL_STATE(3302)] = 126264,
  [SMALL_STATE(3303)] = 126271,
  [SMALL_STATE(3304)] = 126278,
  [SMALL_STATE(3305)] = 126285,
  [SMALL_STATE(3306)] = 126292,
  [SMALL_STATE(3307)] = 126299,
  [SMALL_STATE(3308)] = 126306,
  [SMALL_STATE(3309)] = 126313,
  [SMALL_STATE(3310)] = 126320,
  [SMALL_STATE(3311)] = 126327,
  [SMALL_STATE(3312)] = 126334,
  [SMALL_STATE(3313)] = 126341,
  [SMALL_STATE(3314)] = 126348,
  [SMALL_STATE(3315)] = 126355,
  [SMALL_STATE(3316)] = 126362,
  [SMALL_STATE(3317)] = 126369,
  [SMALL_STATE(3318)] = 126376,
  [SMALL_STATE(3319)] = 126383,
  [SMALL_STATE(3320)] = 126390,
  [SMALL_STATE(3321)] = 126397,
  [SMALL_STATE(3322)] = 126404,
  [SMALL_STATE(3323)] = 126411,
  [SMALL_STATE(3324)] = 126418,
  [SMALL_STATE(3325)] = 126425,
  [SMALL_STATE(3326)] = 126432,
  [SMALL_STATE(3327)] = 126439,
  [SMALL_STATE(3328)] = 126446,
  [SMALL_STATE(3329)] = 126453,
  [SMALL_STATE(3330)] = 126460,
  [SMALL_STATE(3331)] = 126467,
  [SMALL_STATE(3332)] = 126474,
  [SMALL_STATE(3333)] = 126481,
  [SMALL_STATE(3334)] = 126488,
  [SMALL_STATE(3335)] = 126495,
  [SMALL_STATE(3336)] = 126502,
  [SMALL_STATE(3337)] = 126509,
  [SMALL_STATE(3338)] = 126516,
  [SMALL_STATE(3339)] = 126523,
  [SMALL_STATE(3340)] = 126530,
  [SMALL_STATE(3341)] = 126537,
  [SMALL_STATE(3342)] = 126544,
  [SMALL_STATE(3343)] = 126551,
  [SMALL_STATE(3344)] = 126558,
  [SMALL_STATE(3345)] = 126565,
  [SMALL_STATE(3346)] = 126572,
  [SMALL_STATE(3347)] = 126579,
  [SMALL_STATE(3348)] = 126586,
  [SMALL_STATE(3349)] = 126593,
  [SMALL_STATE(3350)] = 126600,
  [SMALL_STATE(3351)] = 126607,
  [SMALL_STATE(3352)] = 126614,
  [SMALL_STATE(3353)] = 126621,
  [SMALL_STATE(3354)] = 126628,
  [SMALL_STATE(3355)] = 126635,
  [SMALL_STATE(3356)] = 126642,
  [SMALL_STATE(3357)] = 126649,
  [SMALL_STATE(3358)] = 126656,
  [SMALL_STATE(3359)] = 126663,
  [SMALL_STATE(3360)] = 126670,
  [SMALL_STATE(3361)] = 126677,
  [SMALL_STATE(3362)] = 126684,
  [SMALL_STATE(3363)] = 126691,
  [SMALL_STATE(3364)] = 126698,
  [SMALL_STATE(3365)] = 126705,
  [SMALL_STATE(3366)] = 126712,
  [SMALL_STATE(3367)] = 126719,
  [SMALL_STATE(3368)] = 126726,
  [SMALL_STATE(3369)] = 126733,
  [SMALL_STATE(3370)] = 126740,
  [SMALL_STATE(3371)] = 126747,
  [SMALL_STATE(3372)] = 126754,
  [SMALL_STATE(3373)] = 126761,
  [SMALL_STATE(3374)] = 126768,
  [SMALL_STATE(3375)] = 126775,
  [SMALL_STATE(3376)] = 126782,
  [SMALL_STATE(3377)] = 126789,
  [SMALL_STATE(3378)] = 126796,
  [SMALL_STATE(3379)] = 126803,
  [SMALL_STATE(3380)] = 126810,
  [SMALL_STATE(3381)] = 126817,
  [SMALL_STATE(3382)] = 126824,
  [SMALL_STATE(3383)] = 126831,
  [SMALL_STATE(3384)] = 126838,
  [SMALL_STATE(3385)] = 126845,
  [SMALL_STATE(3386)] = 126852,
  [SMALL_STATE(3387)] = 126859,
  [SMALL_STATE(3388)] = 126866,
  [SMALL_STATE(3389)] = 126873,
  [SMALL_STATE(3390)] = 126880,
  [SMALL_STATE(3391)] = 126887,
  [SMALL_STATE(3392)] = 126894,
  [SMALL_STATE(3393)] = 126901,
  [SMALL_STATE(3394)] = 126908,
  [SMALL_STATE(3395)] = 126915,
  [SMALL_STATE(3396)] = 126922,
  [SMALL_STATE(3397)] = 126929,
  [SMALL_STATE(3398)] = 126936,
  [SMALL_STATE(3399)] = 126943,
  [SMALL_STATE(3400)] = 126950,
  [SMALL_STATE(3401)] = 126957,
  [SMALL_STATE(3402)] = 126964,
  [SMALL_STATE(3403)] = 126971,
  [SMALL_STATE(3404)] = 126978,
  [SMALL_STATE(3405)] = 126985,
  [SMALL_STATE(3406)] = 126992,
  [SMALL_STATE(3407)] = 126999,
  [SMALL_STATE(3408)] = 127006,
  [SMALL_STATE(3409)] = 127013,
  [SMALL_STATE(3410)] = 127020,
  [SMALL_STATE(3411)] = 127027,
  [SMALL_STATE(3412)] = 127034,
  [SMALL_STATE(3413)] = 127041,
  [SMALL_STATE(3414)] = 127048,
  [SMALL_STATE(3415)] = 127055,
  [SMALL_STATE(3416)] = 127062,
  [SMALL_STATE(3417)] = 127069,
  [SMALL_STATE(3418)] = 127076,
  [SMALL_STATE(3419)] = 127083,
  [SMALL_STATE(3420)] = 127090,
  [SMALL_STATE(3421)] = 127097,
  [SMALL_STATE(3422)] = 127104,
  [SMALL_STATE(3423)] = 127111,
  [SMALL_STATE(3424)] = 127118,
  [SMALL_STATE(3425)] = 127125,
  [SMALL_STATE(3426)] = 127132,
  [SMALL_STATE(3427)] = 127139,
  [SMALL_STATE(3428)] = 127146,
  [SMALL_STATE(3429)] = 127153,
  [SMALL_STATE(3430)] = 127160,
  [SMALL_STATE(3431)] = 127167,
  [SMALL_STATE(3432)] = 127174,
  [SMALL_STATE(3433)] = 127181,
  [SMALL_STATE(3434)] = 127188,
  [SMALL_STATE(3435)] = 127195,
  [SMALL_STATE(3436)] = 127202,
  [SMALL_STATE(3437)] = 127209,
  [SMALL_STATE(3438)] = 127216,
  [SMALL_STATE(3439)] = 127223,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 36),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 37),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 45),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 49),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(323),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3122),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1226),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(137),
  [239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 2),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(133),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2369),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3320),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(34),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(78),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(243),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1225),
  [262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1223),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(179),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(238),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2364),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2364),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2519),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(529),
  [283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2738),
  [286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(417),
  [289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2510),
  [292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(53),
  [295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(63),
  [298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(67),
  [301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2755),
  [304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3071),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 2),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(323),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3122),
  [359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1226),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(137),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(133),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2369),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3320),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(34),
  [377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(78),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(243),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1225),
  [386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1223),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(179),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(238),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2364),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2364),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2519),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(529),
  [407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2738),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(417),
  [413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2510),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(53),
  [419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(63),
  [422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(67),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2755),
  [428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3071),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(278),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2501),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(273),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2743),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2498),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(55),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(54),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(59),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(154),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3012),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(369),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2491),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(313),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2722),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2512),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(32),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(31),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(42),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(163),
  [576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3008),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(431),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2511),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(503),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2701),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2557),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(114),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(113),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(115),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(168),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3016),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 1),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 1),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 10),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 10),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 8),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 8),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(459),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2544),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(479),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2715),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2531),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(94),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(95),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(96),
  [721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(175),
  [724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3021),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 21),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 21),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(271),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2197),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2540),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(279),
  [747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2719),
  [750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2546),
  [753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(58),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(57),
  [759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(64),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(297),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2260),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2518),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(291),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2737),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2526),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(41),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(40),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(46),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(304),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2545),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(353),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2712),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2561),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(51),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(108),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(56),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(189),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 4),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 4),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 4),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 4),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 5),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 5),
  [948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(518),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2529),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(438),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2690),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2563),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(25),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(110),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(35),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(205),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(372),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2294),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2519),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(529),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2738),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2510),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(53),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(63),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(67),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(520),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2276),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2568),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(406),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2702),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2575),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(26),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(27),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(28),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 4),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 4),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(599),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2505),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(735),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2748),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2506),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(102),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(103),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(104),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(229),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(640),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2556),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(621),
  [1141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2697),
  [1144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2488),
  [1147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(111),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(109),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(112),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(234),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2439),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2411),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [1313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2436),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 2),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 2),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(510),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2401),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(404),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_expansion, 2),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_expansion, 2),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2438),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3),
  [1478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2406),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(610),
  [1488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2442),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2432),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2417),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(687),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [1510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(637),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2450),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2389),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(730),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2413),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(752),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(761),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2444),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(745),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(743),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(741),
  [1625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2396),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(870),
  [1645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2398),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2387),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(885),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(880),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(879),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(883),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2160),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1305),
  [3923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2558),
  [3926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2084),
  [3929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2704),
  [3932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2160),
  [3935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1305),
  [3938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2502),
  [3941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(100),
  [3944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(99),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(105),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [4496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [4512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [4514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2376),
  [4517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3433),
  [4520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2372),
  [4523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2759),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [4530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2332),
  [4533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2349),
  [4536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2764),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [4545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2336),
  [4548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3263),
  [4551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2322),
  [4554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2760),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [4561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [4563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2),
  [4569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2364),
  [4572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2364),
  [4575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2),
  [4577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2755),
  [4580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(3045),
  [4583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [4585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [4587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [4589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1697),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [4600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [4602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [4604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [4614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2374),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3326),
  [4620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2370),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2752),
  [4626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [4628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [4630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2449),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2414),
  [4670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2405),
  [4673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1861),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [4680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1772),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2397),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [4690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [4692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2550),
  [4695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2451),
  [4698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2705),
  [4701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2543),
  [4704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(87),
  [4707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(85),
  [4710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(89),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [4715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [4717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [4721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2446),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1995),
  [4735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [4737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [4741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 60),
  [4743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 60),
  [4745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [4759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [4767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [4769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [4771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2421),
  [4774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [4776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [4780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [4782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 2),
  [4784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 2),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [4790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2019),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [4795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [4801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [4803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [4805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [4815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [4817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2422),
  [4820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [4894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [4896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 52),
  [4898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 52),
  [4900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 53),
  [4902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 53),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 54),
  [4906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 54),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [4912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [4914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 55),
  [4916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 55),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 61),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 61),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 62),
  [4932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 62),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [4938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 63),
  [4940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 63),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 68),
  [4944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 68),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2122),
  [4981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [4993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [4995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [5029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2416),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [5128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2128),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [5211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 2),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [5257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [5259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [5263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2427),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [5274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2240),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [5283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2430),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [5296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2483),
  [5299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2520),
  [5302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2487),
  [5305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2734),
  [5308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2552),
  [5311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(91),
  [5314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(90),
  [5317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(92),
  [5320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2303),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [5337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [5339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [5341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2902),
  [5344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2493),
  [5347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2885),
  [5350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2691),
  [5353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2521),
  [5356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(118),
  [5359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(116),
  [5362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(122),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [5367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [5369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [5377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [5379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [5387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [5389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [5395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [5431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [5505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [5545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [5547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [5567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2345),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [5786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [5900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [5950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2425),
  [5953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [5961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [5967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2481),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [5982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2428),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [6013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2610),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [6076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [6208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [6450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 47),
  [6452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [6454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 47),
  [6456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [6470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 64),
  [6472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 45),
  [6474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 64),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [6480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [6484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [6490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 58),
  [6492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 37),
  [6494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 58),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [6508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [6522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 43),
  [6524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [6526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 43),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [6538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 56),
  [6540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 36),
  [6542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 56),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [6550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [6562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [6564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [6566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [6568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [6572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 66),
  [6574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 49),
  [6576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 66),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [6580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [6584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [6586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [6596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [6604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [6608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 67),
  [6610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 67),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [6638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [6640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [6654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [6668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 48),
  [6670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 48),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [6674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [6684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [6692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [6698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [6708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [6724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [6736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 44),
  [6738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 44),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [6744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [6760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [6766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [6788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 59),
  [6790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 59),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [6800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 65),
  [6802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 65),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [6832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 57),
  [6838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 57),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [6844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [6852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [6858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [6882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [6886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [6908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [6912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [6916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [6920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [6942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2669),
  [6945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [6947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2781),
  [6950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2542),
  [6953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(129),
  [6956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(130),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [6979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2718),
  [6982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2499),
  [6985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(62),
  [6988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(60),
  [6991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2706),
  [6994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [7028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [7032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [7054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [7056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [7062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [7064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [7066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [7068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [7074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [7076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [7080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [7092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [7094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [7096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [7098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [7100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [7102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [7106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [7108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [7114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [7116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [7118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [7120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [7126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [7128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [7134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [7138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [7142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [7166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2426),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [7171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [7177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [7179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 1),
  [7181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3),
  [7183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 3),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [7187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [7189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [7193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [7199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [7203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2851),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [7208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [7210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 2),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [7244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [7258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [7270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [7320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [7322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(132),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [7327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [7343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [7345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [7359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 29),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [7365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [7373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [7377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [7383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 30),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [7413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [7415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2998),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [7426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [7442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [7446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [7450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 49),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [7506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2423),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [7547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [7599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3167),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [7606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 46), SHIFT_REPEAT(2356),
  [7609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 46),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [7763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminated_statement, 2),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [7943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [7949] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = (const uint16_t *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
